/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: message.proto

package org.aiflow.client.proto;

public final class Message {
  private Message() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  /**
   * Protobuf enum {@code ai_flow.ReturnCode}
   */
  public enum ReturnCode
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <pre>
     * Success response, which represents request execution success.
     * </pre>
     *
     * <code>SUCCESS = 0;</code>
     */
    SUCCESS(0),
    /**
     * <pre>
     * Internal, system-level error codes, which generally cannot be resolved by the user, but
     * instead are due to service issues.
     * Generic internal error occurred.
     * </pre>
     *
     * <code>INTERNAL_ERROR = 1;</code>
     */
    INTERNAL_ERROR(1),
    /**
     * <pre>
     * An internal system could not be contacted due to a period of unavailability.
     * </pre>
     *
     * <code>TEMPORARILY_UNAVAILABLE = 2;</code>
     */
    TEMPORARILY_UNAVAILABLE(2),
    /**
     * <pre>
     * Indicates that an IOException has been internally thrown.
     * </pre>
     *
     * <code>IO_ERROR = 3;</code>
     */
    IO_ERROR(3),
    /**
     * <pre>
     * The request is invalid.
     * </pre>
     *
     * <code>BAD_REQUEST = 4;</code>
     */
    BAD_REQUEST(4),
    /**
     * <pre>
     * Common application-level error codes, which were caused by the user input but may be returned
     * by multiple services.
     * Supplied value for a parameter was invalid (e.g., giving a number for a string parameter).
     * </pre>
     *
     * <code>INVALID_PARAMETER_VALUE = 1000;</code>
     */
    INVALID_PARAMETER_VALUE(1000),
    /**
     * <pre>
     * Indicates that the given API endpoint does not exist.
     * </pre>
     *
     * <code>ENDPOINT_NOT_FOUND = 1001;</code>
     */
    ENDPOINT_NOT_FOUND(1001),
    /**
     * <pre>
     * Indicates that the given API request was malformed.
     * </pre>
     *
     * <code>MALFORMED_REQUEST = 1002;</code>
     */
    MALFORMED_REQUEST(1002),
    /**
     * <pre>
     * If one or more of the inputs to a given RPC are not in a valid state for the action.
     * </pre>
     *
     * <code>INVALID_STATE = 1003;</code>
     */
    INVALID_STATE(1003),
    /**
     * <pre>
     * If a given user/entity doesn't have the required permission(s) to perform an action
     * </pre>
     *
     * <code>PERMISSION_DENIED = 1004;</code>
     */
    PERMISSION_DENIED(1004),
    /**
     * <pre>
     * If a given user/entity is trying to use a feature which has been disabled
     * </pre>
     *
     * <code>FEATURE_DISABLED = 1005;</code>
     */
    FEATURE_DISABLED(1005),
    /**
     * <pre>
     * If customer-provided credentials are not authorized to perform an operation
     * </pre>
     *
     * <code>CUSTOMER_UNAUTHORIZED = 1006;</code>
     */
    CUSTOMER_UNAUTHORIZED(1006),
    /**
     * <pre>
     * If the API request is rejected due to throttling
     * </pre>
     *
     * <code>REQUEST_LIMIT_EXCEEDED = 1007;</code>
     */
    REQUEST_LIMIT_EXCEEDED(1007),
    /**
     * <pre>
     * Operation was performed on a resource that already exists.
     * </pre>
     *
     * <code>RESOURCE_ALREADY_EXISTS = 2001;</code>
     */
    RESOURCE_ALREADY_EXISTS(2001),
    /**
     * <pre>
     * Operation was performed on a resource that does not exist.
     * </pre>
     *
     * <code>RESOURCE_DOES_NOT_EXIST = 2002;</code>
     */
    RESOURCE_DOES_NOT_EXIST(2002),
    /**
     * <pre>
     * DBFS
     * </pre>
     *
     * <code>QUOTA_EXCEEDED = 3001;</code>
     */
    QUOTA_EXCEEDED(3001),
    /**
     * <code>MAX_BLOCK_SIZE_EXCEEDED = 3002;</code>
     */
    MAX_BLOCK_SIZE_EXCEEDED(3002),
    /**
     * <code>MAX_READ_SIZE_EXCEEDED = 3003;</code>
     */
    MAX_READ_SIZE_EXCEEDED(3003),
    UNRECOGNIZED(-1),
    ;

    /**
     * <pre>
     * Success response, which represents request execution success.
     * </pre>
     *
     * <code>SUCCESS = 0;</code>
     */
    public static final int SUCCESS_VALUE = 0;
    /**
     * <pre>
     * Internal, system-level error codes, which generally cannot be resolved by the user, but
     * instead are due to service issues.
     * Generic internal error occurred.
     * </pre>
     *
     * <code>INTERNAL_ERROR = 1;</code>
     */
    public static final int INTERNAL_ERROR_VALUE = 1;
    /**
     * <pre>
     * An internal system could not be contacted due to a period of unavailability.
     * </pre>
     *
     * <code>TEMPORARILY_UNAVAILABLE = 2;</code>
     */
    public static final int TEMPORARILY_UNAVAILABLE_VALUE = 2;
    /**
     * <pre>
     * Indicates that an IOException has been internally thrown.
     * </pre>
     *
     * <code>IO_ERROR = 3;</code>
     */
    public static final int IO_ERROR_VALUE = 3;
    /**
     * <pre>
     * The request is invalid.
     * </pre>
     *
     * <code>BAD_REQUEST = 4;</code>
     */
    public static final int BAD_REQUEST_VALUE = 4;
    /**
     * <pre>
     * Common application-level error codes, which were caused by the user input but may be returned
     * by multiple services.
     * Supplied value for a parameter was invalid (e.g., giving a number for a string parameter).
     * </pre>
     *
     * <code>INVALID_PARAMETER_VALUE = 1000;</code>
     */
    public static final int INVALID_PARAMETER_VALUE_VALUE = 1000;
    /**
     * <pre>
     * Indicates that the given API endpoint does not exist.
     * </pre>
     *
     * <code>ENDPOINT_NOT_FOUND = 1001;</code>
     */
    public static final int ENDPOINT_NOT_FOUND_VALUE = 1001;
    /**
     * <pre>
     * Indicates that the given API request was malformed.
     * </pre>
     *
     * <code>MALFORMED_REQUEST = 1002;</code>
     */
    public static final int MALFORMED_REQUEST_VALUE = 1002;
    /**
     * <pre>
     * If one or more of the inputs to a given RPC are not in a valid state for the action.
     * </pre>
     *
     * <code>INVALID_STATE = 1003;</code>
     */
    public static final int INVALID_STATE_VALUE = 1003;
    /**
     * <pre>
     * If a given user/entity doesn't have the required permission(s) to perform an action
     * </pre>
     *
     * <code>PERMISSION_DENIED = 1004;</code>
     */
    public static final int PERMISSION_DENIED_VALUE = 1004;
    /**
     * <pre>
     * If a given user/entity is trying to use a feature which has been disabled
     * </pre>
     *
     * <code>FEATURE_DISABLED = 1005;</code>
     */
    public static final int FEATURE_DISABLED_VALUE = 1005;
    /**
     * <pre>
     * If customer-provided credentials are not authorized to perform an operation
     * </pre>
     *
     * <code>CUSTOMER_UNAUTHORIZED = 1006;</code>
     */
    public static final int CUSTOMER_UNAUTHORIZED_VALUE = 1006;
    /**
     * <pre>
     * If the API request is rejected due to throttling
     * </pre>
     *
     * <code>REQUEST_LIMIT_EXCEEDED = 1007;</code>
     */
    public static final int REQUEST_LIMIT_EXCEEDED_VALUE = 1007;
    /**
     * <pre>
     * Operation was performed on a resource that already exists.
     * </pre>
     *
     * <code>RESOURCE_ALREADY_EXISTS = 2001;</code>
     */
    public static final int RESOURCE_ALREADY_EXISTS_VALUE = 2001;
    /**
     * <pre>
     * Operation was performed on a resource that does not exist.
     * </pre>
     *
     * <code>RESOURCE_DOES_NOT_EXIST = 2002;</code>
     */
    public static final int RESOURCE_DOES_NOT_EXIST_VALUE = 2002;
    /**
     * <pre>
     * DBFS
     * </pre>
     *
     * <code>QUOTA_EXCEEDED = 3001;</code>
     */
    public static final int QUOTA_EXCEEDED_VALUE = 3001;
    /**
     * <code>MAX_BLOCK_SIZE_EXCEEDED = 3002;</code>
     */
    public static final int MAX_BLOCK_SIZE_EXCEEDED_VALUE = 3002;
    /**
     * <code>MAX_READ_SIZE_EXCEEDED = 3003;</code>
     */
    public static final int MAX_READ_SIZE_EXCEEDED_VALUE = 3003;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static ReturnCode valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static ReturnCode forNumber(int value) {
      switch (value) {
        case 0: return SUCCESS;
        case 1: return INTERNAL_ERROR;
        case 2: return TEMPORARILY_UNAVAILABLE;
        case 3: return IO_ERROR;
        case 4: return BAD_REQUEST;
        case 1000: return INVALID_PARAMETER_VALUE;
        case 1001: return ENDPOINT_NOT_FOUND;
        case 1002: return MALFORMED_REQUEST;
        case 1003: return INVALID_STATE;
        case 1004: return PERMISSION_DENIED;
        case 1005: return FEATURE_DISABLED;
        case 1006: return CUSTOMER_UNAUTHORIZED;
        case 1007: return REQUEST_LIMIT_EXCEEDED;
        case 2001: return RESOURCE_ALREADY_EXISTS;
        case 2002: return RESOURCE_DOES_NOT_EXIST;
        case 3001: return QUOTA_EXCEEDED;
        case 3002: return MAX_BLOCK_SIZE_EXCEEDED;
        case 3003: return MAX_READ_SIZE_EXCEEDED;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<ReturnCode>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        ReturnCode> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<ReturnCode>() {
            public ReturnCode findValueByNumber(int number) {
              return ReturnCode.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(0);
    }

    private static final ReturnCode[] VALUES = values();

    public static ReturnCode valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private ReturnCode(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.ReturnCode)
  }

  /**
   * Protobuf enum {@code ai_flow.StatusProto}
   */
  public enum StatusProto
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <code>OK = 0;</code>
     */
    OK(0),
    /**
     * <code>ERROR = 1;</code>
     */
    ERROR(1),
    UNRECOGNIZED(-1),
    ;

    /**
     * <code>OK = 0;</code>
     */
    public static final int OK_VALUE = 0;
    /**
     * <code>ERROR = 1;</code>
     */
    public static final int ERROR_VALUE = 1;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static StatusProto valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static StatusProto forNumber(int value) {
      switch (value) {
        case 0: return OK;
        case 1: return ERROR;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<StatusProto>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        StatusProto> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<StatusProto>() {
            public StatusProto findValueByNumber(int number) {
              return StatusProto.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(1);
    }

    private static final StatusProto[] VALUES = values();

    public static StatusProto valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private StatusProto(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.StatusProto)
  }

  /**
   * Protobuf enum {@code ai_flow.DataTypeProto}
   */
  public enum DataTypeProto
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <code>DATA_TYPE_UNSPECIFIED = 0;</code>
     */
    DATA_TYPE_UNSPECIFIED(0),
    /**
     * <code>INT32 = 1;</code>
     */
    INT32(1),
    /**
     * <code>INT64 = 2;</code>
     */
    INT64(2),
    /**
     * <code>FLOAT32 = 3;</code>
     */
    FLOAT32(3),
    /**
     * <code>FLOAT64 = 4;</code>
     */
    FLOAT64(4),
    /**
     * <code>STRING = 5;</code>
     */
    STRING(5),
    /**
     * <code>INT32ARRAY = 6;</code>
     */
    INT32ARRAY(6),
    /**
     * <code>INT64ARRAY = 7;</code>
     */
    INT64ARRAY(7),
    /**
     * <code>FlOAT32ARRAY = 8;</code>
     */
    FlOAT32ARRAY(8),
    /**
     * <code>FLOAT64ARRAY = 9;</code>
     */
    FLOAT64ARRAY(9),
    /**
     * <code>STRINGARRAY = 10;</code>
     */
    STRINGARRAY(10),
    /**
     * <code>BYTES = 11;</code>
     */
    BYTES(11),
    /**
     * <code>BYTESARRAY = 12;</code>
     */
    BYTESARRAY(12),
    UNRECOGNIZED(-1),
    ;

    /**
     * <code>DATA_TYPE_UNSPECIFIED = 0;</code>
     */
    public static final int DATA_TYPE_UNSPECIFIED_VALUE = 0;
    /**
     * <code>INT32 = 1;</code>
     */
    public static final int INT32_VALUE = 1;
    /**
     * <code>INT64 = 2;</code>
     */
    public static final int INT64_VALUE = 2;
    /**
     * <code>FLOAT32 = 3;</code>
     */
    public static final int FLOAT32_VALUE = 3;
    /**
     * <code>FLOAT64 = 4;</code>
     */
    public static final int FLOAT64_VALUE = 4;
    /**
     * <code>STRING = 5;</code>
     */
    public static final int STRING_VALUE = 5;
    /**
     * <code>INT32ARRAY = 6;</code>
     */
    public static final int INT32ARRAY_VALUE = 6;
    /**
     * <code>INT64ARRAY = 7;</code>
     */
    public static final int INT64ARRAY_VALUE = 7;
    /**
     * <code>FlOAT32ARRAY = 8;</code>
     */
    public static final int FlOAT32ARRAY_VALUE = 8;
    /**
     * <code>FLOAT64ARRAY = 9;</code>
     */
    public static final int FLOAT64ARRAY_VALUE = 9;
    /**
     * <code>STRINGARRAY = 10;</code>
     */
    public static final int STRINGARRAY_VALUE = 10;
    /**
     * <code>BYTES = 11;</code>
     */
    public static final int BYTES_VALUE = 11;
    /**
     * <code>BYTESARRAY = 12;</code>
     */
    public static final int BYTESARRAY_VALUE = 12;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static DataTypeProto valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static DataTypeProto forNumber(int value) {
      switch (value) {
        case 0: return DATA_TYPE_UNSPECIFIED;
        case 1: return INT32;
        case 2: return INT64;
        case 3: return FLOAT32;
        case 4: return FLOAT64;
        case 5: return STRING;
        case 6: return INT32ARRAY;
        case 7: return INT64ARRAY;
        case 8: return FlOAT32ARRAY;
        case 9: return FLOAT64ARRAY;
        case 10: return STRINGARRAY;
        case 11: return BYTES;
        case 12: return BYTESARRAY;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<DataTypeProto>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        DataTypeProto> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<DataTypeProto>() {
            public DataTypeProto findValueByNumber(int number) {
              return DataTypeProto.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(2);
    }

    private static final DataTypeProto[] VALUES = values();

    public static DataTypeProto valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private DataTypeProto(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.DataTypeProto)
  }

  /**
   * Protobuf enum {@code ai_flow.StateProto}
   */
  public enum StateProto
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <code>STATE_UNSPECIFIED = 0;</code>
     */
    STATE_UNSPECIFIED(0),
    /**
     * <code>INIT = 1;</code>
     */
    INIT(1),
    /**
     * <code>STARTING = 2;</code>
     */
    STARTING(2),
    /**
     * <code>RUNNING = 3;</code>
     */
    RUNNING(3),
    /**
     * <code>FINISHED = 4;</code>
     */
    FINISHED(4),
    /**
     * <code>FAILED = 5;</code>
     */
    FAILED(5),
    /**
     * <code>KILLING = 6;</code>
     */
    KILLING(6),
    /**
     * <code>KILLED = 7;</code>
     */
    KILLED(7),
    UNRECOGNIZED(-1),
    ;

    /**
     * <code>STATE_UNSPECIFIED = 0;</code>
     */
    public static final int STATE_UNSPECIFIED_VALUE = 0;
    /**
     * <code>INIT = 1;</code>
     */
    public static final int INIT_VALUE = 1;
    /**
     * <code>STARTING = 2;</code>
     */
    public static final int STARTING_VALUE = 2;
    /**
     * <code>RUNNING = 3;</code>
     */
    public static final int RUNNING_VALUE = 3;
    /**
     * <code>FINISHED = 4;</code>
     */
    public static final int FINISHED_VALUE = 4;
    /**
     * <code>FAILED = 5;</code>
     */
    public static final int FAILED_VALUE = 5;
    /**
     * <code>KILLING = 6;</code>
     */
    public static final int KILLING_VALUE = 6;
    /**
     * <code>KILLED = 7;</code>
     */
    public static final int KILLED_VALUE = 7;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static StateProto valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static StateProto forNumber(int value) {
      switch (value) {
        case 0: return STATE_UNSPECIFIED;
        case 1: return INIT;
        case 2: return STARTING;
        case 3: return RUNNING;
        case 4: return FINISHED;
        case 5: return FAILED;
        case 6: return KILLING;
        case 7: return KILLED;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<StateProto>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        StateProto> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<StateProto>() {
            public StateProto findValueByNumber(int number) {
              return StateProto.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(3);
    }

    private static final StateProto[] VALUES = values();

    public static StateProto valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private StateProto(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.StateProto)
  }

  /**
   * Protobuf enum {@code ai_flow.ExecutionMode}
   */
  public enum ExecutionMode
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <code>EXECUTION_MODE_UNSPECIFIED = 0;</code>
     */
    EXECUTION_MODE_UNSPECIFIED(0),
    /**
     * <code>BATCH = 1;</code>
     */
    BATCH(1),
    /**
     * <code>STREAM = 2;</code>
     */
    STREAM(2),
    UNRECOGNIZED(-1),
    ;

    /**
     * <code>EXECUTION_MODE_UNSPECIFIED = 0;</code>
     */
    public static final int EXECUTION_MODE_UNSPECIFIED_VALUE = 0;
    /**
     * <code>BATCH = 1;</code>
     */
    public static final int BATCH_VALUE = 1;
    /**
     * <code>STREAM = 2;</code>
     */
    public static final int STREAM_VALUE = 2;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static ExecutionMode valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static ExecutionMode forNumber(int value) {
      switch (value) {
        case 0: return EXECUTION_MODE_UNSPECIFIED;
        case 1: return BATCH;
        case 2: return STREAM;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<ExecutionMode>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        ExecutionMode> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<ExecutionMode>() {
            public ExecutionMode findValueByNumber(int number) {
              return ExecutionMode.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(4);
    }

    private static final ExecutionMode[] VALUES = values();

    public static ExecutionMode valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private ExecutionMode(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.ExecutionMode)
  }

  /**
   * Protobuf enum {@code ai_flow.ModelVersionStatus}
   */
  public enum ModelVersionStatus
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <pre>
     * Request to register a new model version is pending as server performs background tasks.
     * </pre>
     *
     * <code>PENDING_REGISTRATION = 0;</code>
     */
    PENDING_REGISTRATION(0),
    /**
     * <pre>
     * Request to register a new model version has failed.
     * </pre>
     *
     * <code>FAILED_REGISTRATION = 1;</code>
     */
    FAILED_REGISTRATION(1),
    /**
     * <pre>
     * Model version is ready for use.
     * </pre>
     *
     * <code>READY = 3;</code>
     */
    READY(3),
    /**
     * <pre>
     * Request to delete an existing model version is pending as server performs background tasks.
     * </pre>
     *
     * <code>PENDING_DELETION = 4;</code>
     */
    PENDING_DELETION(4),
    /**
     * <pre>
     * Request to delete an existing model version has failed.
     * </pre>
     *
     * <code>FAILED_DELETION = 5;</code>
     */
    FAILED_DELETION(5),
    UNRECOGNIZED(-1),
    ;

    /**
     * <pre>
     * Request to register a new model version is pending as server performs background tasks.
     * </pre>
     *
     * <code>PENDING_REGISTRATION = 0;</code>
     */
    public static final int PENDING_REGISTRATION_VALUE = 0;
    /**
     * <pre>
     * Request to register a new model version has failed.
     * </pre>
     *
     * <code>FAILED_REGISTRATION = 1;</code>
     */
    public static final int FAILED_REGISTRATION_VALUE = 1;
    /**
     * <pre>
     * Model version is ready for use.
     * </pre>
     *
     * <code>READY = 3;</code>
     */
    public static final int READY_VALUE = 3;
    /**
     * <pre>
     * Request to delete an existing model version is pending as server performs background tasks.
     * </pre>
     *
     * <code>PENDING_DELETION = 4;</code>
     */
    public static final int PENDING_DELETION_VALUE = 4;
    /**
     * <pre>
     * Request to delete an existing model version has failed.
     * </pre>
     *
     * <code>FAILED_DELETION = 5;</code>
     */
    public static final int FAILED_DELETION_VALUE = 5;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static ModelVersionStatus valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static ModelVersionStatus forNumber(int value) {
      switch (value) {
        case 0: return PENDING_REGISTRATION;
        case 1: return FAILED_REGISTRATION;
        case 3: return READY;
        case 4: return PENDING_DELETION;
        case 5: return FAILED_DELETION;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<ModelVersionStatus>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        ModelVersionStatus> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<ModelVersionStatus>() {
            public ModelVersionStatus findValueByNumber(int number) {
              return ModelVersionStatus.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(5);
    }

    private static final ModelVersionStatus[] VALUES = values();

    public static ModelVersionStatus valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private ModelVersionStatus(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.ModelVersionStatus)
  }

  /**
   * Protobuf enum {@code ai_flow.ModelVersionStage}
   */
  public enum ModelVersionStage
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <code>GENERATED = 0;</code>
     */
    GENERATED(0),
    /**
     * <code>VALIDATED = 1;</code>
     */
    VALIDATED(1),
    /**
     * <code>DEPLOYED = 2;</code>
     */
    DEPLOYED(2),
    /**
     * <code>DEPRECATED = 3;</code>
     */
    DEPRECATED(3),
    /**
     * <code>DELETED = 4;</code>
     */
    DELETED(4),
    UNRECOGNIZED(-1),
    ;

    /**
     * <code>GENERATED = 0;</code>
     */
    public static final int GENERATED_VALUE = 0;
    /**
     * <code>VALIDATED = 1;</code>
     */
    public static final int VALIDATED_VALUE = 1;
    /**
     * <code>DEPLOYED = 2;</code>
     */
    public static final int DEPLOYED_VALUE = 2;
    /**
     * <code>DEPRECATED = 3;</code>
     */
    public static final int DEPRECATED_VALUE = 3;
    /**
     * <code>DELETED = 4;</code>
     */
    public static final int DELETED_VALUE = 4;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static ModelVersionStage valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static ModelVersionStage forNumber(int value) {
      switch (value) {
        case 0: return GENERATED;
        case 1: return VALIDATED;
        case 2: return DEPLOYED;
        case 3: return DEPRECATED;
        case 4: return DELETED;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<ModelVersionStage>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        ModelVersionStage> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<ModelVersionStage>() {
            public ModelVersionStage findValueByNumber(int number) {
              return ModelVersionStage.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(6);
    }

    private static final ModelVersionStage[] VALUES = values();

    public static ModelVersionStage valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private ModelVersionStage(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.ModelVersionStage)
  }

  /**
   * Protobuf enum {@code ai_flow.MetricTypeProto}
   */
  public enum MetricTypeProto
      implements com.google.protobuf.ProtocolMessageEnum {
    /**
     * <code>DATASET = 0;</code>
     */
    DATASET(0),
    /**
     * <code>MODEL = 1;</code>
     */
    MODEL(1),
    UNRECOGNIZED(-1),
    ;

    /**
     * <code>DATASET = 0;</code>
     */
    public static final int DATASET_VALUE = 0;
    /**
     * <code>MODEL = 1;</code>
     */
    public static final int MODEL_VALUE = 1;


    public final int getNumber() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalArgumentException(
            "Can't get the number of an unknown enum value.");
      }
      return value;
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static MetricTypeProto valueOf(int value) {
      return forNumber(value);
    }

    /**
     * @param value The numeric wire value of the corresponding enum entry.
     * @return The enum associated with the given numeric wire value.
     */
    public static MetricTypeProto forNumber(int value) {
      switch (value) {
        case 0: return DATASET;
        case 1: return MODEL;
        default: return null;
      }
    }

    public static com.google.protobuf.Internal.EnumLiteMap<MetricTypeProto>
        internalGetValueMap() {
      return internalValueMap;
    }
    private static final com.google.protobuf.Internal.EnumLiteMap<
        MetricTypeProto> internalValueMap =
          new com.google.protobuf.Internal.EnumLiteMap<MetricTypeProto>() {
            public MetricTypeProto findValueByNumber(int number) {
              return MetricTypeProto.forNumber(number);
            }
          };

    public final com.google.protobuf.Descriptors.EnumValueDescriptor
        getValueDescriptor() {
      if (this == UNRECOGNIZED) {
        throw new java.lang.IllegalStateException(
            "Can't get the descriptor of an unrecognized enum value.");
      }
      return getDescriptor().getValues().get(ordinal());
    }
    public final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptorForType() {
      return getDescriptor();
    }
    public static final com.google.protobuf.Descriptors.EnumDescriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.getDescriptor().getEnumTypes().get(7);
    }

    private static final MetricTypeProto[] VALUES = values();

    public static MetricTypeProto valueOf(
        com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
      if (desc.getType() != getDescriptor()) {
        throw new java.lang.IllegalArgumentException(
          "EnumValueDescriptor is not for this type.");
      }
      if (desc.getIndex() == -1) {
        return UNRECOGNIZED;
      }
      return VALUES[desc.getIndex()];
    }

    private final int value;

    private MetricTypeProto(int value) {
      this.value = value;
    }

    // @@protoc_insertion_point(enum_scope:ai_flow.MetricTypeProto)
  }

  public interface SchemaProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.SchemaProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>repeated string name_list = 1;</code>
     * @return A list containing the nameList.
     */
    java.util.List<java.lang.String>
        getNameListList();
    /**
     * <code>repeated string name_list = 1;</code>
     * @return The count of nameList.
     */
    int getNameListCount();
    /**
     * <code>repeated string name_list = 1;</code>
     * @param index The index of the element to return.
     * @return The nameList at the given index.
     */
    java.lang.String getNameList(int index);
    /**
     * <code>repeated string name_list = 1;</code>
     * @param index The index of the value to return.
     * @return The bytes of the nameList at the given index.
     */
    com.google.protobuf.ByteString
        getNameListBytes(int index);

    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @return A list containing the typeList.
     */
    java.util.List<org.aiflow.client.proto.Message.DataTypeProto> getTypeListList();
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @return The count of typeList.
     */
    int getTypeListCount();
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @param index The index of the element to return.
     * @return The typeList at the given index.
     */
    org.aiflow.client.proto.Message.DataTypeProto getTypeList(int index);
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @return A list containing the enum numeric values on the wire for typeList.
     */
    java.util.List<java.lang.Integer>
    getTypeListValueList();
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @param index The index of the value to return.
     * @return The enum numeric value on the wire of typeList at the given index.
     */
    int getTypeListValue(int index);
  }
  /**
   * Protobuf type {@code ai_flow.SchemaProto}
   */
  public static final class SchemaProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.SchemaProto)
      SchemaProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use SchemaProto.newBuilder() to construct.
    private SchemaProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private SchemaProto() {
      nameList_ = com.google.protobuf.LazyStringArrayList.EMPTY;
      typeList_ = java.util.Collections.emptyList();
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new SchemaProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private SchemaProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                nameList_ = new com.google.protobuf.LazyStringArrayList();
                mutable_bitField0_ |= 0x00000001;
              }
              nameList_.add(s);
              break;
            }
            case 16: {
              int rawValue = input.readEnum();
              if (!((mutable_bitField0_ & 0x00000002) != 0)) {
                typeList_ = new java.util.ArrayList<java.lang.Integer>();
                mutable_bitField0_ |= 0x00000002;
              }
              typeList_.add(rawValue);
              break;
            }
            case 18: {
              int length = input.readRawVarint32();
              int oldLimit = input.pushLimit(length);
              while(input.getBytesUntilLimit() > 0) {
                int rawValue = input.readEnum();
                if (!((mutable_bitField0_ & 0x00000002) != 0)) {
                  typeList_ = new java.util.ArrayList<java.lang.Integer>();
                  mutable_bitField0_ |= 0x00000002;
                }
                typeList_.add(rawValue);
              }
              input.popLimit(oldLimit);
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        if (((mutable_bitField0_ & 0x00000001) != 0)) {
          nameList_ = nameList_.getUnmodifiableView();
        }
        if (((mutable_bitField0_ & 0x00000002) != 0)) {
          typeList_ = java.util.Collections.unmodifiableList(typeList_);
        }
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_SchemaProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_SchemaProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.SchemaProto.class, org.aiflow.client.proto.Message.SchemaProto.Builder.class);
    }

    public static final int NAME_LIST_FIELD_NUMBER = 1;
    private com.google.protobuf.LazyStringList nameList_;
    /**
     * <code>repeated string name_list = 1;</code>
     * @return A list containing the nameList.
     */
    public com.google.protobuf.ProtocolStringList
        getNameListList() {
      return nameList_;
    }
    /**
     * <code>repeated string name_list = 1;</code>
     * @return The count of nameList.
     */
    public int getNameListCount() {
      return nameList_.size();
    }
    /**
     * <code>repeated string name_list = 1;</code>
     * @param index The index of the element to return.
     * @return The nameList at the given index.
     */
    public java.lang.String getNameList(int index) {
      return nameList_.get(index);
    }
    /**
     * <code>repeated string name_list = 1;</code>
     * @param index The index of the value to return.
     * @return The bytes of the nameList at the given index.
     */
    public com.google.protobuf.ByteString
        getNameListBytes(int index) {
      return nameList_.getByteString(index);
    }

    public static final int TYPE_LIST_FIELD_NUMBER = 2;
    private java.util.List<java.lang.Integer> typeList_;
    private static final com.google.protobuf.Internal.ListAdapter.Converter<
        java.lang.Integer, org.aiflow.client.proto.Message.DataTypeProto> typeList_converter_ =
            new com.google.protobuf.Internal.ListAdapter.Converter<
                java.lang.Integer, org.aiflow.client.proto.Message.DataTypeProto>() {
              public org.aiflow.client.proto.Message.DataTypeProto convert(java.lang.Integer from) {
                @SuppressWarnings("deprecation")
                org.aiflow.client.proto.Message.DataTypeProto result = org.aiflow.client.proto.Message.DataTypeProto.valueOf(from);
                return result == null ? org.aiflow.client.proto.Message.DataTypeProto.UNRECOGNIZED : result;
              }
            };
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @return A list containing the typeList.
     */
    @java.lang.Override
    public java.util.List<org.aiflow.client.proto.Message.DataTypeProto> getTypeListList() {
      return new com.google.protobuf.Internal.ListAdapter<
          java.lang.Integer, org.aiflow.client.proto.Message.DataTypeProto>(typeList_, typeList_converter_);
    }
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @return The count of typeList.
     */
    @java.lang.Override
    public int getTypeListCount() {
      return typeList_.size();
    }
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @param index The index of the element to return.
     * @return The typeList at the given index.
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.DataTypeProto getTypeList(int index) {
      return typeList_converter_.convert(typeList_.get(index));
    }
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @return A list containing the enum numeric values on the wire for typeList.
     */
    @java.lang.Override
    public java.util.List<java.lang.Integer>
    getTypeListValueList() {
      return typeList_;
    }
    /**
     * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
     * @param index The index of the value to return.
     * @return The enum numeric value on the wire of typeList at the given index.
     */
    @java.lang.Override
    public int getTypeListValue(int index) {
      return typeList_.get(index);
    }
    private int typeListMemoizedSerializedSize;

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      for (int i = 0; i < nameList_.size(); i++) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, nameList_.getRaw(i));
      }
      if (getTypeListList().size() > 0) {
        output.writeUInt32NoTag(18);
        output.writeUInt32NoTag(typeListMemoizedSerializedSize);
      }
      for (int i = 0; i < typeList_.size(); i++) {
        output.writeEnumNoTag(typeList_.get(i));
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      {
        int dataSize = 0;
        for (int i = 0; i < nameList_.size(); i++) {
          dataSize += computeStringSizeNoTag(nameList_.getRaw(i));
        }
        size += dataSize;
        size += 1 * getNameListList().size();
      }
      {
        int dataSize = 0;
        for (int i = 0; i < typeList_.size(); i++) {
          dataSize += com.google.protobuf.CodedOutputStream
            .computeEnumSizeNoTag(typeList_.get(i));
        }
        size += dataSize;
        if (!getTypeListList().isEmpty()) {  size += 1;
          size += com.google.protobuf.CodedOutputStream
            .computeUInt32SizeNoTag(dataSize);
        }typeListMemoizedSerializedSize = dataSize;
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.SchemaProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.SchemaProto other = (org.aiflow.client.proto.Message.SchemaProto) obj;

      if (!getNameListList()
          .equals(other.getNameListList())) return false;
      if (!typeList_.equals(other.typeList_)) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (getNameListCount() > 0) {
        hash = (37 * hash) + NAME_LIST_FIELD_NUMBER;
        hash = (53 * hash) + getNameListList().hashCode();
      }
      if (getTypeListCount() > 0) {
        hash = (37 * hash) + TYPE_LIST_FIELD_NUMBER;
        hash = (53 * hash) + typeList_.hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.SchemaProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.SchemaProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.SchemaProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.SchemaProto)
        org.aiflow.client.proto.Message.SchemaProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_SchemaProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_SchemaProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.SchemaProto.class, org.aiflow.client.proto.Message.SchemaProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.SchemaProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        nameList_ = com.google.protobuf.LazyStringArrayList.EMPTY;
        bitField0_ = (bitField0_ & ~0x00000001);
        typeList_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000002);
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_SchemaProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.SchemaProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.SchemaProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.SchemaProto build() {
        org.aiflow.client.proto.Message.SchemaProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.SchemaProto buildPartial() {
        org.aiflow.client.proto.Message.SchemaProto result = new org.aiflow.client.proto.Message.SchemaProto(this);
        int from_bitField0_ = bitField0_;
        if (((bitField0_ & 0x00000001) != 0)) {
          nameList_ = nameList_.getUnmodifiableView();
          bitField0_ = (bitField0_ & ~0x00000001);
        }
        result.nameList_ = nameList_;
        if (((bitField0_ & 0x00000002) != 0)) {
          typeList_ = java.util.Collections.unmodifiableList(typeList_);
          bitField0_ = (bitField0_ & ~0x00000002);
        }
        result.typeList_ = typeList_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.SchemaProto) {
          return mergeFrom((org.aiflow.client.proto.Message.SchemaProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.SchemaProto other) {
        if (other == org.aiflow.client.proto.Message.SchemaProto.getDefaultInstance()) return this;
        if (!other.nameList_.isEmpty()) {
          if (nameList_.isEmpty()) {
            nameList_ = other.nameList_;
            bitField0_ = (bitField0_ & ~0x00000001);
          } else {
            ensureNameListIsMutable();
            nameList_.addAll(other.nameList_);
          }
          onChanged();
        }
        if (!other.typeList_.isEmpty()) {
          if (typeList_.isEmpty()) {
            typeList_ = other.typeList_;
            bitField0_ = (bitField0_ & ~0x00000002);
          } else {
            ensureTypeListIsMutable();
            typeList_.addAll(other.typeList_);
          }
          onChanged();
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.SchemaProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.SchemaProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private com.google.protobuf.LazyStringList nameList_ = com.google.protobuf.LazyStringArrayList.EMPTY;
      private void ensureNameListIsMutable() {
        if (!((bitField0_ & 0x00000001) != 0)) {
          nameList_ = new com.google.protobuf.LazyStringArrayList(nameList_);
          bitField0_ |= 0x00000001;
         }
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @return A list containing the nameList.
       */
      public com.google.protobuf.ProtocolStringList
          getNameListList() {
        return nameList_.getUnmodifiableView();
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @return The count of nameList.
       */
      public int getNameListCount() {
        return nameList_.size();
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @param index The index of the element to return.
       * @return The nameList at the given index.
       */
      public java.lang.String getNameList(int index) {
        return nameList_.get(index);
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @param index The index of the value to return.
       * @return The bytes of the nameList at the given index.
       */
      public com.google.protobuf.ByteString
          getNameListBytes(int index) {
        return nameList_.getByteString(index);
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @param index The index to set the value at.
       * @param value The nameList to set.
       * @return This builder for chaining.
       */
      public Builder setNameList(
          int index, java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  ensureNameListIsMutable();
        nameList_.set(index, value);
        onChanged();
        return this;
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @param value The nameList to add.
       * @return This builder for chaining.
       */
      public Builder addNameList(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  ensureNameListIsMutable();
        nameList_.add(value);
        onChanged();
        return this;
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @param values The nameList to add.
       * @return This builder for chaining.
       */
      public Builder addAllNameList(
          java.lang.Iterable<java.lang.String> values) {
        ensureNameListIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, nameList_);
        onChanged();
        return this;
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearNameList() {
        nameList_ = com.google.protobuf.LazyStringArrayList.EMPTY;
        bitField0_ = (bitField0_ & ~0x00000001);
        onChanged();
        return this;
      }
      /**
       * <code>repeated string name_list = 1;</code>
       * @param value The bytes of the nameList to add.
       * @return This builder for chaining.
       */
      public Builder addNameListBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        ensureNameListIsMutable();
        nameList_.add(value);
        onChanged();
        return this;
      }

      private java.util.List<java.lang.Integer> typeList_ =
        java.util.Collections.emptyList();
      private void ensureTypeListIsMutable() {
        if (!((bitField0_ & 0x00000002) != 0)) {
          typeList_ = new java.util.ArrayList<java.lang.Integer>(typeList_);
          bitField0_ |= 0x00000002;
        }
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @return A list containing the typeList.
       */
      public java.util.List<org.aiflow.client.proto.Message.DataTypeProto> getTypeListList() {
        return new com.google.protobuf.Internal.ListAdapter<
            java.lang.Integer, org.aiflow.client.proto.Message.DataTypeProto>(typeList_, typeList_converter_);
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @return The count of typeList.
       */
      public int getTypeListCount() {
        return typeList_.size();
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param index The index of the element to return.
       * @return The typeList at the given index.
       */
      public org.aiflow.client.proto.Message.DataTypeProto getTypeList(int index) {
        return typeList_converter_.convert(typeList_.get(index));
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param index The index to set the value at.
       * @param value The typeList to set.
       * @return This builder for chaining.
       */
      public Builder setTypeList(
          int index, org.aiflow.client.proto.Message.DataTypeProto value) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureTypeListIsMutable();
        typeList_.set(index, value.getNumber());
        onChanged();
        return this;
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param value The typeList to add.
       * @return This builder for chaining.
       */
      public Builder addTypeList(org.aiflow.client.proto.Message.DataTypeProto value) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureTypeListIsMutable();
        typeList_.add(value.getNumber());
        onChanged();
        return this;
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param values The typeList to add.
       * @return This builder for chaining.
       */
      public Builder addAllTypeList(
          java.lang.Iterable<? extends org.aiflow.client.proto.Message.DataTypeProto> values) {
        ensureTypeListIsMutable();
        for (org.aiflow.client.proto.Message.DataTypeProto value : values) {
          typeList_.add(value.getNumber());
        }
        onChanged();
        return this;
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearTypeList() {
        typeList_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000002);
        onChanged();
        return this;
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @return A list containing the enum numeric values on the wire for typeList.
       */
      public java.util.List<java.lang.Integer>
      getTypeListValueList() {
        return java.util.Collections.unmodifiableList(typeList_);
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param index The index of the value to return.
       * @return The enum numeric value on the wire of typeList at the given index.
       */
      public int getTypeListValue(int index) {
        return typeList_.get(index);
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param index The index of the value to return.
       * @return The enum numeric value on the wire of typeList at the given index.
       * @return This builder for chaining.
       */
      public Builder setTypeListValue(
          int index, int value) {
        ensureTypeListIsMutable();
        typeList_.set(index, value);
        onChanged();
        return this;
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param value The enum numeric value on the wire for typeList to add.
       * @return This builder for chaining.
       */
      public Builder addTypeListValue(int value) {
        ensureTypeListIsMutable();
        typeList_.add(value);
        onChanged();
        return this;
      }
      /**
       * <code>repeated .ai_flow.DataTypeProto type_list = 2;</code>
       * @param values The enum numeric values on the wire for typeList to add.
       * @return This builder for chaining.
       */
      public Builder addAllTypeListValue(
          java.lang.Iterable<java.lang.Integer> values) {
        ensureTypeListIsMutable();
        for (int value : values) {
          typeList_.add(value);
        }
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.SchemaProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.SchemaProto)
    private static final org.aiflow.client.proto.Message.SchemaProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.SchemaProto();
    }

    public static org.aiflow.client.proto.Message.SchemaProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<SchemaProto>
        PARSER = new com.google.protobuf.AbstractParser<SchemaProto>() {
      @java.lang.Override
      public SchemaProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new SchemaProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<SchemaProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<SchemaProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.SchemaProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface DatasetProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.DatasetProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>.ai_flow.SchemaProto schema = 4;</code>
     * @return Whether the schema field is set.
     */
    boolean hasSchema();
    /**
     * <code>.ai_flow.SchemaProto schema = 4;</code>
     * @return The schema.
     */
    org.aiflow.client.proto.Message.SchemaProto getSchema();
    /**
     * <code>.ai_flow.SchemaProto schema = 4;</code>
     */
    org.aiflow.client.proto.Message.SchemaProtoOrBuilder getSchemaOrBuilder();

    /**
     * <code>.google.protobuf.StringValue data_format = 5;</code>
     * @return Whether the dataFormat field is set.
     */
    boolean hasDataFormat();
    /**
     * <code>.google.protobuf.StringValue data_format = 5;</code>
     * @return The dataFormat.
     */
    com.google.protobuf.StringValue getDataFormat();
    /**
     * <code>.google.protobuf.StringValue data_format = 5;</code>
     */
    com.google.protobuf.StringValueOrBuilder getDataFormatOrBuilder();

    /**
     * <code>.google.protobuf.StringValue uri = 6;</code>
     * @return Whether the uri field is set.
     */
    boolean hasUri();
    /**
     * <code>.google.protobuf.StringValue uri = 6;</code>
     * @return The uri.
     */
    com.google.protobuf.StringValue getUri();
    /**
     * <code>.google.protobuf.StringValue uri = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getUriOrBuilder();

    /**
     * <code>.google.protobuf.StringValue description = 7;</code>
     * @return Whether the description field is set.
     */
    boolean hasDescription();
    /**
     * <code>.google.protobuf.StringValue description = 7;</code>
     * @return The description.
     */
    com.google.protobuf.StringValue getDescription();
    /**
     * <code>.google.protobuf.StringValue description = 7;</code>
     */
    com.google.protobuf.StringValueOrBuilder getDescriptionOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value create_time = 8;</code>
     * @return Whether the createTime field is set.
     */
    boolean hasCreateTime();
    /**
     * <code>.google.protobuf.Int64Value create_time = 8;</code>
     * @return The createTime.
     */
    com.google.protobuf.Int64Value getCreateTime();
    /**
     * <code>.google.protobuf.Int64Value create_time = 8;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value update_time = 9;</code>
     * @return Whether the updateTime field is set.
     */
    boolean hasUpdateTime();
    /**
     * <code>.google.protobuf.Int64Value update_time = 9;</code>
     * @return The updateTime.
     */
    com.google.protobuf.Int64Value getUpdateTime();
    /**
     * <code>.google.protobuf.Int64Value update_time = 9;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue catalog_name = 10;</code>
     * @return Whether the catalogName field is set.
     */
    boolean hasCatalogName();
    /**
     * <code>.google.protobuf.StringValue catalog_name = 10;</code>
     * @return The catalogName.
     */
    com.google.protobuf.StringValue getCatalogName();
    /**
     * <code>.google.protobuf.StringValue catalog_name = 10;</code>
     */
    com.google.protobuf.StringValueOrBuilder getCatalogNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue catalog_type = 11;</code>
     * @return Whether the catalogType field is set.
     */
    boolean hasCatalogType();
    /**
     * <code>.google.protobuf.StringValue catalog_type = 11;</code>
     * @return The catalogType.
     */
    com.google.protobuf.StringValue getCatalogType();
    /**
     * <code>.google.protobuf.StringValue catalog_type = 11;</code>
     */
    com.google.protobuf.StringValueOrBuilder getCatalogTypeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue catalog_database = 12;</code>
     * @return Whether the catalogDatabase field is set.
     */
    boolean hasCatalogDatabase();
    /**
     * <code>.google.protobuf.StringValue catalog_database = 12;</code>
     * @return The catalogDatabase.
     */
    com.google.protobuf.StringValue getCatalogDatabase();
    /**
     * <code>.google.protobuf.StringValue catalog_database = 12;</code>
     */
    com.google.protobuf.StringValueOrBuilder getCatalogDatabaseOrBuilder();

    /**
     * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
     * @return Whether the catalogConnectionUri field is set.
     */
    boolean hasCatalogConnectionUri();
    /**
     * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
     * @return The catalogConnectionUri.
     */
    com.google.protobuf.StringValue getCatalogConnectionUri();
    /**
     * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
     */
    com.google.protobuf.StringValueOrBuilder getCatalogConnectionUriOrBuilder();

    /**
     * <code>.google.protobuf.StringValue catalog_table = 14;</code>
     * @return Whether the catalogTable field is set.
     */
    boolean hasCatalogTable();
    /**
     * <code>.google.protobuf.StringValue catalog_table = 14;</code>
     * @return The catalogTable.
     */
    com.google.protobuf.StringValue getCatalogTable();
    /**
     * <code>.google.protobuf.StringValue catalog_table = 14;</code>
     */
    com.google.protobuf.StringValueOrBuilder getCatalogTableOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.DatasetProto}
   */
  public static final class DatasetProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.DatasetProto)
      DatasetProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use DatasetProto.newBuilder() to construct.
    private DatasetProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private DatasetProto() {
      name_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new DatasetProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private DatasetProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 34: {
              org.aiflow.client.proto.Message.SchemaProto.Builder subBuilder = null;
              if (schema_ != null) {
                subBuilder = schema_.toBuilder();
              }
              schema_ = input.readMessage(org.aiflow.client.proto.Message.SchemaProto.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(schema_);
                schema_ = subBuilder.buildPartial();
              }

              break;
            }
            case 42: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (dataFormat_ != null) {
                subBuilder = dataFormat_.toBuilder();
              }
              dataFormat_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(dataFormat_);
                dataFormat_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (uri_ != null) {
                subBuilder = uri_.toBuilder();
              }
              uri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(uri_);
                uri_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (description_ != null) {
                subBuilder = description_.toBuilder();
              }
              description_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(description_);
                description_ = subBuilder.buildPartial();
              }

              break;
            }
            case 66: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (createTime_ != null) {
                subBuilder = createTime_.toBuilder();
              }
              createTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(createTime_);
                createTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 74: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (updateTime_ != null) {
                subBuilder = updateTime_.toBuilder();
              }
              updateTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(updateTime_);
                updateTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 82: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (catalogName_ != null) {
                subBuilder = catalogName_.toBuilder();
              }
              catalogName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(catalogName_);
                catalogName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 90: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (catalogType_ != null) {
                subBuilder = catalogType_.toBuilder();
              }
              catalogType_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(catalogType_);
                catalogType_ = subBuilder.buildPartial();
              }

              break;
            }
            case 98: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (catalogDatabase_ != null) {
                subBuilder = catalogDatabase_.toBuilder();
              }
              catalogDatabase_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(catalogDatabase_);
                catalogDatabase_ = subBuilder.buildPartial();
              }

              break;
            }
            case 106: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (catalogConnectionUri_ != null) {
                subBuilder = catalogConnectionUri_.toBuilder();
              }
              catalogConnectionUri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(catalogConnectionUri_);
                catalogConnectionUri_ = subBuilder.buildPartial();
              }

              break;
            }
            case 114: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (catalogTable_ != null) {
                subBuilder = catalogTable_.toBuilder();
              }
              catalogTable_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(catalogTable_);
                catalogTable_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_DatasetProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 3:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_DatasetProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.DatasetProto.class, org.aiflow.client.proto.Message.DatasetProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROPERTIES_FIELD_NUMBER = 3;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_DatasetProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int SCHEMA_FIELD_NUMBER = 4;
    private org.aiflow.client.proto.Message.SchemaProto schema_;
    /**
     * <code>.ai_flow.SchemaProto schema = 4;</code>
     * @return Whether the schema field is set.
     */
    @java.lang.Override
    public boolean hasSchema() {
      return schema_ != null;
    }
    /**
     * <code>.ai_flow.SchemaProto schema = 4;</code>
     * @return The schema.
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.SchemaProto getSchema() {
      return schema_ == null ? org.aiflow.client.proto.Message.SchemaProto.getDefaultInstance() : schema_;
    }
    /**
     * <code>.ai_flow.SchemaProto schema = 4;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.SchemaProtoOrBuilder getSchemaOrBuilder() {
      return getSchema();
    }

    public static final int DATA_FORMAT_FIELD_NUMBER = 5;
    private com.google.protobuf.StringValue dataFormat_;
    /**
     * <code>.google.protobuf.StringValue data_format = 5;</code>
     * @return Whether the dataFormat field is set.
     */
    @java.lang.Override
    public boolean hasDataFormat() {
      return dataFormat_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue data_format = 5;</code>
     * @return The dataFormat.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getDataFormat() {
      return dataFormat_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : dataFormat_;
    }
    /**
     * <code>.google.protobuf.StringValue data_format = 5;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getDataFormatOrBuilder() {
      return getDataFormat();
    }

    public static final int URI_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue uri_;
    /**
     * <code>.google.protobuf.StringValue uri = 6;</code>
     * @return Whether the uri field is set.
     */
    @java.lang.Override
    public boolean hasUri() {
      return uri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 6;</code>
     * @return The uri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getUri() {
      return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
      return getUri();
    }

    public static final int DESCRIPTION_FIELD_NUMBER = 7;
    private com.google.protobuf.StringValue description_;
    /**
     * <code>.google.protobuf.StringValue description = 7;</code>
     * @return Whether the description field is set.
     */
    @java.lang.Override
    public boolean hasDescription() {
      return description_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue description = 7;</code>
     * @return The description.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getDescription() {
      return description_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : description_;
    }
    /**
     * <code>.google.protobuf.StringValue description = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getDescriptionOrBuilder() {
      return getDescription();
    }

    public static final int CREATE_TIME_FIELD_NUMBER = 8;
    private com.google.protobuf.Int64Value createTime_;
    /**
     * <code>.google.protobuf.Int64Value create_time = 8;</code>
     * @return Whether the createTime field is set.
     */
    @java.lang.Override
    public boolean hasCreateTime() {
      return createTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value create_time = 8;</code>
     * @return The createTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getCreateTime() {
      return createTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value create_time = 8;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder() {
      return getCreateTime();
    }

    public static final int UPDATE_TIME_FIELD_NUMBER = 9;
    private com.google.protobuf.Int64Value updateTime_;
    /**
     * <code>.google.protobuf.Int64Value update_time = 9;</code>
     * @return Whether the updateTime field is set.
     */
    @java.lang.Override
    public boolean hasUpdateTime() {
      return updateTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value update_time = 9;</code>
     * @return The updateTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getUpdateTime() {
      return updateTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value update_time = 9;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder() {
      return getUpdateTime();
    }

    public static final int CATALOG_NAME_FIELD_NUMBER = 10;
    private com.google.protobuf.StringValue catalogName_;
    /**
     * <code>.google.protobuf.StringValue catalog_name = 10;</code>
     * @return Whether the catalogName field is set.
     */
    @java.lang.Override
    public boolean hasCatalogName() {
      return catalogName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_name = 10;</code>
     * @return The catalogName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getCatalogName() {
      return catalogName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogName_;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_name = 10;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getCatalogNameOrBuilder() {
      return getCatalogName();
    }

    public static final int CATALOG_TYPE_FIELD_NUMBER = 11;
    private com.google.protobuf.StringValue catalogType_;
    /**
     * <code>.google.protobuf.StringValue catalog_type = 11;</code>
     * @return Whether the catalogType field is set.
     */
    @java.lang.Override
    public boolean hasCatalogType() {
      return catalogType_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_type = 11;</code>
     * @return The catalogType.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getCatalogType() {
      return catalogType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogType_;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_type = 11;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getCatalogTypeOrBuilder() {
      return getCatalogType();
    }

    public static final int CATALOG_DATABASE_FIELD_NUMBER = 12;
    private com.google.protobuf.StringValue catalogDatabase_;
    /**
     * <code>.google.protobuf.StringValue catalog_database = 12;</code>
     * @return Whether the catalogDatabase field is set.
     */
    @java.lang.Override
    public boolean hasCatalogDatabase() {
      return catalogDatabase_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_database = 12;</code>
     * @return The catalogDatabase.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getCatalogDatabase() {
      return catalogDatabase_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogDatabase_;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_database = 12;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getCatalogDatabaseOrBuilder() {
      return getCatalogDatabase();
    }

    public static final int CATALOG_CONNECTION_URI_FIELD_NUMBER = 13;
    private com.google.protobuf.StringValue catalogConnectionUri_;
    /**
     * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
     * @return Whether the catalogConnectionUri field is set.
     */
    @java.lang.Override
    public boolean hasCatalogConnectionUri() {
      return catalogConnectionUri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
     * @return The catalogConnectionUri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getCatalogConnectionUri() {
      return catalogConnectionUri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogConnectionUri_;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getCatalogConnectionUriOrBuilder() {
      return getCatalogConnectionUri();
    }

    public static final int CATALOG_TABLE_FIELD_NUMBER = 14;
    private com.google.protobuf.StringValue catalogTable_;
    /**
     * <code>.google.protobuf.StringValue catalog_table = 14;</code>
     * @return Whether the catalogTable field is set.
     */
    @java.lang.Override
    public boolean hasCatalogTable() {
      return catalogTable_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_table = 14;</code>
     * @return The catalogTable.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getCatalogTable() {
      return catalogTable_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogTable_;
    }
    /**
     * <code>.google.protobuf.StringValue catalog_table = 14;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getCatalogTableOrBuilder() {
      return getCatalogTable();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          3);
      if (schema_ != null) {
        output.writeMessage(4, getSchema());
      }
      if (dataFormat_ != null) {
        output.writeMessage(5, getDataFormat());
      }
      if (uri_ != null) {
        output.writeMessage(6, getUri());
      }
      if (description_ != null) {
        output.writeMessage(7, getDescription());
      }
      if (createTime_ != null) {
        output.writeMessage(8, getCreateTime());
      }
      if (updateTime_ != null) {
        output.writeMessage(9, getUpdateTime());
      }
      if (catalogName_ != null) {
        output.writeMessage(10, getCatalogName());
      }
      if (catalogType_ != null) {
        output.writeMessage(11, getCatalogType());
      }
      if (catalogDatabase_ != null) {
        output.writeMessage(12, getCatalogDatabase());
      }
      if (catalogConnectionUri_ != null) {
        output.writeMessage(13, getCatalogConnectionUri());
      }
      if (catalogTable_ != null) {
        output.writeMessage(14, getCatalogTable());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(3, properties__);
      }
      if (schema_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getSchema());
      }
      if (dataFormat_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(5, getDataFormat());
      }
      if (uri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getUri());
      }
      if (description_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getDescription());
      }
      if (createTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(8, getCreateTime());
      }
      if (updateTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(9, getUpdateTime());
      }
      if (catalogName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(10, getCatalogName());
      }
      if (catalogType_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(11, getCatalogType());
      }
      if (catalogDatabase_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(12, getCatalogDatabase());
      }
      if (catalogConnectionUri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(13, getCatalogConnectionUri());
      }
      if (catalogTable_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(14, getCatalogTable());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.DatasetProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.DatasetProto other = (org.aiflow.client.proto.Message.DatasetProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (hasSchema() != other.hasSchema()) return false;
      if (hasSchema()) {
        if (!getSchema()
            .equals(other.getSchema())) return false;
      }
      if (hasDataFormat() != other.hasDataFormat()) return false;
      if (hasDataFormat()) {
        if (!getDataFormat()
            .equals(other.getDataFormat())) return false;
      }
      if (hasUri() != other.hasUri()) return false;
      if (hasUri()) {
        if (!getUri()
            .equals(other.getUri())) return false;
      }
      if (hasDescription() != other.hasDescription()) return false;
      if (hasDescription()) {
        if (!getDescription()
            .equals(other.getDescription())) return false;
      }
      if (hasCreateTime() != other.hasCreateTime()) return false;
      if (hasCreateTime()) {
        if (!getCreateTime()
            .equals(other.getCreateTime())) return false;
      }
      if (hasUpdateTime() != other.hasUpdateTime()) return false;
      if (hasUpdateTime()) {
        if (!getUpdateTime()
            .equals(other.getUpdateTime())) return false;
      }
      if (hasCatalogName() != other.hasCatalogName()) return false;
      if (hasCatalogName()) {
        if (!getCatalogName()
            .equals(other.getCatalogName())) return false;
      }
      if (hasCatalogType() != other.hasCatalogType()) return false;
      if (hasCatalogType()) {
        if (!getCatalogType()
            .equals(other.getCatalogType())) return false;
      }
      if (hasCatalogDatabase() != other.hasCatalogDatabase()) return false;
      if (hasCatalogDatabase()) {
        if (!getCatalogDatabase()
            .equals(other.getCatalogDatabase())) return false;
      }
      if (hasCatalogConnectionUri() != other.hasCatalogConnectionUri()) return false;
      if (hasCatalogConnectionUri()) {
        if (!getCatalogConnectionUri()
            .equals(other.getCatalogConnectionUri())) return false;
      }
      if (hasCatalogTable() != other.hasCatalogTable()) return false;
      if (hasCatalogTable()) {
        if (!getCatalogTable()
            .equals(other.getCatalogTable())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      if (hasSchema()) {
        hash = (37 * hash) + SCHEMA_FIELD_NUMBER;
        hash = (53 * hash) + getSchema().hashCode();
      }
      if (hasDataFormat()) {
        hash = (37 * hash) + DATA_FORMAT_FIELD_NUMBER;
        hash = (53 * hash) + getDataFormat().hashCode();
      }
      if (hasUri()) {
        hash = (37 * hash) + URI_FIELD_NUMBER;
        hash = (53 * hash) + getUri().hashCode();
      }
      if (hasDescription()) {
        hash = (37 * hash) + DESCRIPTION_FIELD_NUMBER;
        hash = (53 * hash) + getDescription().hashCode();
      }
      if (hasCreateTime()) {
        hash = (37 * hash) + CREATE_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getCreateTime().hashCode();
      }
      if (hasUpdateTime()) {
        hash = (37 * hash) + UPDATE_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getUpdateTime().hashCode();
      }
      if (hasCatalogName()) {
        hash = (37 * hash) + CATALOG_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getCatalogName().hashCode();
      }
      if (hasCatalogType()) {
        hash = (37 * hash) + CATALOG_TYPE_FIELD_NUMBER;
        hash = (53 * hash) + getCatalogType().hashCode();
      }
      if (hasCatalogDatabase()) {
        hash = (37 * hash) + CATALOG_DATABASE_FIELD_NUMBER;
        hash = (53 * hash) + getCatalogDatabase().hashCode();
      }
      if (hasCatalogConnectionUri()) {
        hash = (37 * hash) + CATALOG_CONNECTION_URI_FIELD_NUMBER;
        hash = (53 * hash) + getCatalogConnectionUri().hashCode();
      }
      if (hasCatalogTable()) {
        hash = (37 * hash) + CATALOG_TABLE_FIELD_NUMBER;
        hash = (53 * hash) + getCatalogTable().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.DatasetProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.DatasetProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.DatasetProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.DatasetProto)
        org.aiflow.client.proto.Message.DatasetProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_DatasetProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 3:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 3:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_DatasetProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.DatasetProto.class, org.aiflow.client.proto.Message.DatasetProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.DatasetProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        internalGetMutableProperties().clear();
        if (schemaBuilder_ == null) {
          schema_ = null;
        } else {
          schema_ = null;
          schemaBuilder_ = null;
        }
        if (dataFormatBuilder_ == null) {
          dataFormat_ = null;
        } else {
          dataFormat_ = null;
          dataFormatBuilder_ = null;
        }
        if (uriBuilder_ == null) {
          uri_ = null;
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }
        if (descriptionBuilder_ == null) {
          description_ = null;
        } else {
          description_ = null;
          descriptionBuilder_ = null;
        }
        if (createTimeBuilder_ == null) {
          createTime_ = null;
        } else {
          createTime_ = null;
          createTimeBuilder_ = null;
        }
        if (updateTimeBuilder_ == null) {
          updateTime_ = null;
        } else {
          updateTime_ = null;
          updateTimeBuilder_ = null;
        }
        if (catalogNameBuilder_ == null) {
          catalogName_ = null;
        } else {
          catalogName_ = null;
          catalogNameBuilder_ = null;
        }
        if (catalogTypeBuilder_ == null) {
          catalogType_ = null;
        } else {
          catalogType_ = null;
          catalogTypeBuilder_ = null;
        }
        if (catalogDatabaseBuilder_ == null) {
          catalogDatabase_ = null;
        } else {
          catalogDatabase_ = null;
          catalogDatabaseBuilder_ = null;
        }
        if (catalogConnectionUriBuilder_ == null) {
          catalogConnectionUri_ = null;
        } else {
          catalogConnectionUri_ = null;
          catalogConnectionUriBuilder_ = null;
        }
        if (catalogTableBuilder_ == null) {
          catalogTable_ = null;
        } else {
          catalogTable_ = null;
          catalogTableBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_DatasetProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.DatasetProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.DatasetProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.DatasetProto build() {
        org.aiflow.client.proto.Message.DatasetProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.DatasetProto buildPartial() {
        org.aiflow.client.proto.Message.DatasetProto result = new org.aiflow.client.proto.Message.DatasetProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        if (schemaBuilder_ == null) {
          result.schema_ = schema_;
        } else {
          result.schema_ = schemaBuilder_.build();
        }
        if (dataFormatBuilder_ == null) {
          result.dataFormat_ = dataFormat_;
        } else {
          result.dataFormat_ = dataFormatBuilder_.build();
        }
        if (uriBuilder_ == null) {
          result.uri_ = uri_;
        } else {
          result.uri_ = uriBuilder_.build();
        }
        if (descriptionBuilder_ == null) {
          result.description_ = description_;
        } else {
          result.description_ = descriptionBuilder_.build();
        }
        if (createTimeBuilder_ == null) {
          result.createTime_ = createTime_;
        } else {
          result.createTime_ = createTimeBuilder_.build();
        }
        if (updateTimeBuilder_ == null) {
          result.updateTime_ = updateTime_;
        } else {
          result.updateTime_ = updateTimeBuilder_.build();
        }
        if (catalogNameBuilder_ == null) {
          result.catalogName_ = catalogName_;
        } else {
          result.catalogName_ = catalogNameBuilder_.build();
        }
        if (catalogTypeBuilder_ == null) {
          result.catalogType_ = catalogType_;
        } else {
          result.catalogType_ = catalogTypeBuilder_.build();
        }
        if (catalogDatabaseBuilder_ == null) {
          result.catalogDatabase_ = catalogDatabase_;
        } else {
          result.catalogDatabase_ = catalogDatabaseBuilder_.build();
        }
        if (catalogConnectionUriBuilder_ == null) {
          result.catalogConnectionUri_ = catalogConnectionUri_;
        } else {
          result.catalogConnectionUri_ = catalogConnectionUriBuilder_.build();
        }
        if (catalogTableBuilder_ == null) {
          result.catalogTable_ = catalogTable_;
        } else {
          result.catalogTable_ = catalogTableBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.DatasetProto) {
          return mergeFrom((org.aiflow.client.proto.Message.DatasetProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.DatasetProto other) {
        if (other == org.aiflow.client.proto.Message.DatasetProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (other.hasSchema()) {
          mergeSchema(other.getSchema());
        }
        if (other.hasDataFormat()) {
          mergeDataFormat(other.getDataFormat());
        }
        if (other.hasUri()) {
          mergeUri(other.getUri());
        }
        if (other.hasDescription()) {
          mergeDescription(other.getDescription());
        }
        if (other.hasCreateTime()) {
          mergeCreateTime(other.getCreateTime());
        }
        if (other.hasUpdateTime()) {
          mergeUpdateTime(other.getUpdateTime());
        }
        if (other.hasCatalogName()) {
          mergeCatalogName(other.getCatalogName());
        }
        if (other.hasCatalogType()) {
          mergeCatalogType(other.getCatalogType());
        }
        if (other.hasCatalogDatabase()) {
          mergeCatalogDatabase(other.getCatalogDatabase());
        }
        if (other.hasCatalogConnectionUri()) {
          mergeCatalogConnectionUri(other.getCatalogConnectionUri());
        }
        if (other.hasCatalogTable()) {
          mergeCatalogTable(other.getCatalogTable());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.DatasetProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.DatasetProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private org.aiflow.client.proto.Message.SchemaProto schema_;
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.SchemaProto, org.aiflow.client.proto.Message.SchemaProto.Builder, org.aiflow.client.proto.Message.SchemaProtoOrBuilder> schemaBuilder_;
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       * @return Whether the schema field is set.
       */
      public boolean hasSchema() {
        return schemaBuilder_ != null || schema_ != null;
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       * @return The schema.
       */
      public org.aiflow.client.proto.Message.SchemaProto getSchema() {
        if (schemaBuilder_ == null) {
          return schema_ == null ? org.aiflow.client.proto.Message.SchemaProto.getDefaultInstance() : schema_;
        } else {
          return schemaBuilder_.getMessage();
        }
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      public Builder setSchema(org.aiflow.client.proto.Message.SchemaProto value) {
        if (schemaBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          schema_ = value;
          onChanged();
        } else {
          schemaBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      public Builder setSchema(
          org.aiflow.client.proto.Message.SchemaProto.Builder builderForValue) {
        if (schemaBuilder_ == null) {
          schema_ = builderForValue.build();
          onChanged();
        } else {
          schemaBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      public Builder mergeSchema(org.aiflow.client.proto.Message.SchemaProto value) {
        if (schemaBuilder_ == null) {
          if (schema_ != null) {
            schema_ =
              org.aiflow.client.proto.Message.SchemaProto.newBuilder(schema_).mergeFrom(value).buildPartial();
          } else {
            schema_ = value;
          }
          onChanged();
        } else {
          schemaBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      public Builder clearSchema() {
        if (schemaBuilder_ == null) {
          schema_ = null;
          onChanged();
        } else {
          schema_ = null;
          schemaBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      public org.aiflow.client.proto.Message.SchemaProto.Builder getSchemaBuilder() {
        
        onChanged();
        return getSchemaFieldBuilder().getBuilder();
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      public org.aiflow.client.proto.Message.SchemaProtoOrBuilder getSchemaOrBuilder() {
        if (schemaBuilder_ != null) {
          return schemaBuilder_.getMessageOrBuilder();
        } else {
          return schema_ == null ?
              org.aiflow.client.proto.Message.SchemaProto.getDefaultInstance() : schema_;
        }
      }
      /**
       * <code>.ai_flow.SchemaProto schema = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.SchemaProto, org.aiflow.client.proto.Message.SchemaProto.Builder, org.aiflow.client.proto.Message.SchemaProtoOrBuilder> 
          getSchemaFieldBuilder() {
        if (schemaBuilder_ == null) {
          schemaBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              org.aiflow.client.proto.Message.SchemaProto, org.aiflow.client.proto.Message.SchemaProto.Builder, org.aiflow.client.proto.Message.SchemaProtoOrBuilder>(
                  getSchema(),
                  getParentForChildren(),
                  isClean());
          schema_ = null;
        }
        return schemaBuilder_;
      }

      private com.google.protobuf.StringValue dataFormat_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> dataFormatBuilder_;
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       * @return Whether the dataFormat field is set.
       */
      public boolean hasDataFormat() {
        return dataFormatBuilder_ != null || dataFormat_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       * @return The dataFormat.
       */
      public com.google.protobuf.StringValue getDataFormat() {
        if (dataFormatBuilder_ == null) {
          return dataFormat_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : dataFormat_;
        } else {
          return dataFormatBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      public Builder setDataFormat(com.google.protobuf.StringValue value) {
        if (dataFormatBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          dataFormat_ = value;
          onChanged();
        } else {
          dataFormatBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      public Builder setDataFormat(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (dataFormatBuilder_ == null) {
          dataFormat_ = builderForValue.build();
          onChanged();
        } else {
          dataFormatBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      public Builder mergeDataFormat(com.google.protobuf.StringValue value) {
        if (dataFormatBuilder_ == null) {
          if (dataFormat_ != null) {
            dataFormat_ =
              com.google.protobuf.StringValue.newBuilder(dataFormat_).mergeFrom(value).buildPartial();
          } else {
            dataFormat_ = value;
          }
          onChanged();
        } else {
          dataFormatBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      public Builder clearDataFormat() {
        if (dataFormatBuilder_ == null) {
          dataFormat_ = null;
          onChanged();
        } else {
          dataFormat_ = null;
          dataFormatBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      public com.google.protobuf.StringValue.Builder getDataFormatBuilder() {
        
        onChanged();
        return getDataFormatFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getDataFormatOrBuilder() {
        if (dataFormatBuilder_ != null) {
          return dataFormatBuilder_.getMessageOrBuilder();
        } else {
          return dataFormat_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : dataFormat_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue data_format = 5;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getDataFormatFieldBuilder() {
        if (dataFormatBuilder_ == null) {
          dataFormatBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getDataFormat(),
                  getParentForChildren(),
                  isClean());
          dataFormat_ = null;
        }
        return dataFormatBuilder_;
      }

      private com.google.protobuf.StringValue uri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> uriBuilder_;
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       * @return Whether the uri field is set.
       */
      public boolean hasUri() {
        return uriBuilder_ != null || uri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       * @return The uri.
       */
      public com.google.protobuf.StringValue getUri() {
        if (uriBuilder_ == null) {
          return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        } else {
          return uriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      public Builder setUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          uri_ = value;
          onChanged();
        } else {
          uriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      public Builder setUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (uriBuilder_ == null) {
          uri_ = builderForValue.build();
          onChanged();
        } else {
          uriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      public Builder mergeUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (uri_ != null) {
            uri_ =
              com.google.protobuf.StringValue.newBuilder(uri_).mergeFrom(value).buildPartial();
          } else {
            uri_ = value;
          }
          onChanged();
        } else {
          uriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      public Builder clearUri() {
        if (uriBuilder_ == null) {
          uri_ = null;
          onChanged();
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getUriBuilder() {
        
        onChanged();
        return getUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
        if (uriBuilder_ != null) {
          return uriBuilder_.getMessageOrBuilder();
        } else {
          return uri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getUriFieldBuilder() {
        if (uriBuilder_ == null) {
          uriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getUri(),
                  getParentForChildren(),
                  isClean());
          uri_ = null;
        }
        return uriBuilder_;
      }

      private com.google.protobuf.StringValue description_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> descriptionBuilder_;
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       * @return Whether the description field is set.
       */
      public boolean hasDescription() {
        return descriptionBuilder_ != null || description_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       * @return The description.
       */
      public com.google.protobuf.StringValue getDescription() {
        if (descriptionBuilder_ == null) {
          return description_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : description_;
        } else {
          return descriptionBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      public Builder setDescription(com.google.protobuf.StringValue value) {
        if (descriptionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          description_ = value;
          onChanged();
        } else {
          descriptionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      public Builder setDescription(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (descriptionBuilder_ == null) {
          description_ = builderForValue.build();
          onChanged();
        } else {
          descriptionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      public Builder mergeDescription(com.google.protobuf.StringValue value) {
        if (descriptionBuilder_ == null) {
          if (description_ != null) {
            description_ =
              com.google.protobuf.StringValue.newBuilder(description_).mergeFrom(value).buildPartial();
          } else {
            description_ = value;
          }
          onChanged();
        } else {
          descriptionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      public Builder clearDescription() {
        if (descriptionBuilder_ == null) {
          description_ = null;
          onChanged();
        } else {
          description_ = null;
          descriptionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      public com.google.protobuf.StringValue.Builder getDescriptionBuilder() {
        
        onChanged();
        return getDescriptionFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getDescriptionOrBuilder() {
        if (descriptionBuilder_ != null) {
          return descriptionBuilder_.getMessageOrBuilder();
        } else {
          return description_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : description_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue description = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getDescriptionFieldBuilder() {
        if (descriptionBuilder_ == null) {
          descriptionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getDescription(),
                  getParentForChildren(),
                  isClean());
          description_ = null;
        }
        return descriptionBuilder_;
      }

      private com.google.protobuf.Int64Value createTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> createTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       * @return Whether the createTime field is set.
       */
      public boolean hasCreateTime() {
        return createTimeBuilder_ != null || createTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       * @return The createTime.
       */
      public com.google.protobuf.Int64Value getCreateTime() {
        if (createTimeBuilder_ == null) {
          return createTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
        } else {
          return createTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      public Builder setCreateTime(com.google.protobuf.Int64Value value) {
        if (createTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          createTime_ = value;
          onChanged();
        } else {
          createTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      public Builder setCreateTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (createTimeBuilder_ == null) {
          createTime_ = builderForValue.build();
          onChanged();
        } else {
          createTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      public Builder mergeCreateTime(com.google.protobuf.Int64Value value) {
        if (createTimeBuilder_ == null) {
          if (createTime_ != null) {
            createTime_ =
              com.google.protobuf.Int64Value.newBuilder(createTime_).mergeFrom(value).buildPartial();
          } else {
            createTime_ = value;
          }
          onChanged();
        } else {
          createTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      public Builder clearCreateTime() {
        if (createTimeBuilder_ == null) {
          createTime_ = null;
          onChanged();
        } else {
          createTime_ = null;
          createTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      public com.google.protobuf.Int64Value.Builder getCreateTimeBuilder() {
        
        onChanged();
        return getCreateTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder() {
        if (createTimeBuilder_ != null) {
          return createTimeBuilder_.getMessageOrBuilder();
        } else {
          return createTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 8;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getCreateTimeFieldBuilder() {
        if (createTimeBuilder_ == null) {
          createTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getCreateTime(),
                  getParentForChildren(),
                  isClean());
          createTime_ = null;
        }
        return createTimeBuilder_;
      }

      private com.google.protobuf.Int64Value updateTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> updateTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       * @return Whether the updateTime field is set.
       */
      public boolean hasUpdateTime() {
        return updateTimeBuilder_ != null || updateTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       * @return The updateTime.
       */
      public com.google.protobuf.Int64Value getUpdateTime() {
        if (updateTimeBuilder_ == null) {
          return updateTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
        } else {
          return updateTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      public Builder setUpdateTime(com.google.protobuf.Int64Value value) {
        if (updateTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          updateTime_ = value;
          onChanged();
        } else {
          updateTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      public Builder setUpdateTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (updateTimeBuilder_ == null) {
          updateTime_ = builderForValue.build();
          onChanged();
        } else {
          updateTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      public Builder mergeUpdateTime(com.google.protobuf.Int64Value value) {
        if (updateTimeBuilder_ == null) {
          if (updateTime_ != null) {
            updateTime_ =
              com.google.protobuf.Int64Value.newBuilder(updateTime_).mergeFrom(value).buildPartial();
          } else {
            updateTime_ = value;
          }
          onChanged();
        } else {
          updateTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      public Builder clearUpdateTime() {
        if (updateTimeBuilder_ == null) {
          updateTime_ = null;
          onChanged();
        } else {
          updateTime_ = null;
          updateTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      public com.google.protobuf.Int64Value.Builder getUpdateTimeBuilder() {
        
        onChanged();
        return getUpdateTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder() {
        if (updateTimeBuilder_ != null) {
          return updateTimeBuilder_.getMessageOrBuilder();
        } else {
          return updateTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 9;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getUpdateTimeFieldBuilder() {
        if (updateTimeBuilder_ == null) {
          updateTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getUpdateTime(),
                  getParentForChildren(),
                  isClean());
          updateTime_ = null;
        }
        return updateTimeBuilder_;
      }

      private com.google.protobuf.StringValue catalogName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> catalogNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       * @return Whether the catalogName field is set.
       */
      public boolean hasCatalogName() {
        return catalogNameBuilder_ != null || catalogName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       * @return The catalogName.
       */
      public com.google.protobuf.StringValue getCatalogName() {
        if (catalogNameBuilder_ == null) {
          return catalogName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogName_;
        } else {
          return catalogNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      public Builder setCatalogName(com.google.protobuf.StringValue value) {
        if (catalogNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          catalogName_ = value;
          onChanged();
        } else {
          catalogNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      public Builder setCatalogName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (catalogNameBuilder_ == null) {
          catalogName_ = builderForValue.build();
          onChanged();
        } else {
          catalogNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      public Builder mergeCatalogName(com.google.protobuf.StringValue value) {
        if (catalogNameBuilder_ == null) {
          if (catalogName_ != null) {
            catalogName_ =
              com.google.protobuf.StringValue.newBuilder(catalogName_).mergeFrom(value).buildPartial();
          } else {
            catalogName_ = value;
          }
          onChanged();
        } else {
          catalogNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      public Builder clearCatalogName() {
        if (catalogNameBuilder_ == null) {
          catalogName_ = null;
          onChanged();
        } else {
          catalogName_ = null;
          catalogNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      public com.google.protobuf.StringValue.Builder getCatalogNameBuilder() {
        
        onChanged();
        return getCatalogNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getCatalogNameOrBuilder() {
        if (catalogNameBuilder_ != null) {
          return catalogNameBuilder_.getMessageOrBuilder();
        } else {
          return catalogName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : catalogName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_name = 10;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getCatalogNameFieldBuilder() {
        if (catalogNameBuilder_ == null) {
          catalogNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getCatalogName(),
                  getParentForChildren(),
                  isClean());
          catalogName_ = null;
        }
        return catalogNameBuilder_;
      }

      private com.google.protobuf.StringValue catalogType_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> catalogTypeBuilder_;
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       * @return Whether the catalogType field is set.
       */
      public boolean hasCatalogType() {
        return catalogTypeBuilder_ != null || catalogType_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       * @return The catalogType.
       */
      public com.google.protobuf.StringValue getCatalogType() {
        if (catalogTypeBuilder_ == null) {
          return catalogType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogType_;
        } else {
          return catalogTypeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      public Builder setCatalogType(com.google.protobuf.StringValue value) {
        if (catalogTypeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          catalogType_ = value;
          onChanged();
        } else {
          catalogTypeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      public Builder setCatalogType(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (catalogTypeBuilder_ == null) {
          catalogType_ = builderForValue.build();
          onChanged();
        } else {
          catalogTypeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      public Builder mergeCatalogType(com.google.protobuf.StringValue value) {
        if (catalogTypeBuilder_ == null) {
          if (catalogType_ != null) {
            catalogType_ =
              com.google.protobuf.StringValue.newBuilder(catalogType_).mergeFrom(value).buildPartial();
          } else {
            catalogType_ = value;
          }
          onChanged();
        } else {
          catalogTypeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      public Builder clearCatalogType() {
        if (catalogTypeBuilder_ == null) {
          catalogType_ = null;
          onChanged();
        } else {
          catalogType_ = null;
          catalogTypeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      public com.google.protobuf.StringValue.Builder getCatalogTypeBuilder() {
        
        onChanged();
        return getCatalogTypeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getCatalogTypeOrBuilder() {
        if (catalogTypeBuilder_ != null) {
          return catalogTypeBuilder_.getMessageOrBuilder();
        } else {
          return catalogType_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : catalogType_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_type = 11;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getCatalogTypeFieldBuilder() {
        if (catalogTypeBuilder_ == null) {
          catalogTypeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getCatalogType(),
                  getParentForChildren(),
                  isClean());
          catalogType_ = null;
        }
        return catalogTypeBuilder_;
      }

      private com.google.protobuf.StringValue catalogDatabase_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> catalogDatabaseBuilder_;
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       * @return Whether the catalogDatabase field is set.
       */
      public boolean hasCatalogDatabase() {
        return catalogDatabaseBuilder_ != null || catalogDatabase_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       * @return The catalogDatabase.
       */
      public com.google.protobuf.StringValue getCatalogDatabase() {
        if (catalogDatabaseBuilder_ == null) {
          return catalogDatabase_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogDatabase_;
        } else {
          return catalogDatabaseBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      public Builder setCatalogDatabase(com.google.protobuf.StringValue value) {
        if (catalogDatabaseBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          catalogDatabase_ = value;
          onChanged();
        } else {
          catalogDatabaseBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      public Builder setCatalogDatabase(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (catalogDatabaseBuilder_ == null) {
          catalogDatabase_ = builderForValue.build();
          onChanged();
        } else {
          catalogDatabaseBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      public Builder mergeCatalogDatabase(com.google.protobuf.StringValue value) {
        if (catalogDatabaseBuilder_ == null) {
          if (catalogDatabase_ != null) {
            catalogDatabase_ =
              com.google.protobuf.StringValue.newBuilder(catalogDatabase_).mergeFrom(value).buildPartial();
          } else {
            catalogDatabase_ = value;
          }
          onChanged();
        } else {
          catalogDatabaseBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      public Builder clearCatalogDatabase() {
        if (catalogDatabaseBuilder_ == null) {
          catalogDatabase_ = null;
          onChanged();
        } else {
          catalogDatabase_ = null;
          catalogDatabaseBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      public com.google.protobuf.StringValue.Builder getCatalogDatabaseBuilder() {
        
        onChanged();
        return getCatalogDatabaseFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getCatalogDatabaseOrBuilder() {
        if (catalogDatabaseBuilder_ != null) {
          return catalogDatabaseBuilder_.getMessageOrBuilder();
        } else {
          return catalogDatabase_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : catalogDatabase_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_database = 12;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getCatalogDatabaseFieldBuilder() {
        if (catalogDatabaseBuilder_ == null) {
          catalogDatabaseBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getCatalogDatabase(),
                  getParentForChildren(),
                  isClean());
          catalogDatabase_ = null;
        }
        return catalogDatabaseBuilder_;
      }

      private com.google.protobuf.StringValue catalogConnectionUri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> catalogConnectionUriBuilder_;
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       * @return Whether the catalogConnectionUri field is set.
       */
      public boolean hasCatalogConnectionUri() {
        return catalogConnectionUriBuilder_ != null || catalogConnectionUri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       * @return The catalogConnectionUri.
       */
      public com.google.protobuf.StringValue getCatalogConnectionUri() {
        if (catalogConnectionUriBuilder_ == null) {
          return catalogConnectionUri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogConnectionUri_;
        } else {
          return catalogConnectionUriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      public Builder setCatalogConnectionUri(com.google.protobuf.StringValue value) {
        if (catalogConnectionUriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          catalogConnectionUri_ = value;
          onChanged();
        } else {
          catalogConnectionUriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      public Builder setCatalogConnectionUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (catalogConnectionUriBuilder_ == null) {
          catalogConnectionUri_ = builderForValue.build();
          onChanged();
        } else {
          catalogConnectionUriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      public Builder mergeCatalogConnectionUri(com.google.protobuf.StringValue value) {
        if (catalogConnectionUriBuilder_ == null) {
          if (catalogConnectionUri_ != null) {
            catalogConnectionUri_ =
              com.google.protobuf.StringValue.newBuilder(catalogConnectionUri_).mergeFrom(value).buildPartial();
          } else {
            catalogConnectionUri_ = value;
          }
          onChanged();
        } else {
          catalogConnectionUriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      public Builder clearCatalogConnectionUri() {
        if (catalogConnectionUriBuilder_ == null) {
          catalogConnectionUri_ = null;
          onChanged();
        } else {
          catalogConnectionUri_ = null;
          catalogConnectionUriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      public com.google.protobuf.StringValue.Builder getCatalogConnectionUriBuilder() {
        
        onChanged();
        return getCatalogConnectionUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getCatalogConnectionUriOrBuilder() {
        if (catalogConnectionUriBuilder_ != null) {
          return catalogConnectionUriBuilder_.getMessageOrBuilder();
        } else {
          return catalogConnectionUri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : catalogConnectionUri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_connection_uri = 13;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getCatalogConnectionUriFieldBuilder() {
        if (catalogConnectionUriBuilder_ == null) {
          catalogConnectionUriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getCatalogConnectionUri(),
                  getParentForChildren(),
                  isClean());
          catalogConnectionUri_ = null;
        }
        return catalogConnectionUriBuilder_;
      }

      private com.google.protobuf.StringValue catalogTable_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> catalogTableBuilder_;
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       * @return Whether the catalogTable field is set.
       */
      public boolean hasCatalogTable() {
        return catalogTableBuilder_ != null || catalogTable_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       * @return The catalogTable.
       */
      public com.google.protobuf.StringValue getCatalogTable() {
        if (catalogTableBuilder_ == null) {
          return catalogTable_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : catalogTable_;
        } else {
          return catalogTableBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      public Builder setCatalogTable(com.google.protobuf.StringValue value) {
        if (catalogTableBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          catalogTable_ = value;
          onChanged();
        } else {
          catalogTableBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      public Builder setCatalogTable(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (catalogTableBuilder_ == null) {
          catalogTable_ = builderForValue.build();
          onChanged();
        } else {
          catalogTableBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      public Builder mergeCatalogTable(com.google.protobuf.StringValue value) {
        if (catalogTableBuilder_ == null) {
          if (catalogTable_ != null) {
            catalogTable_ =
              com.google.protobuf.StringValue.newBuilder(catalogTable_).mergeFrom(value).buildPartial();
          } else {
            catalogTable_ = value;
          }
          onChanged();
        } else {
          catalogTableBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      public Builder clearCatalogTable() {
        if (catalogTableBuilder_ == null) {
          catalogTable_ = null;
          onChanged();
        } else {
          catalogTable_ = null;
          catalogTableBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      public com.google.protobuf.StringValue.Builder getCatalogTableBuilder() {
        
        onChanged();
        return getCatalogTableFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getCatalogTableOrBuilder() {
        if (catalogTableBuilder_ != null) {
          return catalogTableBuilder_.getMessageOrBuilder();
        } else {
          return catalogTable_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : catalogTable_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue catalog_table = 14;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getCatalogTableFieldBuilder() {
        if (catalogTableBuilder_ == null) {
          catalogTableBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getCatalogTable(),
                  getParentForChildren(),
                  isClean());
          catalogTable_ = null;
        }
        return catalogTableBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.DatasetProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.DatasetProto)
    private static final org.aiflow.client.proto.Message.DatasetProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.DatasetProto();
    }

    public static org.aiflow.client.proto.Message.DatasetProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<DatasetProto>
        PARSER = new com.google.protobuf.AbstractParser<DatasetProto>() {
      @java.lang.Override
      public DatasetProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new DatasetProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<DatasetProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<DatasetProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.DatasetProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelRelationProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelRelationProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    boolean hasProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    com.google.protobuf.Int64Value getProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.ModelRelationProto}
   */
  public static final class ModelRelationProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelRelationProto)
      ModelRelationProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelRelationProto.newBuilder() to construct.
    private ModelRelationProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelRelationProto() {
      name_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelRelationProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelRelationProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (projectId_ != null) {
                subBuilder = projectId_.toBuilder();
              }
              projectId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectId_);
                projectId_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelRelationProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelRelationProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelRelationProto.class, org.aiflow.client.proto.Message.ModelRelationProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROJECT_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value projectId_;
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    @java.lang.Override
    public boolean hasProjectId() {
      return projectId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getProjectId() {
      return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
      return getProjectId();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      if (projectId_ != null) {
        output.writeMessage(3, getProjectId());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      if (projectId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getProjectId());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelRelationProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelRelationProto other = (org.aiflow.client.proto.Message.ModelRelationProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (hasProjectId() != other.hasProjectId()) return false;
      if (hasProjectId()) {
        if (!getProjectId()
            .equals(other.getProjectId())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (hasProjectId()) {
        hash = (37 * hash) + PROJECT_ID_FIELD_NUMBER;
        hash = (53 * hash) + getProjectId().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelRelationProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelRelationProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelRelationProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelRelationProto)
        org.aiflow.client.proto.Message.ModelRelationProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelRelationProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelRelationProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelRelationProto.class, org.aiflow.client.proto.Message.ModelRelationProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelRelationProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        if (projectIdBuilder_ == null) {
          projectId_ = null;
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelRelationProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelRelationProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelRelationProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelRelationProto build() {
        org.aiflow.client.proto.Message.ModelRelationProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelRelationProto buildPartial() {
        org.aiflow.client.proto.Message.ModelRelationProto result = new org.aiflow.client.proto.Message.ModelRelationProto(this);
        result.uuid_ = uuid_;
        result.name_ = name_;
        if (projectIdBuilder_ == null) {
          result.projectId_ = projectId_;
        } else {
          result.projectId_ = projectIdBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelRelationProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelRelationProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelRelationProto other) {
        if (other == org.aiflow.client.proto.Message.ModelRelationProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        if (other.hasProjectId()) {
          mergeProjectId(other.getProjectId());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelRelationProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelRelationProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.Int64Value projectId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> projectIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return Whether the projectId field is set.
       */
      public boolean hasProjectId() {
        return projectIdBuilder_ != null || projectId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return The projectId.
       */
      public com.google.protobuf.Int64Value getProjectId() {
        if (projectIdBuilder_ == null) {
          return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        } else {
          return projectIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectId_ = value;
          onChanged();
        } else {
          projectIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (projectIdBuilder_ == null) {
          projectId_ = builderForValue.build();
          onChanged();
        } else {
          projectIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder mergeProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (projectId_ != null) {
            projectId_ =
              com.google.protobuf.Int64Value.newBuilder(projectId_).mergeFrom(value).buildPartial();
          } else {
            projectId_ = value;
          }
          onChanged();
        } else {
          projectIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder clearProjectId() {
        if (projectIdBuilder_ == null) {
          projectId_ = null;
          onChanged();
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getProjectIdBuilder() {
        
        onChanged();
        return getProjectIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
        if (projectIdBuilder_ != null) {
          return projectIdBuilder_.getMessageOrBuilder();
        } else {
          return projectId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getProjectIdFieldBuilder() {
        if (projectIdBuilder_ == null) {
          projectIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getProjectId(),
                  getParentForChildren(),
                  isClean());
          projectId_ = null;
        }
        return projectIdBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelRelationProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelRelationProto)
    private static final org.aiflow.client.proto.Message.ModelRelationProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelRelationProto();
    }

    public static org.aiflow.client.proto.Message.ModelRelationProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelRelationProto>
        PARSER = new com.google.protobuf.AbstractParser<ModelRelationProto>() {
      @java.lang.Override
      public ModelRelationProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelRelationProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelRelationProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelRelationProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelRelationProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    boolean hasProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    com.google.protobuf.Int64Value getProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_desc = 4;</code>
     * @return Whether the modelDesc field is set.
     */
    boolean hasModelDesc();
    /**
     * <code>.google.protobuf.StringValue model_desc = 4;</code>
     * @return The modelDesc.
     */
    com.google.protobuf.StringValue getModelDesc();
    /**
     * <code>.google.protobuf.StringValue model_desc = 4;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.ModelProto}
   */
  public static final class ModelProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelProto)
      ModelProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelProto.newBuilder() to construct.
    private ModelProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelProto() {
      name_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (projectId_ != null) {
                subBuilder = projectId_.toBuilder();
              }
              projectId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectId_);
                projectId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 34: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelDesc_ != null) {
                subBuilder = modelDesc_.toBuilder();
              }
              modelDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelDesc_);
                modelDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelProto.class, org.aiflow.client.proto.Message.ModelProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROJECT_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value projectId_;
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    @java.lang.Override
    public boolean hasProjectId() {
      return projectId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getProjectId() {
      return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
      return getProjectId();
    }

    public static final int MODEL_DESC_FIELD_NUMBER = 4;
    private com.google.protobuf.StringValue modelDesc_;
    /**
     * <code>.google.protobuf.StringValue model_desc = 4;</code>
     * @return Whether the modelDesc field is set.
     */
    @java.lang.Override
    public boolean hasModelDesc() {
      return modelDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_desc = 4;</code>
     * @return The modelDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelDesc() {
      return modelDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue model_desc = 4;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder() {
      return getModelDesc();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      if (projectId_ != null) {
        output.writeMessage(3, getProjectId());
      }
      if (modelDesc_ != null) {
        output.writeMessage(4, getModelDesc());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      if (projectId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getProjectId());
      }
      if (modelDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getModelDesc());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelProto other = (org.aiflow.client.proto.Message.ModelProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (hasProjectId() != other.hasProjectId()) return false;
      if (hasProjectId()) {
        if (!getProjectId()
            .equals(other.getProjectId())) return false;
      }
      if (hasModelDesc() != other.hasModelDesc()) return false;
      if (hasModelDesc()) {
        if (!getModelDesc()
            .equals(other.getModelDesc())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (hasProjectId()) {
        hash = (37 * hash) + PROJECT_ID_FIELD_NUMBER;
        hash = (53 * hash) + getProjectId().hashCode();
      }
      if (hasModelDesc()) {
        hash = (37 * hash) + MODEL_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getModelDesc().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelProto)
        org.aiflow.client.proto.Message.ModelProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelProto.class, org.aiflow.client.proto.Message.ModelProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        if (projectIdBuilder_ == null) {
          projectId_ = null;
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }
        if (modelDescBuilder_ == null) {
          modelDesc_ = null;
        } else {
          modelDesc_ = null;
          modelDescBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelProto build() {
        org.aiflow.client.proto.Message.ModelProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelProto buildPartial() {
        org.aiflow.client.proto.Message.ModelProto result = new org.aiflow.client.proto.Message.ModelProto(this);
        result.uuid_ = uuid_;
        result.name_ = name_;
        if (projectIdBuilder_ == null) {
          result.projectId_ = projectId_;
        } else {
          result.projectId_ = projectIdBuilder_.build();
        }
        if (modelDescBuilder_ == null) {
          result.modelDesc_ = modelDesc_;
        } else {
          result.modelDesc_ = modelDescBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelProto other) {
        if (other == org.aiflow.client.proto.Message.ModelProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        if (other.hasProjectId()) {
          mergeProjectId(other.getProjectId());
        }
        if (other.hasModelDesc()) {
          mergeModelDesc(other.getModelDesc());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.Int64Value projectId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> projectIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return Whether the projectId field is set.
       */
      public boolean hasProjectId() {
        return projectIdBuilder_ != null || projectId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return The projectId.
       */
      public com.google.protobuf.Int64Value getProjectId() {
        if (projectIdBuilder_ == null) {
          return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        } else {
          return projectIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectId_ = value;
          onChanged();
        } else {
          projectIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (projectIdBuilder_ == null) {
          projectId_ = builderForValue.build();
          onChanged();
        } else {
          projectIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder mergeProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (projectId_ != null) {
            projectId_ =
              com.google.protobuf.Int64Value.newBuilder(projectId_).mergeFrom(value).buildPartial();
          } else {
            projectId_ = value;
          }
          onChanged();
        } else {
          projectIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder clearProjectId() {
        if (projectIdBuilder_ == null) {
          projectId_ = null;
          onChanged();
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getProjectIdBuilder() {
        
        onChanged();
        return getProjectIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
        if (projectIdBuilder_ != null) {
          return projectIdBuilder_.getMessageOrBuilder();
        } else {
          return projectId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getProjectIdFieldBuilder() {
        if (projectIdBuilder_ == null) {
          projectIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getProjectId(),
                  getParentForChildren(),
                  isClean());
          projectId_ = null;
        }
        return projectIdBuilder_;
      }

      private com.google.protobuf.StringValue modelDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       * @return Whether the modelDesc field is set.
       */
      public boolean hasModelDesc() {
        return modelDescBuilder_ != null || modelDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       * @return The modelDesc.
       */
      public com.google.protobuf.StringValue getModelDesc() {
        if (modelDescBuilder_ == null) {
          return modelDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
        } else {
          return modelDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      public Builder setModelDesc(com.google.protobuf.StringValue value) {
        if (modelDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelDesc_ = value;
          onChanged();
        } else {
          modelDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      public Builder setModelDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelDescBuilder_ == null) {
          modelDesc_ = builderForValue.build();
          onChanged();
        } else {
          modelDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      public Builder mergeModelDesc(com.google.protobuf.StringValue value) {
        if (modelDescBuilder_ == null) {
          if (modelDesc_ != null) {
            modelDesc_ =
              com.google.protobuf.StringValue.newBuilder(modelDesc_).mergeFrom(value).buildPartial();
          } else {
            modelDesc_ = value;
          }
          onChanged();
        } else {
          modelDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      public Builder clearModelDesc() {
        if (modelDescBuilder_ == null) {
          modelDesc_ = null;
          onChanged();
        } else {
          modelDesc_ = null;
          modelDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelDescBuilder() {
        
        onChanged();
        return getModelDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder() {
        if (modelDescBuilder_ != null) {
          return modelDescBuilder_.getMessageOrBuilder();
        } else {
          return modelDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelDescFieldBuilder() {
        if (modelDescBuilder_ == null) {
          modelDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelDesc(),
                  getParentForChildren(),
                  isClean());
          modelDesc_ = null;
        }
        return modelDescBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelProto)
    private static final org.aiflow.client.proto.Message.ModelProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelProto();
    }

    public static org.aiflow.client.proto.Message.ModelProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelProto>
        PARSER = new com.google.protobuf.AbstractParser<ModelProto>() {
      @java.lang.Override
      public ModelProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelVersionRelationProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelVersionRelationProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return Whether the version field is set.
     */
    boolean hasVersion();
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return The version.
     */
    com.google.protobuf.StringValue getVersion();
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     */
    com.google.protobuf.StringValueOrBuilder getVersionOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return Whether the modelId field is set.
     */
    boolean hasModelId();
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return The modelId.
     */
    com.google.protobuf.Int64Value getModelId();
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getModelIdOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return Whether the projectSnapshotId field is set.
     */
    boolean hasProjectSnapshotId();
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return The projectSnapshotId.
     */
    com.google.protobuf.Int64Value getProjectSnapshotId();
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getProjectSnapshotIdOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.ModelVersionRelationProto}
   */
  public static final class ModelVersionRelationProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelVersionRelationProto)
      ModelVersionRelationProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelVersionRelationProto.newBuilder() to construct.
    private ModelVersionRelationProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelVersionRelationProto() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelVersionRelationProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelVersionRelationProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (version_ != null) {
                subBuilder = version_.toBuilder();
              }
              version_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(version_);
                version_ = subBuilder.buildPartial();
              }

              break;
            }
            case 18: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (modelId_ != null) {
                subBuilder = modelId_.toBuilder();
              }
              modelId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelId_);
                modelId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (projectSnapshotId_ != null) {
                subBuilder = projectSnapshotId_.toBuilder();
              }
              projectSnapshotId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectSnapshotId_);
                projectSnapshotId_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionRelationProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionRelationProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelVersionRelationProto.class, org.aiflow.client.proto.Message.ModelVersionRelationProto.Builder.class);
    }

    public static final int VERSION_FIELD_NUMBER = 1;
    private com.google.protobuf.StringValue version_;
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return Whether the version field is set.
     */
    @java.lang.Override
    public boolean hasVersion() {
      return version_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return The version.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getVersion() {
      return version_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : version_;
    }
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getVersionOrBuilder() {
      return getVersion();
    }

    public static final int MODEL_ID_FIELD_NUMBER = 2;
    private com.google.protobuf.Int64Value modelId_;
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return Whether the modelId field is set.
     */
    @java.lang.Override
    public boolean hasModelId() {
      return modelId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return The modelId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getModelId() {
      return modelId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : modelId_;
    }
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getModelIdOrBuilder() {
      return getModelId();
    }

    public static final int PROJECT_SNAPSHOT_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value projectSnapshotId_;
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return Whether the projectSnapshotId field is set.
     */
    @java.lang.Override
    public boolean hasProjectSnapshotId() {
      return projectSnapshotId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return The projectSnapshotId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getProjectSnapshotId() {
      return projectSnapshotId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectSnapshotId_;
    }
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getProjectSnapshotIdOrBuilder() {
      return getProjectSnapshotId();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (version_ != null) {
        output.writeMessage(1, getVersion());
      }
      if (modelId_ != null) {
        output.writeMessage(2, getModelId());
      }
      if (projectSnapshotId_ != null) {
        output.writeMessage(3, getProjectSnapshotId());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (version_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getVersion());
      }
      if (modelId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getModelId());
      }
      if (projectSnapshotId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getProjectSnapshotId());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelVersionRelationProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelVersionRelationProto other = (org.aiflow.client.proto.Message.ModelVersionRelationProto) obj;

      if (hasVersion() != other.hasVersion()) return false;
      if (hasVersion()) {
        if (!getVersion()
            .equals(other.getVersion())) return false;
      }
      if (hasModelId() != other.hasModelId()) return false;
      if (hasModelId()) {
        if (!getModelId()
            .equals(other.getModelId())) return false;
      }
      if (hasProjectSnapshotId() != other.hasProjectSnapshotId()) return false;
      if (hasProjectSnapshotId()) {
        if (!getProjectSnapshotId()
            .equals(other.getProjectSnapshotId())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasVersion()) {
        hash = (37 * hash) + VERSION_FIELD_NUMBER;
        hash = (53 * hash) + getVersion().hashCode();
      }
      if (hasModelId()) {
        hash = (37 * hash) + MODEL_ID_FIELD_NUMBER;
        hash = (53 * hash) + getModelId().hashCode();
      }
      if (hasProjectSnapshotId()) {
        hash = (37 * hash) + PROJECT_SNAPSHOT_ID_FIELD_NUMBER;
        hash = (53 * hash) + getProjectSnapshotId().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionRelationProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelVersionRelationProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelVersionRelationProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelVersionRelationProto)
        org.aiflow.client.proto.Message.ModelVersionRelationProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionRelationProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionRelationProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelVersionRelationProto.class, org.aiflow.client.proto.Message.ModelVersionRelationProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelVersionRelationProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (versionBuilder_ == null) {
          version_ = null;
        } else {
          version_ = null;
          versionBuilder_ = null;
        }
        if (modelIdBuilder_ == null) {
          modelId_ = null;
        } else {
          modelId_ = null;
          modelIdBuilder_ = null;
        }
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotId_ = null;
        } else {
          projectSnapshotId_ = null;
          projectSnapshotIdBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionRelationProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionRelationProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelVersionRelationProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionRelationProto build() {
        org.aiflow.client.proto.Message.ModelVersionRelationProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionRelationProto buildPartial() {
        org.aiflow.client.proto.Message.ModelVersionRelationProto result = new org.aiflow.client.proto.Message.ModelVersionRelationProto(this);
        if (versionBuilder_ == null) {
          result.version_ = version_;
        } else {
          result.version_ = versionBuilder_.build();
        }
        if (modelIdBuilder_ == null) {
          result.modelId_ = modelId_;
        } else {
          result.modelId_ = modelIdBuilder_.build();
        }
        if (projectSnapshotIdBuilder_ == null) {
          result.projectSnapshotId_ = projectSnapshotId_;
        } else {
          result.projectSnapshotId_ = projectSnapshotIdBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelVersionRelationProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelVersionRelationProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelVersionRelationProto other) {
        if (other == org.aiflow.client.proto.Message.ModelVersionRelationProto.getDefaultInstance()) return this;
        if (other.hasVersion()) {
          mergeVersion(other.getVersion());
        }
        if (other.hasModelId()) {
          mergeModelId(other.getModelId());
        }
        if (other.hasProjectSnapshotId()) {
          mergeProjectSnapshotId(other.getProjectSnapshotId());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelVersionRelationProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelVersionRelationProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private com.google.protobuf.StringValue version_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> versionBuilder_;
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       * @return Whether the version field is set.
       */
      public boolean hasVersion() {
        return versionBuilder_ != null || version_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       * @return The version.
       */
      public com.google.protobuf.StringValue getVersion() {
        if (versionBuilder_ == null) {
          return version_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : version_;
        } else {
          return versionBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder setVersion(com.google.protobuf.StringValue value) {
        if (versionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          version_ = value;
          onChanged();
        } else {
          versionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder setVersion(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (versionBuilder_ == null) {
          version_ = builderForValue.build();
          onChanged();
        } else {
          versionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder mergeVersion(com.google.protobuf.StringValue value) {
        if (versionBuilder_ == null) {
          if (version_ != null) {
            version_ =
              com.google.protobuf.StringValue.newBuilder(version_).mergeFrom(value).buildPartial();
          } else {
            version_ = value;
          }
          onChanged();
        } else {
          versionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder clearVersion() {
        if (versionBuilder_ == null) {
          version_ = null;
          onChanged();
        } else {
          version_ = null;
          versionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public com.google.protobuf.StringValue.Builder getVersionBuilder() {
        
        onChanged();
        return getVersionFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getVersionOrBuilder() {
        if (versionBuilder_ != null) {
          return versionBuilder_.getMessageOrBuilder();
        } else {
          return version_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : version_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getVersionFieldBuilder() {
        if (versionBuilder_ == null) {
          versionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getVersion(),
                  getParentForChildren(),
                  isClean());
          version_ = null;
        }
        return versionBuilder_;
      }

      private com.google.protobuf.Int64Value modelId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> modelIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       * @return Whether the modelId field is set.
       */
      public boolean hasModelId() {
        return modelIdBuilder_ != null || modelId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       * @return The modelId.
       */
      public com.google.protobuf.Int64Value getModelId() {
        if (modelIdBuilder_ == null) {
          return modelId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : modelId_;
        } else {
          return modelIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder setModelId(com.google.protobuf.Int64Value value) {
        if (modelIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelId_ = value;
          onChanged();
        } else {
          modelIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder setModelId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (modelIdBuilder_ == null) {
          modelId_ = builderForValue.build();
          onChanged();
        } else {
          modelIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder mergeModelId(com.google.protobuf.Int64Value value) {
        if (modelIdBuilder_ == null) {
          if (modelId_ != null) {
            modelId_ =
              com.google.protobuf.Int64Value.newBuilder(modelId_).mergeFrom(value).buildPartial();
          } else {
            modelId_ = value;
          }
          onChanged();
        } else {
          modelIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder clearModelId() {
        if (modelIdBuilder_ == null) {
          modelId_ = null;
          onChanged();
        } else {
          modelId_ = null;
          modelIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public com.google.protobuf.Int64Value.Builder getModelIdBuilder() {
        
        onChanged();
        return getModelIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getModelIdOrBuilder() {
        if (modelIdBuilder_ != null) {
          return modelIdBuilder_.getMessageOrBuilder();
        } else {
          return modelId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : modelId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getModelIdFieldBuilder() {
        if (modelIdBuilder_ == null) {
          modelIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getModelId(),
                  getParentForChildren(),
                  isClean());
          modelId_ = null;
        }
        return modelIdBuilder_;
      }

      private com.google.protobuf.Int64Value projectSnapshotId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> projectSnapshotIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       * @return Whether the projectSnapshotId field is set.
       */
      public boolean hasProjectSnapshotId() {
        return projectSnapshotIdBuilder_ != null || projectSnapshotId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       * @return The projectSnapshotId.
       */
      public com.google.protobuf.Int64Value getProjectSnapshotId() {
        if (projectSnapshotIdBuilder_ == null) {
          return projectSnapshotId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectSnapshotId_;
        } else {
          return projectSnapshotIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder setProjectSnapshotId(com.google.protobuf.Int64Value value) {
        if (projectSnapshotIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectSnapshotId_ = value;
          onChanged();
        } else {
          projectSnapshotIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder setProjectSnapshotId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotId_ = builderForValue.build();
          onChanged();
        } else {
          projectSnapshotIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder mergeProjectSnapshotId(com.google.protobuf.Int64Value value) {
        if (projectSnapshotIdBuilder_ == null) {
          if (projectSnapshotId_ != null) {
            projectSnapshotId_ =
              com.google.protobuf.Int64Value.newBuilder(projectSnapshotId_).mergeFrom(value).buildPartial();
          } else {
            projectSnapshotId_ = value;
          }
          onChanged();
        } else {
          projectSnapshotIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder clearProjectSnapshotId() {
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotId_ = null;
          onChanged();
        } else {
          projectSnapshotId_ = null;
          projectSnapshotIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getProjectSnapshotIdBuilder() {
        
        onChanged();
        return getProjectSnapshotIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getProjectSnapshotIdOrBuilder() {
        if (projectSnapshotIdBuilder_ != null) {
          return projectSnapshotIdBuilder_.getMessageOrBuilder();
        } else {
          return projectSnapshotId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : projectSnapshotId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getProjectSnapshotIdFieldBuilder() {
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getProjectSnapshotId(),
                  getParentForChildren(),
                  isClean());
          projectSnapshotId_ = null;
        }
        return projectSnapshotIdBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelVersionRelationProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelVersionRelationProto)
    private static final org.aiflow.client.proto.Message.ModelVersionRelationProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelVersionRelationProto();
    }

    public static org.aiflow.client.proto.Message.ModelVersionRelationProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelVersionRelationProto>
        PARSER = new com.google.protobuf.AbstractParser<ModelVersionRelationProto>() {
      @java.lang.Override
      public ModelVersionRelationProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelVersionRelationProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelVersionRelationProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelVersionRelationProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelVersionRelationProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelVersionProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelVersionProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return Whether the version field is set.
     */
    boolean hasVersion();
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return The version.
     */
    com.google.protobuf.StringValue getVersion();
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     */
    com.google.protobuf.StringValueOrBuilder getVersionOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return Whether the modelId field is set.
     */
    boolean hasModelId();
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return The modelId.
     */
    com.google.protobuf.Int64Value getModelId();
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getModelIdOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return Whether the projectSnapshotId field is set.
     */
    boolean hasProjectSnapshotId();
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return The projectSnapshotId.
     */
    com.google.protobuf.Int64Value getProjectSnapshotId();
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getProjectSnapshotIdOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_path = 4;</code>
     * @return Whether the modelPath field is set.
     */
    boolean hasModelPath();
    /**
     * <code>.google.protobuf.StringValue model_path = 4;</code>
     * @return The modelPath.
     */
    com.google.protobuf.StringValue getModelPath();
    /**
     * <code>.google.protobuf.StringValue model_path = 4;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_type = 6;</code>
     * @return Whether the modelType field is set.
     */
    boolean hasModelType();
    /**
     * <code>.google.protobuf.StringValue model_type = 6;</code>
     * @return The modelType.
     */
    com.google.protobuf.StringValue getModelType();
    /**
     * <code>.google.protobuf.StringValue model_type = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue version_desc = 7;</code>
     * @return Whether the versionDesc field is set.
     */
    boolean hasVersionDesc();
    /**
     * <code>.google.protobuf.StringValue version_desc = 7;</code>
     * @return The versionDesc.
     */
    com.google.protobuf.StringValue getVersionDesc();
    /**
     * <code>.google.protobuf.StringValue version_desc = 7;</code>
     */
    com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder();

    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The enum numeric value on the wire for currentStage.
     */
    int getCurrentStageValue();
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The currentStage.
     */
    org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage();
  }
  /**
   * Protobuf type {@code ai_flow.ModelVersionProto}
   */
  public static final class ModelVersionProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelVersionProto)
      ModelVersionProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelVersionProto.newBuilder() to construct.
    private ModelVersionProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelVersionProto() {
      currentStage_ = 0;
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelVersionProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelVersionProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (version_ != null) {
                subBuilder = version_.toBuilder();
              }
              version_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(version_);
                version_ = subBuilder.buildPartial();
              }

              break;
            }
            case 18: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (modelId_ != null) {
                subBuilder = modelId_.toBuilder();
              }
              modelId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelId_);
                modelId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (projectSnapshotId_ != null) {
                subBuilder = projectSnapshotId_.toBuilder();
              }
              projectSnapshotId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectSnapshotId_);
                projectSnapshotId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 34: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelPath_ != null) {
                subBuilder = modelPath_.toBuilder();
              }
              modelPath_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelPath_);
                modelPath_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelType_ != null) {
                subBuilder = modelType_.toBuilder();
              }
              modelType_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelType_);
                modelType_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (versionDesc_ != null) {
                subBuilder = versionDesc_.toBuilder();
              }
              versionDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(versionDesc_);
                versionDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            case 64: {
              int rawValue = input.readEnum();

              currentStage_ = rawValue;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelVersionProto.class, org.aiflow.client.proto.Message.ModelVersionProto.Builder.class);
    }

    public static final int VERSION_FIELD_NUMBER = 1;
    private com.google.protobuf.StringValue version_;
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return Whether the version field is set.
     */
    @java.lang.Override
    public boolean hasVersion() {
      return version_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     * @return The version.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getVersion() {
      return version_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : version_;
    }
    /**
     * <code>.google.protobuf.StringValue version = 1;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getVersionOrBuilder() {
      return getVersion();
    }

    public static final int MODEL_ID_FIELD_NUMBER = 2;
    private com.google.protobuf.Int64Value modelId_;
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return Whether the modelId field is set.
     */
    @java.lang.Override
    public boolean hasModelId() {
      return modelId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     * @return The modelId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getModelId() {
      return modelId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : modelId_;
    }
    /**
     * <code>.google.protobuf.Int64Value model_id = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getModelIdOrBuilder() {
      return getModelId();
    }

    public static final int PROJECT_SNAPSHOT_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value projectSnapshotId_;
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return Whether the projectSnapshotId field is set.
     */
    @java.lang.Override
    public boolean hasProjectSnapshotId() {
      return projectSnapshotId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     * @return The projectSnapshotId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getProjectSnapshotId() {
      return projectSnapshotId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectSnapshotId_;
    }
    /**
     * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getProjectSnapshotIdOrBuilder() {
      return getProjectSnapshotId();
    }

    public static final int MODEL_PATH_FIELD_NUMBER = 4;
    private com.google.protobuf.StringValue modelPath_;
    /**
     * <code>.google.protobuf.StringValue model_path = 4;</code>
     * @return Whether the modelPath field is set.
     */
    @java.lang.Override
    public boolean hasModelPath() {
      return modelPath_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_path = 4;</code>
     * @return The modelPath.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelPath() {
      return modelPath_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
    }
    /**
     * <code>.google.protobuf.StringValue model_path = 4;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder() {
      return getModelPath();
    }

    public static final int MODEL_TYPE_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue modelType_;
    /**
     * <code>.google.protobuf.StringValue model_type = 6;</code>
     * @return Whether the modelType field is set.
     */
    @java.lang.Override
    public boolean hasModelType() {
      return modelType_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_type = 6;</code>
     * @return The modelType.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelType() {
      return modelType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
    }
    /**
     * <code>.google.protobuf.StringValue model_type = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder() {
      return getModelType();
    }

    public static final int VERSION_DESC_FIELD_NUMBER = 7;
    private com.google.protobuf.StringValue versionDesc_;
    /**
     * <code>.google.protobuf.StringValue version_desc = 7;</code>
     * @return Whether the versionDesc field is set.
     */
    @java.lang.Override
    public boolean hasVersionDesc() {
      return versionDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue version_desc = 7;</code>
     * @return The versionDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getVersionDesc() {
      return versionDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue version_desc = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder() {
      return getVersionDesc();
    }

    public static final int CURRENT_STAGE_FIELD_NUMBER = 8;
    private int currentStage_;
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The enum numeric value on the wire for currentStage.
     */
    @java.lang.Override public int getCurrentStageValue() {
      return currentStage_;
    }
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The currentStage.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.ModelVersionStage result = org.aiflow.client.proto.Message.ModelVersionStage.valueOf(currentStage_);
      return result == null ? org.aiflow.client.proto.Message.ModelVersionStage.UNRECOGNIZED : result;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (version_ != null) {
        output.writeMessage(1, getVersion());
      }
      if (modelId_ != null) {
        output.writeMessage(2, getModelId());
      }
      if (projectSnapshotId_ != null) {
        output.writeMessage(3, getProjectSnapshotId());
      }
      if (modelPath_ != null) {
        output.writeMessage(4, getModelPath());
      }
      if (modelType_ != null) {
        output.writeMessage(6, getModelType());
      }
      if (versionDesc_ != null) {
        output.writeMessage(7, getVersionDesc());
      }
      if (currentStage_ != org.aiflow.client.proto.Message.ModelVersionStage.GENERATED.getNumber()) {
        output.writeEnum(8, currentStage_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (version_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getVersion());
      }
      if (modelId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getModelId());
      }
      if (projectSnapshotId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getProjectSnapshotId());
      }
      if (modelPath_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getModelPath());
      }
      if (modelType_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getModelType());
      }
      if (versionDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getVersionDesc());
      }
      if (currentStage_ != org.aiflow.client.proto.Message.ModelVersionStage.GENERATED.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(8, currentStage_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelVersionProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelVersionProto other = (org.aiflow.client.proto.Message.ModelVersionProto) obj;

      if (hasVersion() != other.hasVersion()) return false;
      if (hasVersion()) {
        if (!getVersion()
            .equals(other.getVersion())) return false;
      }
      if (hasModelId() != other.hasModelId()) return false;
      if (hasModelId()) {
        if (!getModelId()
            .equals(other.getModelId())) return false;
      }
      if (hasProjectSnapshotId() != other.hasProjectSnapshotId()) return false;
      if (hasProjectSnapshotId()) {
        if (!getProjectSnapshotId()
            .equals(other.getProjectSnapshotId())) return false;
      }
      if (hasModelPath() != other.hasModelPath()) return false;
      if (hasModelPath()) {
        if (!getModelPath()
            .equals(other.getModelPath())) return false;
      }
      if (hasModelType() != other.hasModelType()) return false;
      if (hasModelType()) {
        if (!getModelType()
            .equals(other.getModelType())) return false;
      }
      if (hasVersionDesc() != other.hasVersionDesc()) return false;
      if (hasVersionDesc()) {
        if (!getVersionDesc()
            .equals(other.getVersionDesc())) return false;
      }
      if (currentStage_ != other.currentStage_) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasVersion()) {
        hash = (37 * hash) + VERSION_FIELD_NUMBER;
        hash = (53 * hash) + getVersion().hashCode();
      }
      if (hasModelId()) {
        hash = (37 * hash) + MODEL_ID_FIELD_NUMBER;
        hash = (53 * hash) + getModelId().hashCode();
      }
      if (hasProjectSnapshotId()) {
        hash = (37 * hash) + PROJECT_SNAPSHOT_ID_FIELD_NUMBER;
        hash = (53 * hash) + getProjectSnapshotId().hashCode();
      }
      if (hasModelPath()) {
        hash = (37 * hash) + MODEL_PATH_FIELD_NUMBER;
        hash = (53 * hash) + getModelPath().hashCode();
      }
      if (hasModelType()) {
        hash = (37 * hash) + MODEL_TYPE_FIELD_NUMBER;
        hash = (53 * hash) + getModelType().hashCode();
      }
      if (hasVersionDesc()) {
        hash = (37 * hash) + VERSION_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getVersionDesc().hashCode();
      }
      hash = (37 * hash) + CURRENT_STAGE_FIELD_NUMBER;
      hash = (53 * hash) + currentStage_;
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelVersionProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelVersionProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelVersionProto)
        org.aiflow.client.proto.Message.ModelVersionProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelVersionProto.class, org.aiflow.client.proto.Message.ModelVersionProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelVersionProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (versionBuilder_ == null) {
          version_ = null;
        } else {
          version_ = null;
          versionBuilder_ = null;
        }
        if (modelIdBuilder_ == null) {
          modelId_ = null;
        } else {
          modelId_ = null;
          modelIdBuilder_ = null;
        }
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotId_ = null;
        } else {
          projectSnapshotId_ = null;
          projectSnapshotIdBuilder_ = null;
        }
        if (modelPathBuilder_ == null) {
          modelPath_ = null;
        } else {
          modelPath_ = null;
          modelPathBuilder_ = null;
        }
        if (modelTypeBuilder_ == null) {
          modelType_ = null;
        } else {
          modelType_ = null;
          modelTypeBuilder_ = null;
        }
        if (versionDescBuilder_ == null) {
          versionDesc_ = null;
        } else {
          versionDesc_ = null;
          versionDescBuilder_ = null;
        }
        currentStage_ = 0;

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelVersionProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionProto build() {
        org.aiflow.client.proto.Message.ModelVersionProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionProto buildPartial() {
        org.aiflow.client.proto.Message.ModelVersionProto result = new org.aiflow.client.proto.Message.ModelVersionProto(this);
        if (versionBuilder_ == null) {
          result.version_ = version_;
        } else {
          result.version_ = versionBuilder_.build();
        }
        if (modelIdBuilder_ == null) {
          result.modelId_ = modelId_;
        } else {
          result.modelId_ = modelIdBuilder_.build();
        }
        if (projectSnapshotIdBuilder_ == null) {
          result.projectSnapshotId_ = projectSnapshotId_;
        } else {
          result.projectSnapshotId_ = projectSnapshotIdBuilder_.build();
        }
        if (modelPathBuilder_ == null) {
          result.modelPath_ = modelPath_;
        } else {
          result.modelPath_ = modelPathBuilder_.build();
        }
        if (modelTypeBuilder_ == null) {
          result.modelType_ = modelType_;
        } else {
          result.modelType_ = modelTypeBuilder_.build();
        }
        if (versionDescBuilder_ == null) {
          result.versionDesc_ = versionDesc_;
        } else {
          result.versionDesc_ = versionDescBuilder_.build();
        }
        result.currentStage_ = currentStage_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelVersionProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelVersionProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelVersionProto other) {
        if (other == org.aiflow.client.proto.Message.ModelVersionProto.getDefaultInstance()) return this;
        if (other.hasVersion()) {
          mergeVersion(other.getVersion());
        }
        if (other.hasModelId()) {
          mergeModelId(other.getModelId());
        }
        if (other.hasProjectSnapshotId()) {
          mergeProjectSnapshotId(other.getProjectSnapshotId());
        }
        if (other.hasModelPath()) {
          mergeModelPath(other.getModelPath());
        }
        if (other.hasModelType()) {
          mergeModelType(other.getModelType());
        }
        if (other.hasVersionDesc()) {
          mergeVersionDesc(other.getVersionDesc());
        }
        if (other.currentStage_ != 0) {
          setCurrentStageValue(other.getCurrentStageValue());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelVersionProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelVersionProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private com.google.protobuf.StringValue version_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> versionBuilder_;
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       * @return Whether the version field is set.
       */
      public boolean hasVersion() {
        return versionBuilder_ != null || version_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       * @return The version.
       */
      public com.google.protobuf.StringValue getVersion() {
        if (versionBuilder_ == null) {
          return version_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : version_;
        } else {
          return versionBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder setVersion(com.google.protobuf.StringValue value) {
        if (versionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          version_ = value;
          onChanged();
        } else {
          versionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder setVersion(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (versionBuilder_ == null) {
          version_ = builderForValue.build();
          onChanged();
        } else {
          versionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder mergeVersion(com.google.protobuf.StringValue value) {
        if (versionBuilder_ == null) {
          if (version_ != null) {
            version_ =
              com.google.protobuf.StringValue.newBuilder(version_).mergeFrom(value).buildPartial();
          } else {
            version_ = value;
          }
          onChanged();
        } else {
          versionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public Builder clearVersion() {
        if (versionBuilder_ == null) {
          version_ = null;
          onChanged();
        } else {
          version_ = null;
          versionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public com.google.protobuf.StringValue.Builder getVersionBuilder() {
        
        onChanged();
        return getVersionFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getVersionOrBuilder() {
        if (versionBuilder_ != null) {
          return versionBuilder_.getMessageOrBuilder();
        } else {
          return version_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : version_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue version = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getVersionFieldBuilder() {
        if (versionBuilder_ == null) {
          versionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getVersion(),
                  getParentForChildren(),
                  isClean());
          version_ = null;
        }
        return versionBuilder_;
      }

      private com.google.protobuf.Int64Value modelId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> modelIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       * @return Whether the modelId field is set.
       */
      public boolean hasModelId() {
        return modelIdBuilder_ != null || modelId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       * @return The modelId.
       */
      public com.google.protobuf.Int64Value getModelId() {
        if (modelIdBuilder_ == null) {
          return modelId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : modelId_;
        } else {
          return modelIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder setModelId(com.google.protobuf.Int64Value value) {
        if (modelIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelId_ = value;
          onChanged();
        } else {
          modelIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder setModelId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (modelIdBuilder_ == null) {
          modelId_ = builderForValue.build();
          onChanged();
        } else {
          modelIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder mergeModelId(com.google.protobuf.Int64Value value) {
        if (modelIdBuilder_ == null) {
          if (modelId_ != null) {
            modelId_ =
              com.google.protobuf.Int64Value.newBuilder(modelId_).mergeFrom(value).buildPartial();
          } else {
            modelId_ = value;
          }
          onChanged();
        } else {
          modelIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public Builder clearModelId() {
        if (modelIdBuilder_ == null) {
          modelId_ = null;
          onChanged();
        } else {
          modelId_ = null;
          modelIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public com.google.protobuf.Int64Value.Builder getModelIdBuilder() {
        
        onChanged();
        return getModelIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getModelIdOrBuilder() {
        if (modelIdBuilder_ != null) {
          return modelIdBuilder_.getMessageOrBuilder();
        } else {
          return modelId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : modelId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value model_id = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getModelIdFieldBuilder() {
        if (modelIdBuilder_ == null) {
          modelIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getModelId(),
                  getParentForChildren(),
                  isClean());
          modelId_ = null;
        }
        return modelIdBuilder_;
      }

      private com.google.protobuf.Int64Value projectSnapshotId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> projectSnapshotIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       * @return Whether the projectSnapshotId field is set.
       */
      public boolean hasProjectSnapshotId() {
        return projectSnapshotIdBuilder_ != null || projectSnapshotId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       * @return The projectSnapshotId.
       */
      public com.google.protobuf.Int64Value getProjectSnapshotId() {
        if (projectSnapshotIdBuilder_ == null) {
          return projectSnapshotId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectSnapshotId_;
        } else {
          return projectSnapshotIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder setProjectSnapshotId(com.google.protobuf.Int64Value value) {
        if (projectSnapshotIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectSnapshotId_ = value;
          onChanged();
        } else {
          projectSnapshotIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder setProjectSnapshotId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotId_ = builderForValue.build();
          onChanged();
        } else {
          projectSnapshotIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder mergeProjectSnapshotId(com.google.protobuf.Int64Value value) {
        if (projectSnapshotIdBuilder_ == null) {
          if (projectSnapshotId_ != null) {
            projectSnapshotId_ =
              com.google.protobuf.Int64Value.newBuilder(projectSnapshotId_).mergeFrom(value).buildPartial();
          } else {
            projectSnapshotId_ = value;
          }
          onChanged();
        } else {
          projectSnapshotIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public Builder clearProjectSnapshotId() {
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotId_ = null;
          onChanged();
        } else {
          projectSnapshotId_ = null;
          projectSnapshotIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getProjectSnapshotIdBuilder() {
        
        onChanged();
        return getProjectSnapshotIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getProjectSnapshotIdOrBuilder() {
        if (projectSnapshotIdBuilder_ != null) {
          return projectSnapshotIdBuilder_.getMessageOrBuilder();
        } else {
          return projectSnapshotId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : projectSnapshotId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_snapshot_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getProjectSnapshotIdFieldBuilder() {
        if (projectSnapshotIdBuilder_ == null) {
          projectSnapshotIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getProjectSnapshotId(),
                  getParentForChildren(),
                  isClean());
          projectSnapshotId_ = null;
        }
        return projectSnapshotIdBuilder_;
      }

      private com.google.protobuf.StringValue modelPath_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelPathBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       * @return Whether the modelPath field is set.
       */
      public boolean hasModelPath() {
        return modelPathBuilder_ != null || modelPath_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       * @return The modelPath.
       */
      public com.google.protobuf.StringValue getModelPath() {
        if (modelPathBuilder_ == null) {
          return modelPath_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
        } else {
          return modelPathBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      public Builder setModelPath(com.google.protobuf.StringValue value) {
        if (modelPathBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelPath_ = value;
          onChanged();
        } else {
          modelPathBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      public Builder setModelPath(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelPathBuilder_ == null) {
          modelPath_ = builderForValue.build();
          onChanged();
        } else {
          modelPathBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      public Builder mergeModelPath(com.google.protobuf.StringValue value) {
        if (modelPathBuilder_ == null) {
          if (modelPath_ != null) {
            modelPath_ =
              com.google.protobuf.StringValue.newBuilder(modelPath_).mergeFrom(value).buildPartial();
          } else {
            modelPath_ = value;
          }
          onChanged();
        } else {
          modelPathBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      public Builder clearModelPath() {
        if (modelPathBuilder_ == null) {
          modelPath_ = null;
          onChanged();
        } else {
          modelPath_ = null;
          modelPathBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelPathBuilder() {
        
        onChanged();
        return getModelPathFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder() {
        if (modelPathBuilder_ != null) {
          return modelPathBuilder_.getMessageOrBuilder();
        } else {
          return modelPath_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelPathFieldBuilder() {
        if (modelPathBuilder_ == null) {
          modelPathBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelPath(),
                  getParentForChildren(),
                  isClean());
          modelPath_ = null;
        }
        return modelPathBuilder_;
      }

      private com.google.protobuf.StringValue modelType_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelTypeBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       * @return Whether the modelType field is set.
       */
      public boolean hasModelType() {
        return modelTypeBuilder_ != null || modelType_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       * @return The modelType.
       */
      public com.google.protobuf.StringValue getModelType() {
        if (modelTypeBuilder_ == null) {
          return modelType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
        } else {
          return modelTypeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      public Builder setModelType(com.google.protobuf.StringValue value) {
        if (modelTypeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelType_ = value;
          onChanged();
        } else {
          modelTypeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      public Builder setModelType(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelTypeBuilder_ == null) {
          modelType_ = builderForValue.build();
          onChanged();
        } else {
          modelTypeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      public Builder mergeModelType(com.google.protobuf.StringValue value) {
        if (modelTypeBuilder_ == null) {
          if (modelType_ != null) {
            modelType_ =
              com.google.protobuf.StringValue.newBuilder(modelType_).mergeFrom(value).buildPartial();
          } else {
            modelType_ = value;
          }
          onChanged();
        } else {
          modelTypeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      public Builder clearModelType() {
        if (modelTypeBuilder_ == null) {
          modelType_ = null;
          onChanged();
        } else {
          modelType_ = null;
          modelTypeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelTypeBuilder() {
        
        onChanged();
        return getModelTypeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder() {
        if (modelTypeBuilder_ != null) {
          return modelTypeBuilder_.getMessageOrBuilder();
        } else {
          return modelType_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelTypeFieldBuilder() {
        if (modelTypeBuilder_ == null) {
          modelTypeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelType(),
                  getParentForChildren(),
                  isClean());
          modelType_ = null;
        }
        return modelTypeBuilder_;
      }

      private com.google.protobuf.StringValue versionDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> versionDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       * @return Whether the versionDesc field is set.
       */
      public boolean hasVersionDesc() {
        return versionDescBuilder_ != null || versionDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       * @return The versionDesc.
       */
      public com.google.protobuf.StringValue getVersionDesc() {
        if (versionDescBuilder_ == null) {
          return versionDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
        } else {
          return versionDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      public Builder setVersionDesc(com.google.protobuf.StringValue value) {
        if (versionDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          versionDesc_ = value;
          onChanged();
        } else {
          versionDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      public Builder setVersionDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (versionDescBuilder_ == null) {
          versionDesc_ = builderForValue.build();
          onChanged();
        } else {
          versionDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      public Builder mergeVersionDesc(com.google.protobuf.StringValue value) {
        if (versionDescBuilder_ == null) {
          if (versionDesc_ != null) {
            versionDesc_ =
              com.google.protobuf.StringValue.newBuilder(versionDesc_).mergeFrom(value).buildPartial();
          } else {
            versionDesc_ = value;
          }
          onChanged();
        } else {
          versionDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      public Builder clearVersionDesc() {
        if (versionDescBuilder_ == null) {
          versionDesc_ = null;
          onChanged();
        } else {
          versionDesc_ = null;
          versionDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      public com.google.protobuf.StringValue.Builder getVersionDescBuilder() {
        
        onChanged();
        return getVersionDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder() {
        if (versionDescBuilder_ != null) {
          return versionDescBuilder_.getMessageOrBuilder();
        } else {
          return versionDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getVersionDescFieldBuilder() {
        if (versionDescBuilder_ == null) {
          versionDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getVersionDesc(),
                  getParentForChildren(),
                  isClean());
          versionDesc_ = null;
        }
        return versionDescBuilder_;
      }

      private int currentStage_ = 0;
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @return The enum numeric value on the wire for currentStage.
       */
      @java.lang.Override public int getCurrentStageValue() {
        return currentStage_;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @param value The enum numeric value on the wire for currentStage to set.
       * @return This builder for chaining.
       */
      public Builder setCurrentStageValue(int value) {
        
        currentStage_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @return The currentStage.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.ModelVersionStage result = org.aiflow.client.proto.Message.ModelVersionStage.valueOf(currentStage_);
        return result == null ? org.aiflow.client.proto.Message.ModelVersionStage.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @param value The currentStage to set.
       * @return This builder for chaining.
       */
      public Builder setCurrentStage(org.aiflow.client.proto.Message.ModelVersionStage value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        currentStage_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @return This builder for chaining.
       */
      public Builder clearCurrentStage() {
        
        currentStage_ = 0;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelVersionProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelVersionProto)
    private static final org.aiflow.client.proto.Message.ModelVersionProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelVersionProto();
    }

    public static org.aiflow.client.proto.Message.ModelVersionProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelVersionProto>
        PARSER = new com.google.protobuf.AbstractParser<ModelVersionProto>() {
      @java.lang.Override
      public ModelVersionProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelVersionProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelVersionProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelVersionProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelVersionProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface JobProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.JobProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
     * @return Whether the workflowExecutionId field is set.
     */
    boolean hasWorkflowExecutionId();
    /**
     * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
     * @return The workflowExecutionId.
     */
    com.google.protobuf.Int64Value getWorkflowExecutionId();
    /**
     * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getWorkflowExecutionIdOrBuilder();

    /**
     * <code>.ai_flow.StateProto job_state = 4;</code>
     * @return The enum numeric value on the wire for jobState.
     */
    int getJobStateValue();
    /**
     * <code>.ai_flow.StateProto job_state = 4;</code>
     * @return The jobState.
     */
    org.aiflow.client.proto.Message.StateProto getJobState();

    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>.google.protobuf.StringValue job_id = 6;</code>
     * @return Whether the jobId field is set.
     */
    boolean hasJobId();
    /**
     * <code>.google.protobuf.StringValue job_id = 6;</code>
     * @return The jobId.
     */
    com.google.protobuf.StringValue getJobId();
    /**
     * <code>.google.protobuf.StringValue job_id = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getJobIdOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value start_time = 7;</code>
     * @return Whether the startTime field is set.
     */
    boolean hasStartTime();
    /**
     * <code>.google.protobuf.Int64Value start_time = 7;</code>
     * @return The startTime.
     */
    com.google.protobuf.Int64Value getStartTime();
    /**
     * <code>.google.protobuf.Int64Value start_time = 7;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value end_time = 8;</code>
     * @return Whether the endTime field is set.
     */
    boolean hasEndTime();
    /**
     * <code>.google.protobuf.Int64Value end_time = 8;</code>
     * @return The endTime.
     */
    com.google.protobuf.Int64Value getEndTime();
    /**
     * <code>.google.protobuf.Int64Value end_time = 8;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue log_uri = 9;</code>
     * @return Whether the logUri field is set.
     */
    boolean hasLogUri();
    /**
     * <code>.google.protobuf.StringValue log_uri = 9;</code>
     * @return The logUri.
     */
    com.google.protobuf.StringValue getLogUri();
    /**
     * <code>.google.protobuf.StringValue log_uri = 9;</code>
     */
    com.google.protobuf.StringValueOrBuilder getLogUriOrBuilder();

    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return Whether the signature field is set.
     */
    boolean hasSignature();
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return The signature.
     */
    com.google.protobuf.StringValue getSignature();
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     */
    com.google.protobuf.StringValueOrBuilder getSignatureOrBuilder();

    /**
     * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
     * @return Whether the workflowExecution field is set.
     */
    boolean hasWorkflowExecution();
    /**
     * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
     * @return The workflowExecution.
     */
    org.aiflow.client.proto.Message.WorkflowExecutionProto getWorkflowExecution();
    /**
     * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
     */
    org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder getWorkflowExecutionOrBuilder();

    /**
     * <code>.google.protobuf.StringValue execution_label = 12;</code>
     * @return Whether the executionLabel field is set.
     */
    boolean hasExecutionLabel();
    /**
     * <code>.google.protobuf.StringValue execution_label = 12;</code>
     * @return The executionLabel.
     */
    com.google.protobuf.StringValue getExecutionLabel();
    /**
     * <code>.google.protobuf.StringValue execution_label = 12;</code>
     */
    com.google.protobuf.StringValueOrBuilder getExecutionLabelOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.JobProto}
   */
  public static final class JobProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.JobProto)
      JobProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use JobProto.newBuilder() to construct.
    private JobProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private JobProto() {
      name_ = "";
      jobState_ = 0;
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new JobProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private JobProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (workflowExecutionId_ != null) {
                subBuilder = workflowExecutionId_.toBuilder();
              }
              workflowExecutionId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(workflowExecutionId_);
                workflowExecutionId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 32: {
              int rawValue = input.readEnum();

              jobState_ = rawValue;
              break;
            }
            case 42: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (jobId_ != null) {
                subBuilder = jobId_.toBuilder();
              }
              jobId_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(jobId_);
                jobId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (startTime_ != null) {
                subBuilder = startTime_.toBuilder();
              }
              startTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(startTime_);
                startTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 66: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (endTime_ != null) {
                subBuilder = endTime_.toBuilder();
              }
              endTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(endTime_);
                endTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 74: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (logUri_ != null) {
                subBuilder = logUri_.toBuilder();
              }
              logUri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(logUri_);
                logUri_ = subBuilder.buildPartial();
              }

              break;
            }
            case 82: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (signature_ != null) {
                subBuilder = signature_.toBuilder();
              }
              signature_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(signature_);
                signature_ = subBuilder.buildPartial();
              }

              break;
            }
            case 90: {
              org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder subBuilder = null;
              if (workflowExecution_ != null) {
                subBuilder = workflowExecution_.toBuilder();
              }
              workflowExecution_ = input.readMessage(org.aiflow.client.proto.Message.WorkflowExecutionProto.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(workflowExecution_);
                workflowExecution_ = subBuilder.buildPartial();
              }

              break;
            }
            case 98: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (executionLabel_ != null) {
                subBuilder = executionLabel_.toBuilder();
              }
              executionLabel_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(executionLabel_);
                executionLabel_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_JobProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 5:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_JobProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.JobProto.class, org.aiflow.client.proto.Message.JobProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int WORKFLOW_EXECUTION_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value workflowExecutionId_;
    /**
     * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
     * @return Whether the workflowExecutionId field is set.
     */
    @java.lang.Override
    public boolean hasWorkflowExecutionId() {
      return workflowExecutionId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
     * @return The workflowExecutionId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getWorkflowExecutionId() {
      return workflowExecutionId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : workflowExecutionId_;
    }
    /**
     * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getWorkflowExecutionIdOrBuilder() {
      return getWorkflowExecutionId();
    }

    public static final int JOB_STATE_FIELD_NUMBER = 4;
    private int jobState_;
    /**
     * <code>.ai_flow.StateProto job_state = 4;</code>
     * @return The enum numeric value on the wire for jobState.
     */
    @java.lang.Override public int getJobStateValue() {
      return jobState_;
    }
    /**
     * <code>.ai_flow.StateProto job_state = 4;</code>
     * @return The jobState.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.StateProto getJobState() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.StateProto result = org.aiflow.client.proto.Message.StateProto.valueOf(jobState_);
      return result == null ? org.aiflow.client.proto.Message.StateProto.UNRECOGNIZED : result;
    }

    public static final int PROPERTIES_FIELD_NUMBER = 5;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_JobProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int JOB_ID_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue jobId_;
    /**
     * <code>.google.protobuf.StringValue job_id = 6;</code>
     * @return Whether the jobId field is set.
     */
    @java.lang.Override
    public boolean hasJobId() {
      return jobId_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue job_id = 6;</code>
     * @return The jobId.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getJobId() {
      return jobId_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : jobId_;
    }
    /**
     * <code>.google.protobuf.StringValue job_id = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getJobIdOrBuilder() {
      return getJobId();
    }

    public static final int START_TIME_FIELD_NUMBER = 7;
    private com.google.protobuf.Int64Value startTime_;
    /**
     * <code>.google.protobuf.Int64Value start_time = 7;</code>
     * @return Whether the startTime field is set.
     */
    @java.lang.Override
    public boolean hasStartTime() {
      return startTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value start_time = 7;</code>
     * @return The startTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getStartTime() {
      return startTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value start_time = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder() {
      return getStartTime();
    }

    public static final int END_TIME_FIELD_NUMBER = 8;
    private com.google.protobuf.Int64Value endTime_;
    /**
     * <code>.google.protobuf.Int64Value end_time = 8;</code>
     * @return Whether the endTime field is set.
     */
    @java.lang.Override
    public boolean hasEndTime() {
      return endTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value end_time = 8;</code>
     * @return The endTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getEndTime() {
      return endTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value end_time = 8;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder() {
      return getEndTime();
    }

    public static final int LOG_URI_FIELD_NUMBER = 9;
    private com.google.protobuf.StringValue logUri_;
    /**
     * <code>.google.protobuf.StringValue log_uri = 9;</code>
     * @return Whether the logUri field is set.
     */
    @java.lang.Override
    public boolean hasLogUri() {
      return logUri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue log_uri = 9;</code>
     * @return The logUri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getLogUri() {
      return logUri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : logUri_;
    }
    /**
     * <code>.google.protobuf.StringValue log_uri = 9;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getLogUriOrBuilder() {
      return getLogUri();
    }

    public static final int SIGNATURE_FIELD_NUMBER = 10;
    private com.google.protobuf.StringValue signature_;
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return Whether the signature field is set.
     */
    @java.lang.Override
    public boolean hasSignature() {
      return signature_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return The signature.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getSignature() {
      return signature_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : signature_;
    }
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getSignatureOrBuilder() {
      return getSignature();
    }

    public static final int WORKFLOW_EXECUTION_FIELD_NUMBER = 11;
    private org.aiflow.client.proto.Message.WorkflowExecutionProto workflowExecution_;
    /**
     * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
     * @return Whether the workflowExecution field is set.
     */
    @java.lang.Override
    public boolean hasWorkflowExecution() {
      return workflowExecution_ != null;
    }
    /**
     * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
     * @return The workflowExecution.
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowExecutionProto getWorkflowExecution() {
      return workflowExecution_ == null ? org.aiflow.client.proto.Message.WorkflowExecutionProto.getDefaultInstance() : workflowExecution_;
    }
    /**
     * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder getWorkflowExecutionOrBuilder() {
      return getWorkflowExecution();
    }

    public static final int EXECUTION_LABEL_FIELD_NUMBER = 12;
    private com.google.protobuf.StringValue executionLabel_;
    /**
     * <code>.google.protobuf.StringValue execution_label = 12;</code>
     * @return Whether the executionLabel field is set.
     */
    @java.lang.Override
    public boolean hasExecutionLabel() {
      return executionLabel_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue execution_label = 12;</code>
     * @return The executionLabel.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getExecutionLabel() {
      return executionLabel_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : executionLabel_;
    }
    /**
     * <code>.google.protobuf.StringValue execution_label = 12;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getExecutionLabelOrBuilder() {
      return getExecutionLabel();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      if (workflowExecutionId_ != null) {
        output.writeMessage(3, getWorkflowExecutionId());
      }
      if (jobState_ != org.aiflow.client.proto.Message.StateProto.STATE_UNSPECIFIED.getNumber()) {
        output.writeEnum(4, jobState_);
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          5);
      if (jobId_ != null) {
        output.writeMessage(6, getJobId());
      }
      if (startTime_ != null) {
        output.writeMessage(7, getStartTime());
      }
      if (endTime_ != null) {
        output.writeMessage(8, getEndTime());
      }
      if (logUri_ != null) {
        output.writeMessage(9, getLogUri());
      }
      if (signature_ != null) {
        output.writeMessage(10, getSignature());
      }
      if (workflowExecution_ != null) {
        output.writeMessage(11, getWorkflowExecution());
      }
      if (executionLabel_ != null) {
        output.writeMessage(12, getExecutionLabel());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      if (workflowExecutionId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getWorkflowExecutionId());
      }
      if (jobState_ != org.aiflow.client.proto.Message.StateProto.STATE_UNSPECIFIED.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(4, jobState_);
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(5, properties__);
      }
      if (jobId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getJobId());
      }
      if (startTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getStartTime());
      }
      if (endTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(8, getEndTime());
      }
      if (logUri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(9, getLogUri());
      }
      if (signature_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(10, getSignature());
      }
      if (workflowExecution_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(11, getWorkflowExecution());
      }
      if (executionLabel_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(12, getExecutionLabel());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.JobProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.JobProto other = (org.aiflow.client.proto.Message.JobProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (hasWorkflowExecutionId() != other.hasWorkflowExecutionId()) return false;
      if (hasWorkflowExecutionId()) {
        if (!getWorkflowExecutionId()
            .equals(other.getWorkflowExecutionId())) return false;
      }
      if (jobState_ != other.jobState_) return false;
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (hasJobId() != other.hasJobId()) return false;
      if (hasJobId()) {
        if (!getJobId()
            .equals(other.getJobId())) return false;
      }
      if (hasStartTime() != other.hasStartTime()) return false;
      if (hasStartTime()) {
        if (!getStartTime()
            .equals(other.getStartTime())) return false;
      }
      if (hasEndTime() != other.hasEndTime()) return false;
      if (hasEndTime()) {
        if (!getEndTime()
            .equals(other.getEndTime())) return false;
      }
      if (hasLogUri() != other.hasLogUri()) return false;
      if (hasLogUri()) {
        if (!getLogUri()
            .equals(other.getLogUri())) return false;
      }
      if (hasSignature() != other.hasSignature()) return false;
      if (hasSignature()) {
        if (!getSignature()
            .equals(other.getSignature())) return false;
      }
      if (hasWorkflowExecution() != other.hasWorkflowExecution()) return false;
      if (hasWorkflowExecution()) {
        if (!getWorkflowExecution()
            .equals(other.getWorkflowExecution())) return false;
      }
      if (hasExecutionLabel() != other.hasExecutionLabel()) return false;
      if (hasExecutionLabel()) {
        if (!getExecutionLabel()
            .equals(other.getExecutionLabel())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (hasWorkflowExecutionId()) {
        hash = (37 * hash) + WORKFLOW_EXECUTION_ID_FIELD_NUMBER;
        hash = (53 * hash) + getWorkflowExecutionId().hashCode();
      }
      hash = (37 * hash) + JOB_STATE_FIELD_NUMBER;
      hash = (53 * hash) + jobState_;
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      if (hasJobId()) {
        hash = (37 * hash) + JOB_ID_FIELD_NUMBER;
        hash = (53 * hash) + getJobId().hashCode();
      }
      if (hasStartTime()) {
        hash = (37 * hash) + START_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getStartTime().hashCode();
      }
      if (hasEndTime()) {
        hash = (37 * hash) + END_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getEndTime().hashCode();
      }
      if (hasLogUri()) {
        hash = (37 * hash) + LOG_URI_FIELD_NUMBER;
        hash = (53 * hash) + getLogUri().hashCode();
      }
      if (hasSignature()) {
        hash = (37 * hash) + SIGNATURE_FIELD_NUMBER;
        hash = (53 * hash) + getSignature().hashCode();
      }
      if (hasWorkflowExecution()) {
        hash = (37 * hash) + WORKFLOW_EXECUTION_FIELD_NUMBER;
        hash = (53 * hash) + getWorkflowExecution().hashCode();
      }
      if (hasExecutionLabel()) {
        hash = (37 * hash) + EXECUTION_LABEL_FIELD_NUMBER;
        hash = (53 * hash) + getExecutionLabel().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.JobProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.JobProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.JobProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.JobProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.JobProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.JobProto)
        org.aiflow.client.proto.Message.JobProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_JobProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 5:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 5:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_JobProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.JobProto.class, org.aiflow.client.proto.Message.JobProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.JobProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        if (workflowExecutionIdBuilder_ == null) {
          workflowExecutionId_ = null;
        } else {
          workflowExecutionId_ = null;
          workflowExecutionIdBuilder_ = null;
        }
        jobState_ = 0;

        internalGetMutableProperties().clear();
        if (jobIdBuilder_ == null) {
          jobId_ = null;
        } else {
          jobId_ = null;
          jobIdBuilder_ = null;
        }
        if (startTimeBuilder_ == null) {
          startTime_ = null;
        } else {
          startTime_ = null;
          startTimeBuilder_ = null;
        }
        if (endTimeBuilder_ == null) {
          endTime_ = null;
        } else {
          endTime_ = null;
          endTimeBuilder_ = null;
        }
        if (logUriBuilder_ == null) {
          logUri_ = null;
        } else {
          logUri_ = null;
          logUriBuilder_ = null;
        }
        if (signatureBuilder_ == null) {
          signature_ = null;
        } else {
          signature_ = null;
          signatureBuilder_ = null;
        }
        if (workflowExecutionBuilder_ == null) {
          workflowExecution_ = null;
        } else {
          workflowExecution_ = null;
          workflowExecutionBuilder_ = null;
        }
        if (executionLabelBuilder_ == null) {
          executionLabel_ = null;
        } else {
          executionLabel_ = null;
          executionLabelBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_JobProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.JobProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.JobProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.JobProto build() {
        org.aiflow.client.proto.Message.JobProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.JobProto buildPartial() {
        org.aiflow.client.proto.Message.JobProto result = new org.aiflow.client.proto.Message.JobProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        if (workflowExecutionIdBuilder_ == null) {
          result.workflowExecutionId_ = workflowExecutionId_;
        } else {
          result.workflowExecutionId_ = workflowExecutionIdBuilder_.build();
        }
        result.jobState_ = jobState_;
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        if (jobIdBuilder_ == null) {
          result.jobId_ = jobId_;
        } else {
          result.jobId_ = jobIdBuilder_.build();
        }
        if (startTimeBuilder_ == null) {
          result.startTime_ = startTime_;
        } else {
          result.startTime_ = startTimeBuilder_.build();
        }
        if (endTimeBuilder_ == null) {
          result.endTime_ = endTime_;
        } else {
          result.endTime_ = endTimeBuilder_.build();
        }
        if (logUriBuilder_ == null) {
          result.logUri_ = logUri_;
        } else {
          result.logUri_ = logUriBuilder_.build();
        }
        if (signatureBuilder_ == null) {
          result.signature_ = signature_;
        } else {
          result.signature_ = signatureBuilder_.build();
        }
        if (workflowExecutionBuilder_ == null) {
          result.workflowExecution_ = workflowExecution_;
        } else {
          result.workflowExecution_ = workflowExecutionBuilder_.build();
        }
        if (executionLabelBuilder_ == null) {
          result.executionLabel_ = executionLabel_;
        } else {
          result.executionLabel_ = executionLabelBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.JobProto) {
          return mergeFrom((org.aiflow.client.proto.Message.JobProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.JobProto other) {
        if (other == org.aiflow.client.proto.Message.JobProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        if (other.hasWorkflowExecutionId()) {
          mergeWorkflowExecutionId(other.getWorkflowExecutionId());
        }
        if (other.jobState_ != 0) {
          setJobStateValue(other.getJobStateValue());
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (other.hasJobId()) {
          mergeJobId(other.getJobId());
        }
        if (other.hasStartTime()) {
          mergeStartTime(other.getStartTime());
        }
        if (other.hasEndTime()) {
          mergeEndTime(other.getEndTime());
        }
        if (other.hasLogUri()) {
          mergeLogUri(other.getLogUri());
        }
        if (other.hasSignature()) {
          mergeSignature(other.getSignature());
        }
        if (other.hasWorkflowExecution()) {
          mergeWorkflowExecution(other.getWorkflowExecution());
        }
        if (other.hasExecutionLabel()) {
          mergeExecutionLabel(other.getExecutionLabel());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.JobProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.JobProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.Int64Value workflowExecutionId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> workflowExecutionIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       * @return Whether the workflowExecutionId field is set.
       */
      public boolean hasWorkflowExecutionId() {
        return workflowExecutionIdBuilder_ != null || workflowExecutionId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       * @return The workflowExecutionId.
       */
      public com.google.protobuf.Int64Value getWorkflowExecutionId() {
        if (workflowExecutionIdBuilder_ == null) {
          return workflowExecutionId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : workflowExecutionId_;
        } else {
          return workflowExecutionIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      public Builder setWorkflowExecutionId(com.google.protobuf.Int64Value value) {
        if (workflowExecutionIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          workflowExecutionId_ = value;
          onChanged();
        } else {
          workflowExecutionIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      public Builder setWorkflowExecutionId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (workflowExecutionIdBuilder_ == null) {
          workflowExecutionId_ = builderForValue.build();
          onChanged();
        } else {
          workflowExecutionIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      public Builder mergeWorkflowExecutionId(com.google.protobuf.Int64Value value) {
        if (workflowExecutionIdBuilder_ == null) {
          if (workflowExecutionId_ != null) {
            workflowExecutionId_ =
              com.google.protobuf.Int64Value.newBuilder(workflowExecutionId_).mergeFrom(value).buildPartial();
          } else {
            workflowExecutionId_ = value;
          }
          onChanged();
        } else {
          workflowExecutionIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      public Builder clearWorkflowExecutionId() {
        if (workflowExecutionIdBuilder_ == null) {
          workflowExecutionId_ = null;
          onChanged();
        } else {
          workflowExecutionId_ = null;
          workflowExecutionIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getWorkflowExecutionIdBuilder() {
        
        onChanged();
        return getWorkflowExecutionIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getWorkflowExecutionIdOrBuilder() {
        if (workflowExecutionIdBuilder_ != null) {
          return workflowExecutionIdBuilder_.getMessageOrBuilder();
        } else {
          return workflowExecutionId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : workflowExecutionId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value workflow_execution_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getWorkflowExecutionIdFieldBuilder() {
        if (workflowExecutionIdBuilder_ == null) {
          workflowExecutionIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getWorkflowExecutionId(),
                  getParentForChildren(),
                  isClean());
          workflowExecutionId_ = null;
        }
        return workflowExecutionIdBuilder_;
      }

      private int jobState_ = 0;
      /**
       * <code>.ai_flow.StateProto job_state = 4;</code>
       * @return The enum numeric value on the wire for jobState.
       */
      @java.lang.Override public int getJobStateValue() {
        return jobState_;
      }
      /**
       * <code>.ai_flow.StateProto job_state = 4;</code>
       * @param value The enum numeric value on the wire for jobState to set.
       * @return This builder for chaining.
       */
      public Builder setJobStateValue(int value) {
        
        jobState_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.StateProto job_state = 4;</code>
       * @return The jobState.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.StateProto getJobState() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.StateProto result = org.aiflow.client.proto.Message.StateProto.valueOf(jobState_);
        return result == null ? org.aiflow.client.proto.Message.StateProto.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.StateProto job_state = 4;</code>
       * @param value The jobState to set.
       * @return This builder for chaining.
       */
      public Builder setJobState(org.aiflow.client.proto.Message.StateProto value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        jobState_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.StateProto job_state = 4;</code>
       * @return This builder for chaining.
       */
      public Builder clearJobState() {
        
        jobState_ = 0;
        onChanged();
        return this;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private com.google.protobuf.StringValue jobId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> jobIdBuilder_;
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       * @return Whether the jobId field is set.
       */
      public boolean hasJobId() {
        return jobIdBuilder_ != null || jobId_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       * @return The jobId.
       */
      public com.google.protobuf.StringValue getJobId() {
        if (jobIdBuilder_ == null) {
          return jobId_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : jobId_;
        } else {
          return jobIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      public Builder setJobId(com.google.protobuf.StringValue value) {
        if (jobIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          jobId_ = value;
          onChanged();
        } else {
          jobIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      public Builder setJobId(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (jobIdBuilder_ == null) {
          jobId_ = builderForValue.build();
          onChanged();
        } else {
          jobIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      public Builder mergeJobId(com.google.protobuf.StringValue value) {
        if (jobIdBuilder_ == null) {
          if (jobId_ != null) {
            jobId_ =
              com.google.protobuf.StringValue.newBuilder(jobId_).mergeFrom(value).buildPartial();
          } else {
            jobId_ = value;
          }
          onChanged();
        } else {
          jobIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      public Builder clearJobId() {
        if (jobIdBuilder_ == null) {
          jobId_ = null;
          onChanged();
        } else {
          jobId_ = null;
          jobIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getJobIdBuilder() {
        
        onChanged();
        return getJobIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getJobIdOrBuilder() {
        if (jobIdBuilder_ != null) {
          return jobIdBuilder_.getMessageOrBuilder();
        } else {
          return jobId_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : jobId_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue job_id = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getJobIdFieldBuilder() {
        if (jobIdBuilder_ == null) {
          jobIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getJobId(),
                  getParentForChildren(),
                  isClean());
          jobId_ = null;
        }
        return jobIdBuilder_;
      }

      private com.google.protobuf.Int64Value startTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> startTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       * @return Whether the startTime field is set.
       */
      public boolean hasStartTime() {
        return startTimeBuilder_ != null || startTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       * @return The startTime.
       */
      public com.google.protobuf.Int64Value getStartTime() {
        if (startTimeBuilder_ == null) {
          return startTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
        } else {
          return startTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      public Builder setStartTime(com.google.protobuf.Int64Value value) {
        if (startTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          startTime_ = value;
          onChanged();
        } else {
          startTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      public Builder setStartTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (startTimeBuilder_ == null) {
          startTime_ = builderForValue.build();
          onChanged();
        } else {
          startTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      public Builder mergeStartTime(com.google.protobuf.Int64Value value) {
        if (startTimeBuilder_ == null) {
          if (startTime_ != null) {
            startTime_ =
              com.google.protobuf.Int64Value.newBuilder(startTime_).mergeFrom(value).buildPartial();
          } else {
            startTime_ = value;
          }
          onChanged();
        } else {
          startTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      public Builder clearStartTime() {
        if (startTimeBuilder_ == null) {
          startTime_ = null;
          onChanged();
        } else {
          startTime_ = null;
          startTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      public com.google.protobuf.Int64Value.Builder getStartTimeBuilder() {
        
        onChanged();
        return getStartTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder() {
        if (startTimeBuilder_ != null) {
          return startTimeBuilder_.getMessageOrBuilder();
        } else {
          return startTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getStartTimeFieldBuilder() {
        if (startTimeBuilder_ == null) {
          startTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getStartTime(),
                  getParentForChildren(),
                  isClean());
          startTime_ = null;
        }
        return startTimeBuilder_;
      }

      private com.google.protobuf.Int64Value endTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> endTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       * @return Whether the endTime field is set.
       */
      public boolean hasEndTime() {
        return endTimeBuilder_ != null || endTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       * @return The endTime.
       */
      public com.google.protobuf.Int64Value getEndTime() {
        if (endTimeBuilder_ == null) {
          return endTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
        } else {
          return endTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      public Builder setEndTime(com.google.protobuf.Int64Value value) {
        if (endTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          endTime_ = value;
          onChanged();
        } else {
          endTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      public Builder setEndTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (endTimeBuilder_ == null) {
          endTime_ = builderForValue.build();
          onChanged();
        } else {
          endTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      public Builder mergeEndTime(com.google.protobuf.Int64Value value) {
        if (endTimeBuilder_ == null) {
          if (endTime_ != null) {
            endTime_ =
              com.google.protobuf.Int64Value.newBuilder(endTime_).mergeFrom(value).buildPartial();
          } else {
            endTime_ = value;
          }
          onChanged();
        } else {
          endTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      public Builder clearEndTime() {
        if (endTimeBuilder_ == null) {
          endTime_ = null;
          onChanged();
        } else {
          endTime_ = null;
          endTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      public com.google.protobuf.Int64Value.Builder getEndTimeBuilder() {
        
        onChanged();
        return getEndTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder() {
        if (endTimeBuilder_ != null) {
          return endTimeBuilder_.getMessageOrBuilder();
        } else {
          return endTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 8;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getEndTimeFieldBuilder() {
        if (endTimeBuilder_ == null) {
          endTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getEndTime(),
                  getParentForChildren(),
                  isClean());
          endTime_ = null;
        }
        return endTimeBuilder_;
      }

      private com.google.protobuf.StringValue logUri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> logUriBuilder_;
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       * @return Whether the logUri field is set.
       */
      public boolean hasLogUri() {
        return logUriBuilder_ != null || logUri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       * @return The logUri.
       */
      public com.google.protobuf.StringValue getLogUri() {
        if (logUriBuilder_ == null) {
          return logUri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : logUri_;
        } else {
          return logUriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      public Builder setLogUri(com.google.protobuf.StringValue value) {
        if (logUriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          logUri_ = value;
          onChanged();
        } else {
          logUriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      public Builder setLogUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (logUriBuilder_ == null) {
          logUri_ = builderForValue.build();
          onChanged();
        } else {
          logUriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      public Builder mergeLogUri(com.google.protobuf.StringValue value) {
        if (logUriBuilder_ == null) {
          if (logUri_ != null) {
            logUri_ =
              com.google.protobuf.StringValue.newBuilder(logUri_).mergeFrom(value).buildPartial();
          } else {
            logUri_ = value;
          }
          onChanged();
        } else {
          logUriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      public Builder clearLogUri() {
        if (logUriBuilder_ == null) {
          logUri_ = null;
          onChanged();
        } else {
          logUri_ = null;
          logUriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      public com.google.protobuf.StringValue.Builder getLogUriBuilder() {
        
        onChanged();
        return getLogUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getLogUriOrBuilder() {
        if (logUriBuilder_ != null) {
          return logUriBuilder_.getMessageOrBuilder();
        } else {
          return logUri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : logUri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 9;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getLogUriFieldBuilder() {
        if (logUriBuilder_ == null) {
          logUriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getLogUri(),
                  getParentForChildren(),
                  isClean());
          logUri_ = null;
        }
        return logUriBuilder_;
      }

      private com.google.protobuf.StringValue signature_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> signatureBuilder_;
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       * @return Whether the signature field is set.
       */
      public boolean hasSignature() {
        return signatureBuilder_ != null || signature_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       * @return The signature.
       */
      public com.google.protobuf.StringValue getSignature() {
        if (signatureBuilder_ == null) {
          return signature_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : signature_;
        } else {
          return signatureBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder setSignature(com.google.protobuf.StringValue value) {
        if (signatureBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          signature_ = value;
          onChanged();
        } else {
          signatureBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder setSignature(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (signatureBuilder_ == null) {
          signature_ = builderForValue.build();
          onChanged();
        } else {
          signatureBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder mergeSignature(com.google.protobuf.StringValue value) {
        if (signatureBuilder_ == null) {
          if (signature_ != null) {
            signature_ =
              com.google.protobuf.StringValue.newBuilder(signature_).mergeFrom(value).buildPartial();
          } else {
            signature_ = value;
          }
          onChanged();
        } else {
          signatureBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder clearSignature() {
        if (signatureBuilder_ == null) {
          signature_ = null;
          onChanged();
        } else {
          signature_ = null;
          signatureBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public com.google.protobuf.StringValue.Builder getSignatureBuilder() {
        
        onChanged();
        return getSignatureFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getSignatureOrBuilder() {
        if (signatureBuilder_ != null) {
          return signatureBuilder_.getMessageOrBuilder();
        } else {
          return signature_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : signature_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getSignatureFieldBuilder() {
        if (signatureBuilder_ == null) {
          signatureBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getSignature(),
                  getParentForChildren(),
                  isClean());
          signature_ = null;
        }
        return signatureBuilder_;
      }

      private org.aiflow.client.proto.Message.WorkflowExecutionProto workflowExecution_;
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.WorkflowExecutionProto, org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder, org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder> workflowExecutionBuilder_;
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       * @return Whether the workflowExecution field is set.
       */
      public boolean hasWorkflowExecution() {
        return workflowExecutionBuilder_ != null || workflowExecution_ != null;
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       * @return The workflowExecution.
       */
      public org.aiflow.client.proto.Message.WorkflowExecutionProto getWorkflowExecution() {
        if (workflowExecutionBuilder_ == null) {
          return workflowExecution_ == null ? org.aiflow.client.proto.Message.WorkflowExecutionProto.getDefaultInstance() : workflowExecution_;
        } else {
          return workflowExecutionBuilder_.getMessage();
        }
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      public Builder setWorkflowExecution(org.aiflow.client.proto.Message.WorkflowExecutionProto value) {
        if (workflowExecutionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          workflowExecution_ = value;
          onChanged();
        } else {
          workflowExecutionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      public Builder setWorkflowExecution(
          org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder builderForValue) {
        if (workflowExecutionBuilder_ == null) {
          workflowExecution_ = builderForValue.build();
          onChanged();
        } else {
          workflowExecutionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      public Builder mergeWorkflowExecution(org.aiflow.client.proto.Message.WorkflowExecutionProto value) {
        if (workflowExecutionBuilder_ == null) {
          if (workflowExecution_ != null) {
            workflowExecution_ =
              org.aiflow.client.proto.Message.WorkflowExecutionProto.newBuilder(workflowExecution_).mergeFrom(value).buildPartial();
          } else {
            workflowExecution_ = value;
          }
          onChanged();
        } else {
          workflowExecutionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      public Builder clearWorkflowExecution() {
        if (workflowExecutionBuilder_ == null) {
          workflowExecution_ = null;
          onChanged();
        } else {
          workflowExecution_ = null;
          workflowExecutionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      public org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder getWorkflowExecutionBuilder() {
        
        onChanged();
        return getWorkflowExecutionFieldBuilder().getBuilder();
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      public org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder getWorkflowExecutionOrBuilder() {
        if (workflowExecutionBuilder_ != null) {
          return workflowExecutionBuilder_.getMessageOrBuilder();
        } else {
          return workflowExecution_ == null ?
              org.aiflow.client.proto.Message.WorkflowExecutionProto.getDefaultInstance() : workflowExecution_;
        }
      }
      /**
       * <code>.ai_flow.WorkflowExecutionProto workflow_execution = 11;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.WorkflowExecutionProto, org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder, org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder> 
          getWorkflowExecutionFieldBuilder() {
        if (workflowExecutionBuilder_ == null) {
          workflowExecutionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              org.aiflow.client.proto.Message.WorkflowExecutionProto, org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder, org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder>(
                  getWorkflowExecution(),
                  getParentForChildren(),
                  isClean());
          workflowExecution_ = null;
        }
        return workflowExecutionBuilder_;
      }

      private com.google.protobuf.StringValue executionLabel_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> executionLabelBuilder_;
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       * @return Whether the executionLabel field is set.
       */
      public boolean hasExecutionLabel() {
        return executionLabelBuilder_ != null || executionLabel_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       * @return The executionLabel.
       */
      public com.google.protobuf.StringValue getExecutionLabel() {
        if (executionLabelBuilder_ == null) {
          return executionLabel_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : executionLabel_;
        } else {
          return executionLabelBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      public Builder setExecutionLabel(com.google.protobuf.StringValue value) {
        if (executionLabelBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          executionLabel_ = value;
          onChanged();
        } else {
          executionLabelBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      public Builder setExecutionLabel(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (executionLabelBuilder_ == null) {
          executionLabel_ = builderForValue.build();
          onChanged();
        } else {
          executionLabelBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      public Builder mergeExecutionLabel(com.google.protobuf.StringValue value) {
        if (executionLabelBuilder_ == null) {
          if (executionLabel_ != null) {
            executionLabel_ =
              com.google.protobuf.StringValue.newBuilder(executionLabel_).mergeFrom(value).buildPartial();
          } else {
            executionLabel_ = value;
          }
          onChanged();
        } else {
          executionLabelBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      public Builder clearExecutionLabel() {
        if (executionLabelBuilder_ == null) {
          executionLabel_ = null;
          onChanged();
        } else {
          executionLabel_ = null;
          executionLabelBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      public com.google.protobuf.StringValue.Builder getExecutionLabelBuilder() {
        
        onChanged();
        return getExecutionLabelFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getExecutionLabelOrBuilder() {
        if (executionLabelBuilder_ != null) {
          return executionLabelBuilder_.getMessageOrBuilder();
        } else {
          return executionLabel_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : executionLabel_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue execution_label = 12;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getExecutionLabelFieldBuilder() {
        if (executionLabelBuilder_ == null) {
          executionLabelBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getExecutionLabel(),
                  getParentForChildren(),
                  isClean());
          executionLabel_ = null;
        }
        return executionLabelBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.JobProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.JobProto)
    private static final org.aiflow.client.proto.Message.JobProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.JobProto();
    }

    public static org.aiflow.client.proto.Message.JobProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<JobProto>
        PARSER = new com.google.protobuf.AbstractParser<JobProto>() {
      @java.lang.Override
      public JobProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new JobProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<JobProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<JobProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.JobProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface WorkflowProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.WorkflowProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>.google.protobuf.StringValue workflow_json = 3;</code>
     * @return Whether the workflowJson field is set.
     */
    boolean hasWorkflowJson();
    /**
     * <code>.google.protobuf.StringValue workflow_json = 3;</code>
     * @return The workflowJson.
     */
    com.google.protobuf.StringValue getWorkflowJson();
    /**
     * <code>.google.protobuf.StringValue workflow_json = 3;</code>
     */
    com.google.protobuf.StringValueOrBuilder getWorkflowJsonOrBuilder();

    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>string namespace = 5;</code>
     * @return The namespace.
     */
    java.lang.String getNamespace();
    /**
     * <code>string namespace = 5;</code>
     * @return The bytes for namespace.
     */
    com.google.protobuf.ByteString
        getNamespaceBytes();
  }
  /**
   * Protobuf type {@code ai_flow.WorkflowProto}
   */
  public static final class WorkflowProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.WorkflowProto)
      WorkflowProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use WorkflowProto.newBuilder() to construct.
    private WorkflowProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private WorkflowProto() {
      name_ = "";
      namespace_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new WorkflowProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private WorkflowProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (workflowJson_ != null) {
                subBuilder = workflowJson_.toBuilder();
              }
              workflowJson_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(workflowJson_);
                workflowJson_ = subBuilder.buildPartial();
              }

              break;
            }
            case 34: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 42: {
              java.lang.String s = input.readStringRequireUtf8();

              namespace_ = s;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 4:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.WorkflowProto.class, org.aiflow.client.proto.Message.WorkflowProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int WORKFLOW_JSON_FIELD_NUMBER = 3;
    private com.google.protobuf.StringValue workflowJson_;
    /**
     * <code>.google.protobuf.StringValue workflow_json = 3;</code>
     * @return Whether the workflowJson field is set.
     */
    @java.lang.Override
    public boolean hasWorkflowJson() {
      return workflowJson_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue workflow_json = 3;</code>
     * @return The workflowJson.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getWorkflowJson() {
      return workflowJson_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : workflowJson_;
    }
    /**
     * <code>.google.protobuf.StringValue workflow_json = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getWorkflowJsonOrBuilder() {
      return getWorkflowJson();
    }

    public static final int PROPERTIES_FIELD_NUMBER = 4;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int NAMESPACE_FIELD_NUMBER = 5;
    private volatile java.lang.Object namespace_;
    /**
     * <code>string namespace = 5;</code>
     * @return The namespace.
     */
    @java.lang.Override
    public java.lang.String getNamespace() {
      java.lang.Object ref = namespace_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        namespace_ = s;
        return s;
      }
    }
    /**
     * <code>string namespace = 5;</code>
     * @return The bytes for namespace.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNamespaceBytes() {
      java.lang.Object ref = namespace_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        namespace_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      if (workflowJson_ != null) {
        output.writeMessage(3, getWorkflowJson());
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          4);
      if (!getNamespaceBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 5, namespace_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      if (workflowJson_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getWorkflowJson());
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(4, properties__);
      }
      if (!getNamespaceBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(5, namespace_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.WorkflowProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.WorkflowProto other = (org.aiflow.client.proto.Message.WorkflowProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (hasWorkflowJson() != other.hasWorkflowJson()) return false;
      if (hasWorkflowJson()) {
        if (!getWorkflowJson()
            .equals(other.getWorkflowJson())) return false;
      }
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (!getNamespace()
          .equals(other.getNamespace())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (hasWorkflowJson()) {
        hash = (37 * hash) + WORKFLOW_JSON_FIELD_NUMBER;
        hash = (53 * hash) + getWorkflowJson().hashCode();
      }
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      hash = (37 * hash) + NAMESPACE_FIELD_NUMBER;
      hash = (53 * hash) + getNamespace().hashCode();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.WorkflowProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.WorkflowProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.WorkflowProto)
        org.aiflow.client.proto.Message.WorkflowProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 4:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 4:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.WorkflowProto.class, org.aiflow.client.proto.Message.WorkflowProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.WorkflowProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        if (workflowJsonBuilder_ == null) {
          workflowJson_ = null;
        } else {
          workflowJson_ = null;
          workflowJsonBuilder_ = null;
        }
        internalGetMutableProperties().clear();
        namespace_ = "";

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.WorkflowProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowProto build() {
        org.aiflow.client.proto.Message.WorkflowProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowProto buildPartial() {
        org.aiflow.client.proto.Message.WorkflowProto result = new org.aiflow.client.proto.Message.WorkflowProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        if (workflowJsonBuilder_ == null) {
          result.workflowJson_ = workflowJson_;
        } else {
          result.workflowJson_ = workflowJsonBuilder_.build();
        }
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        result.namespace_ = namespace_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.WorkflowProto) {
          return mergeFrom((org.aiflow.client.proto.Message.WorkflowProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.WorkflowProto other) {
        if (other == org.aiflow.client.proto.Message.WorkflowProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        if (other.hasWorkflowJson()) {
          mergeWorkflowJson(other.getWorkflowJson());
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (!other.getNamespace().isEmpty()) {
          namespace_ = other.namespace_;
          onChanged();
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.WorkflowProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.WorkflowProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.StringValue workflowJson_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> workflowJsonBuilder_;
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       * @return Whether the workflowJson field is set.
       */
      public boolean hasWorkflowJson() {
        return workflowJsonBuilder_ != null || workflowJson_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       * @return The workflowJson.
       */
      public com.google.protobuf.StringValue getWorkflowJson() {
        if (workflowJsonBuilder_ == null) {
          return workflowJson_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : workflowJson_;
        } else {
          return workflowJsonBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      public Builder setWorkflowJson(com.google.protobuf.StringValue value) {
        if (workflowJsonBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          workflowJson_ = value;
          onChanged();
        } else {
          workflowJsonBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      public Builder setWorkflowJson(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (workflowJsonBuilder_ == null) {
          workflowJson_ = builderForValue.build();
          onChanged();
        } else {
          workflowJsonBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      public Builder mergeWorkflowJson(com.google.protobuf.StringValue value) {
        if (workflowJsonBuilder_ == null) {
          if (workflowJson_ != null) {
            workflowJson_ =
              com.google.protobuf.StringValue.newBuilder(workflowJson_).mergeFrom(value).buildPartial();
          } else {
            workflowJson_ = value;
          }
          onChanged();
        } else {
          workflowJsonBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      public Builder clearWorkflowJson() {
        if (workflowJsonBuilder_ == null) {
          workflowJson_ = null;
          onChanged();
        } else {
          workflowJson_ = null;
          workflowJsonBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      public com.google.protobuf.StringValue.Builder getWorkflowJsonBuilder() {
        
        onChanged();
        return getWorkflowJsonFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getWorkflowJsonOrBuilder() {
        if (workflowJsonBuilder_ != null) {
          return workflowJsonBuilder_.getMessageOrBuilder();
        } else {
          return workflowJson_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : workflowJson_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getWorkflowJsonFieldBuilder() {
        if (workflowJsonBuilder_ == null) {
          workflowJsonBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getWorkflowJson(),
                  getParentForChildren(),
                  isClean());
          workflowJson_ = null;
        }
        return workflowJsonBuilder_;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private java.lang.Object namespace_ = "";
      /**
       * <code>string namespace = 5;</code>
       * @return The namespace.
       */
      public java.lang.String getNamespace() {
        java.lang.Object ref = namespace_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          namespace_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string namespace = 5;</code>
       * @return The bytes for namespace.
       */
      public com.google.protobuf.ByteString
          getNamespaceBytes() {
        java.lang.Object ref = namespace_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          namespace_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string namespace = 5;</code>
       * @param value The namespace to set.
       * @return This builder for chaining.
       */
      public Builder setNamespace(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        namespace_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string namespace = 5;</code>
       * @return This builder for chaining.
       */
      public Builder clearNamespace() {
        
        namespace_ = getDefaultInstance().getNamespace();
        onChanged();
        return this;
      }
      /**
       * <code>string namespace = 5;</code>
       * @param value The bytes for namespace to set.
       * @return This builder for chaining.
       */
      public Builder setNamespaceBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        namespace_ = value;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.WorkflowProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.WorkflowProto)
    private static final org.aiflow.client.proto.Message.WorkflowProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.WorkflowProto();
    }

    public static org.aiflow.client.proto.Message.WorkflowProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<WorkflowProto>
        PARSER = new com.google.protobuf.AbstractParser<WorkflowProto>() {
      @java.lang.Override
      public WorkflowProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new WorkflowProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<WorkflowProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<WorkflowProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface WorkflowExecutionProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.WorkflowExecutionProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    boolean hasProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    com.google.protobuf.Int64Value getProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder();

    /**
     * <code>.ai_flow.StateProto execution_state = 4;</code>
     * @return The enum numeric value on the wire for executionState.
     */
    int getExecutionStateValue();
    /**
     * <code>.ai_flow.StateProto execution_state = 4;</code>
     * @return The executionState.
     */
    org.aiflow.client.proto.Message.StateProto getExecutionState();

    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>.google.protobuf.Int64Value start_time = 6;</code>
     * @return Whether the startTime field is set.
     */
    boolean hasStartTime();
    /**
     * <code>.google.protobuf.Int64Value start_time = 6;</code>
     * @return The startTime.
     */
    com.google.protobuf.Int64Value getStartTime();
    /**
     * <code>.google.protobuf.Int64Value start_time = 6;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value end_time = 7;</code>
     * @return Whether the endTime field is set.
     */
    boolean hasEndTime();
    /**
     * <code>.google.protobuf.Int64Value end_time = 7;</code>
     * @return The endTime.
     */
    com.google.protobuf.Int64Value getEndTime();
    /**
     * <code>.google.protobuf.Int64Value end_time = 7;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue log_uri = 8;</code>
     * @return Whether the logUri field is set.
     */
    boolean hasLogUri();
    /**
     * <code>.google.protobuf.StringValue log_uri = 8;</code>
     * @return The logUri.
     */
    com.google.protobuf.StringValue getLogUri();
    /**
     * <code>.google.protobuf.StringValue log_uri = 8;</code>
     */
    com.google.protobuf.StringValueOrBuilder getLogUriOrBuilder();

    /**
     * <code>.google.protobuf.StringValue workflow_json = 9;</code>
     * @return Whether the workflowJson field is set.
     */
    boolean hasWorkflowJson();
    /**
     * <code>.google.protobuf.StringValue workflow_json = 9;</code>
     * @return The workflowJson.
     */
    com.google.protobuf.StringValue getWorkflowJson();
    /**
     * <code>.google.protobuf.StringValue workflow_json = 9;</code>
     */
    com.google.protobuf.StringValueOrBuilder getWorkflowJsonOrBuilder();

    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return Whether the signature field is set.
     */
    boolean hasSignature();
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return The signature.
     */
    com.google.protobuf.StringValue getSignature();
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     */
    com.google.protobuf.StringValueOrBuilder getSignatureOrBuilder();

    /**
     * <code>string execution_id = 11;</code>
     * @return The executionId.
     */
    java.lang.String getExecutionId();
    /**
     * <code>string execution_id = 11;</code>
     * @return The bytes for executionId.
     */
    com.google.protobuf.ByteString
        getExecutionIdBytes();

    /**
     * <code>.ai_flow.WorkflowProto workflow = 12;</code>
     * @return Whether the workflow field is set.
     */
    boolean hasWorkflow();
    /**
     * <code>.ai_flow.WorkflowProto workflow = 12;</code>
     * @return The workflow.
     */
    org.aiflow.client.proto.Message.WorkflowProto getWorkflow();
    /**
     * <code>.ai_flow.WorkflowProto workflow = 12;</code>
     */
    org.aiflow.client.proto.Message.WorkflowProtoOrBuilder getWorkflowOrBuilder();

    /**
     * <code>.google.protobuf.StringValue context = 13;</code>
     * @return Whether the context field is set.
     */
    boolean hasContext();
    /**
     * <code>.google.protobuf.StringValue context = 13;</code>
     * @return The context.
     */
    com.google.protobuf.StringValue getContext();
    /**
     * <code>.google.protobuf.StringValue context = 13;</code>
     */
    com.google.protobuf.StringValueOrBuilder getContextOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.WorkflowExecutionProto}
   */
  public static final class WorkflowExecutionProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.WorkflowExecutionProto)
      WorkflowExecutionProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use WorkflowExecutionProto.newBuilder() to construct.
    private WorkflowExecutionProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private WorkflowExecutionProto() {
      name_ = "";
      executionState_ = 0;
      executionId_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new WorkflowExecutionProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private WorkflowExecutionProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (projectId_ != null) {
                subBuilder = projectId_.toBuilder();
              }
              projectId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectId_);
                projectId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 32: {
              int rawValue = input.readEnum();

              executionState_ = rawValue;
              break;
            }
            case 42: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 50: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (startTime_ != null) {
                subBuilder = startTime_.toBuilder();
              }
              startTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(startTime_);
                startTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (endTime_ != null) {
                subBuilder = endTime_.toBuilder();
              }
              endTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(endTime_);
                endTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 66: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (logUri_ != null) {
                subBuilder = logUri_.toBuilder();
              }
              logUri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(logUri_);
                logUri_ = subBuilder.buildPartial();
              }

              break;
            }
            case 74: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (workflowJson_ != null) {
                subBuilder = workflowJson_.toBuilder();
              }
              workflowJson_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(workflowJson_);
                workflowJson_ = subBuilder.buildPartial();
              }

              break;
            }
            case 82: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (signature_ != null) {
                subBuilder = signature_.toBuilder();
              }
              signature_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(signature_);
                signature_ = subBuilder.buildPartial();
              }

              break;
            }
            case 90: {
              java.lang.String s = input.readStringRequireUtf8();

              executionId_ = s;
              break;
            }
            case 98: {
              org.aiflow.client.proto.Message.WorkflowProto.Builder subBuilder = null;
              if (workflow_ != null) {
                subBuilder = workflow_.toBuilder();
              }
              workflow_ = input.readMessage(org.aiflow.client.proto.Message.WorkflowProto.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(workflow_);
                workflow_ = subBuilder.buildPartial();
              }

              break;
            }
            case 106: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (context_ != null) {
                subBuilder = context_.toBuilder();
              }
              context_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(context_);
                context_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowExecutionProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 5:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowExecutionProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.WorkflowExecutionProto.class, org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROJECT_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value projectId_;
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    @java.lang.Override
    public boolean hasProjectId() {
      return projectId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getProjectId() {
      return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
      return getProjectId();
    }

    public static final int EXECUTION_STATE_FIELD_NUMBER = 4;
    private int executionState_;
    /**
     * <code>.ai_flow.StateProto execution_state = 4;</code>
     * @return The enum numeric value on the wire for executionState.
     */
    @java.lang.Override public int getExecutionStateValue() {
      return executionState_;
    }
    /**
     * <code>.ai_flow.StateProto execution_state = 4;</code>
     * @return The executionState.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.StateProto getExecutionState() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.StateProto result = org.aiflow.client.proto.Message.StateProto.valueOf(executionState_);
      return result == null ? org.aiflow.client.proto.Message.StateProto.UNRECOGNIZED : result;
    }

    public static final int PROPERTIES_FIELD_NUMBER = 5;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowExecutionProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 5;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int START_TIME_FIELD_NUMBER = 6;
    private com.google.protobuf.Int64Value startTime_;
    /**
     * <code>.google.protobuf.Int64Value start_time = 6;</code>
     * @return Whether the startTime field is set.
     */
    @java.lang.Override
    public boolean hasStartTime() {
      return startTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value start_time = 6;</code>
     * @return The startTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getStartTime() {
      return startTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value start_time = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder() {
      return getStartTime();
    }

    public static final int END_TIME_FIELD_NUMBER = 7;
    private com.google.protobuf.Int64Value endTime_;
    /**
     * <code>.google.protobuf.Int64Value end_time = 7;</code>
     * @return Whether the endTime field is set.
     */
    @java.lang.Override
    public boolean hasEndTime() {
      return endTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value end_time = 7;</code>
     * @return The endTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getEndTime() {
      return endTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value end_time = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder() {
      return getEndTime();
    }

    public static final int LOG_URI_FIELD_NUMBER = 8;
    private com.google.protobuf.StringValue logUri_;
    /**
     * <code>.google.protobuf.StringValue log_uri = 8;</code>
     * @return Whether the logUri field is set.
     */
    @java.lang.Override
    public boolean hasLogUri() {
      return logUri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue log_uri = 8;</code>
     * @return The logUri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getLogUri() {
      return logUri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : logUri_;
    }
    /**
     * <code>.google.protobuf.StringValue log_uri = 8;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getLogUriOrBuilder() {
      return getLogUri();
    }

    public static final int WORKFLOW_JSON_FIELD_NUMBER = 9;
    private com.google.protobuf.StringValue workflowJson_;
    /**
     * <code>.google.protobuf.StringValue workflow_json = 9;</code>
     * @return Whether the workflowJson field is set.
     */
    @java.lang.Override
    public boolean hasWorkflowJson() {
      return workflowJson_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue workflow_json = 9;</code>
     * @return The workflowJson.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getWorkflowJson() {
      return workflowJson_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : workflowJson_;
    }
    /**
     * <code>.google.protobuf.StringValue workflow_json = 9;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getWorkflowJsonOrBuilder() {
      return getWorkflowJson();
    }

    public static final int SIGNATURE_FIELD_NUMBER = 10;
    private com.google.protobuf.StringValue signature_;
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return Whether the signature field is set.
     */
    @java.lang.Override
    public boolean hasSignature() {
      return signature_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     * @return The signature.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getSignature() {
      return signature_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : signature_;
    }
    /**
     * <code>.google.protobuf.StringValue signature = 10;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getSignatureOrBuilder() {
      return getSignature();
    }

    public static final int EXECUTION_ID_FIELD_NUMBER = 11;
    private volatile java.lang.Object executionId_;
    /**
     * <code>string execution_id = 11;</code>
     * @return The executionId.
     */
    @java.lang.Override
    public java.lang.String getExecutionId() {
      java.lang.Object ref = executionId_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        executionId_ = s;
        return s;
      }
    }
    /**
     * <code>string execution_id = 11;</code>
     * @return The bytes for executionId.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getExecutionIdBytes() {
      java.lang.Object ref = executionId_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        executionId_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int WORKFLOW_FIELD_NUMBER = 12;
    private org.aiflow.client.proto.Message.WorkflowProto workflow_;
    /**
     * <code>.ai_flow.WorkflowProto workflow = 12;</code>
     * @return Whether the workflow field is set.
     */
    @java.lang.Override
    public boolean hasWorkflow() {
      return workflow_ != null;
    }
    /**
     * <code>.ai_flow.WorkflowProto workflow = 12;</code>
     * @return The workflow.
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowProto getWorkflow() {
      return workflow_ == null ? org.aiflow.client.proto.Message.WorkflowProto.getDefaultInstance() : workflow_;
    }
    /**
     * <code>.ai_flow.WorkflowProto workflow = 12;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowProtoOrBuilder getWorkflowOrBuilder() {
      return getWorkflow();
    }

    public static final int CONTEXT_FIELD_NUMBER = 13;
    private com.google.protobuf.StringValue context_;
    /**
     * <code>.google.protobuf.StringValue context = 13;</code>
     * @return Whether the context field is set.
     */
    @java.lang.Override
    public boolean hasContext() {
      return context_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue context = 13;</code>
     * @return The context.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getContext() {
      return context_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : context_;
    }
    /**
     * <code>.google.protobuf.StringValue context = 13;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getContextOrBuilder() {
      return getContext();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      if (projectId_ != null) {
        output.writeMessage(3, getProjectId());
      }
      if (executionState_ != org.aiflow.client.proto.Message.StateProto.STATE_UNSPECIFIED.getNumber()) {
        output.writeEnum(4, executionState_);
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          5);
      if (startTime_ != null) {
        output.writeMessage(6, getStartTime());
      }
      if (endTime_ != null) {
        output.writeMessage(7, getEndTime());
      }
      if (logUri_ != null) {
        output.writeMessage(8, getLogUri());
      }
      if (workflowJson_ != null) {
        output.writeMessage(9, getWorkflowJson());
      }
      if (signature_ != null) {
        output.writeMessage(10, getSignature());
      }
      if (!getExecutionIdBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 11, executionId_);
      }
      if (workflow_ != null) {
        output.writeMessage(12, getWorkflow());
      }
      if (context_ != null) {
        output.writeMessage(13, getContext());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      if (projectId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getProjectId());
      }
      if (executionState_ != org.aiflow.client.proto.Message.StateProto.STATE_UNSPECIFIED.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(4, executionState_);
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(5, properties__);
      }
      if (startTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getStartTime());
      }
      if (endTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getEndTime());
      }
      if (logUri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(8, getLogUri());
      }
      if (workflowJson_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(9, getWorkflowJson());
      }
      if (signature_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(10, getSignature());
      }
      if (!getExecutionIdBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(11, executionId_);
      }
      if (workflow_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(12, getWorkflow());
      }
      if (context_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(13, getContext());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.WorkflowExecutionProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.WorkflowExecutionProto other = (org.aiflow.client.proto.Message.WorkflowExecutionProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (hasProjectId() != other.hasProjectId()) return false;
      if (hasProjectId()) {
        if (!getProjectId()
            .equals(other.getProjectId())) return false;
      }
      if (executionState_ != other.executionState_) return false;
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (hasStartTime() != other.hasStartTime()) return false;
      if (hasStartTime()) {
        if (!getStartTime()
            .equals(other.getStartTime())) return false;
      }
      if (hasEndTime() != other.hasEndTime()) return false;
      if (hasEndTime()) {
        if (!getEndTime()
            .equals(other.getEndTime())) return false;
      }
      if (hasLogUri() != other.hasLogUri()) return false;
      if (hasLogUri()) {
        if (!getLogUri()
            .equals(other.getLogUri())) return false;
      }
      if (hasWorkflowJson() != other.hasWorkflowJson()) return false;
      if (hasWorkflowJson()) {
        if (!getWorkflowJson()
            .equals(other.getWorkflowJson())) return false;
      }
      if (hasSignature() != other.hasSignature()) return false;
      if (hasSignature()) {
        if (!getSignature()
            .equals(other.getSignature())) return false;
      }
      if (!getExecutionId()
          .equals(other.getExecutionId())) return false;
      if (hasWorkflow() != other.hasWorkflow()) return false;
      if (hasWorkflow()) {
        if (!getWorkflow()
            .equals(other.getWorkflow())) return false;
      }
      if (hasContext() != other.hasContext()) return false;
      if (hasContext()) {
        if (!getContext()
            .equals(other.getContext())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (hasProjectId()) {
        hash = (37 * hash) + PROJECT_ID_FIELD_NUMBER;
        hash = (53 * hash) + getProjectId().hashCode();
      }
      hash = (37 * hash) + EXECUTION_STATE_FIELD_NUMBER;
      hash = (53 * hash) + executionState_;
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      if (hasStartTime()) {
        hash = (37 * hash) + START_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getStartTime().hashCode();
      }
      if (hasEndTime()) {
        hash = (37 * hash) + END_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getEndTime().hashCode();
      }
      if (hasLogUri()) {
        hash = (37 * hash) + LOG_URI_FIELD_NUMBER;
        hash = (53 * hash) + getLogUri().hashCode();
      }
      if (hasWorkflowJson()) {
        hash = (37 * hash) + WORKFLOW_JSON_FIELD_NUMBER;
        hash = (53 * hash) + getWorkflowJson().hashCode();
      }
      if (hasSignature()) {
        hash = (37 * hash) + SIGNATURE_FIELD_NUMBER;
        hash = (53 * hash) + getSignature().hashCode();
      }
      hash = (37 * hash) + EXECUTION_ID_FIELD_NUMBER;
      hash = (53 * hash) + getExecutionId().hashCode();
      if (hasWorkflow()) {
        hash = (37 * hash) + WORKFLOW_FIELD_NUMBER;
        hash = (53 * hash) + getWorkflow().hashCode();
      }
      if (hasContext()) {
        hash = (37 * hash) + CONTEXT_FIELD_NUMBER;
        hash = (53 * hash) + getContext().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowExecutionProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.WorkflowExecutionProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.WorkflowExecutionProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.WorkflowExecutionProto)
        org.aiflow.client.proto.Message.WorkflowExecutionProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowExecutionProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 5:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 5:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowExecutionProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.WorkflowExecutionProto.class, org.aiflow.client.proto.Message.WorkflowExecutionProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.WorkflowExecutionProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        if (projectIdBuilder_ == null) {
          projectId_ = null;
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }
        executionState_ = 0;

        internalGetMutableProperties().clear();
        if (startTimeBuilder_ == null) {
          startTime_ = null;
        } else {
          startTime_ = null;
          startTimeBuilder_ = null;
        }
        if (endTimeBuilder_ == null) {
          endTime_ = null;
        } else {
          endTime_ = null;
          endTimeBuilder_ = null;
        }
        if (logUriBuilder_ == null) {
          logUri_ = null;
        } else {
          logUri_ = null;
          logUriBuilder_ = null;
        }
        if (workflowJsonBuilder_ == null) {
          workflowJson_ = null;
        } else {
          workflowJson_ = null;
          workflowJsonBuilder_ = null;
        }
        if (signatureBuilder_ == null) {
          signature_ = null;
        } else {
          signature_ = null;
          signatureBuilder_ = null;
        }
        executionId_ = "";

        if (workflowBuilder_ == null) {
          workflow_ = null;
        } else {
          workflow_ = null;
          workflowBuilder_ = null;
        }
        if (contextBuilder_ == null) {
          context_ = null;
        } else {
          context_ = null;
          contextBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowExecutionProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowExecutionProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.WorkflowExecutionProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowExecutionProto build() {
        org.aiflow.client.proto.Message.WorkflowExecutionProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowExecutionProto buildPartial() {
        org.aiflow.client.proto.Message.WorkflowExecutionProto result = new org.aiflow.client.proto.Message.WorkflowExecutionProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        if (projectIdBuilder_ == null) {
          result.projectId_ = projectId_;
        } else {
          result.projectId_ = projectIdBuilder_.build();
        }
        result.executionState_ = executionState_;
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        if (startTimeBuilder_ == null) {
          result.startTime_ = startTime_;
        } else {
          result.startTime_ = startTimeBuilder_.build();
        }
        if (endTimeBuilder_ == null) {
          result.endTime_ = endTime_;
        } else {
          result.endTime_ = endTimeBuilder_.build();
        }
        if (logUriBuilder_ == null) {
          result.logUri_ = logUri_;
        } else {
          result.logUri_ = logUriBuilder_.build();
        }
        if (workflowJsonBuilder_ == null) {
          result.workflowJson_ = workflowJson_;
        } else {
          result.workflowJson_ = workflowJsonBuilder_.build();
        }
        if (signatureBuilder_ == null) {
          result.signature_ = signature_;
        } else {
          result.signature_ = signatureBuilder_.build();
        }
        result.executionId_ = executionId_;
        if (workflowBuilder_ == null) {
          result.workflow_ = workflow_;
        } else {
          result.workflow_ = workflowBuilder_.build();
        }
        if (contextBuilder_ == null) {
          result.context_ = context_;
        } else {
          result.context_ = contextBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.WorkflowExecutionProto) {
          return mergeFrom((org.aiflow.client.proto.Message.WorkflowExecutionProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.WorkflowExecutionProto other) {
        if (other == org.aiflow.client.proto.Message.WorkflowExecutionProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        if (other.hasProjectId()) {
          mergeProjectId(other.getProjectId());
        }
        if (other.executionState_ != 0) {
          setExecutionStateValue(other.getExecutionStateValue());
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (other.hasStartTime()) {
          mergeStartTime(other.getStartTime());
        }
        if (other.hasEndTime()) {
          mergeEndTime(other.getEndTime());
        }
        if (other.hasLogUri()) {
          mergeLogUri(other.getLogUri());
        }
        if (other.hasWorkflowJson()) {
          mergeWorkflowJson(other.getWorkflowJson());
        }
        if (other.hasSignature()) {
          mergeSignature(other.getSignature());
        }
        if (!other.getExecutionId().isEmpty()) {
          executionId_ = other.executionId_;
          onChanged();
        }
        if (other.hasWorkflow()) {
          mergeWorkflow(other.getWorkflow());
        }
        if (other.hasContext()) {
          mergeContext(other.getContext());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.WorkflowExecutionProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.WorkflowExecutionProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.Int64Value projectId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> projectIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return Whether the projectId field is set.
       */
      public boolean hasProjectId() {
        return projectIdBuilder_ != null || projectId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return The projectId.
       */
      public com.google.protobuf.Int64Value getProjectId() {
        if (projectIdBuilder_ == null) {
          return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        } else {
          return projectIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectId_ = value;
          onChanged();
        } else {
          projectIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (projectIdBuilder_ == null) {
          projectId_ = builderForValue.build();
          onChanged();
        } else {
          projectIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder mergeProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (projectId_ != null) {
            projectId_ =
              com.google.protobuf.Int64Value.newBuilder(projectId_).mergeFrom(value).buildPartial();
          } else {
            projectId_ = value;
          }
          onChanged();
        } else {
          projectIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder clearProjectId() {
        if (projectIdBuilder_ == null) {
          projectId_ = null;
          onChanged();
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getProjectIdBuilder() {
        
        onChanged();
        return getProjectIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
        if (projectIdBuilder_ != null) {
          return projectIdBuilder_.getMessageOrBuilder();
        } else {
          return projectId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getProjectIdFieldBuilder() {
        if (projectIdBuilder_ == null) {
          projectIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getProjectId(),
                  getParentForChildren(),
                  isClean());
          projectId_ = null;
        }
        return projectIdBuilder_;
      }

      private int executionState_ = 0;
      /**
       * <code>.ai_flow.StateProto execution_state = 4;</code>
       * @return The enum numeric value on the wire for executionState.
       */
      @java.lang.Override public int getExecutionStateValue() {
        return executionState_;
      }
      /**
       * <code>.ai_flow.StateProto execution_state = 4;</code>
       * @param value The enum numeric value on the wire for executionState to set.
       * @return This builder for chaining.
       */
      public Builder setExecutionStateValue(int value) {
        
        executionState_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.StateProto execution_state = 4;</code>
       * @return The executionState.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.StateProto getExecutionState() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.StateProto result = org.aiflow.client.proto.Message.StateProto.valueOf(executionState_);
        return result == null ? org.aiflow.client.proto.Message.StateProto.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.StateProto execution_state = 4;</code>
       * @param value The executionState to set.
       * @return This builder for chaining.
       */
      public Builder setExecutionState(org.aiflow.client.proto.Message.StateProto value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        executionState_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.StateProto execution_state = 4;</code>
       * @return This builder for chaining.
       */
      public Builder clearExecutionState() {
        
        executionState_ = 0;
        onChanged();
        return this;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 5;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private com.google.protobuf.Int64Value startTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> startTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       * @return Whether the startTime field is set.
       */
      public boolean hasStartTime() {
        return startTimeBuilder_ != null || startTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       * @return The startTime.
       */
      public com.google.protobuf.Int64Value getStartTime() {
        if (startTimeBuilder_ == null) {
          return startTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
        } else {
          return startTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      public Builder setStartTime(com.google.protobuf.Int64Value value) {
        if (startTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          startTime_ = value;
          onChanged();
        } else {
          startTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      public Builder setStartTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (startTimeBuilder_ == null) {
          startTime_ = builderForValue.build();
          onChanged();
        } else {
          startTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      public Builder mergeStartTime(com.google.protobuf.Int64Value value) {
        if (startTimeBuilder_ == null) {
          if (startTime_ != null) {
            startTime_ =
              com.google.protobuf.Int64Value.newBuilder(startTime_).mergeFrom(value).buildPartial();
          } else {
            startTime_ = value;
          }
          onChanged();
        } else {
          startTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      public Builder clearStartTime() {
        if (startTimeBuilder_ == null) {
          startTime_ = null;
          onChanged();
        } else {
          startTime_ = null;
          startTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      public com.google.protobuf.Int64Value.Builder getStartTimeBuilder() {
        
        onChanged();
        return getStartTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder() {
        if (startTimeBuilder_ != null) {
          return startTimeBuilder_.getMessageOrBuilder();
        } else {
          return startTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getStartTimeFieldBuilder() {
        if (startTimeBuilder_ == null) {
          startTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getStartTime(),
                  getParentForChildren(),
                  isClean());
          startTime_ = null;
        }
        return startTimeBuilder_;
      }

      private com.google.protobuf.Int64Value endTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> endTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       * @return Whether the endTime field is set.
       */
      public boolean hasEndTime() {
        return endTimeBuilder_ != null || endTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       * @return The endTime.
       */
      public com.google.protobuf.Int64Value getEndTime() {
        if (endTimeBuilder_ == null) {
          return endTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
        } else {
          return endTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      public Builder setEndTime(com.google.protobuf.Int64Value value) {
        if (endTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          endTime_ = value;
          onChanged();
        } else {
          endTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      public Builder setEndTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (endTimeBuilder_ == null) {
          endTime_ = builderForValue.build();
          onChanged();
        } else {
          endTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      public Builder mergeEndTime(com.google.protobuf.Int64Value value) {
        if (endTimeBuilder_ == null) {
          if (endTime_ != null) {
            endTime_ =
              com.google.protobuf.Int64Value.newBuilder(endTime_).mergeFrom(value).buildPartial();
          } else {
            endTime_ = value;
          }
          onChanged();
        } else {
          endTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      public Builder clearEndTime() {
        if (endTimeBuilder_ == null) {
          endTime_ = null;
          onChanged();
        } else {
          endTime_ = null;
          endTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      public com.google.protobuf.Int64Value.Builder getEndTimeBuilder() {
        
        onChanged();
        return getEndTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder() {
        if (endTimeBuilder_ != null) {
          return endTimeBuilder_.getMessageOrBuilder();
        } else {
          return endTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getEndTimeFieldBuilder() {
        if (endTimeBuilder_ == null) {
          endTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getEndTime(),
                  getParentForChildren(),
                  isClean());
          endTime_ = null;
        }
        return endTimeBuilder_;
      }

      private com.google.protobuf.StringValue logUri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> logUriBuilder_;
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       * @return Whether the logUri field is set.
       */
      public boolean hasLogUri() {
        return logUriBuilder_ != null || logUri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       * @return The logUri.
       */
      public com.google.protobuf.StringValue getLogUri() {
        if (logUriBuilder_ == null) {
          return logUri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : logUri_;
        } else {
          return logUriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      public Builder setLogUri(com.google.protobuf.StringValue value) {
        if (logUriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          logUri_ = value;
          onChanged();
        } else {
          logUriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      public Builder setLogUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (logUriBuilder_ == null) {
          logUri_ = builderForValue.build();
          onChanged();
        } else {
          logUriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      public Builder mergeLogUri(com.google.protobuf.StringValue value) {
        if (logUriBuilder_ == null) {
          if (logUri_ != null) {
            logUri_ =
              com.google.protobuf.StringValue.newBuilder(logUri_).mergeFrom(value).buildPartial();
          } else {
            logUri_ = value;
          }
          onChanged();
        } else {
          logUriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      public Builder clearLogUri() {
        if (logUriBuilder_ == null) {
          logUri_ = null;
          onChanged();
        } else {
          logUri_ = null;
          logUriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      public com.google.protobuf.StringValue.Builder getLogUriBuilder() {
        
        onChanged();
        return getLogUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getLogUriOrBuilder() {
        if (logUriBuilder_ != null) {
          return logUriBuilder_.getMessageOrBuilder();
        } else {
          return logUri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : logUri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue log_uri = 8;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getLogUriFieldBuilder() {
        if (logUriBuilder_ == null) {
          logUriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getLogUri(),
                  getParentForChildren(),
                  isClean());
          logUri_ = null;
        }
        return logUriBuilder_;
      }

      private com.google.protobuf.StringValue workflowJson_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> workflowJsonBuilder_;
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       * @return Whether the workflowJson field is set.
       */
      public boolean hasWorkflowJson() {
        return workflowJsonBuilder_ != null || workflowJson_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       * @return The workflowJson.
       */
      public com.google.protobuf.StringValue getWorkflowJson() {
        if (workflowJsonBuilder_ == null) {
          return workflowJson_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : workflowJson_;
        } else {
          return workflowJsonBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      public Builder setWorkflowJson(com.google.protobuf.StringValue value) {
        if (workflowJsonBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          workflowJson_ = value;
          onChanged();
        } else {
          workflowJsonBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      public Builder setWorkflowJson(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (workflowJsonBuilder_ == null) {
          workflowJson_ = builderForValue.build();
          onChanged();
        } else {
          workflowJsonBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      public Builder mergeWorkflowJson(com.google.protobuf.StringValue value) {
        if (workflowJsonBuilder_ == null) {
          if (workflowJson_ != null) {
            workflowJson_ =
              com.google.protobuf.StringValue.newBuilder(workflowJson_).mergeFrom(value).buildPartial();
          } else {
            workflowJson_ = value;
          }
          onChanged();
        } else {
          workflowJsonBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      public Builder clearWorkflowJson() {
        if (workflowJsonBuilder_ == null) {
          workflowJson_ = null;
          onChanged();
        } else {
          workflowJson_ = null;
          workflowJsonBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      public com.google.protobuf.StringValue.Builder getWorkflowJsonBuilder() {
        
        onChanged();
        return getWorkflowJsonFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getWorkflowJsonOrBuilder() {
        if (workflowJsonBuilder_ != null) {
          return workflowJsonBuilder_.getMessageOrBuilder();
        } else {
          return workflowJson_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : workflowJson_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue workflow_json = 9;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getWorkflowJsonFieldBuilder() {
        if (workflowJsonBuilder_ == null) {
          workflowJsonBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getWorkflowJson(),
                  getParentForChildren(),
                  isClean());
          workflowJson_ = null;
        }
        return workflowJsonBuilder_;
      }

      private com.google.protobuf.StringValue signature_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> signatureBuilder_;
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       * @return Whether the signature field is set.
       */
      public boolean hasSignature() {
        return signatureBuilder_ != null || signature_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       * @return The signature.
       */
      public com.google.protobuf.StringValue getSignature() {
        if (signatureBuilder_ == null) {
          return signature_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : signature_;
        } else {
          return signatureBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder setSignature(com.google.protobuf.StringValue value) {
        if (signatureBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          signature_ = value;
          onChanged();
        } else {
          signatureBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder setSignature(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (signatureBuilder_ == null) {
          signature_ = builderForValue.build();
          onChanged();
        } else {
          signatureBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder mergeSignature(com.google.protobuf.StringValue value) {
        if (signatureBuilder_ == null) {
          if (signature_ != null) {
            signature_ =
              com.google.protobuf.StringValue.newBuilder(signature_).mergeFrom(value).buildPartial();
          } else {
            signature_ = value;
          }
          onChanged();
        } else {
          signatureBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public Builder clearSignature() {
        if (signatureBuilder_ == null) {
          signature_ = null;
          onChanged();
        } else {
          signature_ = null;
          signatureBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public com.google.protobuf.StringValue.Builder getSignatureBuilder() {
        
        onChanged();
        return getSignatureFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getSignatureOrBuilder() {
        if (signatureBuilder_ != null) {
          return signatureBuilder_.getMessageOrBuilder();
        } else {
          return signature_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : signature_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue signature = 10;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getSignatureFieldBuilder() {
        if (signatureBuilder_ == null) {
          signatureBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getSignature(),
                  getParentForChildren(),
                  isClean());
          signature_ = null;
        }
        return signatureBuilder_;
      }

      private java.lang.Object executionId_ = "";
      /**
       * <code>string execution_id = 11;</code>
       * @return The executionId.
       */
      public java.lang.String getExecutionId() {
        java.lang.Object ref = executionId_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          executionId_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string execution_id = 11;</code>
       * @return The bytes for executionId.
       */
      public com.google.protobuf.ByteString
          getExecutionIdBytes() {
        java.lang.Object ref = executionId_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          executionId_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string execution_id = 11;</code>
       * @param value The executionId to set.
       * @return This builder for chaining.
       */
      public Builder setExecutionId(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        executionId_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string execution_id = 11;</code>
       * @return This builder for chaining.
       */
      public Builder clearExecutionId() {
        
        executionId_ = getDefaultInstance().getExecutionId();
        onChanged();
        return this;
      }
      /**
       * <code>string execution_id = 11;</code>
       * @param value The bytes for executionId to set.
       * @return This builder for chaining.
       */
      public Builder setExecutionIdBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        executionId_ = value;
        onChanged();
        return this;
      }

      private org.aiflow.client.proto.Message.WorkflowProto workflow_;
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.WorkflowProto, org.aiflow.client.proto.Message.WorkflowProto.Builder, org.aiflow.client.proto.Message.WorkflowProtoOrBuilder> workflowBuilder_;
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       * @return Whether the workflow field is set.
       */
      public boolean hasWorkflow() {
        return workflowBuilder_ != null || workflow_ != null;
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       * @return The workflow.
       */
      public org.aiflow.client.proto.Message.WorkflowProto getWorkflow() {
        if (workflowBuilder_ == null) {
          return workflow_ == null ? org.aiflow.client.proto.Message.WorkflowProto.getDefaultInstance() : workflow_;
        } else {
          return workflowBuilder_.getMessage();
        }
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      public Builder setWorkflow(org.aiflow.client.proto.Message.WorkflowProto value) {
        if (workflowBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          workflow_ = value;
          onChanged();
        } else {
          workflowBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      public Builder setWorkflow(
          org.aiflow.client.proto.Message.WorkflowProto.Builder builderForValue) {
        if (workflowBuilder_ == null) {
          workflow_ = builderForValue.build();
          onChanged();
        } else {
          workflowBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      public Builder mergeWorkflow(org.aiflow.client.proto.Message.WorkflowProto value) {
        if (workflowBuilder_ == null) {
          if (workflow_ != null) {
            workflow_ =
              org.aiflow.client.proto.Message.WorkflowProto.newBuilder(workflow_).mergeFrom(value).buildPartial();
          } else {
            workflow_ = value;
          }
          onChanged();
        } else {
          workflowBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      public Builder clearWorkflow() {
        if (workflowBuilder_ == null) {
          workflow_ = null;
          onChanged();
        } else {
          workflow_ = null;
          workflowBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      public org.aiflow.client.proto.Message.WorkflowProto.Builder getWorkflowBuilder() {
        
        onChanged();
        return getWorkflowFieldBuilder().getBuilder();
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      public org.aiflow.client.proto.Message.WorkflowProtoOrBuilder getWorkflowOrBuilder() {
        if (workflowBuilder_ != null) {
          return workflowBuilder_.getMessageOrBuilder();
        } else {
          return workflow_ == null ?
              org.aiflow.client.proto.Message.WorkflowProto.getDefaultInstance() : workflow_;
        }
      }
      /**
       * <code>.ai_flow.WorkflowProto workflow = 12;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.WorkflowProto, org.aiflow.client.proto.Message.WorkflowProto.Builder, org.aiflow.client.proto.Message.WorkflowProtoOrBuilder> 
          getWorkflowFieldBuilder() {
        if (workflowBuilder_ == null) {
          workflowBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              org.aiflow.client.proto.Message.WorkflowProto, org.aiflow.client.proto.Message.WorkflowProto.Builder, org.aiflow.client.proto.Message.WorkflowProtoOrBuilder>(
                  getWorkflow(),
                  getParentForChildren(),
                  isClean());
          workflow_ = null;
        }
        return workflowBuilder_;
      }

      private com.google.protobuf.StringValue context_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> contextBuilder_;
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       * @return Whether the context field is set.
       */
      public boolean hasContext() {
        return contextBuilder_ != null || context_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       * @return The context.
       */
      public com.google.protobuf.StringValue getContext() {
        if (contextBuilder_ == null) {
          return context_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : context_;
        } else {
          return contextBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      public Builder setContext(com.google.protobuf.StringValue value) {
        if (contextBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          context_ = value;
          onChanged();
        } else {
          contextBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      public Builder setContext(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (contextBuilder_ == null) {
          context_ = builderForValue.build();
          onChanged();
        } else {
          contextBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      public Builder mergeContext(com.google.protobuf.StringValue value) {
        if (contextBuilder_ == null) {
          if (context_ != null) {
            context_ =
              com.google.protobuf.StringValue.newBuilder(context_).mergeFrom(value).buildPartial();
          } else {
            context_ = value;
          }
          onChanged();
        } else {
          contextBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      public Builder clearContext() {
        if (contextBuilder_ == null) {
          context_ = null;
          onChanged();
        } else {
          context_ = null;
          contextBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      public com.google.protobuf.StringValue.Builder getContextBuilder() {
        
        onChanged();
        return getContextFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getContextOrBuilder() {
        if (contextBuilder_ != null) {
          return contextBuilder_.getMessageOrBuilder();
        } else {
          return context_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : context_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue context = 13;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getContextFieldBuilder() {
        if (contextBuilder_ == null) {
          contextBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getContext(),
                  getParentForChildren(),
                  isClean());
          context_ = null;
        }
        return contextBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.WorkflowExecutionProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.WorkflowExecutionProto)
    private static final org.aiflow.client.proto.Message.WorkflowExecutionProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.WorkflowExecutionProto();
    }

    public static org.aiflow.client.proto.Message.WorkflowExecutionProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<WorkflowExecutionProto>
        PARSER = new com.google.protobuf.AbstractParser<WorkflowExecutionProto>() {
      @java.lang.Override
      public WorkflowExecutionProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new WorkflowExecutionProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<WorkflowExecutionProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<WorkflowExecutionProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowExecutionProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ProjectProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ProjectProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>.google.protobuf.StringValue uri = 4;</code>
     * @return Whether the uri field is set.
     */
    boolean hasUri();
    /**
     * <code>.google.protobuf.StringValue uri = 4;</code>
     * @return The uri.
     */
    com.google.protobuf.StringValue getUri();
    /**
     * <code>.google.protobuf.StringValue uri = 4;</code>
     */
    com.google.protobuf.StringValueOrBuilder getUriOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.ProjectProto}
   */
  public static final class ProjectProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ProjectProto)
      ProjectProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ProjectProto.newBuilder() to construct.
    private ProjectProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ProjectProto() {
      name_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ProjectProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ProjectProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 34: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (uri_ != null) {
                subBuilder = uri_.toBuilder();
              }
              uri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(uri_);
                uri_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ProjectProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 3:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ProjectProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ProjectProto.class, org.aiflow.client.proto.Message.ProjectProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROPERTIES_FIELD_NUMBER = 3;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_ProjectProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int URI_FIELD_NUMBER = 4;
    private com.google.protobuf.StringValue uri_;
    /**
     * <code>.google.protobuf.StringValue uri = 4;</code>
     * @return Whether the uri field is set.
     */
    @java.lang.Override
    public boolean hasUri() {
      return uri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 4;</code>
     * @return The uri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getUri() {
      return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 4;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
      return getUri();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          3);
      if (uri_ != null) {
        output.writeMessage(4, getUri());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(3, properties__);
      }
      if (uri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getUri());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ProjectProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ProjectProto other = (org.aiflow.client.proto.Message.ProjectProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (hasUri() != other.hasUri()) return false;
      if (hasUri()) {
        if (!getUri()
            .equals(other.getUri())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      if (hasUri()) {
        hash = (37 * hash) + URI_FIELD_NUMBER;
        hash = (53 * hash) + getUri().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ProjectProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ProjectProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ProjectProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ProjectProto)
        org.aiflow.client.proto.Message.ProjectProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ProjectProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 3:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 3:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ProjectProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ProjectProto.class, org.aiflow.client.proto.Message.ProjectProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ProjectProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        internalGetMutableProperties().clear();
        if (uriBuilder_ == null) {
          uri_ = null;
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ProjectProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ProjectProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ProjectProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ProjectProto build() {
        org.aiflow.client.proto.Message.ProjectProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ProjectProto buildPartial() {
        org.aiflow.client.proto.Message.ProjectProto result = new org.aiflow.client.proto.Message.ProjectProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        if (uriBuilder_ == null) {
          result.uri_ = uri_;
        } else {
          result.uri_ = uriBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ProjectProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ProjectProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ProjectProto other) {
        if (other == org.aiflow.client.proto.Message.ProjectProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (other.hasUri()) {
          mergeUri(other.getUri());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ProjectProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ProjectProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private com.google.protobuf.StringValue uri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> uriBuilder_;
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       * @return Whether the uri field is set.
       */
      public boolean hasUri() {
        return uriBuilder_ != null || uri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       * @return The uri.
       */
      public com.google.protobuf.StringValue getUri() {
        if (uriBuilder_ == null) {
          return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        } else {
          return uriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      public Builder setUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          uri_ = value;
          onChanged();
        } else {
          uriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      public Builder setUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (uriBuilder_ == null) {
          uri_ = builderForValue.build();
          onChanged();
        } else {
          uriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      public Builder mergeUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (uri_ != null) {
            uri_ =
              com.google.protobuf.StringValue.newBuilder(uri_).mergeFrom(value).buildPartial();
          } else {
            uri_ = value;
          }
          onChanged();
        } else {
          uriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      public Builder clearUri() {
        if (uriBuilder_ == null) {
          uri_ = null;
          onChanged();
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      public com.google.protobuf.StringValue.Builder getUriBuilder() {
        
        onChanged();
        return getUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
        if (uriBuilder_ != null) {
          return uriBuilder_.getMessageOrBuilder();
        } else {
          return uri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getUriFieldBuilder() {
        if (uriBuilder_ == null) {
          uriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getUri(),
                  getParentForChildren(),
                  isClean());
          uri_ = null;
        }
        return uriBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ProjectProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ProjectProto)
    private static final org.aiflow.client.proto.Message.ProjectProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ProjectProto();
    }

    public static org.aiflow.client.proto.Message.ProjectProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ProjectProto>
        PARSER = new com.google.protobuf.AbstractParser<ProjectProto>() {
      @java.lang.Override
      public ProjectProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ProjectProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ProjectProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ProjectProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ProjectProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface WorkflowMetaProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.WorkflowMetaProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    boolean hasProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    com.google.protobuf.Int64Value getProjectId();
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder();

    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>.google.protobuf.Int64Value create_time = 5;</code>
     * @return Whether the createTime field is set.
     */
    boolean hasCreateTime();
    /**
     * <code>.google.protobuf.Int64Value create_time = 5;</code>
     * @return The createTime.
     */
    com.google.protobuf.Int64Value getCreateTime();
    /**
     * <code>.google.protobuf.Int64Value create_time = 5;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value update_time = 6;</code>
     * @return Whether the updateTime field is set.
     */
    boolean hasUpdateTime();
    /**
     * <code>.google.protobuf.Int64Value update_time = 6;</code>
     * @return The updateTime.
     */
    com.google.protobuf.Int64Value getUpdateTime();
    /**
     * <code>.google.protobuf.Int64Value update_time = 6;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder();

    /**
     * <code>bytes context_extractor_in_bytes = 7;</code>
     * @return The contextExtractorInBytes.
     */
    com.google.protobuf.ByteString getContextExtractorInBytes();

    /**
     * <code>.google.protobuf.StringValue graph = 8;</code>
     * @return Whether the graph field is set.
     */
    boolean hasGraph();
    /**
     * <code>.google.protobuf.StringValue graph = 8;</code>
     * @return The graph.
     */
    com.google.protobuf.StringValue getGraph();
    /**
     * <code>.google.protobuf.StringValue graph = 8;</code>
     */
    com.google.protobuf.StringValueOrBuilder getGraphOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.WorkflowMetaProto}
   */
  public static final class WorkflowMetaProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.WorkflowMetaProto)
      WorkflowMetaProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use WorkflowMetaProto.newBuilder() to construct.
    private WorkflowMetaProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private WorkflowMetaProto() {
      name_ = "";
      contextExtractorInBytes_ = com.google.protobuf.ByteString.EMPTY;
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new WorkflowMetaProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private WorkflowMetaProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (projectId_ != null) {
                subBuilder = projectId_.toBuilder();
              }
              projectId_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectId_);
                projectId_ = subBuilder.buildPartial();
              }

              break;
            }
            case 34: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 42: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (createTime_ != null) {
                subBuilder = createTime_.toBuilder();
              }
              createTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(createTime_);
                createTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (updateTime_ != null) {
                subBuilder = updateTime_.toBuilder();
              }
              updateTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(updateTime_);
                updateTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {

              contextExtractorInBytes_ = input.readBytes();
              break;
            }
            case 66: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (graph_ != null) {
                subBuilder = graph_.toBuilder();
              }
              graph_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(graph_);
                graph_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowMetaProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 4:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowMetaProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.WorkflowMetaProto.class, org.aiflow.client.proto.Message.WorkflowMetaProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROJECT_ID_FIELD_NUMBER = 3;
    private com.google.protobuf.Int64Value projectId_;
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return Whether the projectId field is set.
     */
    @java.lang.Override
    public boolean hasProjectId() {
      return projectId_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     * @return The projectId.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getProjectId() {
      return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
    }
    /**
     * <code>.google.protobuf.Int64Value project_id = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
      return getProjectId();
    }

    public static final int PROPERTIES_FIELD_NUMBER = 4;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowMetaProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 4;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int CREATE_TIME_FIELD_NUMBER = 5;
    private com.google.protobuf.Int64Value createTime_;
    /**
     * <code>.google.protobuf.Int64Value create_time = 5;</code>
     * @return Whether the createTime field is set.
     */
    @java.lang.Override
    public boolean hasCreateTime() {
      return createTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value create_time = 5;</code>
     * @return The createTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getCreateTime() {
      return createTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value create_time = 5;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder() {
      return getCreateTime();
    }

    public static final int UPDATE_TIME_FIELD_NUMBER = 6;
    private com.google.protobuf.Int64Value updateTime_;
    /**
     * <code>.google.protobuf.Int64Value update_time = 6;</code>
     * @return Whether the updateTime field is set.
     */
    @java.lang.Override
    public boolean hasUpdateTime() {
      return updateTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value update_time = 6;</code>
     * @return The updateTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getUpdateTime() {
      return updateTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value update_time = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder() {
      return getUpdateTime();
    }

    public static final int CONTEXT_EXTRACTOR_IN_BYTES_FIELD_NUMBER = 7;
    private com.google.protobuf.ByteString contextExtractorInBytes_;
    /**
     * <code>bytes context_extractor_in_bytes = 7;</code>
     * @return The contextExtractorInBytes.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString getContextExtractorInBytes() {
      return contextExtractorInBytes_;
    }

    public static final int GRAPH_FIELD_NUMBER = 8;
    private com.google.protobuf.StringValue graph_;
    /**
     * <code>.google.protobuf.StringValue graph = 8;</code>
     * @return Whether the graph field is set.
     */
    @java.lang.Override
    public boolean hasGraph() {
      return graph_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue graph = 8;</code>
     * @return The graph.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getGraph() {
      return graph_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : graph_;
    }
    /**
     * <code>.google.protobuf.StringValue graph = 8;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getGraphOrBuilder() {
      return getGraph();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      if (projectId_ != null) {
        output.writeMessage(3, getProjectId());
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          4);
      if (createTime_ != null) {
        output.writeMessage(5, getCreateTime());
      }
      if (updateTime_ != null) {
        output.writeMessage(6, getUpdateTime());
      }
      if (!contextExtractorInBytes_.isEmpty()) {
        output.writeBytes(7, contextExtractorInBytes_);
      }
      if (graph_ != null) {
        output.writeMessage(8, getGraph());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      if (projectId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getProjectId());
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(4, properties__);
      }
      if (createTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(5, getCreateTime());
      }
      if (updateTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getUpdateTime());
      }
      if (!contextExtractorInBytes_.isEmpty()) {
        size += com.google.protobuf.CodedOutputStream
          .computeBytesSize(7, contextExtractorInBytes_);
      }
      if (graph_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(8, getGraph());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.WorkflowMetaProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.WorkflowMetaProto other = (org.aiflow.client.proto.Message.WorkflowMetaProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (hasProjectId() != other.hasProjectId()) return false;
      if (hasProjectId()) {
        if (!getProjectId()
            .equals(other.getProjectId())) return false;
      }
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (hasCreateTime() != other.hasCreateTime()) return false;
      if (hasCreateTime()) {
        if (!getCreateTime()
            .equals(other.getCreateTime())) return false;
      }
      if (hasUpdateTime() != other.hasUpdateTime()) return false;
      if (hasUpdateTime()) {
        if (!getUpdateTime()
            .equals(other.getUpdateTime())) return false;
      }
      if (!getContextExtractorInBytes()
          .equals(other.getContextExtractorInBytes())) return false;
      if (hasGraph() != other.hasGraph()) return false;
      if (hasGraph()) {
        if (!getGraph()
            .equals(other.getGraph())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (hasProjectId()) {
        hash = (37 * hash) + PROJECT_ID_FIELD_NUMBER;
        hash = (53 * hash) + getProjectId().hashCode();
      }
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      if (hasCreateTime()) {
        hash = (37 * hash) + CREATE_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getCreateTime().hashCode();
      }
      if (hasUpdateTime()) {
        hash = (37 * hash) + UPDATE_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getUpdateTime().hashCode();
      }
      hash = (37 * hash) + CONTEXT_EXTRACTOR_IN_BYTES_FIELD_NUMBER;
      hash = (53 * hash) + getContextExtractorInBytes().hashCode();
      if (hasGraph()) {
        hash = (37 * hash) + GRAPH_FIELD_NUMBER;
        hash = (53 * hash) + getGraph().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.WorkflowMetaProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.WorkflowMetaProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.WorkflowMetaProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.WorkflowMetaProto)
        org.aiflow.client.proto.Message.WorkflowMetaProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowMetaProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 4:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 4:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowMetaProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.WorkflowMetaProto.class, org.aiflow.client.proto.Message.WorkflowMetaProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.WorkflowMetaProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        if (projectIdBuilder_ == null) {
          projectId_ = null;
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }
        internalGetMutableProperties().clear();
        if (createTimeBuilder_ == null) {
          createTime_ = null;
        } else {
          createTime_ = null;
          createTimeBuilder_ = null;
        }
        if (updateTimeBuilder_ == null) {
          updateTime_ = null;
        } else {
          updateTime_ = null;
          updateTimeBuilder_ = null;
        }
        contextExtractorInBytes_ = com.google.protobuf.ByteString.EMPTY;

        if (graphBuilder_ == null) {
          graph_ = null;
        } else {
          graph_ = null;
          graphBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_WorkflowMetaProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowMetaProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.WorkflowMetaProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowMetaProto build() {
        org.aiflow.client.proto.Message.WorkflowMetaProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.WorkflowMetaProto buildPartial() {
        org.aiflow.client.proto.Message.WorkflowMetaProto result = new org.aiflow.client.proto.Message.WorkflowMetaProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        if (projectIdBuilder_ == null) {
          result.projectId_ = projectId_;
        } else {
          result.projectId_ = projectIdBuilder_.build();
        }
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        if (createTimeBuilder_ == null) {
          result.createTime_ = createTime_;
        } else {
          result.createTime_ = createTimeBuilder_.build();
        }
        if (updateTimeBuilder_ == null) {
          result.updateTime_ = updateTime_;
        } else {
          result.updateTime_ = updateTimeBuilder_.build();
        }
        result.contextExtractorInBytes_ = contextExtractorInBytes_;
        if (graphBuilder_ == null) {
          result.graph_ = graph_;
        } else {
          result.graph_ = graphBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.WorkflowMetaProto) {
          return mergeFrom((org.aiflow.client.proto.Message.WorkflowMetaProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.WorkflowMetaProto other) {
        if (other == org.aiflow.client.proto.Message.WorkflowMetaProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        if (other.hasProjectId()) {
          mergeProjectId(other.getProjectId());
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (other.hasCreateTime()) {
          mergeCreateTime(other.getCreateTime());
        }
        if (other.hasUpdateTime()) {
          mergeUpdateTime(other.getUpdateTime());
        }
        if (other.getContextExtractorInBytes() != com.google.protobuf.ByteString.EMPTY) {
          setContextExtractorInBytes(other.getContextExtractorInBytes());
        }
        if (other.hasGraph()) {
          mergeGraph(other.getGraph());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.WorkflowMetaProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.WorkflowMetaProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.Int64Value projectId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> projectIdBuilder_;
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return Whether the projectId field is set.
       */
      public boolean hasProjectId() {
        return projectIdBuilder_ != null || projectId_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       * @return The projectId.
       */
      public com.google.protobuf.Int64Value getProjectId() {
        if (projectIdBuilder_ == null) {
          return projectId_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        } else {
          return projectIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectId_ = value;
          onChanged();
        } else {
          projectIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder setProjectId(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (projectIdBuilder_ == null) {
          projectId_ = builderForValue.build();
          onChanged();
        } else {
          projectIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder mergeProjectId(com.google.protobuf.Int64Value value) {
        if (projectIdBuilder_ == null) {
          if (projectId_ != null) {
            projectId_ =
              com.google.protobuf.Int64Value.newBuilder(projectId_).mergeFrom(value).buildPartial();
          } else {
            projectId_ = value;
          }
          onChanged();
        } else {
          projectIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public Builder clearProjectId() {
        if (projectIdBuilder_ == null) {
          projectId_ = null;
          onChanged();
        } else {
          projectId_ = null;
          projectIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64Value.Builder getProjectIdBuilder() {
        
        onChanged();
        return getProjectIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getProjectIdOrBuilder() {
        if (projectIdBuilder_ != null) {
          return projectIdBuilder_.getMessageOrBuilder();
        } else {
          return projectId_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : projectId_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value project_id = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getProjectIdFieldBuilder() {
        if (projectIdBuilder_ == null) {
          projectIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getProjectId(),
                  getParentForChildren(),
                  isClean());
          projectId_ = null;
        }
        return projectIdBuilder_;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 4;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private com.google.protobuf.Int64Value createTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> createTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       * @return Whether the createTime field is set.
       */
      public boolean hasCreateTime() {
        return createTimeBuilder_ != null || createTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       * @return The createTime.
       */
      public com.google.protobuf.Int64Value getCreateTime() {
        if (createTimeBuilder_ == null) {
          return createTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
        } else {
          return createTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      public Builder setCreateTime(com.google.protobuf.Int64Value value) {
        if (createTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          createTime_ = value;
          onChanged();
        } else {
          createTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      public Builder setCreateTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (createTimeBuilder_ == null) {
          createTime_ = builderForValue.build();
          onChanged();
        } else {
          createTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      public Builder mergeCreateTime(com.google.protobuf.Int64Value value) {
        if (createTimeBuilder_ == null) {
          if (createTime_ != null) {
            createTime_ =
              com.google.protobuf.Int64Value.newBuilder(createTime_).mergeFrom(value).buildPartial();
          } else {
            createTime_ = value;
          }
          onChanged();
        } else {
          createTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      public Builder clearCreateTime() {
        if (createTimeBuilder_ == null) {
          createTime_ = null;
          onChanged();
        } else {
          createTime_ = null;
          createTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      public com.google.protobuf.Int64Value.Builder getCreateTimeBuilder() {
        
        onChanged();
        return getCreateTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder() {
        if (createTimeBuilder_ != null) {
          return createTimeBuilder_.getMessageOrBuilder();
        } else {
          return createTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 5;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getCreateTimeFieldBuilder() {
        if (createTimeBuilder_ == null) {
          createTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getCreateTime(),
                  getParentForChildren(),
                  isClean());
          createTime_ = null;
        }
        return createTimeBuilder_;
      }

      private com.google.protobuf.Int64Value updateTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> updateTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       * @return Whether the updateTime field is set.
       */
      public boolean hasUpdateTime() {
        return updateTimeBuilder_ != null || updateTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       * @return The updateTime.
       */
      public com.google.protobuf.Int64Value getUpdateTime() {
        if (updateTimeBuilder_ == null) {
          return updateTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
        } else {
          return updateTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      public Builder setUpdateTime(com.google.protobuf.Int64Value value) {
        if (updateTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          updateTime_ = value;
          onChanged();
        } else {
          updateTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      public Builder setUpdateTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (updateTimeBuilder_ == null) {
          updateTime_ = builderForValue.build();
          onChanged();
        } else {
          updateTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      public Builder mergeUpdateTime(com.google.protobuf.Int64Value value) {
        if (updateTimeBuilder_ == null) {
          if (updateTime_ != null) {
            updateTime_ =
              com.google.protobuf.Int64Value.newBuilder(updateTime_).mergeFrom(value).buildPartial();
          } else {
            updateTime_ = value;
          }
          onChanged();
        } else {
          updateTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      public Builder clearUpdateTime() {
        if (updateTimeBuilder_ == null) {
          updateTime_ = null;
          onChanged();
        } else {
          updateTime_ = null;
          updateTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      public com.google.protobuf.Int64Value.Builder getUpdateTimeBuilder() {
        
        onChanged();
        return getUpdateTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder() {
        if (updateTimeBuilder_ != null) {
          return updateTimeBuilder_.getMessageOrBuilder();
        } else {
          return updateTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getUpdateTimeFieldBuilder() {
        if (updateTimeBuilder_ == null) {
          updateTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getUpdateTime(),
                  getParentForChildren(),
                  isClean());
          updateTime_ = null;
        }
        return updateTimeBuilder_;
      }

      private com.google.protobuf.ByteString contextExtractorInBytes_ = com.google.protobuf.ByteString.EMPTY;
      /**
       * <code>bytes context_extractor_in_bytes = 7;</code>
       * @return The contextExtractorInBytes.
       */
      @java.lang.Override
      public com.google.protobuf.ByteString getContextExtractorInBytes() {
        return contextExtractorInBytes_;
      }
      /**
       * <code>bytes context_extractor_in_bytes = 7;</code>
       * @param value The contextExtractorInBytes to set.
       * @return This builder for chaining.
       */
      public Builder setContextExtractorInBytes(com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        contextExtractorInBytes_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>bytes context_extractor_in_bytes = 7;</code>
       * @return This builder for chaining.
       */
      public Builder clearContextExtractorInBytes() {
        
        contextExtractorInBytes_ = getDefaultInstance().getContextExtractorInBytes();
        onChanged();
        return this;
      }

      private com.google.protobuf.StringValue graph_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> graphBuilder_;
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       * @return Whether the graph field is set.
       */
      public boolean hasGraph() {
        return graphBuilder_ != null || graph_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       * @return The graph.
       */
      public com.google.protobuf.StringValue getGraph() {
        if (graphBuilder_ == null) {
          return graph_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : graph_;
        } else {
          return graphBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      public Builder setGraph(com.google.protobuf.StringValue value) {
        if (graphBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          graph_ = value;
          onChanged();
        } else {
          graphBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      public Builder setGraph(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (graphBuilder_ == null) {
          graph_ = builderForValue.build();
          onChanged();
        } else {
          graphBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      public Builder mergeGraph(com.google.protobuf.StringValue value) {
        if (graphBuilder_ == null) {
          if (graph_ != null) {
            graph_ =
              com.google.protobuf.StringValue.newBuilder(graph_).mergeFrom(value).buildPartial();
          } else {
            graph_ = value;
          }
          onChanged();
        } else {
          graphBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      public Builder clearGraph() {
        if (graphBuilder_ == null) {
          graph_ = null;
          onChanged();
        } else {
          graph_ = null;
          graphBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      public com.google.protobuf.StringValue.Builder getGraphBuilder() {
        
        onChanged();
        return getGraphFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getGraphOrBuilder() {
        if (graphBuilder_ != null) {
          return graphBuilder_.getMessageOrBuilder();
        } else {
          return graph_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : graph_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue graph = 8;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getGraphFieldBuilder() {
        if (graphBuilder_ == null) {
          graphBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getGraph(),
                  getParentForChildren(),
                  isClean());
          graph_ = null;
        }
        return graphBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.WorkflowMetaProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.WorkflowMetaProto)
    private static final org.aiflow.client.proto.Message.WorkflowMetaProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.WorkflowMetaProto();
    }

    public static org.aiflow.client.proto.Message.WorkflowMetaProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<WorkflowMetaProto>
        PARSER = new com.google.protobuf.AbstractParser<WorkflowMetaProto>() {
      @java.lang.Override
      public WorkflowMetaProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new WorkflowMetaProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<WorkflowMetaProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<WorkflowMetaProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.WorkflowMetaProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ArtifactProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ArtifactProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();

    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);

    /**
     * <code>.google.protobuf.StringValue artifact_type = 4;</code>
     * @return Whether the artifactType field is set.
     */
    boolean hasArtifactType();
    /**
     * <code>.google.protobuf.StringValue artifact_type = 4;</code>
     * @return The artifactType.
     */
    com.google.protobuf.StringValue getArtifactType();
    /**
     * <code>.google.protobuf.StringValue artifact_type = 4;</code>
     */
    com.google.protobuf.StringValueOrBuilder getArtifactTypeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue uri = 5;</code>
     * @return Whether the uri field is set.
     */
    boolean hasUri();
    /**
     * <code>.google.protobuf.StringValue uri = 5;</code>
     * @return The uri.
     */
    com.google.protobuf.StringValue getUri();
    /**
     * <code>.google.protobuf.StringValue uri = 5;</code>
     */
    com.google.protobuf.StringValueOrBuilder getUriOrBuilder();

    /**
     * <code>.google.protobuf.StringValue description = 6;</code>
     * @return Whether the description field is set.
     */
    boolean hasDescription();
    /**
     * <code>.google.protobuf.StringValue description = 6;</code>
     * @return The description.
     */
    com.google.protobuf.StringValue getDescription();
    /**
     * <code>.google.protobuf.StringValue description = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getDescriptionOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value create_time = 7;</code>
     * @return Whether the createTime field is set.
     */
    boolean hasCreateTime();
    /**
     * <code>.google.protobuf.Int64Value create_time = 7;</code>
     * @return The createTime.
     */
    com.google.protobuf.Int64Value getCreateTime();
    /**
     * <code>.google.protobuf.Int64Value create_time = 7;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value update_time = 8;</code>
     * @return Whether the updateTime field is set.
     */
    boolean hasUpdateTime();
    /**
     * <code>.google.protobuf.Int64Value update_time = 8;</code>
     * @return The updateTime.
     */
    com.google.protobuf.Int64Value getUpdateTime();
    /**
     * <code>.google.protobuf.Int64Value update_time = 8;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.ArtifactProto}
   */
  public static final class ArtifactProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ArtifactProto)
      ArtifactProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ArtifactProto.newBuilder() to construct.
    private ArtifactProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ArtifactProto() {
      name_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ArtifactProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ArtifactProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            case 26: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            case 34: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (artifactType_ != null) {
                subBuilder = artifactType_.toBuilder();
              }
              artifactType_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(artifactType_);
                artifactType_ = subBuilder.buildPartial();
              }

              break;
            }
            case 42: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (uri_ != null) {
                subBuilder = uri_.toBuilder();
              }
              uri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(uri_);
                uri_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (description_ != null) {
                subBuilder = description_.toBuilder();
              }
              description_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(description_);
                description_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (createTime_ != null) {
                subBuilder = createTime_.toBuilder();
              }
              createTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(createTime_);
                createTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 66: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (updateTime_ != null) {
                subBuilder = updateTime_.toBuilder();
              }
              updateTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(updateTime_);
                updateTime_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ArtifactProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 3:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ArtifactProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ArtifactProto.class, org.aiflow.client.proto.Message.ArtifactProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int NAME_FIELD_NUMBER = 2;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 2;</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 2;</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int PROPERTIES_FIELD_NUMBER = 3;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_ArtifactProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 3;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    public static final int ARTIFACT_TYPE_FIELD_NUMBER = 4;
    private com.google.protobuf.StringValue artifactType_;
    /**
     * <code>.google.protobuf.StringValue artifact_type = 4;</code>
     * @return Whether the artifactType field is set.
     */
    @java.lang.Override
    public boolean hasArtifactType() {
      return artifactType_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue artifact_type = 4;</code>
     * @return The artifactType.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getArtifactType() {
      return artifactType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : artifactType_;
    }
    /**
     * <code>.google.protobuf.StringValue artifact_type = 4;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getArtifactTypeOrBuilder() {
      return getArtifactType();
    }

    public static final int URI_FIELD_NUMBER = 5;
    private com.google.protobuf.StringValue uri_;
    /**
     * <code>.google.protobuf.StringValue uri = 5;</code>
     * @return Whether the uri field is set.
     */
    @java.lang.Override
    public boolean hasUri() {
      return uri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 5;</code>
     * @return The uri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getUri() {
      return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 5;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
      return getUri();
    }

    public static final int DESCRIPTION_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue description_;
    /**
     * <code>.google.protobuf.StringValue description = 6;</code>
     * @return Whether the description field is set.
     */
    @java.lang.Override
    public boolean hasDescription() {
      return description_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue description = 6;</code>
     * @return The description.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getDescription() {
      return description_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : description_;
    }
    /**
     * <code>.google.protobuf.StringValue description = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getDescriptionOrBuilder() {
      return getDescription();
    }

    public static final int CREATE_TIME_FIELD_NUMBER = 7;
    private com.google.protobuf.Int64Value createTime_;
    /**
     * <code>.google.protobuf.Int64Value create_time = 7;</code>
     * @return Whether the createTime field is set.
     */
    @java.lang.Override
    public boolean hasCreateTime() {
      return createTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value create_time = 7;</code>
     * @return The createTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getCreateTime() {
      return createTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value create_time = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder() {
      return getCreateTime();
    }

    public static final int UPDATE_TIME_FIELD_NUMBER = 8;
    private com.google.protobuf.Int64Value updateTime_;
    /**
     * <code>.google.protobuf.Int64Value update_time = 8;</code>
     * @return Whether the updateTime field is set.
     */
    @java.lang.Override
    public boolean hasUpdateTime() {
      return updateTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value update_time = 8;</code>
     * @return The updateTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getUpdateTime() {
      return updateTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value update_time = 8;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder() {
      return getUpdateTime();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, name_);
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          3);
      if (artifactType_ != null) {
        output.writeMessage(4, getArtifactType());
      }
      if (uri_ != null) {
        output.writeMessage(5, getUri());
      }
      if (description_ != null) {
        output.writeMessage(6, getDescription());
      }
      if (createTime_ != null) {
        output.writeMessage(7, getCreateTime());
      }
      if (updateTime_ != null) {
        output.writeMessage(8, getUpdateTime());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, name_);
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(3, properties__);
      }
      if (artifactType_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getArtifactType());
      }
      if (uri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(5, getUri());
      }
      if (description_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getDescription());
      }
      if (createTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getCreateTime());
      }
      if (updateTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(8, getUpdateTime());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ArtifactProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ArtifactProto other = (org.aiflow.client.proto.Message.ArtifactProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (hasArtifactType() != other.hasArtifactType()) return false;
      if (hasArtifactType()) {
        if (!getArtifactType()
            .equals(other.getArtifactType())) return false;
      }
      if (hasUri() != other.hasUri()) return false;
      if (hasUri()) {
        if (!getUri()
            .equals(other.getUri())) return false;
      }
      if (hasDescription() != other.hasDescription()) return false;
      if (hasDescription()) {
        if (!getDescription()
            .equals(other.getDescription())) return false;
      }
      if (hasCreateTime() != other.hasCreateTime()) return false;
      if (hasCreateTime()) {
        if (!getCreateTime()
            .equals(other.getCreateTime())) return false;
      }
      if (hasUpdateTime() != other.hasUpdateTime()) return false;
      if (hasUpdateTime()) {
        if (!getUpdateTime()
            .equals(other.getUpdateTime())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      if (hasArtifactType()) {
        hash = (37 * hash) + ARTIFACT_TYPE_FIELD_NUMBER;
        hash = (53 * hash) + getArtifactType().hashCode();
      }
      if (hasUri()) {
        hash = (37 * hash) + URI_FIELD_NUMBER;
        hash = (53 * hash) + getUri().hashCode();
      }
      if (hasDescription()) {
        hash = (37 * hash) + DESCRIPTION_FIELD_NUMBER;
        hash = (53 * hash) + getDescription().hashCode();
      }
      if (hasCreateTime()) {
        hash = (37 * hash) + CREATE_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getCreateTime().hashCode();
      }
      if (hasUpdateTime()) {
        hash = (37 * hash) + UPDATE_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getUpdateTime().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ArtifactProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ArtifactProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ArtifactProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ArtifactProto)
        org.aiflow.client.proto.Message.ArtifactProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ArtifactProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 3:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 3:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ArtifactProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ArtifactProto.class, org.aiflow.client.proto.Message.ArtifactProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ArtifactProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        name_ = "";

        internalGetMutableProperties().clear();
        if (artifactTypeBuilder_ == null) {
          artifactType_ = null;
        } else {
          artifactType_ = null;
          artifactTypeBuilder_ = null;
        }
        if (uriBuilder_ == null) {
          uri_ = null;
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }
        if (descriptionBuilder_ == null) {
          description_ = null;
        } else {
          description_ = null;
          descriptionBuilder_ = null;
        }
        if (createTimeBuilder_ == null) {
          createTime_ = null;
        } else {
          createTime_ = null;
          createTimeBuilder_ = null;
        }
        if (updateTimeBuilder_ == null) {
          updateTime_ = null;
        } else {
          updateTime_ = null;
          updateTimeBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ArtifactProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ArtifactProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ArtifactProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ArtifactProto build() {
        org.aiflow.client.proto.Message.ArtifactProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ArtifactProto buildPartial() {
        org.aiflow.client.proto.Message.ArtifactProto result = new org.aiflow.client.proto.Message.ArtifactProto(this);
        int from_bitField0_ = bitField0_;
        result.uuid_ = uuid_;
        result.name_ = name_;
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        if (artifactTypeBuilder_ == null) {
          result.artifactType_ = artifactType_;
        } else {
          result.artifactType_ = artifactTypeBuilder_.build();
        }
        if (uriBuilder_ == null) {
          result.uri_ = uri_;
        } else {
          result.uri_ = uriBuilder_.build();
        }
        if (descriptionBuilder_ == null) {
          result.description_ = description_;
        } else {
          result.description_ = descriptionBuilder_.build();
        }
        if (createTimeBuilder_ == null) {
          result.createTime_ = createTime_;
        } else {
          result.createTime_ = createTimeBuilder_.build();
        }
        if (updateTimeBuilder_ == null) {
          result.updateTime_ = updateTime_;
        } else {
          result.updateTime_ = updateTimeBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ArtifactProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ArtifactProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ArtifactProto other) {
        if (other == org.aiflow.client.proto.Message.ArtifactProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        if (other.hasArtifactType()) {
          mergeArtifactType(other.getArtifactType());
        }
        if (other.hasUri()) {
          mergeUri(other.getUri());
        }
        if (other.hasDescription()) {
          mergeDescription(other.getDescription());
        }
        if (other.hasCreateTime()) {
          mergeCreateTime(other.getCreateTime());
        }
        if (other.hasUpdateTime()) {
          mergeUpdateTime(other.getUpdateTime());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ArtifactProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ArtifactProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 2;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 2;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 2;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 3;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }

      private com.google.protobuf.StringValue artifactType_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> artifactTypeBuilder_;
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       * @return Whether the artifactType field is set.
       */
      public boolean hasArtifactType() {
        return artifactTypeBuilder_ != null || artifactType_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       * @return The artifactType.
       */
      public com.google.protobuf.StringValue getArtifactType() {
        if (artifactTypeBuilder_ == null) {
          return artifactType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : artifactType_;
        } else {
          return artifactTypeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      public Builder setArtifactType(com.google.protobuf.StringValue value) {
        if (artifactTypeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          artifactType_ = value;
          onChanged();
        } else {
          artifactTypeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      public Builder setArtifactType(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (artifactTypeBuilder_ == null) {
          artifactType_ = builderForValue.build();
          onChanged();
        } else {
          artifactTypeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      public Builder mergeArtifactType(com.google.protobuf.StringValue value) {
        if (artifactTypeBuilder_ == null) {
          if (artifactType_ != null) {
            artifactType_ =
              com.google.protobuf.StringValue.newBuilder(artifactType_).mergeFrom(value).buildPartial();
          } else {
            artifactType_ = value;
          }
          onChanged();
        } else {
          artifactTypeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      public Builder clearArtifactType() {
        if (artifactTypeBuilder_ == null) {
          artifactType_ = null;
          onChanged();
        } else {
          artifactType_ = null;
          artifactTypeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      public com.google.protobuf.StringValue.Builder getArtifactTypeBuilder() {
        
        onChanged();
        return getArtifactTypeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getArtifactTypeOrBuilder() {
        if (artifactTypeBuilder_ != null) {
          return artifactTypeBuilder_.getMessageOrBuilder();
        } else {
          return artifactType_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : artifactType_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue artifact_type = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getArtifactTypeFieldBuilder() {
        if (artifactTypeBuilder_ == null) {
          artifactTypeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getArtifactType(),
                  getParentForChildren(),
                  isClean());
          artifactType_ = null;
        }
        return artifactTypeBuilder_;
      }

      private com.google.protobuf.StringValue uri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> uriBuilder_;
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       * @return Whether the uri field is set.
       */
      public boolean hasUri() {
        return uriBuilder_ != null || uri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       * @return The uri.
       */
      public com.google.protobuf.StringValue getUri() {
        if (uriBuilder_ == null) {
          return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        } else {
          return uriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      public Builder setUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          uri_ = value;
          onChanged();
        } else {
          uriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      public Builder setUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (uriBuilder_ == null) {
          uri_ = builderForValue.build();
          onChanged();
        } else {
          uriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      public Builder mergeUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (uri_ != null) {
            uri_ =
              com.google.protobuf.StringValue.newBuilder(uri_).mergeFrom(value).buildPartial();
          } else {
            uri_ = value;
          }
          onChanged();
        } else {
          uriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      public Builder clearUri() {
        if (uriBuilder_ == null) {
          uri_ = null;
          onChanged();
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      public com.google.protobuf.StringValue.Builder getUriBuilder() {
        
        onChanged();
        return getUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
        if (uriBuilder_ != null) {
          return uriBuilder_.getMessageOrBuilder();
        } else {
          return uri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 5;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getUriFieldBuilder() {
        if (uriBuilder_ == null) {
          uriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getUri(),
                  getParentForChildren(),
                  isClean());
          uri_ = null;
        }
        return uriBuilder_;
      }

      private com.google.protobuf.StringValue description_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> descriptionBuilder_;
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       * @return Whether the description field is set.
       */
      public boolean hasDescription() {
        return descriptionBuilder_ != null || description_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       * @return The description.
       */
      public com.google.protobuf.StringValue getDescription() {
        if (descriptionBuilder_ == null) {
          return description_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : description_;
        } else {
          return descriptionBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      public Builder setDescription(com.google.protobuf.StringValue value) {
        if (descriptionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          description_ = value;
          onChanged();
        } else {
          descriptionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      public Builder setDescription(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (descriptionBuilder_ == null) {
          description_ = builderForValue.build();
          onChanged();
        } else {
          descriptionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      public Builder mergeDescription(com.google.protobuf.StringValue value) {
        if (descriptionBuilder_ == null) {
          if (description_ != null) {
            description_ =
              com.google.protobuf.StringValue.newBuilder(description_).mergeFrom(value).buildPartial();
          } else {
            description_ = value;
          }
          onChanged();
        } else {
          descriptionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      public Builder clearDescription() {
        if (descriptionBuilder_ == null) {
          description_ = null;
          onChanged();
        } else {
          description_ = null;
          descriptionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getDescriptionBuilder() {
        
        onChanged();
        return getDescriptionFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getDescriptionOrBuilder() {
        if (descriptionBuilder_ != null) {
          return descriptionBuilder_.getMessageOrBuilder();
        } else {
          return description_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : description_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue description = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getDescriptionFieldBuilder() {
        if (descriptionBuilder_ == null) {
          descriptionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getDescription(),
                  getParentForChildren(),
                  isClean());
          description_ = null;
        }
        return descriptionBuilder_;
      }

      private com.google.protobuf.Int64Value createTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> createTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       * @return Whether the createTime field is set.
       */
      public boolean hasCreateTime() {
        return createTimeBuilder_ != null || createTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       * @return The createTime.
       */
      public com.google.protobuf.Int64Value getCreateTime() {
        if (createTimeBuilder_ == null) {
          return createTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
        } else {
          return createTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      public Builder setCreateTime(com.google.protobuf.Int64Value value) {
        if (createTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          createTime_ = value;
          onChanged();
        } else {
          createTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      public Builder setCreateTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (createTimeBuilder_ == null) {
          createTime_ = builderForValue.build();
          onChanged();
        } else {
          createTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      public Builder mergeCreateTime(com.google.protobuf.Int64Value value) {
        if (createTimeBuilder_ == null) {
          if (createTime_ != null) {
            createTime_ =
              com.google.protobuf.Int64Value.newBuilder(createTime_).mergeFrom(value).buildPartial();
          } else {
            createTime_ = value;
          }
          onChanged();
        } else {
          createTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      public Builder clearCreateTime() {
        if (createTimeBuilder_ == null) {
          createTime_ = null;
          onChanged();
        } else {
          createTime_ = null;
          createTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      public com.google.protobuf.Int64Value.Builder getCreateTimeBuilder() {
        
        onChanged();
        return getCreateTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getCreateTimeOrBuilder() {
        if (createTimeBuilder_ != null) {
          return createTimeBuilder_.getMessageOrBuilder();
        } else {
          return createTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : createTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value create_time = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getCreateTimeFieldBuilder() {
        if (createTimeBuilder_ == null) {
          createTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getCreateTime(),
                  getParentForChildren(),
                  isClean());
          createTime_ = null;
        }
        return createTimeBuilder_;
      }

      private com.google.protobuf.Int64Value updateTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> updateTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       * @return Whether the updateTime field is set.
       */
      public boolean hasUpdateTime() {
        return updateTimeBuilder_ != null || updateTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       * @return The updateTime.
       */
      public com.google.protobuf.Int64Value getUpdateTime() {
        if (updateTimeBuilder_ == null) {
          return updateTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
        } else {
          return updateTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      public Builder setUpdateTime(com.google.protobuf.Int64Value value) {
        if (updateTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          updateTime_ = value;
          onChanged();
        } else {
          updateTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      public Builder setUpdateTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (updateTimeBuilder_ == null) {
          updateTime_ = builderForValue.build();
          onChanged();
        } else {
          updateTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      public Builder mergeUpdateTime(com.google.protobuf.Int64Value value) {
        if (updateTimeBuilder_ == null) {
          if (updateTime_ != null) {
            updateTime_ =
              com.google.protobuf.Int64Value.newBuilder(updateTime_).mergeFrom(value).buildPartial();
          } else {
            updateTime_ = value;
          }
          onChanged();
        } else {
          updateTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      public Builder clearUpdateTime() {
        if (updateTimeBuilder_ == null) {
          updateTime_ = null;
          onChanged();
        } else {
          updateTime_ = null;
          updateTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      public com.google.protobuf.Int64Value.Builder getUpdateTimeBuilder() {
        
        onChanged();
        return getUpdateTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getUpdateTimeOrBuilder() {
        if (updateTimeBuilder_ != null) {
          return updateTimeBuilder_.getMessageOrBuilder();
        } else {
          return updateTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : updateTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value update_time = 8;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getUpdateTimeFieldBuilder() {
        if (updateTimeBuilder_ == null) {
          updateTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getUpdateTime(),
                  getParentForChildren(),
                  isClean());
          updateTime_ = null;
        }
        return updateTimeBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ArtifactProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ArtifactProto)
    private static final org.aiflow.client.proto.Message.ArtifactProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ArtifactProto();
    }

    public static org.aiflow.client.proto.Message.ArtifactProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ArtifactProto>
        PARSER = new com.google.protobuf.AbstractParser<ArtifactProto>() {
      @java.lang.Override
      public ArtifactProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ArtifactProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ArtifactProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ArtifactProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ArtifactProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface RegisteredModelParamOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.RegisteredModelParam)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return Whether the modelName field is set.
     */
    boolean hasModelName();
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return The modelName.
     */
    com.google.protobuf.StringValue getModelName();
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return Whether the modelDesc field is set.
     */
    boolean hasModelDesc();
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return The modelDesc.
     */
    com.google.protobuf.StringValue getModelDesc();
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.RegisteredModelParam}
   */
  public static final class RegisteredModelParam extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.RegisteredModelParam)
      RegisteredModelParamOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use RegisteredModelParam.newBuilder() to construct.
    private RegisteredModelParam(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private RegisteredModelParam() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new RegisteredModelParam();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private RegisteredModelParam(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelName_ != null) {
                subBuilder = modelName_.toBuilder();
              }
              modelName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelName_);
                modelName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 18: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelDesc_ != null) {
                subBuilder = modelDesc_.toBuilder();
              }
              modelDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelDesc_);
                modelDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelParam_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelParam_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.RegisteredModelParam.class, org.aiflow.client.proto.Message.RegisteredModelParam.Builder.class);
    }

    public static final int MODEL_NAME_FIELD_NUMBER = 1;
    private com.google.protobuf.StringValue modelName_;
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return Whether the modelName field is set.
     */
    @java.lang.Override
    public boolean hasModelName() {
      return modelName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return The modelName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelName() {
      return modelName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
    }
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder() {
      return getModelName();
    }

    public static final int MODEL_DESC_FIELD_NUMBER = 2;
    private com.google.protobuf.StringValue modelDesc_;
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return Whether the modelDesc field is set.
     */
    @java.lang.Override
    public boolean hasModelDesc() {
      return modelDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return The modelDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelDesc() {
      return modelDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder() {
      return getModelDesc();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (modelName_ != null) {
        output.writeMessage(1, getModelName());
      }
      if (modelDesc_ != null) {
        output.writeMessage(2, getModelDesc());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (modelName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getModelName());
      }
      if (modelDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getModelDesc());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.RegisteredModelParam)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.RegisteredModelParam other = (org.aiflow.client.proto.Message.RegisteredModelParam) obj;

      if (hasModelName() != other.hasModelName()) return false;
      if (hasModelName()) {
        if (!getModelName()
            .equals(other.getModelName())) return false;
      }
      if (hasModelDesc() != other.hasModelDesc()) return false;
      if (hasModelDesc()) {
        if (!getModelDesc()
            .equals(other.getModelDesc())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasModelName()) {
        hash = (37 * hash) + MODEL_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getModelName().hashCode();
      }
      if (hasModelDesc()) {
        hash = (37 * hash) + MODEL_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getModelDesc().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelParam parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.RegisteredModelParam prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.RegisteredModelParam}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.RegisteredModelParam)
        org.aiflow.client.proto.Message.RegisteredModelParamOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelParam_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelParam_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.RegisteredModelParam.class, org.aiflow.client.proto.Message.RegisteredModelParam.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.RegisteredModelParam.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (modelNameBuilder_ == null) {
          modelName_ = null;
        } else {
          modelName_ = null;
          modelNameBuilder_ = null;
        }
        if (modelDescBuilder_ == null) {
          modelDesc_ = null;
        } else {
          modelDesc_ = null;
          modelDescBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelParam_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelParam getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.RegisteredModelParam.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelParam build() {
        org.aiflow.client.proto.Message.RegisteredModelParam result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelParam buildPartial() {
        org.aiflow.client.proto.Message.RegisteredModelParam result = new org.aiflow.client.proto.Message.RegisteredModelParam(this);
        if (modelNameBuilder_ == null) {
          result.modelName_ = modelName_;
        } else {
          result.modelName_ = modelNameBuilder_.build();
        }
        if (modelDescBuilder_ == null) {
          result.modelDesc_ = modelDesc_;
        } else {
          result.modelDesc_ = modelDescBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.RegisteredModelParam) {
          return mergeFrom((org.aiflow.client.proto.Message.RegisteredModelParam)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.RegisteredModelParam other) {
        if (other == org.aiflow.client.proto.Message.RegisteredModelParam.getDefaultInstance()) return this;
        if (other.hasModelName()) {
          mergeModelName(other.getModelName());
        }
        if (other.hasModelDesc()) {
          mergeModelDesc(other.getModelDesc());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.RegisteredModelParam parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.RegisteredModelParam) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private com.google.protobuf.StringValue modelName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       * @return Whether the modelName field is set.
       */
      public boolean hasModelName() {
        return modelNameBuilder_ != null || modelName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       * @return The modelName.
       */
      public com.google.protobuf.StringValue getModelName() {
        if (modelNameBuilder_ == null) {
          return modelName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
        } else {
          return modelNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder setModelName(com.google.protobuf.StringValue value) {
        if (modelNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelName_ = value;
          onChanged();
        } else {
          modelNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder setModelName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelNameBuilder_ == null) {
          modelName_ = builderForValue.build();
          onChanged();
        } else {
          modelNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder mergeModelName(com.google.protobuf.StringValue value) {
        if (modelNameBuilder_ == null) {
          if (modelName_ != null) {
            modelName_ =
              com.google.protobuf.StringValue.newBuilder(modelName_).mergeFrom(value).buildPartial();
          } else {
            modelName_ = value;
          }
          onChanged();
        } else {
          modelNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder clearModelName() {
        if (modelNameBuilder_ == null) {
          modelName_ = null;
          onChanged();
        } else {
          modelName_ = null;
          modelNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelNameBuilder() {
        
        onChanged();
        return getModelNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder() {
        if (modelNameBuilder_ != null) {
          return modelNameBuilder_.getMessageOrBuilder();
        } else {
          return modelName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelNameFieldBuilder() {
        if (modelNameBuilder_ == null) {
          modelNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelName(),
                  getParentForChildren(),
                  isClean());
          modelName_ = null;
        }
        return modelNameBuilder_;
      }

      private com.google.protobuf.StringValue modelDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       * @return Whether the modelDesc field is set.
       */
      public boolean hasModelDesc() {
        return modelDescBuilder_ != null || modelDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       * @return The modelDesc.
       */
      public com.google.protobuf.StringValue getModelDesc() {
        if (modelDescBuilder_ == null) {
          return modelDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
        } else {
          return modelDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder setModelDesc(com.google.protobuf.StringValue value) {
        if (modelDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelDesc_ = value;
          onChanged();
        } else {
          modelDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder setModelDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelDescBuilder_ == null) {
          modelDesc_ = builderForValue.build();
          onChanged();
        } else {
          modelDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder mergeModelDesc(com.google.protobuf.StringValue value) {
        if (modelDescBuilder_ == null) {
          if (modelDesc_ != null) {
            modelDesc_ =
              com.google.protobuf.StringValue.newBuilder(modelDesc_).mergeFrom(value).buildPartial();
          } else {
            modelDesc_ = value;
          }
          onChanged();
        } else {
          modelDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder clearModelDesc() {
        if (modelDescBuilder_ == null) {
          modelDesc_ = null;
          onChanged();
        } else {
          modelDesc_ = null;
          modelDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelDescBuilder() {
        
        onChanged();
        return getModelDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder() {
        if (modelDescBuilder_ != null) {
          return modelDescBuilder_.getMessageOrBuilder();
        } else {
          return modelDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelDescFieldBuilder() {
        if (modelDescBuilder_ == null) {
          modelDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelDesc(),
                  getParentForChildren(),
                  isClean());
          modelDesc_ = null;
        }
        return modelDescBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.RegisteredModelParam)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.RegisteredModelParam)
    private static final org.aiflow.client.proto.Message.RegisteredModelParam DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.RegisteredModelParam();
    }

    public static org.aiflow.client.proto.Message.RegisteredModelParam getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<RegisteredModelParam>
        PARSER = new com.google.protobuf.AbstractParser<RegisteredModelParam>() {
      @java.lang.Override
      public RegisteredModelParam parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new RegisteredModelParam(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<RegisteredModelParam> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<RegisteredModelParam> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelParam getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelVersionParamOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelVersionParam)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.google.protobuf.StringValue model_path = 1;</code>
     * @return Whether the modelPath field is set.
     */
    boolean hasModelPath();
    /**
     * <code>.google.protobuf.StringValue model_path = 1;</code>
     * @return The modelPath.
     */
    com.google.protobuf.StringValue getModelPath();
    /**
     * <code>.google.protobuf.StringValue model_path = 1;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_type = 2;</code>
     * @return Whether the modelType field is set.
     */
    boolean hasModelType();
    /**
     * <code>.google.protobuf.StringValue model_type = 2;</code>
     * @return The modelType.
     */
    com.google.protobuf.StringValue getModelType();
    /**
     * <code>.google.protobuf.StringValue model_type = 2;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue version_desc = 3;</code>
     * @return Whether the versionDesc field is set.
     */
    boolean hasVersionDesc();
    /**
     * <code>.google.protobuf.StringValue version_desc = 3;</code>
     * @return The versionDesc.
     */
    com.google.protobuf.StringValue getVersionDesc();
    /**
     * <code>.google.protobuf.StringValue version_desc = 3;</code>
     */
    com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder();

    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
     * @return The enum numeric value on the wire for currentStage.
     */
    int getCurrentStageValue();
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
     * @return The currentStage.
     */
    org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage();
  }
  /**
   * Protobuf type {@code ai_flow.ModelVersionParam}
   */
  public static final class ModelVersionParam extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelVersionParam)
      ModelVersionParamOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelVersionParam.newBuilder() to construct.
    private ModelVersionParam(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelVersionParam() {
      currentStage_ = 0;
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelVersionParam();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelVersionParam(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelPath_ != null) {
                subBuilder = modelPath_.toBuilder();
              }
              modelPath_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelPath_);
                modelPath_ = subBuilder.buildPartial();
              }

              break;
            }
            case 18: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelType_ != null) {
                subBuilder = modelType_.toBuilder();
              }
              modelType_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelType_);
                modelType_ = subBuilder.buildPartial();
              }

              break;
            }
            case 26: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (versionDesc_ != null) {
                subBuilder = versionDesc_.toBuilder();
              }
              versionDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(versionDesc_);
                versionDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            case 32: {
              int rawValue = input.readEnum();

              currentStage_ = rawValue;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionParam_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionParam_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelVersionParam.class, org.aiflow.client.proto.Message.ModelVersionParam.Builder.class);
    }

    public static final int MODEL_PATH_FIELD_NUMBER = 1;
    private com.google.protobuf.StringValue modelPath_;
    /**
     * <code>.google.protobuf.StringValue model_path = 1;</code>
     * @return Whether the modelPath field is set.
     */
    @java.lang.Override
    public boolean hasModelPath() {
      return modelPath_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_path = 1;</code>
     * @return The modelPath.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelPath() {
      return modelPath_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
    }
    /**
     * <code>.google.protobuf.StringValue model_path = 1;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder() {
      return getModelPath();
    }

    public static final int MODEL_TYPE_FIELD_NUMBER = 2;
    private com.google.protobuf.StringValue modelType_;
    /**
     * <code>.google.protobuf.StringValue model_type = 2;</code>
     * @return Whether the modelType field is set.
     */
    @java.lang.Override
    public boolean hasModelType() {
      return modelType_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_type = 2;</code>
     * @return The modelType.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelType() {
      return modelType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
    }
    /**
     * <code>.google.protobuf.StringValue model_type = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder() {
      return getModelType();
    }

    public static final int VERSION_DESC_FIELD_NUMBER = 3;
    private com.google.protobuf.StringValue versionDesc_;
    /**
     * <code>.google.protobuf.StringValue version_desc = 3;</code>
     * @return Whether the versionDesc field is set.
     */
    @java.lang.Override
    public boolean hasVersionDesc() {
      return versionDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue version_desc = 3;</code>
     * @return The versionDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getVersionDesc() {
      return versionDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue version_desc = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder() {
      return getVersionDesc();
    }

    public static final int CURRENT_STAGE_FIELD_NUMBER = 4;
    private int currentStage_;
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
     * @return The enum numeric value on the wire for currentStage.
     */
    @java.lang.Override public int getCurrentStageValue() {
      return currentStage_;
    }
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
     * @return The currentStage.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.ModelVersionStage result = org.aiflow.client.proto.Message.ModelVersionStage.valueOf(currentStage_);
      return result == null ? org.aiflow.client.proto.Message.ModelVersionStage.UNRECOGNIZED : result;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (modelPath_ != null) {
        output.writeMessage(1, getModelPath());
      }
      if (modelType_ != null) {
        output.writeMessage(2, getModelType());
      }
      if (versionDesc_ != null) {
        output.writeMessage(3, getVersionDesc());
      }
      if (currentStage_ != org.aiflow.client.proto.Message.ModelVersionStage.GENERATED.getNumber()) {
        output.writeEnum(4, currentStage_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (modelPath_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getModelPath());
      }
      if (modelType_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getModelType());
      }
      if (versionDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getVersionDesc());
      }
      if (currentStage_ != org.aiflow.client.proto.Message.ModelVersionStage.GENERATED.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(4, currentStage_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelVersionParam)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelVersionParam other = (org.aiflow.client.proto.Message.ModelVersionParam) obj;

      if (hasModelPath() != other.hasModelPath()) return false;
      if (hasModelPath()) {
        if (!getModelPath()
            .equals(other.getModelPath())) return false;
      }
      if (hasModelType() != other.hasModelType()) return false;
      if (hasModelType()) {
        if (!getModelType()
            .equals(other.getModelType())) return false;
      }
      if (hasVersionDesc() != other.hasVersionDesc()) return false;
      if (hasVersionDesc()) {
        if (!getVersionDesc()
            .equals(other.getVersionDesc())) return false;
      }
      if (currentStage_ != other.currentStage_) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasModelPath()) {
        hash = (37 * hash) + MODEL_PATH_FIELD_NUMBER;
        hash = (53 * hash) + getModelPath().hashCode();
      }
      if (hasModelType()) {
        hash = (37 * hash) + MODEL_TYPE_FIELD_NUMBER;
        hash = (53 * hash) + getModelType().hashCode();
      }
      if (hasVersionDesc()) {
        hash = (37 * hash) + VERSION_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getVersionDesc().hashCode();
      }
      hash = (37 * hash) + CURRENT_STAGE_FIELD_NUMBER;
      hash = (53 * hash) + currentStage_;
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionParam parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelVersionParam prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelVersionParam}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelVersionParam)
        org.aiflow.client.proto.Message.ModelVersionParamOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionParam_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionParam_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelVersionParam.class, org.aiflow.client.proto.Message.ModelVersionParam.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelVersionParam.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (modelPathBuilder_ == null) {
          modelPath_ = null;
        } else {
          modelPath_ = null;
          modelPathBuilder_ = null;
        }
        if (modelTypeBuilder_ == null) {
          modelType_ = null;
        } else {
          modelType_ = null;
          modelTypeBuilder_ = null;
        }
        if (versionDescBuilder_ == null) {
          versionDesc_ = null;
        } else {
          versionDesc_ = null;
          versionDescBuilder_ = null;
        }
        currentStage_ = 0;

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionParam_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionParam getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelVersionParam.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionParam build() {
        org.aiflow.client.proto.Message.ModelVersionParam result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionParam buildPartial() {
        org.aiflow.client.proto.Message.ModelVersionParam result = new org.aiflow.client.proto.Message.ModelVersionParam(this);
        if (modelPathBuilder_ == null) {
          result.modelPath_ = modelPath_;
        } else {
          result.modelPath_ = modelPathBuilder_.build();
        }
        if (modelTypeBuilder_ == null) {
          result.modelType_ = modelType_;
        } else {
          result.modelType_ = modelTypeBuilder_.build();
        }
        if (versionDescBuilder_ == null) {
          result.versionDesc_ = versionDesc_;
        } else {
          result.versionDesc_ = versionDescBuilder_.build();
        }
        result.currentStage_ = currentStage_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelVersionParam) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelVersionParam)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelVersionParam other) {
        if (other == org.aiflow.client.proto.Message.ModelVersionParam.getDefaultInstance()) return this;
        if (other.hasModelPath()) {
          mergeModelPath(other.getModelPath());
        }
        if (other.hasModelType()) {
          mergeModelType(other.getModelType());
        }
        if (other.hasVersionDesc()) {
          mergeVersionDesc(other.getVersionDesc());
        }
        if (other.currentStage_ != 0) {
          setCurrentStageValue(other.getCurrentStageValue());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelVersionParam parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelVersionParam) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private com.google.protobuf.StringValue modelPath_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelPathBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       * @return Whether the modelPath field is set.
       */
      public boolean hasModelPath() {
        return modelPathBuilder_ != null || modelPath_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       * @return The modelPath.
       */
      public com.google.protobuf.StringValue getModelPath() {
        if (modelPathBuilder_ == null) {
          return modelPath_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
        } else {
          return modelPathBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      public Builder setModelPath(com.google.protobuf.StringValue value) {
        if (modelPathBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelPath_ = value;
          onChanged();
        } else {
          modelPathBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      public Builder setModelPath(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelPathBuilder_ == null) {
          modelPath_ = builderForValue.build();
          onChanged();
        } else {
          modelPathBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      public Builder mergeModelPath(com.google.protobuf.StringValue value) {
        if (modelPathBuilder_ == null) {
          if (modelPath_ != null) {
            modelPath_ =
              com.google.protobuf.StringValue.newBuilder(modelPath_).mergeFrom(value).buildPartial();
          } else {
            modelPath_ = value;
          }
          onChanged();
        } else {
          modelPathBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      public Builder clearModelPath() {
        if (modelPathBuilder_ == null) {
          modelPath_ = null;
          onChanged();
        } else {
          modelPath_ = null;
          modelPathBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelPathBuilder() {
        
        onChanged();
        return getModelPathFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder() {
        if (modelPathBuilder_ != null) {
          return modelPathBuilder_.getMessageOrBuilder();
        } else {
          return modelPath_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelPathFieldBuilder() {
        if (modelPathBuilder_ == null) {
          modelPathBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelPath(),
                  getParentForChildren(),
                  isClean());
          modelPath_ = null;
        }
        return modelPathBuilder_;
      }

      private com.google.protobuf.StringValue modelType_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelTypeBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       * @return Whether the modelType field is set.
       */
      public boolean hasModelType() {
        return modelTypeBuilder_ != null || modelType_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       * @return The modelType.
       */
      public com.google.protobuf.StringValue getModelType() {
        if (modelTypeBuilder_ == null) {
          return modelType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
        } else {
          return modelTypeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      public Builder setModelType(com.google.protobuf.StringValue value) {
        if (modelTypeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelType_ = value;
          onChanged();
        } else {
          modelTypeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      public Builder setModelType(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelTypeBuilder_ == null) {
          modelType_ = builderForValue.build();
          onChanged();
        } else {
          modelTypeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      public Builder mergeModelType(com.google.protobuf.StringValue value) {
        if (modelTypeBuilder_ == null) {
          if (modelType_ != null) {
            modelType_ =
              com.google.protobuf.StringValue.newBuilder(modelType_).mergeFrom(value).buildPartial();
          } else {
            modelType_ = value;
          }
          onChanged();
        } else {
          modelTypeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      public Builder clearModelType() {
        if (modelTypeBuilder_ == null) {
          modelType_ = null;
          onChanged();
        } else {
          modelType_ = null;
          modelTypeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelTypeBuilder() {
        
        onChanged();
        return getModelTypeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder() {
        if (modelTypeBuilder_ != null) {
          return modelTypeBuilder_.getMessageOrBuilder();
        } else {
          return modelType_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelTypeFieldBuilder() {
        if (modelTypeBuilder_ == null) {
          modelTypeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelType(),
                  getParentForChildren(),
                  isClean());
          modelType_ = null;
        }
        return modelTypeBuilder_;
      }

      private com.google.protobuf.StringValue versionDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> versionDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       * @return Whether the versionDesc field is set.
       */
      public boolean hasVersionDesc() {
        return versionDescBuilder_ != null || versionDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       * @return The versionDesc.
       */
      public com.google.protobuf.StringValue getVersionDesc() {
        if (versionDescBuilder_ == null) {
          return versionDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
        } else {
          return versionDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      public Builder setVersionDesc(com.google.protobuf.StringValue value) {
        if (versionDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          versionDesc_ = value;
          onChanged();
        } else {
          versionDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      public Builder setVersionDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (versionDescBuilder_ == null) {
          versionDesc_ = builderForValue.build();
          onChanged();
        } else {
          versionDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      public Builder mergeVersionDesc(com.google.protobuf.StringValue value) {
        if (versionDescBuilder_ == null) {
          if (versionDesc_ != null) {
            versionDesc_ =
              com.google.protobuf.StringValue.newBuilder(versionDesc_).mergeFrom(value).buildPartial();
          } else {
            versionDesc_ = value;
          }
          onChanged();
        } else {
          versionDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      public Builder clearVersionDesc() {
        if (versionDescBuilder_ == null) {
          versionDesc_ = null;
          onChanged();
        } else {
          versionDesc_ = null;
          versionDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      public com.google.protobuf.StringValue.Builder getVersionDescBuilder() {
        
        onChanged();
        return getVersionDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder() {
        if (versionDescBuilder_ != null) {
          return versionDescBuilder_.getMessageOrBuilder();
        } else {
          return versionDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getVersionDescFieldBuilder() {
        if (versionDescBuilder_ == null) {
          versionDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getVersionDesc(),
                  getParentForChildren(),
                  isClean());
          versionDesc_ = null;
        }
        return versionDescBuilder_;
      }

      private int currentStage_ = 0;
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
       * @return The enum numeric value on the wire for currentStage.
       */
      @java.lang.Override public int getCurrentStageValue() {
        return currentStage_;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
       * @param value The enum numeric value on the wire for currentStage to set.
       * @return This builder for chaining.
       */
      public Builder setCurrentStageValue(int value) {
        
        currentStage_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
       * @return The currentStage.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.ModelVersionStage result = org.aiflow.client.proto.Message.ModelVersionStage.valueOf(currentStage_);
        return result == null ? org.aiflow.client.proto.Message.ModelVersionStage.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
       * @param value The currentStage to set.
       * @return This builder for chaining.
       */
      public Builder setCurrentStage(org.aiflow.client.proto.Message.ModelVersionStage value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        currentStage_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 4;</code>
       * @return This builder for chaining.
       */
      public Builder clearCurrentStage() {
        
        currentStage_ = 0;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelVersionParam)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelVersionParam)
    private static final org.aiflow.client.proto.Message.ModelVersionParam DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelVersionParam();
    }

    public static org.aiflow.client.proto.Message.ModelVersionParam getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelVersionParam>
        PARSER = new com.google.protobuf.AbstractParser<ModelVersionParam>() {
      @java.lang.Override
      public ModelVersionParam parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelVersionParam(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelVersionParam> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelVersionParam> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelVersionParam getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelMetaParamOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelMetaParam)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return Whether the modelName field is set.
     */
    boolean hasModelName();
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return The modelName.
     */
    com.google.protobuf.StringValue getModelName();
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_version = 2;</code>
     * @return Whether the modelVersion field is set.
     */
    boolean hasModelVersion();
    /**
     * <code>.google.protobuf.StringValue model_version = 2;</code>
     * @return The modelVersion.
     */
    com.google.protobuf.StringValue getModelVersion();
    /**
     * <code>.google.protobuf.StringValue model_version = 2;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelVersionOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.ModelMetaParam}
   */
  public static final class ModelMetaParam extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelMetaParam)
      ModelMetaParamOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelMetaParam.newBuilder() to construct.
    private ModelMetaParam(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelMetaParam() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelMetaParam();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelMetaParam(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelName_ != null) {
                subBuilder = modelName_.toBuilder();
              }
              modelName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelName_);
                modelName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 18: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelVersion_ != null) {
                subBuilder = modelVersion_.toBuilder();
              }
              modelVersion_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelVersion_);
                modelVersion_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelMetaParam_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelMetaParam_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelMetaParam.class, org.aiflow.client.proto.Message.ModelMetaParam.Builder.class);
    }

    public static final int MODEL_NAME_FIELD_NUMBER = 1;
    private com.google.protobuf.StringValue modelName_;
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return Whether the modelName field is set.
     */
    @java.lang.Override
    public boolean hasModelName() {
      return modelName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     * @return The modelName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelName() {
      return modelName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
    }
    /**
     * <code>.google.protobuf.StringValue model_name = 1;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder() {
      return getModelName();
    }

    public static final int MODEL_VERSION_FIELD_NUMBER = 2;
    private com.google.protobuf.StringValue modelVersion_;
    /**
     * <code>.google.protobuf.StringValue model_version = 2;</code>
     * @return Whether the modelVersion field is set.
     */
    @java.lang.Override
    public boolean hasModelVersion() {
      return modelVersion_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_version = 2;</code>
     * @return The modelVersion.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelVersion() {
      return modelVersion_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelVersion_;
    }
    /**
     * <code>.google.protobuf.StringValue model_version = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelVersionOrBuilder() {
      return getModelVersion();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (modelName_ != null) {
        output.writeMessage(1, getModelName());
      }
      if (modelVersion_ != null) {
        output.writeMessage(2, getModelVersion());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (modelName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getModelName());
      }
      if (modelVersion_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getModelVersion());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelMetaParam)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelMetaParam other = (org.aiflow.client.proto.Message.ModelMetaParam) obj;

      if (hasModelName() != other.hasModelName()) return false;
      if (hasModelName()) {
        if (!getModelName()
            .equals(other.getModelName())) return false;
      }
      if (hasModelVersion() != other.hasModelVersion()) return false;
      if (hasModelVersion()) {
        if (!getModelVersion()
            .equals(other.getModelVersion())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasModelName()) {
        hash = (37 * hash) + MODEL_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getModelName().hashCode();
      }
      if (hasModelVersion()) {
        hash = (37 * hash) + MODEL_VERSION_FIELD_NUMBER;
        hash = (53 * hash) + getModelVersion().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelMetaParam parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelMetaParam prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelMetaParam}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelMetaParam)
        org.aiflow.client.proto.Message.ModelMetaParamOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelMetaParam_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelMetaParam_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelMetaParam.class, org.aiflow.client.proto.Message.ModelMetaParam.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelMetaParam.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (modelNameBuilder_ == null) {
          modelName_ = null;
        } else {
          modelName_ = null;
          modelNameBuilder_ = null;
        }
        if (modelVersionBuilder_ == null) {
          modelVersion_ = null;
        } else {
          modelVersion_ = null;
          modelVersionBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelMetaParam_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelMetaParam getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelMetaParam.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelMetaParam build() {
        org.aiflow.client.proto.Message.ModelMetaParam result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelMetaParam buildPartial() {
        org.aiflow.client.proto.Message.ModelMetaParam result = new org.aiflow.client.proto.Message.ModelMetaParam(this);
        if (modelNameBuilder_ == null) {
          result.modelName_ = modelName_;
        } else {
          result.modelName_ = modelNameBuilder_.build();
        }
        if (modelVersionBuilder_ == null) {
          result.modelVersion_ = modelVersion_;
        } else {
          result.modelVersion_ = modelVersionBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelMetaParam) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelMetaParam)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelMetaParam other) {
        if (other == org.aiflow.client.proto.Message.ModelMetaParam.getDefaultInstance()) return this;
        if (other.hasModelName()) {
          mergeModelName(other.getModelName());
        }
        if (other.hasModelVersion()) {
          mergeModelVersion(other.getModelVersion());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelMetaParam parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelMetaParam) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private com.google.protobuf.StringValue modelName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       * @return Whether the modelName field is set.
       */
      public boolean hasModelName() {
        return modelNameBuilder_ != null || modelName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       * @return The modelName.
       */
      public com.google.protobuf.StringValue getModelName() {
        if (modelNameBuilder_ == null) {
          return modelName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
        } else {
          return modelNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder setModelName(com.google.protobuf.StringValue value) {
        if (modelNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelName_ = value;
          onChanged();
        } else {
          modelNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder setModelName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelNameBuilder_ == null) {
          modelName_ = builderForValue.build();
          onChanged();
        } else {
          modelNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder mergeModelName(com.google.protobuf.StringValue value) {
        if (modelNameBuilder_ == null) {
          if (modelName_ != null) {
            modelName_ =
              com.google.protobuf.StringValue.newBuilder(modelName_).mergeFrom(value).buildPartial();
          } else {
            modelName_ = value;
          }
          onChanged();
        } else {
          modelNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public Builder clearModelName() {
        if (modelNameBuilder_ == null) {
          modelName_ = null;
          onChanged();
        } else {
          modelName_ = null;
          modelNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelNameBuilder() {
        
        onChanged();
        return getModelNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder() {
        if (modelNameBuilder_ != null) {
          return modelNameBuilder_.getMessageOrBuilder();
        } else {
          return modelName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelNameFieldBuilder() {
        if (modelNameBuilder_ == null) {
          modelNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelName(),
                  getParentForChildren(),
                  isClean());
          modelName_ = null;
        }
        return modelNameBuilder_;
      }

      private com.google.protobuf.StringValue modelVersion_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelVersionBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       * @return Whether the modelVersion field is set.
       */
      public boolean hasModelVersion() {
        return modelVersionBuilder_ != null || modelVersion_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       * @return The modelVersion.
       */
      public com.google.protobuf.StringValue getModelVersion() {
        if (modelVersionBuilder_ == null) {
          return modelVersion_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelVersion_;
        } else {
          return modelVersionBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      public Builder setModelVersion(com.google.protobuf.StringValue value) {
        if (modelVersionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelVersion_ = value;
          onChanged();
        } else {
          modelVersionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      public Builder setModelVersion(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelVersionBuilder_ == null) {
          modelVersion_ = builderForValue.build();
          onChanged();
        } else {
          modelVersionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      public Builder mergeModelVersion(com.google.protobuf.StringValue value) {
        if (modelVersionBuilder_ == null) {
          if (modelVersion_ != null) {
            modelVersion_ =
              com.google.protobuf.StringValue.newBuilder(modelVersion_).mergeFrom(value).buildPartial();
          } else {
            modelVersion_ = value;
          }
          onChanged();
        } else {
          modelVersionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      public Builder clearModelVersion() {
        if (modelVersionBuilder_ == null) {
          modelVersion_ = null;
          onChanged();
        } else {
          modelVersion_ = null;
          modelVersionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelVersionBuilder() {
        
        onChanged();
        return getModelVersionFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelVersionOrBuilder() {
        if (modelVersionBuilder_ != null) {
          return modelVersionBuilder_.getMessageOrBuilder();
        } else {
          return modelVersion_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelVersion_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelVersionFieldBuilder() {
        if (modelVersionBuilder_ == null) {
          modelVersionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelVersion(),
                  getParentForChildren(),
                  isClean());
          modelVersion_ = null;
        }
        return modelVersionBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelMetaParam)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelMetaParam)
    private static final org.aiflow.client.proto.Message.ModelMetaParam DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelMetaParam();
    }

    public static org.aiflow.client.proto.Message.ModelMetaParam getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelMetaParam>
        PARSER = new com.google.protobuf.AbstractParser<ModelMetaParam>() {
      @java.lang.Override
      public ModelMetaParam parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelMetaParam(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelMetaParam> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelMetaParam> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelMetaParam getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ResponseOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.Response)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string return_code = 1;</code>
     * @return The returnCode.
     */
    java.lang.String getReturnCode();
    /**
     * <code>string return_code = 1;</code>
     * @return The bytes for returnCode.
     */
    com.google.protobuf.ByteString
        getReturnCodeBytes();

    /**
     * <code>string return_msg = 2;</code>
     * @return The returnMsg.
     */
    java.lang.String getReturnMsg();
    /**
     * <code>string return_msg = 2;</code>
     * @return The bytes for returnMsg.
     */
    com.google.protobuf.ByteString
        getReturnMsgBytes();

    /**
     * <code>string data = 3;</code>
     * @return The data.
     */
    java.lang.String getData();
    /**
     * <code>string data = 3;</code>
     * @return The bytes for data.
     */
    com.google.protobuf.ByteString
        getDataBytes();
  }
  /**
   * Protobuf type {@code ai_flow.Response}
   */
  public static final class Response extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.Response)
      ResponseOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use Response.newBuilder() to construct.
    private Response(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Response() {
      returnCode_ = "";
      returnMsg_ = "";
      data_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new Response();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private Response(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              returnCode_ = s;
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              returnMsg_ = s;
              break;
            }
            case 26: {
              java.lang.String s = input.readStringRequireUtf8();

              data_ = s;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_Response_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_Response_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.Response.class, org.aiflow.client.proto.Message.Response.Builder.class);
    }

    public static final int RETURN_CODE_FIELD_NUMBER = 1;
    private volatile java.lang.Object returnCode_;
    /**
     * <code>string return_code = 1;</code>
     * @return The returnCode.
     */
    @java.lang.Override
    public java.lang.String getReturnCode() {
      java.lang.Object ref = returnCode_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        returnCode_ = s;
        return s;
      }
    }
    /**
     * <code>string return_code = 1;</code>
     * @return The bytes for returnCode.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getReturnCodeBytes() {
      java.lang.Object ref = returnCode_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        returnCode_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int RETURN_MSG_FIELD_NUMBER = 2;
    private volatile java.lang.Object returnMsg_;
    /**
     * <code>string return_msg = 2;</code>
     * @return The returnMsg.
     */
    @java.lang.Override
    public java.lang.String getReturnMsg() {
      java.lang.Object ref = returnMsg_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        returnMsg_ = s;
        return s;
      }
    }
    /**
     * <code>string return_msg = 2;</code>
     * @return The bytes for returnMsg.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getReturnMsgBytes() {
      java.lang.Object ref = returnMsg_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        returnMsg_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int DATA_FIELD_NUMBER = 3;
    private volatile java.lang.Object data_;
    /**
     * <code>string data = 3;</code>
     * @return The data.
     */
    @java.lang.Override
    public java.lang.String getData() {
      java.lang.Object ref = data_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        data_ = s;
        return s;
      }
    }
    /**
     * <code>string data = 3;</code>
     * @return The bytes for data.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getDataBytes() {
      java.lang.Object ref = data_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        data_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getReturnCodeBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, returnCode_);
      }
      if (!getReturnMsgBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, returnMsg_);
      }
      if (!getDataBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 3, data_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getReturnCodeBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, returnCode_);
      }
      if (!getReturnMsgBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, returnMsg_);
      }
      if (!getDataBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(3, data_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.Response)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.Response other = (org.aiflow.client.proto.Message.Response) obj;

      if (!getReturnCode()
          .equals(other.getReturnCode())) return false;
      if (!getReturnMsg()
          .equals(other.getReturnMsg())) return false;
      if (!getData()
          .equals(other.getData())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + RETURN_CODE_FIELD_NUMBER;
      hash = (53 * hash) + getReturnCode().hashCode();
      hash = (37 * hash) + RETURN_MSG_FIELD_NUMBER;
      hash = (53 * hash) + getReturnMsg().hashCode();
      hash = (37 * hash) + DATA_FIELD_NUMBER;
      hash = (53 * hash) + getData().hashCode();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.Response parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.Response parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.Response parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.Response parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.Response prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.Response}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.Response)
        org.aiflow.client.proto.Message.ResponseOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_Response_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_Response_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.Response.class, org.aiflow.client.proto.Message.Response.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.Response.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        returnCode_ = "";

        returnMsg_ = "";

        data_ = "";

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_Response_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.Response getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.Response.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.Response build() {
        org.aiflow.client.proto.Message.Response result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.Response buildPartial() {
        org.aiflow.client.proto.Message.Response result = new org.aiflow.client.proto.Message.Response(this);
        result.returnCode_ = returnCode_;
        result.returnMsg_ = returnMsg_;
        result.data_ = data_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.Response) {
          return mergeFrom((org.aiflow.client.proto.Message.Response)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.Response other) {
        if (other == org.aiflow.client.proto.Message.Response.getDefaultInstance()) return this;
        if (!other.getReturnCode().isEmpty()) {
          returnCode_ = other.returnCode_;
          onChanged();
        }
        if (!other.getReturnMsg().isEmpty()) {
          returnMsg_ = other.returnMsg_;
          onChanged();
        }
        if (!other.getData().isEmpty()) {
          data_ = other.data_;
          onChanged();
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.Response parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.Response) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object returnCode_ = "";
      /**
       * <code>string return_code = 1;</code>
       * @return The returnCode.
       */
      public java.lang.String getReturnCode() {
        java.lang.Object ref = returnCode_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          returnCode_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string return_code = 1;</code>
       * @return The bytes for returnCode.
       */
      public com.google.protobuf.ByteString
          getReturnCodeBytes() {
        java.lang.Object ref = returnCode_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          returnCode_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string return_code = 1;</code>
       * @param value The returnCode to set.
       * @return This builder for chaining.
       */
      public Builder setReturnCode(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        returnCode_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string return_code = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearReturnCode() {
        
        returnCode_ = getDefaultInstance().getReturnCode();
        onChanged();
        return this;
      }
      /**
       * <code>string return_code = 1;</code>
       * @param value The bytes for returnCode to set.
       * @return This builder for chaining.
       */
      public Builder setReturnCodeBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        returnCode_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object returnMsg_ = "";
      /**
       * <code>string return_msg = 2;</code>
       * @return The returnMsg.
       */
      public java.lang.String getReturnMsg() {
        java.lang.Object ref = returnMsg_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          returnMsg_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string return_msg = 2;</code>
       * @return The bytes for returnMsg.
       */
      public com.google.protobuf.ByteString
          getReturnMsgBytes() {
        java.lang.Object ref = returnMsg_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          returnMsg_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string return_msg = 2;</code>
       * @param value The returnMsg to set.
       * @return This builder for chaining.
       */
      public Builder setReturnMsg(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        returnMsg_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string return_msg = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearReturnMsg() {
        
        returnMsg_ = getDefaultInstance().getReturnMsg();
        onChanged();
        return this;
      }
      /**
       * <code>string return_msg = 2;</code>
       * @param value The bytes for returnMsg to set.
       * @return This builder for chaining.
       */
      public Builder setReturnMsgBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        returnMsg_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object data_ = "";
      /**
       * <code>string data = 3;</code>
       * @return The data.
       */
      public java.lang.String getData() {
        java.lang.Object ref = data_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          data_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string data = 3;</code>
       * @return The bytes for data.
       */
      public com.google.protobuf.ByteString
          getDataBytes() {
        java.lang.Object ref = data_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          data_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string data = 3;</code>
       * @param value The data to set.
       * @return This builder for chaining.
       */
      public Builder setData(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        data_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string data = 3;</code>
       * @return This builder for chaining.
       */
      public Builder clearData() {
        
        data_ = getDefaultInstance().getData();
        onChanged();
        return this;
      }
      /**
       * <code>string data = 3;</code>
       * @param value The bytes for data to set.
       * @return This builder for chaining.
       */
      public Builder setDataBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        data_ = value;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.Response)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.Response)
    private static final org.aiflow.client.proto.Message.Response DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.Response();
    }

    public static org.aiflow.client.proto.Message.Response getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Response>
        PARSER = new com.google.protobuf.AbstractParser<Response>() {
      @java.lang.Override
      public Response parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new Response(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Response> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Response> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.Response getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface RegisteredModelMetaOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.RegisteredModelMeta)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string model_name = 1;</code>
     * @return The modelName.
     */
    java.lang.String getModelName();
    /**
     * <code>string model_name = 1;</code>
     * @return The bytes for modelName.
     */
    com.google.protobuf.ByteString
        getModelNameBytes();

    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return Whether the modelDesc field is set.
     */
    boolean hasModelDesc();
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return The modelDesc.
     */
    com.google.protobuf.StringValue getModelDesc();
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.RegisteredModelMeta}
   */
  public static final class RegisteredModelMeta extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.RegisteredModelMeta)
      RegisteredModelMetaOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use RegisteredModelMeta.newBuilder() to construct.
    private RegisteredModelMeta(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private RegisteredModelMeta() {
      modelName_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new RegisteredModelMeta();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private RegisteredModelMeta(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              modelName_ = s;
              break;
            }
            case 18: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelDesc_ != null) {
                subBuilder = modelDesc_.toBuilder();
              }
              modelDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelDesc_);
                modelDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMeta_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMeta_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.RegisteredModelMeta.class, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder.class);
    }

    public static final int MODEL_NAME_FIELD_NUMBER = 1;
    private volatile java.lang.Object modelName_;
    /**
     * <code>string model_name = 1;</code>
     * @return The modelName.
     */
    @java.lang.Override
    public java.lang.String getModelName() {
      java.lang.Object ref = modelName_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        modelName_ = s;
        return s;
      }
    }
    /**
     * <code>string model_name = 1;</code>
     * @return The bytes for modelName.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getModelNameBytes() {
      java.lang.Object ref = modelName_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        modelName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int MODEL_DESC_FIELD_NUMBER = 2;
    private com.google.protobuf.StringValue modelDesc_;
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return Whether the modelDesc field is set.
     */
    @java.lang.Override
    public boolean hasModelDesc() {
      return modelDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     * @return The modelDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelDesc() {
      return modelDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue model_desc = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder() {
      return getModelDesc();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getModelNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, modelName_);
      }
      if (modelDesc_ != null) {
        output.writeMessage(2, getModelDesc());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getModelNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, modelName_);
      }
      if (modelDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getModelDesc());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.RegisteredModelMeta)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.RegisteredModelMeta other = (org.aiflow.client.proto.Message.RegisteredModelMeta) obj;

      if (!getModelName()
          .equals(other.getModelName())) return false;
      if (hasModelDesc() != other.hasModelDesc()) return false;
      if (hasModelDesc()) {
        if (!getModelDesc()
            .equals(other.getModelDesc())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + MODEL_NAME_FIELD_NUMBER;
      hash = (53 * hash) + getModelName().hashCode();
      if (hasModelDesc()) {
        hash = (37 * hash) + MODEL_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getModelDesc().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMeta parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.RegisteredModelMeta prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.RegisteredModelMeta}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.RegisteredModelMeta)
        org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMeta_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMeta_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.RegisteredModelMeta.class, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.RegisteredModelMeta.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        modelName_ = "";

        if (modelDescBuilder_ == null) {
          modelDesc_ = null;
        } else {
          modelDesc_ = null;
          modelDescBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMeta_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelMeta getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelMeta build() {
        org.aiflow.client.proto.Message.RegisteredModelMeta result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelMeta buildPartial() {
        org.aiflow.client.proto.Message.RegisteredModelMeta result = new org.aiflow.client.proto.Message.RegisteredModelMeta(this);
        result.modelName_ = modelName_;
        if (modelDescBuilder_ == null) {
          result.modelDesc_ = modelDesc_;
        } else {
          result.modelDesc_ = modelDescBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.RegisteredModelMeta) {
          return mergeFrom((org.aiflow.client.proto.Message.RegisteredModelMeta)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.RegisteredModelMeta other) {
        if (other == org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance()) return this;
        if (!other.getModelName().isEmpty()) {
          modelName_ = other.modelName_;
          onChanged();
        }
        if (other.hasModelDesc()) {
          mergeModelDesc(other.getModelDesc());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.RegisteredModelMeta parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.RegisteredModelMeta) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object modelName_ = "";
      /**
       * <code>string model_name = 1;</code>
       * @return The modelName.
       */
      public java.lang.String getModelName() {
        java.lang.Object ref = modelName_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          modelName_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string model_name = 1;</code>
       * @return The bytes for modelName.
       */
      public com.google.protobuf.ByteString
          getModelNameBytes() {
        java.lang.Object ref = modelName_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          modelName_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string model_name = 1;</code>
       * @param value The modelName to set.
       * @return This builder for chaining.
       */
      public Builder setModelName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        modelName_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string model_name = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearModelName() {
        
        modelName_ = getDefaultInstance().getModelName();
        onChanged();
        return this;
      }
      /**
       * <code>string model_name = 1;</code>
       * @param value The bytes for modelName to set.
       * @return This builder for chaining.
       */
      public Builder setModelNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        modelName_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.StringValue modelDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       * @return Whether the modelDesc field is set.
       */
      public boolean hasModelDesc() {
        return modelDescBuilder_ != null || modelDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       * @return The modelDesc.
       */
      public com.google.protobuf.StringValue getModelDesc() {
        if (modelDescBuilder_ == null) {
          return modelDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
        } else {
          return modelDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder setModelDesc(com.google.protobuf.StringValue value) {
        if (modelDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelDesc_ = value;
          onChanged();
        } else {
          modelDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder setModelDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelDescBuilder_ == null) {
          modelDesc_ = builderForValue.build();
          onChanged();
        } else {
          modelDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder mergeModelDesc(com.google.protobuf.StringValue value) {
        if (modelDescBuilder_ == null) {
          if (modelDesc_ != null) {
            modelDesc_ =
              com.google.protobuf.StringValue.newBuilder(modelDesc_).mergeFrom(value).buildPartial();
          } else {
            modelDesc_ = value;
          }
          onChanged();
        } else {
          modelDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public Builder clearModelDesc() {
        if (modelDescBuilder_ == null) {
          modelDesc_ = null;
          onChanged();
        } else {
          modelDesc_ = null;
          modelDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelDescBuilder() {
        
        onChanged();
        return getModelDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelDescOrBuilder() {
        if (modelDescBuilder_ != null) {
          return modelDescBuilder_.getMessageOrBuilder();
        } else {
          return modelDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_desc = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelDescFieldBuilder() {
        if (modelDescBuilder_ == null) {
          modelDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelDesc(),
                  getParentForChildren(),
                  isClean());
          modelDesc_ = null;
        }
        return modelDescBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.RegisteredModelMeta)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.RegisteredModelMeta)
    private static final org.aiflow.client.proto.Message.RegisteredModelMeta DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.RegisteredModelMeta();
    }

    public static org.aiflow.client.proto.Message.RegisteredModelMeta getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<RegisteredModelMeta>
        PARSER = new com.google.protobuf.AbstractParser<RegisteredModelMeta>() {
      @java.lang.Override
      public RegisteredModelMeta parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new RegisteredModelMeta(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<RegisteredModelMeta> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<RegisteredModelMeta> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelMeta getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ModelVersionMetaOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ModelVersionMeta)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>string model_name = 1;</code>
     * @return The modelName.
     */
    java.lang.String getModelName();
    /**
     * <code>string model_name = 1;</code>
     * @return The bytes for modelName.
     */
    com.google.protobuf.ByteString
        getModelNameBytes();

    /**
     * <code>string model_version = 2;</code>
     * @return The modelVersion.
     */
    java.lang.String getModelVersion();
    /**
     * <code>string model_version = 2;</code>
     * @return The bytes for modelVersion.
     */
    com.google.protobuf.ByteString
        getModelVersionBytes();

    /**
     * <code>.google.protobuf.StringValue model_path = 3;</code>
     * @return Whether the modelPath field is set.
     */
    boolean hasModelPath();
    /**
     * <code>.google.protobuf.StringValue model_path = 3;</code>
     * @return The modelPath.
     */
    com.google.protobuf.StringValue getModelPath();
    /**
     * <code>.google.protobuf.StringValue model_path = 3;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_type = 5;</code>
     * @return Whether the modelType field is set.
     */
    boolean hasModelType();
    /**
     * <code>.google.protobuf.StringValue model_type = 5;</code>
     * @return The modelType.
     */
    com.google.protobuf.StringValue getModelType();
    /**
     * <code>.google.protobuf.StringValue model_type = 5;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue version_desc = 6;</code>
     * @return Whether the versionDesc field is set.
     */
    boolean hasVersionDesc();
    /**
     * <code>.google.protobuf.StringValue version_desc = 6;</code>
     * @return The versionDesc.
     */
    com.google.protobuf.StringValue getVersionDesc();
    /**
     * <code>.google.protobuf.StringValue version_desc = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder();

    /**
     * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
     * @return The enum numeric value on the wire for versionStatus.
     */
    int getVersionStatusValue();
    /**
     * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
     * @return The versionStatus.
     */
    org.aiflow.client.proto.Message.ModelVersionStatus getVersionStatus();

    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The enum numeric value on the wire for currentStage.
     */
    int getCurrentStageValue();
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The currentStage.
     */
    org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage();
  }
  /**
   * Protobuf type {@code ai_flow.ModelVersionMeta}
   */
  public static final class ModelVersionMeta extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ModelVersionMeta)
      ModelVersionMetaOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ModelVersionMeta.newBuilder() to construct.
    private ModelVersionMeta(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ModelVersionMeta() {
      modelName_ = "";
      modelVersion_ = "";
      versionStatus_ = 0;
      currentStage_ = 0;
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ModelVersionMeta();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ModelVersionMeta(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              java.lang.String s = input.readStringRequireUtf8();

              modelName_ = s;
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              modelVersion_ = s;
              break;
            }
            case 26: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelPath_ != null) {
                subBuilder = modelPath_.toBuilder();
              }
              modelPath_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelPath_);
                modelPath_ = subBuilder.buildPartial();
              }

              break;
            }
            case 42: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelType_ != null) {
                subBuilder = modelType_.toBuilder();
              }
              modelType_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelType_);
                modelType_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (versionDesc_ != null) {
                subBuilder = versionDesc_.toBuilder();
              }
              versionDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(versionDesc_);
                versionDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            case 56: {
              int rawValue = input.readEnum();

              versionStatus_ = rawValue;
              break;
            }
            case 64: {
              int rawValue = input.readEnum();

              currentStage_ = rawValue;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionMeta_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionMeta_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ModelVersionMeta.class, org.aiflow.client.proto.Message.ModelVersionMeta.Builder.class);
    }

    public static final int MODEL_NAME_FIELD_NUMBER = 1;
    private volatile java.lang.Object modelName_;
    /**
     * <code>string model_name = 1;</code>
     * @return The modelName.
     */
    @java.lang.Override
    public java.lang.String getModelName() {
      java.lang.Object ref = modelName_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        modelName_ = s;
        return s;
      }
    }
    /**
     * <code>string model_name = 1;</code>
     * @return The bytes for modelName.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getModelNameBytes() {
      java.lang.Object ref = modelName_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        modelName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int MODEL_VERSION_FIELD_NUMBER = 2;
    private volatile java.lang.Object modelVersion_;
    /**
     * <code>string model_version = 2;</code>
     * @return The modelVersion.
     */
    @java.lang.Override
    public java.lang.String getModelVersion() {
      java.lang.Object ref = modelVersion_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        modelVersion_ = s;
        return s;
      }
    }
    /**
     * <code>string model_version = 2;</code>
     * @return The bytes for modelVersion.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getModelVersionBytes() {
      java.lang.Object ref = modelVersion_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        modelVersion_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int MODEL_PATH_FIELD_NUMBER = 3;
    private com.google.protobuf.StringValue modelPath_;
    /**
     * <code>.google.protobuf.StringValue model_path = 3;</code>
     * @return Whether the modelPath field is set.
     */
    @java.lang.Override
    public boolean hasModelPath() {
      return modelPath_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_path = 3;</code>
     * @return The modelPath.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelPath() {
      return modelPath_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
    }
    /**
     * <code>.google.protobuf.StringValue model_path = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder() {
      return getModelPath();
    }

    public static final int MODEL_TYPE_FIELD_NUMBER = 5;
    private com.google.protobuf.StringValue modelType_;
    /**
     * <code>.google.protobuf.StringValue model_type = 5;</code>
     * @return Whether the modelType field is set.
     */
    @java.lang.Override
    public boolean hasModelType() {
      return modelType_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_type = 5;</code>
     * @return The modelType.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelType() {
      return modelType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
    }
    /**
     * <code>.google.protobuf.StringValue model_type = 5;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder() {
      return getModelType();
    }

    public static final int VERSION_DESC_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue versionDesc_;
    /**
     * <code>.google.protobuf.StringValue version_desc = 6;</code>
     * @return Whether the versionDesc field is set.
     */
    @java.lang.Override
    public boolean hasVersionDesc() {
      return versionDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue version_desc = 6;</code>
     * @return The versionDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getVersionDesc() {
      return versionDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue version_desc = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder() {
      return getVersionDesc();
    }

    public static final int VERSION_STATUS_FIELD_NUMBER = 7;
    private int versionStatus_;
    /**
     * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
     * @return The enum numeric value on the wire for versionStatus.
     */
    @java.lang.Override public int getVersionStatusValue() {
      return versionStatus_;
    }
    /**
     * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
     * @return The versionStatus.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.ModelVersionStatus getVersionStatus() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.ModelVersionStatus result = org.aiflow.client.proto.Message.ModelVersionStatus.valueOf(versionStatus_);
      return result == null ? org.aiflow.client.proto.Message.ModelVersionStatus.UNRECOGNIZED : result;
    }

    public static final int CURRENT_STAGE_FIELD_NUMBER = 8;
    private int currentStage_;
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The enum numeric value on the wire for currentStage.
     */
    @java.lang.Override public int getCurrentStageValue() {
      return currentStage_;
    }
    /**
     * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
     * @return The currentStage.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.ModelVersionStage result = org.aiflow.client.proto.Message.ModelVersionStage.valueOf(currentStage_);
      return result == null ? org.aiflow.client.proto.Message.ModelVersionStage.UNRECOGNIZED : result;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (!getModelNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 1, modelName_);
      }
      if (!getModelVersionBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, modelVersion_);
      }
      if (modelPath_ != null) {
        output.writeMessage(3, getModelPath());
      }
      if (modelType_ != null) {
        output.writeMessage(5, getModelType());
      }
      if (versionDesc_ != null) {
        output.writeMessage(6, getVersionDesc());
      }
      if (versionStatus_ != org.aiflow.client.proto.Message.ModelVersionStatus.PENDING_REGISTRATION.getNumber()) {
        output.writeEnum(7, versionStatus_);
      }
      if (currentStage_ != org.aiflow.client.proto.Message.ModelVersionStage.GENERATED.getNumber()) {
        output.writeEnum(8, currentStage_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (!getModelNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, modelName_);
      }
      if (!getModelVersionBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, modelVersion_);
      }
      if (modelPath_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getModelPath());
      }
      if (modelType_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(5, getModelType());
      }
      if (versionDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getVersionDesc());
      }
      if (versionStatus_ != org.aiflow.client.proto.Message.ModelVersionStatus.PENDING_REGISTRATION.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(7, versionStatus_);
      }
      if (currentStage_ != org.aiflow.client.proto.Message.ModelVersionStage.GENERATED.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(8, currentStage_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ModelVersionMeta)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ModelVersionMeta other = (org.aiflow.client.proto.Message.ModelVersionMeta) obj;

      if (!getModelName()
          .equals(other.getModelName())) return false;
      if (!getModelVersion()
          .equals(other.getModelVersion())) return false;
      if (hasModelPath() != other.hasModelPath()) return false;
      if (hasModelPath()) {
        if (!getModelPath()
            .equals(other.getModelPath())) return false;
      }
      if (hasModelType() != other.hasModelType()) return false;
      if (hasModelType()) {
        if (!getModelType()
            .equals(other.getModelType())) return false;
      }
      if (hasVersionDesc() != other.hasVersionDesc()) return false;
      if (hasVersionDesc()) {
        if (!getVersionDesc()
            .equals(other.getVersionDesc())) return false;
      }
      if (versionStatus_ != other.versionStatus_) return false;
      if (currentStage_ != other.currentStage_) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + MODEL_NAME_FIELD_NUMBER;
      hash = (53 * hash) + getModelName().hashCode();
      hash = (37 * hash) + MODEL_VERSION_FIELD_NUMBER;
      hash = (53 * hash) + getModelVersion().hashCode();
      if (hasModelPath()) {
        hash = (37 * hash) + MODEL_PATH_FIELD_NUMBER;
        hash = (53 * hash) + getModelPath().hashCode();
      }
      if (hasModelType()) {
        hash = (37 * hash) + MODEL_TYPE_FIELD_NUMBER;
        hash = (53 * hash) + getModelType().hashCode();
      }
      if (hasVersionDesc()) {
        hash = (37 * hash) + VERSION_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getVersionDesc().hashCode();
      }
      hash = (37 * hash) + VERSION_STATUS_FIELD_NUMBER;
      hash = (53 * hash) + versionStatus_;
      hash = (37 * hash) + CURRENT_STAGE_FIELD_NUMBER;
      hash = (53 * hash) + currentStage_;
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ModelVersionMeta parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ModelVersionMeta prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ModelVersionMeta}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ModelVersionMeta)
        org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionMeta_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionMeta_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ModelVersionMeta.class, org.aiflow.client.proto.Message.ModelVersionMeta.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ModelVersionMeta.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        modelName_ = "";

        modelVersion_ = "";

        if (modelPathBuilder_ == null) {
          modelPath_ = null;
        } else {
          modelPath_ = null;
          modelPathBuilder_ = null;
        }
        if (modelTypeBuilder_ == null) {
          modelType_ = null;
        } else {
          modelType_ = null;
          modelTypeBuilder_ = null;
        }
        if (versionDescBuilder_ == null) {
          versionDesc_ = null;
        } else {
          versionDesc_ = null;
          versionDescBuilder_ = null;
        }
        versionStatus_ = 0;

        currentStage_ = 0;

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ModelVersionMeta_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionMeta getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ModelVersionMeta.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionMeta build() {
        org.aiflow.client.proto.Message.ModelVersionMeta result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionMeta buildPartial() {
        org.aiflow.client.proto.Message.ModelVersionMeta result = new org.aiflow.client.proto.Message.ModelVersionMeta(this);
        result.modelName_ = modelName_;
        result.modelVersion_ = modelVersion_;
        if (modelPathBuilder_ == null) {
          result.modelPath_ = modelPath_;
        } else {
          result.modelPath_ = modelPathBuilder_.build();
        }
        if (modelTypeBuilder_ == null) {
          result.modelType_ = modelType_;
        } else {
          result.modelType_ = modelTypeBuilder_.build();
        }
        if (versionDescBuilder_ == null) {
          result.versionDesc_ = versionDesc_;
        } else {
          result.versionDesc_ = versionDescBuilder_.build();
        }
        result.versionStatus_ = versionStatus_;
        result.currentStage_ = currentStage_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ModelVersionMeta) {
          return mergeFrom((org.aiflow.client.proto.Message.ModelVersionMeta)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ModelVersionMeta other) {
        if (other == org.aiflow.client.proto.Message.ModelVersionMeta.getDefaultInstance()) return this;
        if (!other.getModelName().isEmpty()) {
          modelName_ = other.modelName_;
          onChanged();
        }
        if (!other.getModelVersion().isEmpty()) {
          modelVersion_ = other.modelVersion_;
          onChanged();
        }
        if (other.hasModelPath()) {
          mergeModelPath(other.getModelPath());
        }
        if (other.hasModelType()) {
          mergeModelType(other.getModelType());
        }
        if (other.hasVersionDesc()) {
          mergeVersionDesc(other.getVersionDesc());
        }
        if (other.versionStatus_ != 0) {
          setVersionStatusValue(other.getVersionStatusValue());
        }
        if (other.currentStage_ != 0) {
          setCurrentStageValue(other.getCurrentStageValue());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ModelVersionMeta parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ModelVersionMeta) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private java.lang.Object modelName_ = "";
      /**
       * <code>string model_name = 1;</code>
       * @return The modelName.
       */
      public java.lang.String getModelName() {
        java.lang.Object ref = modelName_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          modelName_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string model_name = 1;</code>
       * @return The bytes for modelName.
       */
      public com.google.protobuf.ByteString
          getModelNameBytes() {
        java.lang.Object ref = modelName_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          modelName_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string model_name = 1;</code>
       * @param value The modelName to set.
       * @return This builder for chaining.
       */
      public Builder setModelName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        modelName_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string model_name = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearModelName() {
        
        modelName_ = getDefaultInstance().getModelName();
        onChanged();
        return this;
      }
      /**
       * <code>string model_name = 1;</code>
       * @param value The bytes for modelName to set.
       * @return This builder for chaining.
       */
      public Builder setModelNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        modelName_ = value;
        onChanged();
        return this;
      }

      private java.lang.Object modelVersion_ = "";
      /**
       * <code>string model_version = 2;</code>
       * @return The modelVersion.
       */
      public java.lang.String getModelVersion() {
        java.lang.Object ref = modelVersion_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          modelVersion_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string model_version = 2;</code>
       * @return The bytes for modelVersion.
       */
      public com.google.protobuf.ByteString
          getModelVersionBytes() {
        java.lang.Object ref = modelVersion_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          modelVersion_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string model_version = 2;</code>
       * @param value The modelVersion to set.
       * @return This builder for chaining.
       */
      public Builder setModelVersion(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        modelVersion_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string model_version = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearModelVersion() {
        
        modelVersion_ = getDefaultInstance().getModelVersion();
        onChanged();
        return this;
      }
      /**
       * <code>string model_version = 2;</code>
       * @param value The bytes for modelVersion to set.
       * @return This builder for chaining.
       */
      public Builder setModelVersionBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        modelVersion_ = value;
        onChanged();
        return this;
      }

      private com.google.protobuf.StringValue modelPath_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelPathBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       * @return Whether the modelPath field is set.
       */
      public boolean hasModelPath() {
        return modelPathBuilder_ != null || modelPath_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       * @return The modelPath.
       */
      public com.google.protobuf.StringValue getModelPath() {
        if (modelPathBuilder_ == null) {
          return modelPath_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
        } else {
          return modelPathBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      public Builder setModelPath(com.google.protobuf.StringValue value) {
        if (modelPathBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelPath_ = value;
          onChanged();
        } else {
          modelPathBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      public Builder setModelPath(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelPathBuilder_ == null) {
          modelPath_ = builderForValue.build();
          onChanged();
        } else {
          modelPathBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      public Builder mergeModelPath(com.google.protobuf.StringValue value) {
        if (modelPathBuilder_ == null) {
          if (modelPath_ != null) {
            modelPath_ =
              com.google.protobuf.StringValue.newBuilder(modelPath_).mergeFrom(value).buildPartial();
          } else {
            modelPath_ = value;
          }
          onChanged();
        } else {
          modelPathBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      public Builder clearModelPath() {
        if (modelPathBuilder_ == null) {
          modelPath_ = null;
          onChanged();
        } else {
          modelPath_ = null;
          modelPathBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelPathBuilder() {
        
        onChanged();
        return getModelPathFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelPathOrBuilder() {
        if (modelPathBuilder_ != null) {
          return modelPathBuilder_.getMessageOrBuilder();
        } else {
          return modelPath_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelPath_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_path = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelPathFieldBuilder() {
        if (modelPathBuilder_ == null) {
          modelPathBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelPath(),
                  getParentForChildren(),
                  isClean());
          modelPath_ = null;
        }
        return modelPathBuilder_;
      }

      private com.google.protobuf.StringValue modelType_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelTypeBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       * @return Whether the modelType field is set.
       */
      public boolean hasModelType() {
        return modelTypeBuilder_ != null || modelType_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       * @return The modelType.
       */
      public com.google.protobuf.StringValue getModelType() {
        if (modelTypeBuilder_ == null) {
          return modelType_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
        } else {
          return modelTypeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      public Builder setModelType(com.google.protobuf.StringValue value) {
        if (modelTypeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelType_ = value;
          onChanged();
        } else {
          modelTypeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      public Builder setModelType(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelTypeBuilder_ == null) {
          modelType_ = builderForValue.build();
          onChanged();
        } else {
          modelTypeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      public Builder mergeModelType(com.google.protobuf.StringValue value) {
        if (modelTypeBuilder_ == null) {
          if (modelType_ != null) {
            modelType_ =
              com.google.protobuf.StringValue.newBuilder(modelType_).mergeFrom(value).buildPartial();
          } else {
            modelType_ = value;
          }
          onChanged();
        } else {
          modelTypeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      public Builder clearModelType() {
        if (modelTypeBuilder_ == null) {
          modelType_ = null;
          onChanged();
        } else {
          modelType_ = null;
          modelTypeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelTypeBuilder() {
        
        onChanged();
        return getModelTypeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelTypeOrBuilder() {
        if (modelTypeBuilder_ != null) {
          return modelTypeBuilder_.getMessageOrBuilder();
        } else {
          return modelType_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelType_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_type = 5;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelTypeFieldBuilder() {
        if (modelTypeBuilder_ == null) {
          modelTypeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelType(),
                  getParentForChildren(),
                  isClean());
          modelType_ = null;
        }
        return modelTypeBuilder_;
      }

      private com.google.protobuf.StringValue versionDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> versionDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       * @return Whether the versionDesc field is set.
       */
      public boolean hasVersionDesc() {
        return versionDescBuilder_ != null || versionDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       * @return The versionDesc.
       */
      public com.google.protobuf.StringValue getVersionDesc() {
        if (versionDescBuilder_ == null) {
          return versionDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
        } else {
          return versionDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      public Builder setVersionDesc(com.google.protobuf.StringValue value) {
        if (versionDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          versionDesc_ = value;
          onChanged();
        } else {
          versionDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      public Builder setVersionDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (versionDescBuilder_ == null) {
          versionDesc_ = builderForValue.build();
          onChanged();
        } else {
          versionDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      public Builder mergeVersionDesc(com.google.protobuf.StringValue value) {
        if (versionDescBuilder_ == null) {
          if (versionDesc_ != null) {
            versionDesc_ =
              com.google.protobuf.StringValue.newBuilder(versionDesc_).mergeFrom(value).buildPartial();
          } else {
            versionDesc_ = value;
          }
          onChanged();
        } else {
          versionDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      public Builder clearVersionDesc() {
        if (versionDescBuilder_ == null) {
          versionDesc_ = null;
          onChanged();
        } else {
          versionDesc_ = null;
          versionDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getVersionDescBuilder() {
        
        onChanged();
        return getVersionDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getVersionDescOrBuilder() {
        if (versionDescBuilder_ != null) {
          return versionDescBuilder_.getMessageOrBuilder();
        } else {
          return versionDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : versionDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue version_desc = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getVersionDescFieldBuilder() {
        if (versionDescBuilder_ == null) {
          versionDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getVersionDesc(),
                  getParentForChildren(),
                  isClean());
          versionDesc_ = null;
        }
        return versionDescBuilder_;
      }

      private int versionStatus_ = 0;
      /**
       * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
       * @return The enum numeric value on the wire for versionStatus.
       */
      @java.lang.Override public int getVersionStatusValue() {
        return versionStatus_;
      }
      /**
       * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
       * @param value The enum numeric value on the wire for versionStatus to set.
       * @return This builder for chaining.
       */
      public Builder setVersionStatusValue(int value) {
        
        versionStatus_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
       * @return The versionStatus.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionStatus getVersionStatus() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.ModelVersionStatus result = org.aiflow.client.proto.Message.ModelVersionStatus.valueOf(versionStatus_);
        return result == null ? org.aiflow.client.proto.Message.ModelVersionStatus.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
       * @param value The versionStatus to set.
       * @return This builder for chaining.
       */
      public Builder setVersionStatus(org.aiflow.client.proto.Message.ModelVersionStatus value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        versionStatus_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStatus version_status = 7;</code>
       * @return This builder for chaining.
       */
      public Builder clearVersionStatus() {
        
        versionStatus_ = 0;
        onChanged();
        return this;
      }

      private int currentStage_ = 0;
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @return The enum numeric value on the wire for currentStage.
       */
      @java.lang.Override public int getCurrentStageValue() {
        return currentStage_;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @param value The enum numeric value on the wire for currentStage to set.
       * @return This builder for chaining.
       */
      public Builder setCurrentStageValue(int value) {
        
        currentStage_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @return The currentStage.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.ModelVersionStage getCurrentStage() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.ModelVersionStage result = org.aiflow.client.proto.Message.ModelVersionStage.valueOf(currentStage_);
        return result == null ? org.aiflow.client.proto.Message.ModelVersionStage.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @param value The currentStage to set.
       * @return This builder for chaining.
       */
      public Builder setCurrentStage(org.aiflow.client.proto.Message.ModelVersionStage value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        currentStage_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionStage current_stage = 8;</code>
       * @return This builder for chaining.
       */
      public Builder clearCurrentStage() {
        
        currentStage_ = 0;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ModelVersionMeta)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ModelVersionMeta)
    private static final org.aiflow.client.proto.Message.ModelVersionMeta DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ModelVersionMeta();
    }

    public static org.aiflow.client.proto.Message.ModelVersionMeta getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ModelVersionMeta>
        PARSER = new com.google.protobuf.AbstractParser<ModelVersionMeta>() {
      @java.lang.Override
      public ModelVersionMeta parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ModelVersionMeta(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ModelVersionMeta> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ModelVersionMeta> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelVersionMeta getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface RegisteredModelDetailOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.RegisteredModelDetail)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
     * @return Whether the registeredModel field is set.
     */
    boolean hasRegisteredModel();
    /**
     * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
     * @return The registeredModel.
     */
    org.aiflow.client.proto.Message.RegisteredModelMeta getRegisteredModel();
    /**
     * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
     */
    org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder getRegisteredModelOrBuilder();

    /**
     * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
     * @return Whether the latestModelVersion field is set.
     */
    boolean hasLatestModelVersion();
    /**
     * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
     * @return The latestModelVersion.
     */
    org.aiflow.client.proto.Message.ModelVersionMeta getLatestModelVersion();
    /**
     * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
     */
    org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder getLatestModelVersionOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.RegisteredModelDetail}
   */
  public static final class RegisteredModelDetail extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.RegisteredModelDetail)
      RegisteredModelDetailOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use RegisteredModelDetail.newBuilder() to construct.
    private RegisteredModelDetail(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private RegisteredModelDetail() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new RegisteredModelDetail();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private RegisteredModelDetail(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              org.aiflow.client.proto.Message.RegisteredModelMeta.Builder subBuilder = null;
              if (registeredModel_ != null) {
                subBuilder = registeredModel_.toBuilder();
              }
              registeredModel_ = input.readMessage(org.aiflow.client.proto.Message.RegisteredModelMeta.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(registeredModel_);
                registeredModel_ = subBuilder.buildPartial();
              }

              break;
            }
            case 18: {
              org.aiflow.client.proto.Message.ModelVersionMeta.Builder subBuilder = null;
              if (latestModelVersion_ != null) {
                subBuilder = latestModelVersion_.toBuilder();
              }
              latestModelVersion_ = input.readMessage(org.aiflow.client.proto.Message.ModelVersionMeta.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(latestModelVersion_);
                latestModelVersion_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelDetail_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelDetail_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.RegisteredModelDetail.class, org.aiflow.client.proto.Message.RegisteredModelDetail.Builder.class);
    }

    public static final int REGISTERED_MODEL_FIELD_NUMBER = 1;
    private org.aiflow.client.proto.Message.RegisteredModelMeta registeredModel_;
    /**
     * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
     * @return Whether the registeredModel field is set.
     */
    @java.lang.Override
    public boolean hasRegisteredModel() {
      return registeredModel_ != null;
    }
    /**
     * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
     * @return The registeredModel.
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelMeta getRegisteredModel() {
      return registeredModel_ == null ? org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance() : registeredModel_;
    }
    /**
     * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder getRegisteredModelOrBuilder() {
      return getRegisteredModel();
    }

    public static final int LATEST_MODEL_VERSION_FIELD_NUMBER = 2;
    private org.aiflow.client.proto.Message.ModelVersionMeta latestModelVersion_;
    /**
     * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
     * @return Whether the latestModelVersion field is set.
     */
    @java.lang.Override
    public boolean hasLatestModelVersion() {
      return latestModelVersion_ != null;
    }
    /**
     * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
     * @return The latestModelVersion.
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelVersionMeta getLatestModelVersion() {
      return latestModelVersion_ == null ? org.aiflow.client.proto.Message.ModelVersionMeta.getDefaultInstance() : latestModelVersion_;
    }
    /**
     * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder getLatestModelVersionOrBuilder() {
      return getLatestModelVersion();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (registeredModel_ != null) {
        output.writeMessage(1, getRegisteredModel());
      }
      if (latestModelVersion_ != null) {
        output.writeMessage(2, getLatestModelVersion());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (registeredModel_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getRegisteredModel());
      }
      if (latestModelVersion_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getLatestModelVersion());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.RegisteredModelDetail)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.RegisteredModelDetail other = (org.aiflow.client.proto.Message.RegisteredModelDetail) obj;

      if (hasRegisteredModel() != other.hasRegisteredModel()) return false;
      if (hasRegisteredModel()) {
        if (!getRegisteredModel()
            .equals(other.getRegisteredModel())) return false;
      }
      if (hasLatestModelVersion() != other.hasLatestModelVersion()) return false;
      if (hasLatestModelVersion()) {
        if (!getLatestModelVersion()
            .equals(other.getLatestModelVersion())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasRegisteredModel()) {
        hash = (37 * hash) + REGISTERED_MODEL_FIELD_NUMBER;
        hash = (53 * hash) + getRegisteredModel().hashCode();
      }
      if (hasLatestModelVersion()) {
        hash = (37 * hash) + LATEST_MODEL_VERSION_FIELD_NUMBER;
        hash = (53 * hash) + getLatestModelVersion().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelDetail parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.RegisteredModelDetail prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.RegisteredModelDetail}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.RegisteredModelDetail)
        org.aiflow.client.proto.Message.RegisteredModelDetailOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelDetail_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelDetail_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.RegisteredModelDetail.class, org.aiflow.client.proto.Message.RegisteredModelDetail.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.RegisteredModelDetail.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (registeredModelBuilder_ == null) {
          registeredModel_ = null;
        } else {
          registeredModel_ = null;
          registeredModelBuilder_ = null;
        }
        if (latestModelVersionBuilder_ == null) {
          latestModelVersion_ = null;
        } else {
          latestModelVersion_ = null;
          latestModelVersionBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelDetail_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelDetail getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.RegisteredModelDetail.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelDetail build() {
        org.aiflow.client.proto.Message.RegisteredModelDetail result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelDetail buildPartial() {
        org.aiflow.client.proto.Message.RegisteredModelDetail result = new org.aiflow.client.proto.Message.RegisteredModelDetail(this);
        if (registeredModelBuilder_ == null) {
          result.registeredModel_ = registeredModel_;
        } else {
          result.registeredModel_ = registeredModelBuilder_.build();
        }
        if (latestModelVersionBuilder_ == null) {
          result.latestModelVersion_ = latestModelVersion_;
        } else {
          result.latestModelVersion_ = latestModelVersionBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.RegisteredModelDetail) {
          return mergeFrom((org.aiflow.client.proto.Message.RegisteredModelDetail)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.RegisteredModelDetail other) {
        if (other == org.aiflow.client.proto.Message.RegisteredModelDetail.getDefaultInstance()) return this;
        if (other.hasRegisteredModel()) {
          mergeRegisteredModel(other.getRegisteredModel());
        }
        if (other.hasLatestModelVersion()) {
          mergeLatestModelVersion(other.getLatestModelVersion());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.RegisteredModelDetail parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.RegisteredModelDetail) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private org.aiflow.client.proto.Message.RegisteredModelMeta registeredModel_;
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.RegisteredModelMeta, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder, org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> registeredModelBuilder_;
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       * @return Whether the registeredModel field is set.
       */
      public boolean hasRegisteredModel() {
        return registeredModelBuilder_ != null || registeredModel_ != null;
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       * @return The registeredModel.
       */
      public org.aiflow.client.proto.Message.RegisteredModelMeta getRegisteredModel() {
        if (registeredModelBuilder_ == null) {
          return registeredModel_ == null ? org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance() : registeredModel_;
        } else {
          return registeredModelBuilder_.getMessage();
        }
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      public Builder setRegisteredModel(org.aiflow.client.proto.Message.RegisteredModelMeta value) {
        if (registeredModelBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          registeredModel_ = value;
          onChanged();
        } else {
          registeredModelBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      public Builder setRegisteredModel(
          org.aiflow.client.proto.Message.RegisteredModelMeta.Builder builderForValue) {
        if (registeredModelBuilder_ == null) {
          registeredModel_ = builderForValue.build();
          onChanged();
        } else {
          registeredModelBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      public Builder mergeRegisteredModel(org.aiflow.client.proto.Message.RegisteredModelMeta value) {
        if (registeredModelBuilder_ == null) {
          if (registeredModel_ != null) {
            registeredModel_ =
              org.aiflow.client.proto.Message.RegisteredModelMeta.newBuilder(registeredModel_).mergeFrom(value).buildPartial();
          } else {
            registeredModel_ = value;
          }
          onChanged();
        } else {
          registeredModelBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      public Builder clearRegisteredModel() {
        if (registeredModelBuilder_ == null) {
          registeredModel_ = null;
          onChanged();
        } else {
          registeredModel_ = null;
          registeredModelBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMeta.Builder getRegisteredModelBuilder() {
        
        onChanged();
        return getRegisteredModelFieldBuilder().getBuilder();
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder getRegisteredModelOrBuilder() {
        if (registeredModelBuilder_ != null) {
          return registeredModelBuilder_.getMessageOrBuilder();
        } else {
          return registeredModel_ == null ?
              org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance() : registeredModel_;
        }
      }
      /**
       * <code>.ai_flow.RegisteredModelMeta registered_model = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.RegisteredModelMeta, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder, org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> 
          getRegisteredModelFieldBuilder() {
        if (registeredModelBuilder_ == null) {
          registeredModelBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              org.aiflow.client.proto.Message.RegisteredModelMeta, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder, org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder>(
                  getRegisteredModel(),
                  getParentForChildren(),
                  isClean());
          registeredModel_ = null;
        }
        return registeredModelBuilder_;
      }

      private org.aiflow.client.proto.Message.ModelVersionMeta latestModelVersion_;
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.ModelVersionMeta, org.aiflow.client.proto.Message.ModelVersionMeta.Builder, org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder> latestModelVersionBuilder_;
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       * @return Whether the latestModelVersion field is set.
       */
      public boolean hasLatestModelVersion() {
        return latestModelVersionBuilder_ != null || latestModelVersion_ != null;
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       * @return The latestModelVersion.
       */
      public org.aiflow.client.proto.Message.ModelVersionMeta getLatestModelVersion() {
        if (latestModelVersionBuilder_ == null) {
          return latestModelVersion_ == null ? org.aiflow.client.proto.Message.ModelVersionMeta.getDefaultInstance() : latestModelVersion_;
        } else {
          return latestModelVersionBuilder_.getMessage();
        }
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      public Builder setLatestModelVersion(org.aiflow.client.proto.Message.ModelVersionMeta value) {
        if (latestModelVersionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          latestModelVersion_ = value;
          onChanged();
        } else {
          latestModelVersionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      public Builder setLatestModelVersion(
          org.aiflow.client.proto.Message.ModelVersionMeta.Builder builderForValue) {
        if (latestModelVersionBuilder_ == null) {
          latestModelVersion_ = builderForValue.build();
          onChanged();
        } else {
          latestModelVersionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      public Builder mergeLatestModelVersion(org.aiflow.client.proto.Message.ModelVersionMeta value) {
        if (latestModelVersionBuilder_ == null) {
          if (latestModelVersion_ != null) {
            latestModelVersion_ =
              org.aiflow.client.proto.Message.ModelVersionMeta.newBuilder(latestModelVersion_).mergeFrom(value).buildPartial();
          } else {
            latestModelVersion_ = value;
          }
          onChanged();
        } else {
          latestModelVersionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      public Builder clearLatestModelVersion() {
        if (latestModelVersionBuilder_ == null) {
          latestModelVersion_ = null;
          onChanged();
        } else {
          latestModelVersion_ = null;
          latestModelVersionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      public org.aiflow.client.proto.Message.ModelVersionMeta.Builder getLatestModelVersionBuilder() {
        
        onChanged();
        return getLatestModelVersionFieldBuilder().getBuilder();
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      public org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder getLatestModelVersionOrBuilder() {
        if (latestModelVersionBuilder_ != null) {
          return latestModelVersionBuilder_.getMessageOrBuilder();
        } else {
          return latestModelVersion_ == null ?
              org.aiflow.client.proto.Message.ModelVersionMeta.getDefaultInstance() : latestModelVersion_;
        }
      }
      /**
       * <code>.ai_flow.ModelVersionMeta latest_model_version = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          org.aiflow.client.proto.Message.ModelVersionMeta, org.aiflow.client.proto.Message.ModelVersionMeta.Builder, org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder> 
          getLatestModelVersionFieldBuilder() {
        if (latestModelVersionBuilder_ == null) {
          latestModelVersionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              org.aiflow.client.proto.Message.ModelVersionMeta, org.aiflow.client.proto.Message.ModelVersionMeta.Builder, org.aiflow.client.proto.Message.ModelVersionMetaOrBuilder>(
                  getLatestModelVersion(),
                  getParentForChildren(),
                  isClean());
          latestModelVersion_ = null;
        }
        return latestModelVersionBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.RegisteredModelDetail)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.RegisteredModelDetail)
    private static final org.aiflow.client.proto.Message.RegisteredModelDetail DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.RegisteredModelDetail();
    }

    public static org.aiflow.client.proto.Message.RegisteredModelDetail getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<RegisteredModelDetail>
        PARSER = new com.google.protobuf.AbstractParser<RegisteredModelDetail>() {
      @java.lang.Override
      public RegisteredModelDetail parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new RegisteredModelDetail(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<RegisteredModelDetail> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<RegisteredModelDetail> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelDetail getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface RegisteredModelMetasOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.RegisteredModelMetas)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    java.util.List<org.aiflow.client.proto.Message.RegisteredModelMeta> 
        getRegisteredModelsList();
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    org.aiflow.client.proto.Message.RegisteredModelMeta getRegisteredModels(int index);
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    int getRegisteredModelsCount();
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    java.util.List<? extends org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> 
        getRegisteredModelsOrBuilderList();
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder getRegisteredModelsOrBuilder(
        int index);
  }
  /**
   * Protobuf type {@code ai_flow.RegisteredModelMetas}
   */
  public static final class RegisteredModelMetas extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.RegisteredModelMetas)
      RegisteredModelMetasOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use RegisteredModelMetas.newBuilder() to construct.
    private RegisteredModelMetas(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private RegisteredModelMetas() {
      registeredModels_ = java.util.Collections.emptyList();
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new RegisteredModelMetas();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private RegisteredModelMetas(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                registeredModels_ = new java.util.ArrayList<org.aiflow.client.proto.Message.RegisteredModelMeta>();
                mutable_bitField0_ |= 0x00000001;
              }
              registeredModels_.add(
                  input.readMessage(org.aiflow.client.proto.Message.RegisteredModelMeta.parser(), extensionRegistry));
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        if (((mutable_bitField0_ & 0x00000001) != 0)) {
          registeredModels_ = java.util.Collections.unmodifiableList(registeredModels_);
        }
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMetas_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMetas_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.RegisteredModelMetas.class, org.aiflow.client.proto.Message.RegisteredModelMetas.Builder.class);
    }

    public static final int REGISTERED_MODELS_FIELD_NUMBER = 1;
    private java.util.List<org.aiflow.client.proto.Message.RegisteredModelMeta> registeredModels_;
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    @java.lang.Override
    public java.util.List<org.aiflow.client.proto.Message.RegisteredModelMeta> getRegisteredModelsList() {
      return registeredModels_;
    }
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    @java.lang.Override
    public java.util.List<? extends org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> 
        getRegisteredModelsOrBuilderList() {
      return registeredModels_;
    }
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    @java.lang.Override
    public int getRegisteredModelsCount() {
      return registeredModels_.size();
    }
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelMeta getRegisteredModels(int index) {
      return registeredModels_.get(index);
    }
    /**
     * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
     */
    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder getRegisteredModelsOrBuilder(
        int index) {
      return registeredModels_.get(index);
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      for (int i = 0; i < registeredModels_.size(); i++) {
        output.writeMessage(1, registeredModels_.get(i));
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      for (int i = 0; i < registeredModels_.size(); i++) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, registeredModels_.get(i));
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.RegisteredModelMetas)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.RegisteredModelMetas other = (org.aiflow.client.proto.Message.RegisteredModelMetas) obj;

      if (!getRegisteredModelsList()
          .equals(other.getRegisteredModelsList())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (getRegisteredModelsCount() > 0) {
        hash = (37 * hash) + REGISTERED_MODELS_FIELD_NUMBER;
        hash = (53 * hash) + getRegisteredModelsList().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.RegisteredModelMetas parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.RegisteredModelMetas prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.RegisteredModelMetas}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.RegisteredModelMetas)
        org.aiflow.client.proto.Message.RegisteredModelMetasOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMetas_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMetas_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.RegisteredModelMetas.class, org.aiflow.client.proto.Message.RegisteredModelMetas.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.RegisteredModelMetas.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
          getRegisteredModelsFieldBuilder();
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (registeredModelsBuilder_ == null) {
          registeredModels_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000001);
        } else {
          registeredModelsBuilder_.clear();
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_RegisteredModelMetas_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelMetas getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.RegisteredModelMetas.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelMetas build() {
        org.aiflow.client.proto.Message.RegisteredModelMetas result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.RegisteredModelMetas buildPartial() {
        org.aiflow.client.proto.Message.RegisteredModelMetas result = new org.aiflow.client.proto.Message.RegisteredModelMetas(this);
        int from_bitField0_ = bitField0_;
        if (registeredModelsBuilder_ == null) {
          if (((bitField0_ & 0x00000001) != 0)) {
            registeredModels_ = java.util.Collections.unmodifiableList(registeredModels_);
            bitField0_ = (bitField0_ & ~0x00000001);
          }
          result.registeredModels_ = registeredModels_;
        } else {
          result.registeredModels_ = registeredModelsBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.RegisteredModelMetas) {
          return mergeFrom((org.aiflow.client.proto.Message.RegisteredModelMetas)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.RegisteredModelMetas other) {
        if (other == org.aiflow.client.proto.Message.RegisteredModelMetas.getDefaultInstance()) return this;
        if (registeredModelsBuilder_ == null) {
          if (!other.registeredModels_.isEmpty()) {
            if (registeredModels_.isEmpty()) {
              registeredModels_ = other.registeredModels_;
              bitField0_ = (bitField0_ & ~0x00000001);
            } else {
              ensureRegisteredModelsIsMutable();
              registeredModels_.addAll(other.registeredModels_);
            }
            onChanged();
          }
        } else {
          if (!other.registeredModels_.isEmpty()) {
            if (registeredModelsBuilder_.isEmpty()) {
              registeredModelsBuilder_.dispose();
              registeredModelsBuilder_ = null;
              registeredModels_ = other.registeredModels_;
              bitField0_ = (bitField0_ & ~0x00000001);
              registeredModelsBuilder_ = 
                com.google.protobuf.GeneratedMessageV3.alwaysUseFieldBuilders ?
                   getRegisteredModelsFieldBuilder() : null;
            } else {
              registeredModelsBuilder_.addAllMessages(other.registeredModels_);
            }
          }
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.RegisteredModelMetas parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.RegisteredModelMetas) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private java.util.List<org.aiflow.client.proto.Message.RegisteredModelMeta> registeredModels_ =
        java.util.Collections.emptyList();
      private void ensureRegisteredModelsIsMutable() {
        if (!((bitField0_ & 0x00000001) != 0)) {
          registeredModels_ = new java.util.ArrayList<org.aiflow.client.proto.Message.RegisteredModelMeta>(registeredModels_);
          bitField0_ |= 0x00000001;
         }
      }

      private com.google.protobuf.RepeatedFieldBuilderV3<
          org.aiflow.client.proto.Message.RegisteredModelMeta, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder, org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> registeredModelsBuilder_;

      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public java.util.List<org.aiflow.client.proto.Message.RegisteredModelMeta> getRegisteredModelsList() {
        if (registeredModelsBuilder_ == null) {
          return java.util.Collections.unmodifiableList(registeredModels_);
        } else {
          return registeredModelsBuilder_.getMessageList();
        }
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public int getRegisteredModelsCount() {
        if (registeredModelsBuilder_ == null) {
          return registeredModels_.size();
        } else {
          return registeredModelsBuilder_.getCount();
        }
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMeta getRegisteredModels(int index) {
        if (registeredModelsBuilder_ == null) {
          return registeredModels_.get(index);
        } else {
          return registeredModelsBuilder_.getMessage(index);
        }
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder setRegisteredModels(
          int index, org.aiflow.client.proto.Message.RegisteredModelMeta value) {
        if (registeredModelsBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureRegisteredModelsIsMutable();
          registeredModels_.set(index, value);
          onChanged();
        } else {
          registeredModelsBuilder_.setMessage(index, value);
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder setRegisteredModels(
          int index, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder builderForValue) {
        if (registeredModelsBuilder_ == null) {
          ensureRegisteredModelsIsMutable();
          registeredModels_.set(index, builderForValue.build());
          onChanged();
        } else {
          registeredModelsBuilder_.setMessage(index, builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder addRegisteredModels(org.aiflow.client.proto.Message.RegisteredModelMeta value) {
        if (registeredModelsBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureRegisteredModelsIsMutable();
          registeredModels_.add(value);
          onChanged();
        } else {
          registeredModelsBuilder_.addMessage(value);
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder addRegisteredModels(
          int index, org.aiflow.client.proto.Message.RegisteredModelMeta value) {
        if (registeredModelsBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureRegisteredModelsIsMutable();
          registeredModels_.add(index, value);
          onChanged();
        } else {
          registeredModelsBuilder_.addMessage(index, value);
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder addRegisteredModels(
          org.aiflow.client.proto.Message.RegisteredModelMeta.Builder builderForValue) {
        if (registeredModelsBuilder_ == null) {
          ensureRegisteredModelsIsMutable();
          registeredModels_.add(builderForValue.build());
          onChanged();
        } else {
          registeredModelsBuilder_.addMessage(builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder addRegisteredModels(
          int index, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder builderForValue) {
        if (registeredModelsBuilder_ == null) {
          ensureRegisteredModelsIsMutable();
          registeredModels_.add(index, builderForValue.build());
          onChanged();
        } else {
          registeredModelsBuilder_.addMessage(index, builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder addAllRegisteredModels(
          java.lang.Iterable<? extends org.aiflow.client.proto.Message.RegisteredModelMeta> values) {
        if (registeredModelsBuilder_ == null) {
          ensureRegisteredModelsIsMutable();
          com.google.protobuf.AbstractMessageLite.Builder.addAll(
              values, registeredModels_);
          onChanged();
        } else {
          registeredModelsBuilder_.addAllMessages(values);
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder clearRegisteredModels() {
        if (registeredModelsBuilder_ == null) {
          registeredModels_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000001);
          onChanged();
        } else {
          registeredModelsBuilder_.clear();
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public Builder removeRegisteredModels(int index) {
        if (registeredModelsBuilder_ == null) {
          ensureRegisteredModelsIsMutable();
          registeredModels_.remove(index);
          onChanged();
        } else {
          registeredModelsBuilder_.remove(index);
        }
        return this;
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMeta.Builder getRegisteredModelsBuilder(
          int index) {
        return getRegisteredModelsFieldBuilder().getBuilder(index);
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder getRegisteredModelsOrBuilder(
          int index) {
        if (registeredModelsBuilder_ == null) {
          return registeredModels_.get(index);  } else {
          return registeredModelsBuilder_.getMessageOrBuilder(index);
        }
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public java.util.List<? extends org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> 
           getRegisteredModelsOrBuilderList() {
        if (registeredModelsBuilder_ != null) {
          return registeredModelsBuilder_.getMessageOrBuilderList();
        } else {
          return java.util.Collections.unmodifiableList(registeredModels_);
        }
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMeta.Builder addRegisteredModelsBuilder() {
        return getRegisteredModelsFieldBuilder().addBuilder(
            org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance());
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public org.aiflow.client.proto.Message.RegisteredModelMeta.Builder addRegisteredModelsBuilder(
          int index) {
        return getRegisteredModelsFieldBuilder().addBuilder(
            index, org.aiflow.client.proto.Message.RegisteredModelMeta.getDefaultInstance());
      }
      /**
       * <code>repeated .ai_flow.RegisteredModelMeta registered_models = 1;</code>
       */
      public java.util.List<org.aiflow.client.proto.Message.RegisteredModelMeta.Builder> 
           getRegisteredModelsBuilderList() {
        return getRegisteredModelsFieldBuilder().getBuilderList();
      }
      private com.google.protobuf.RepeatedFieldBuilderV3<
          org.aiflow.client.proto.Message.RegisteredModelMeta, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder, org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder> 
          getRegisteredModelsFieldBuilder() {
        if (registeredModelsBuilder_ == null) {
          registeredModelsBuilder_ = new com.google.protobuf.RepeatedFieldBuilderV3<
              org.aiflow.client.proto.Message.RegisteredModelMeta, org.aiflow.client.proto.Message.RegisteredModelMeta.Builder, org.aiflow.client.proto.Message.RegisteredModelMetaOrBuilder>(
                  registeredModels_,
                  ((bitField0_ & 0x00000001) != 0),
                  getParentForChildren(),
                  isClean());
          registeredModels_ = null;
        }
        return registeredModelsBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.RegisteredModelMetas)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.RegisteredModelMetas)
    private static final org.aiflow.client.proto.Message.RegisteredModelMetas DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.RegisteredModelMetas();
    }

    public static org.aiflow.client.proto.Message.RegisteredModelMetas getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<RegisteredModelMetas>
        PARSER = new com.google.protobuf.AbstractParser<RegisteredModelMetas>() {
      @java.lang.Override
      public RegisteredModelMetas parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new RegisteredModelMetas(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<RegisteredModelMetas> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<RegisteredModelMetas> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.RegisteredModelMetas getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface ResultProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.ResultProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.ai_flow.StatusProto status = 1;</code>
     * @return The enum numeric value on the wire for status.
     */
    int getStatusValue();
    /**
     * <code>.ai_flow.StatusProto status = 1;</code>
     * @return The status.
     */
    org.aiflow.client.proto.Message.StatusProto getStatus();

    /**
     * <code>string error_message = 2;</code>
     * @return The errorMessage.
     */
    java.lang.String getErrorMessage();
    /**
     * <code>string error_message = 2;</code>
     * @return The bytes for errorMessage.
     */
    com.google.protobuf.ByteString
        getErrorMessageBytes();
  }
  /**
   * Protobuf type {@code ai_flow.ResultProto}
   */
  public static final class ResultProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.ResultProto)
      ResultProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use ResultProto.newBuilder() to construct.
    private ResultProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private ResultProto() {
      status_ = 0;
      errorMessage_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new ResultProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private ResultProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {
              int rawValue = input.readEnum();

              status_ = rawValue;
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              errorMessage_ = s;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ResultProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_ResultProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.ResultProto.class, org.aiflow.client.proto.Message.ResultProto.Builder.class);
    }

    public static final int STATUS_FIELD_NUMBER = 1;
    private int status_;
    /**
     * <code>.ai_flow.StatusProto status = 1;</code>
     * @return The enum numeric value on the wire for status.
     */
    @java.lang.Override public int getStatusValue() {
      return status_;
    }
    /**
     * <code>.ai_flow.StatusProto status = 1;</code>
     * @return The status.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.StatusProto getStatus() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.StatusProto result = org.aiflow.client.proto.Message.StatusProto.valueOf(status_);
      return result == null ? org.aiflow.client.proto.Message.StatusProto.UNRECOGNIZED : result;
    }

    public static final int ERROR_MESSAGE_FIELD_NUMBER = 2;
    private volatile java.lang.Object errorMessage_;
    /**
     * <code>string error_message = 2;</code>
     * @return The errorMessage.
     */
    @java.lang.Override
    public java.lang.String getErrorMessage() {
      java.lang.Object ref = errorMessage_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        errorMessage_ = s;
        return s;
      }
    }
    /**
     * <code>string error_message = 2;</code>
     * @return The bytes for errorMessage.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getErrorMessageBytes() {
      java.lang.Object ref = errorMessage_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        errorMessage_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (status_ != org.aiflow.client.proto.Message.StatusProto.OK.getNumber()) {
        output.writeEnum(1, status_);
      }
      if (!getErrorMessageBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, errorMessage_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (status_ != org.aiflow.client.proto.Message.StatusProto.OK.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(1, status_);
      }
      if (!getErrorMessageBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, errorMessage_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.ResultProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.ResultProto other = (org.aiflow.client.proto.Message.ResultProto) obj;

      if (status_ != other.status_) return false;
      if (!getErrorMessage()
          .equals(other.getErrorMessage())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + STATUS_FIELD_NUMBER;
      hash = (53 * hash) + status_;
      hash = (37 * hash) + ERROR_MESSAGE_FIELD_NUMBER;
      hash = (53 * hash) + getErrorMessage().hashCode();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.ResultProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.ResultProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.ResultProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.ResultProto)
        org.aiflow.client.proto.Message.ResultProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ResultProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ResultProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.ResultProto.class, org.aiflow.client.proto.Message.ResultProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.ResultProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        status_ = 0;

        errorMessage_ = "";

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_ResultProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ResultProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.ResultProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ResultProto build() {
        org.aiflow.client.proto.Message.ResultProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.ResultProto buildPartial() {
        org.aiflow.client.proto.Message.ResultProto result = new org.aiflow.client.proto.Message.ResultProto(this);
        result.status_ = status_;
        result.errorMessage_ = errorMessage_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.ResultProto) {
          return mergeFrom((org.aiflow.client.proto.Message.ResultProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.ResultProto other) {
        if (other == org.aiflow.client.proto.Message.ResultProto.getDefaultInstance()) return this;
        if (other.status_ != 0) {
          setStatusValue(other.getStatusValue());
        }
        if (!other.getErrorMessage().isEmpty()) {
          errorMessage_ = other.errorMessage_;
          onChanged();
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.ResultProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.ResultProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private int status_ = 0;
      /**
       * <code>.ai_flow.StatusProto status = 1;</code>
       * @return The enum numeric value on the wire for status.
       */
      @java.lang.Override public int getStatusValue() {
        return status_;
      }
      /**
       * <code>.ai_flow.StatusProto status = 1;</code>
       * @param value The enum numeric value on the wire for status to set.
       * @return This builder for chaining.
       */
      public Builder setStatusValue(int value) {
        
        status_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.StatusProto status = 1;</code>
       * @return The status.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.StatusProto getStatus() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.StatusProto result = org.aiflow.client.proto.Message.StatusProto.valueOf(status_);
        return result == null ? org.aiflow.client.proto.Message.StatusProto.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.StatusProto status = 1;</code>
       * @param value The status to set.
       * @return This builder for chaining.
       */
      public Builder setStatus(org.aiflow.client.proto.Message.StatusProto value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        status_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.StatusProto status = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearStatus() {
        
        status_ = 0;
        onChanged();
        return this;
      }

      private java.lang.Object errorMessage_ = "";
      /**
       * <code>string error_message = 2;</code>
       * @return The errorMessage.
       */
      public java.lang.String getErrorMessage() {
        java.lang.Object ref = errorMessage_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          errorMessage_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string error_message = 2;</code>
       * @return The bytes for errorMessage.
       */
      public com.google.protobuf.ByteString
          getErrorMessageBytes() {
        java.lang.Object ref = errorMessage_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          errorMessage_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string error_message = 2;</code>
       * @param value The errorMessage to set.
       * @return This builder for chaining.
       */
      public Builder setErrorMessage(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        errorMessage_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string error_message = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearErrorMessage() {
        
        errorMessage_ = getDefaultInstance().getErrorMessage();
        onChanged();
        return this;
      }
      /**
       * <code>string error_message = 2;</code>
       * @param value The bytes for errorMessage to set.
       * @return This builder for chaining.
       */
      public Builder setErrorMessageBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        errorMessage_ = value;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.ResultProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.ResultProto)
    private static final org.aiflow.client.proto.Message.ResultProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.ResultProto();
    }

    public static org.aiflow.client.proto.Message.ResultProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<ResultProto>
        PARSER = new com.google.protobuf.AbstractParser<ResultProto>() {
      @java.lang.Override
      public ResultProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new ResultProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<ResultProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<ResultProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.ResultProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface MetricMetaProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.MetricMetaProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>.google.protobuf.StringValue metric_name = 1;</code>
     * @return Whether the metricName field is set.
     */
    boolean hasMetricName();
    /**
     * <code>.google.protobuf.StringValue metric_name = 1;</code>
     * @return The metricName.
     */
    com.google.protobuf.StringValue getMetricName();
    /**
     * <code>.google.protobuf.StringValue metric_name = 1;</code>
     */
    com.google.protobuf.StringValueOrBuilder getMetricNameOrBuilder();

    /**
     * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
     * @return The enum numeric value on the wire for metricType.
     */
    int getMetricTypeValue();
    /**
     * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
     * @return The metricType.
     */
    org.aiflow.client.proto.Message.MetricTypeProto getMetricType();

    /**
     * <code>.google.protobuf.StringValue metric_desc = 3;</code>
     * @return Whether the metricDesc field is set.
     */
    boolean hasMetricDesc();
    /**
     * <code>.google.protobuf.StringValue metric_desc = 3;</code>
     * @return The metricDesc.
     */
    com.google.protobuf.StringValue getMetricDesc();
    /**
     * <code>.google.protobuf.StringValue metric_desc = 3;</code>
     */
    com.google.protobuf.StringValueOrBuilder getMetricDescOrBuilder();

    /**
     * <code>.google.protobuf.StringValue project_name = 4;</code>
     * @return Whether the projectName field is set.
     */
    boolean hasProjectName();
    /**
     * <code>.google.protobuf.StringValue project_name = 4;</code>
     * @return The projectName.
     */
    com.google.protobuf.StringValue getProjectName();
    /**
     * <code>.google.protobuf.StringValue project_name = 4;</code>
     */
    com.google.protobuf.StringValueOrBuilder getProjectNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue dataset_name = 5;</code>
     * @return Whether the datasetName field is set.
     */
    boolean hasDatasetName();
    /**
     * <code>.google.protobuf.StringValue dataset_name = 5;</code>
     * @return The datasetName.
     */
    com.google.protobuf.StringValue getDatasetName();
    /**
     * <code>.google.protobuf.StringValue dataset_name = 5;</code>
     */
    com.google.protobuf.StringValueOrBuilder getDatasetNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_name = 6;</code>
     * @return Whether the modelName field is set.
     */
    boolean hasModelName();
    /**
     * <code>.google.protobuf.StringValue model_name = 6;</code>
     * @return The modelName.
     */
    com.google.protobuf.StringValue getModelName();
    /**
     * <code>.google.protobuf.StringValue model_name = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue job_name = 7;</code>
     * @return Whether the jobName field is set.
     */
    boolean hasJobName();
    /**
     * <code>.google.protobuf.StringValue job_name = 7;</code>
     * @return The jobName.
     */
    com.google.protobuf.StringValue getJobName();
    /**
     * <code>.google.protobuf.StringValue job_name = 7;</code>
     */
    com.google.protobuf.StringValueOrBuilder getJobNameOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value start_time = 8;</code>
     * @return Whether the startTime field is set.
     */
    boolean hasStartTime();
    /**
     * <code>.google.protobuf.Int64Value start_time = 8;</code>
     * @return The startTime.
     */
    com.google.protobuf.Int64Value getStartTime();
    /**
     * <code>.google.protobuf.Int64Value start_time = 8;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value end_time = 9;</code>
     * @return Whether the endTime field is set.
     */
    boolean hasEndTime();
    /**
     * <code>.google.protobuf.Int64Value end_time = 9;</code>
     * @return The endTime.
     */
    com.google.protobuf.Int64Value getEndTime();
    /**
     * <code>.google.protobuf.Int64Value end_time = 9;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder();

    /**
     * <code>.google.protobuf.StringValue uri = 10;</code>
     * @return Whether the uri field is set.
     */
    boolean hasUri();
    /**
     * <code>.google.protobuf.StringValue uri = 10;</code>
     * @return The uri.
     */
    com.google.protobuf.StringValue getUri();
    /**
     * <code>.google.protobuf.StringValue uri = 10;</code>
     */
    com.google.protobuf.StringValueOrBuilder getUriOrBuilder();

    /**
     * <code>.google.protobuf.StringValue tags = 11;</code>
     * @return Whether the tags field is set.
     */
    boolean hasTags();
    /**
     * <code>.google.protobuf.StringValue tags = 11;</code>
     * @return The tags.
     */
    com.google.protobuf.StringValue getTags();
    /**
     * <code>.google.protobuf.StringValue tags = 11;</code>
     */
    com.google.protobuf.StringValueOrBuilder getTagsOrBuilder();

    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */
    int getPropertiesCount();
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */
    boolean containsProperties(
        java.lang.String key);
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Deprecated
    java.util.Map<java.lang.String, java.lang.String>
    getProperties();
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */
    java.util.Map<java.lang.String, java.lang.String>
    getPropertiesMap();
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */

    java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue);
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */

    java.lang.String getPropertiesOrThrow(
        java.lang.String key);
  }
  /**
   * Protobuf type {@code ai_flow.MetricMetaProto}
   */
  public static final class MetricMetaProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.MetricMetaProto)
      MetricMetaProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use MetricMetaProto.newBuilder() to construct.
    private MetricMetaProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private MetricMetaProto() {
      metricType_ = 0;
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new MetricMetaProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private MetricMetaProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (metricName_ != null) {
                subBuilder = metricName_.toBuilder();
              }
              metricName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(metricName_);
                metricName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 16: {
              int rawValue = input.readEnum();

              metricType_ = rawValue;
              break;
            }
            case 26: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (metricDesc_ != null) {
                subBuilder = metricDesc_.toBuilder();
              }
              metricDesc_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(metricDesc_);
                metricDesc_ = subBuilder.buildPartial();
              }

              break;
            }
            case 34: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (projectName_ != null) {
                subBuilder = projectName_.toBuilder();
              }
              projectName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(projectName_);
                projectName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 42: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (datasetName_ != null) {
                subBuilder = datasetName_.toBuilder();
              }
              datasetName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(datasetName_);
                datasetName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelName_ != null) {
                subBuilder = modelName_.toBuilder();
              }
              modelName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelName_);
                modelName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (jobName_ != null) {
                subBuilder = jobName_.toBuilder();
              }
              jobName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(jobName_);
                jobName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 66: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (startTime_ != null) {
                subBuilder = startTime_.toBuilder();
              }
              startTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(startTime_);
                startTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 74: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (endTime_ != null) {
                subBuilder = endTime_.toBuilder();
              }
              endTime_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(endTime_);
                endTime_ = subBuilder.buildPartial();
              }

              break;
            }
            case 82: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (uri_ != null) {
                subBuilder = uri_.toBuilder();
              }
              uri_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(uri_);
                uri_ = subBuilder.buildPartial();
              }

              break;
            }
            case 90: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (tags_ != null) {
                subBuilder = tags_.toBuilder();
              }
              tags_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(tags_);
                tags_ = subBuilder.buildPartial();
              }

              break;
            }
            case 98: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                properties_ = com.google.protobuf.MapField.newMapField(
                    PropertiesDefaultEntryHolder.defaultEntry);
                mutable_bitField0_ |= 0x00000001;
              }
              com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
              properties__ = input.readMessage(
                  PropertiesDefaultEntryHolder.defaultEntry.getParserForType(), extensionRegistry);
              properties_.getMutableMap().put(
                  properties__.getKey(), properties__.getValue());
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricMetaProto_descriptor;
    }

    @SuppressWarnings({"rawtypes"})
    @java.lang.Override
    protected com.google.protobuf.MapField internalGetMapField(
        int number) {
      switch (number) {
        case 12:
          return internalGetProperties();
        default:
          throw new RuntimeException(
              "Invalid map field number: " + number);
      }
    }
    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricMetaProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.MetricMetaProto.class, org.aiflow.client.proto.Message.MetricMetaProto.Builder.class);
    }

    public static final int METRIC_NAME_FIELD_NUMBER = 1;
    private com.google.protobuf.StringValue metricName_;
    /**
     * <code>.google.protobuf.StringValue metric_name = 1;</code>
     * @return Whether the metricName field is set.
     */
    @java.lang.Override
    public boolean hasMetricName() {
      return metricName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue metric_name = 1;</code>
     * @return The metricName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getMetricName() {
      return metricName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricName_;
    }
    /**
     * <code>.google.protobuf.StringValue metric_name = 1;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getMetricNameOrBuilder() {
      return getMetricName();
    }

    public static final int METRIC_TYPE_FIELD_NUMBER = 2;
    private int metricType_;
    /**
     * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
     * @return The enum numeric value on the wire for metricType.
     */
    @java.lang.Override public int getMetricTypeValue() {
      return metricType_;
    }
    /**
     * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
     * @return The metricType.
     */
    @java.lang.Override public org.aiflow.client.proto.Message.MetricTypeProto getMetricType() {
      @SuppressWarnings("deprecation")
      org.aiflow.client.proto.Message.MetricTypeProto result = org.aiflow.client.proto.Message.MetricTypeProto.valueOf(metricType_);
      return result == null ? org.aiflow.client.proto.Message.MetricTypeProto.UNRECOGNIZED : result;
    }

    public static final int METRIC_DESC_FIELD_NUMBER = 3;
    private com.google.protobuf.StringValue metricDesc_;
    /**
     * <code>.google.protobuf.StringValue metric_desc = 3;</code>
     * @return Whether the metricDesc field is set.
     */
    @java.lang.Override
    public boolean hasMetricDesc() {
      return metricDesc_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue metric_desc = 3;</code>
     * @return The metricDesc.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getMetricDesc() {
      return metricDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricDesc_;
    }
    /**
     * <code>.google.protobuf.StringValue metric_desc = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getMetricDescOrBuilder() {
      return getMetricDesc();
    }

    public static final int PROJECT_NAME_FIELD_NUMBER = 4;
    private com.google.protobuf.StringValue projectName_;
    /**
     * <code>.google.protobuf.StringValue project_name = 4;</code>
     * @return Whether the projectName field is set.
     */
    @java.lang.Override
    public boolean hasProjectName() {
      return projectName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue project_name = 4;</code>
     * @return The projectName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getProjectName() {
      return projectName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : projectName_;
    }
    /**
     * <code>.google.protobuf.StringValue project_name = 4;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getProjectNameOrBuilder() {
      return getProjectName();
    }

    public static final int DATASET_NAME_FIELD_NUMBER = 5;
    private com.google.protobuf.StringValue datasetName_;
    /**
     * <code>.google.protobuf.StringValue dataset_name = 5;</code>
     * @return Whether the datasetName field is set.
     */
    @java.lang.Override
    public boolean hasDatasetName() {
      return datasetName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue dataset_name = 5;</code>
     * @return The datasetName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getDatasetName() {
      return datasetName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : datasetName_;
    }
    /**
     * <code>.google.protobuf.StringValue dataset_name = 5;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getDatasetNameOrBuilder() {
      return getDatasetName();
    }

    public static final int MODEL_NAME_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue modelName_;
    /**
     * <code>.google.protobuf.StringValue model_name = 6;</code>
     * @return Whether the modelName field is set.
     */
    @java.lang.Override
    public boolean hasModelName() {
      return modelName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_name = 6;</code>
     * @return The modelName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelName() {
      return modelName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
    }
    /**
     * <code>.google.protobuf.StringValue model_name = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder() {
      return getModelName();
    }

    public static final int JOB_NAME_FIELD_NUMBER = 7;
    private com.google.protobuf.StringValue jobName_;
    /**
     * <code>.google.protobuf.StringValue job_name = 7;</code>
     * @return Whether the jobName field is set.
     */
    @java.lang.Override
    public boolean hasJobName() {
      return jobName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue job_name = 7;</code>
     * @return The jobName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getJobName() {
      return jobName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : jobName_;
    }
    /**
     * <code>.google.protobuf.StringValue job_name = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getJobNameOrBuilder() {
      return getJobName();
    }

    public static final int START_TIME_FIELD_NUMBER = 8;
    private com.google.protobuf.Int64Value startTime_;
    /**
     * <code>.google.protobuf.Int64Value start_time = 8;</code>
     * @return Whether the startTime field is set.
     */
    @java.lang.Override
    public boolean hasStartTime() {
      return startTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value start_time = 8;</code>
     * @return The startTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getStartTime() {
      return startTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value start_time = 8;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder() {
      return getStartTime();
    }

    public static final int END_TIME_FIELD_NUMBER = 9;
    private com.google.protobuf.Int64Value endTime_;
    /**
     * <code>.google.protobuf.Int64Value end_time = 9;</code>
     * @return Whether the endTime field is set.
     */
    @java.lang.Override
    public boolean hasEndTime() {
      return endTime_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value end_time = 9;</code>
     * @return The endTime.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getEndTime() {
      return endTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
    }
    /**
     * <code>.google.protobuf.Int64Value end_time = 9;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder() {
      return getEndTime();
    }

    public static final int URI_FIELD_NUMBER = 10;
    private com.google.protobuf.StringValue uri_;
    /**
     * <code>.google.protobuf.StringValue uri = 10;</code>
     * @return Whether the uri field is set.
     */
    @java.lang.Override
    public boolean hasUri() {
      return uri_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 10;</code>
     * @return The uri.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getUri() {
      return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
    }
    /**
     * <code>.google.protobuf.StringValue uri = 10;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
      return getUri();
    }

    public static final int TAGS_FIELD_NUMBER = 11;
    private com.google.protobuf.StringValue tags_;
    /**
     * <code>.google.protobuf.StringValue tags = 11;</code>
     * @return Whether the tags field is set.
     */
    @java.lang.Override
    public boolean hasTags() {
      return tags_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue tags = 11;</code>
     * @return The tags.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getTags() {
      return tags_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : tags_;
    }
    /**
     * <code>.google.protobuf.StringValue tags = 11;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getTagsOrBuilder() {
      return getTags();
    }

    public static final int PROPERTIES_FIELD_NUMBER = 12;
    private static final class PropertiesDefaultEntryHolder {
      static final com.google.protobuf.MapEntry<
          java.lang.String, java.lang.String> defaultEntry =
              com.google.protobuf.MapEntry
              .<java.lang.String, java.lang.String>newDefaultInstance(
                  org.aiflow.client.proto.Message.internal_static_ai_flow_MetricMetaProto_PropertiesEntry_descriptor, 
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "",
                  com.google.protobuf.WireFormat.FieldType.STRING,
                  "");
    }
    private com.google.protobuf.MapField<
        java.lang.String, java.lang.String> properties_;
    private com.google.protobuf.MapField<java.lang.String, java.lang.String>
    internalGetProperties() {
      if (properties_ == null) {
        return com.google.protobuf.MapField.emptyMapField(
            PropertiesDefaultEntryHolder.defaultEntry);
      }
      return properties_;
    }

    public int getPropertiesCount() {
      return internalGetProperties().getMap().size();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */

    @java.lang.Override
    public boolean containsProperties(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      return internalGetProperties().getMap().containsKey(key);
    }
    /**
     * Use {@link #getPropertiesMap()} instead.
     */
    @java.lang.Override
    @java.lang.Deprecated
    public java.util.Map<java.lang.String, java.lang.String> getProperties() {
      return getPropertiesMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */
    @java.lang.Override

    public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
      return internalGetProperties().getMap();
    }
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrDefault(
        java.lang.String key,
        java.lang.String defaultValue) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      return map.containsKey(key) ? map.get(key) : defaultValue;
    }
    /**
     * <code>map&lt;string, string&gt; properties = 12;</code>
     */
    @java.lang.Override

    public java.lang.String getPropertiesOrThrow(
        java.lang.String key) {
      if (key == null) { throw new java.lang.NullPointerException(); }
      java.util.Map<java.lang.String, java.lang.String> map =
          internalGetProperties().getMap();
      if (!map.containsKey(key)) {
        throw new java.lang.IllegalArgumentException();
      }
      return map.get(key);
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (metricName_ != null) {
        output.writeMessage(1, getMetricName());
      }
      if (metricType_ != org.aiflow.client.proto.Message.MetricTypeProto.DATASET.getNumber()) {
        output.writeEnum(2, metricType_);
      }
      if (metricDesc_ != null) {
        output.writeMessage(3, getMetricDesc());
      }
      if (projectName_ != null) {
        output.writeMessage(4, getProjectName());
      }
      if (datasetName_ != null) {
        output.writeMessage(5, getDatasetName());
      }
      if (modelName_ != null) {
        output.writeMessage(6, getModelName());
      }
      if (jobName_ != null) {
        output.writeMessage(7, getJobName());
      }
      if (startTime_ != null) {
        output.writeMessage(8, getStartTime());
      }
      if (endTime_ != null) {
        output.writeMessage(9, getEndTime());
      }
      if (uri_ != null) {
        output.writeMessage(10, getUri());
      }
      if (tags_ != null) {
        output.writeMessage(11, getTags());
      }
      com.google.protobuf.GeneratedMessageV3
        .serializeStringMapTo(
          output,
          internalGetProperties(),
          PropertiesDefaultEntryHolder.defaultEntry,
          12);
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (metricName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, getMetricName());
      }
      if (metricType_ != org.aiflow.client.proto.Message.MetricTypeProto.DATASET.getNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(2, metricType_);
      }
      if (metricDesc_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getMetricDesc());
      }
      if (projectName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getProjectName());
      }
      if (datasetName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(5, getDatasetName());
      }
      if (modelName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getModelName());
      }
      if (jobName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getJobName());
      }
      if (startTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(8, getStartTime());
      }
      if (endTime_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(9, getEndTime());
      }
      if (uri_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(10, getUri());
      }
      if (tags_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(11, getTags());
      }
      for (java.util.Map.Entry<java.lang.String, java.lang.String> entry
           : internalGetProperties().getMap().entrySet()) {
        com.google.protobuf.MapEntry<java.lang.String, java.lang.String>
        properties__ = PropertiesDefaultEntryHolder.defaultEntry.newBuilderForType()
            .setKey(entry.getKey())
            .setValue(entry.getValue())
            .build();
        size += com.google.protobuf.CodedOutputStream
            .computeMessageSize(12, properties__);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.MetricMetaProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.MetricMetaProto other = (org.aiflow.client.proto.Message.MetricMetaProto) obj;

      if (hasMetricName() != other.hasMetricName()) return false;
      if (hasMetricName()) {
        if (!getMetricName()
            .equals(other.getMetricName())) return false;
      }
      if (metricType_ != other.metricType_) return false;
      if (hasMetricDesc() != other.hasMetricDesc()) return false;
      if (hasMetricDesc()) {
        if (!getMetricDesc()
            .equals(other.getMetricDesc())) return false;
      }
      if (hasProjectName() != other.hasProjectName()) return false;
      if (hasProjectName()) {
        if (!getProjectName()
            .equals(other.getProjectName())) return false;
      }
      if (hasDatasetName() != other.hasDatasetName()) return false;
      if (hasDatasetName()) {
        if (!getDatasetName()
            .equals(other.getDatasetName())) return false;
      }
      if (hasModelName() != other.hasModelName()) return false;
      if (hasModelName()) {
        if (!getModelName()
            .equals(other.getModelName())) return false;
      }
      if (hasJobName() != other.hasJobName()) return false;
      if (hasJobName()) {
        if (!getJobName()
            .equals(other.getJobName())) return false;
      }
      if (hasStartTime() != other.hasStartTime()) return false;
      if (hasStartTime()) {
        if (!getStartTime()
            .equals(other.getStartTime())) return false;
      }
      if (hasEndTime() != other.hasEndTime()) return false;
      if (hasEndTime()) {
        if (!getEndTime()
            .equals(other.getEndTime())) return false;
      }
      if (hasUri() != other.hasUri()) return false;
      if (hasUri()) {
        if (!getUri()
            .equals(other.getUri())) return false;
      }
      if (hasTags() != other.hasTags()) return false;
      if (hasTags()) {
        if (!getTags()
            .equals(other.getTags())) return false;
      }
      if (!internalGetProperties().equals(
          other.internalGetProperties())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (hasMetricName()) {
        hash = (37 * hash) + METRIC_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getMetricName().hashCode();
      }
      hash = (37 * hash) + METRIC_TYPE_FIELD_NUMBER;
      hash = (53 * hash) + metricType_;
      if (hasMetricDesc()) {
        hash = (37 * hash) + METRIC_DESC_FIELD_NUMBER;
        hash = (53 * hash) + getMetricDesc().hashCode();
      }
      if (hasProjectName()) {
        hash = (37 * hash) + PROJECT_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getProjectName().hashCode();
      }
      if (hasDatasetName()) {
        hash = (37 * hash) + DATASET_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getDatasetName().hashCode();
      }
      if (hasModelName()) {
        hash = (37 * hash) + MODEL_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getModelName().hashCode();
      }
      if (hasJobName()) {
        hash = (37 * hash) + JOB_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getJobName().hashCode();
      }
      if (hasStartTime()) {
        hash = (37 * hash) + START_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getStartTime().hashCode();
      }
      if (hasEndTime()) {
        hash = (37 * hash) + END_TIME_FIELD_NUMBER;
        hash = (53 * hash) + getEndTime().hashCode();
      }
      if (hasUri()) {
        hash = (37 * hash) + URI_FIELD_NUMBER;
        hash = (53 * hash) + getUri().hashCode();
      }
      if (hasTags()) {
        hash = (37 * hash) + TAGS_FIELD_NUMBER;
        hash = (53 * hash) + getTags().hashCode();
      }
      if (!internalGetProperties().getMap().isEmpty()) {
        hash = (37 * hash) + PROPERTIES_FIELD_NUMBER;
        hash = (53 * hash) + internalGetProperties().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.MetricMetaProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.MetricMetaProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.MetricMetaProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.MetricMetaProto)
        org.aiflow.client.proto.Message.MetricMetaProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricMetaProto_descriptor;
      }

      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMapField(
          int number) {
        switch (number) {
          case 12:
            return internalGetProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @SuppressWarnings({"rawtypes"})
      protected com.google.protobuf.MapField internalGetMutableMapField(
          int number) {
        switch (number) {
          case 12:
            return internalGetMutableProperties();
          default:
            throw new RuntimeException(
                "Invalid map field number: " + number);
        }
      }
      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricMetaProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.MetricMetaProto.class, org.aiflow.client.proto.Message.MetricMetaProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.MetricMetaProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (metricNameBuilder_ == null) {
          metricName_ = null;
        } else {
          metricName_ = null;
          metricNameBuilder_ = null;
        }
        metricType_ = 0;

        if (metricDescBuilder_ == null) {
          metricDesc_ = null;
        } else {
          metricDesc_ = null;
          metricDescBuilder_ = null;
        }
        if (projectNameBuilder_ == null) {
          projectName_ = null;
        } else {
          projectName_ = null;
          projectNameBuilder_ = null;
        }
        if (datasetNameBuilder_ == null) {
          datasetName_ = null;
        } else {
          datasetName_ = null;
          datasetNameBuilder_ = null;
        }
        if (modelNameBuilder_ == null) {
          modelName_ = null;
        } else {
          modelName_ = null;
          modelNameBuilder_ = null;
        }
        if (jobNameBuilder_ == null) {
          jobName_ = null;
        } else {
          jobName_ = null;
          jobNameBuilder_ = null;
        }
        if (startTimeBuilder_ == null) {
          startTime_ = null;
        } else {
          startTime_ = null;
          startTimeBuilder_ = null;
        }
        if (endTimeBuilder_ == null) {
          endTime_ = null;
        } else {
          endTime_ = null;
          endTimeBuilder_ = null;
        }
        if (uriBuilder_ == null) {
          uri_ = null;
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }
        if (tagsBuilder_ == null) {
          tags_ = null;
        } else {
          tags_ = null;
          tagsBuilder_ = null;
        }
        internalGetMutableProperties().clear();
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricMetaProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricMetaProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.MetricMetaProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricMetaProto build() {
        org.aiflow.client.proto.Message.MetricMetaProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricMetaProto buildPartial() {
        org.aiflow.client.proto.Message.MetricMetaProto result = new org.aiflow.client.proto.Message.MetricMetaProto(this);
        int from_bitField0_ = bitField0_;
        if (metricNameBuilder_ == null) {
          result.metricName_ = metricName_;
        } else {
          result.metricName_ = metricNameBuilder_.build();
        }
        result.metricType_ = metricType_;
        if (metricDescBuilder_ == null) {
          result.metricDesc_ = metricDesc_;
        } else {
          result.metricDesc_ = metricDescBuilder_.build();
        }
        if (projectNameBuilder_ == null) {
          result.projectName_ = projectName_;
        } else {
          result.projectName_ = projectNameBuilder_.build();
        }
        if (datasetNameBuilder_ == null) {
          result.datasetName_ = datasetName_;
        } else {
          result.datasetName_ = datasetNameBuilder_.build();
        }
        if (modelNameBuilder_ == null) {
          result.modelName_ = modelName_;
        } else {
          result.modelName_ = modelNameBuilder_.build();
        }
        if (jobNameBuilder_ == null) {
          result.jobName_ = jobName_;
        } else {
          result.jobName_ = jobNameBuilder_.build();
        }
        if (startTimeBuilder_ == null) {
          result.startTime_ = startTime_;
        } else {
          result.startTime_ = startTimeBuilder_.build();
        }
        if (endTimeBuilder_ == null) {
          result.endTime_ = endTime_;
        } else {
          result.endTime_ = endTimeBuilder_.build();
        }
        if (uriBuilder_ == null) {
          result.uri_ = uri_;
        } else {
          result.uri_ = uriBuilder_.build();
        }
        if (tagsBuilder_ == null) {
          result.tags_ = tags_;
        } else {
          result.tags_ = tagsBuilder_.build();
        }
        result.properties_ = internalGetProperties();
        result.properties_.makeImmutable();
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.MetricMetaProto) {
          return mergeFrom((org.aiflow.client.proto.Message.MetricMetaProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.MetricMetaProto other) {
        if (other == org.aiflow.client.proto.Message.MetricMetaProto.getDefaultInstance()) return this;
        if (other.hasMetricName()) {
          mergeMetricName(other.getMetricName());
        }
        if (other.metricType_ != 0) {
          setMetricTypeValue(other.getMetricTypeValue());
        }
        if (other.hasMetricDesc()) {
          mergeMetricDesc(other.getMetricDesc());
        }
        if (other.hasProjectName()) {
          mergeProjectName(other.getProjectName());
        }
        if (other.hasDatasetName()) {
          mergeDatasetName(other.getDatasetName());
        }
        if (other.hasModelName()) {
          mergeModelName(other.getModelName());
        }
        if (other.hasJobName()) {
          mergeJobName(other.getJobName());
        }
        if (other.hasStartTime()) {
          mergeStartTime(other.getStartTime());
        }
        if (other.hasEndTime()) {
          mergeEndTime(other.getEndTime());
        }
        if (other.hasUri()) {
          mergeUri(other.getUri());
        }
        if (other.hasTags()) {
          mergeTags(other.getTags());
        }
        internalGetMutableProperties().mergeFrom(
            other.internalGetProperties());
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.MetricMetaProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.MetricMetaProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private com.google.protobuf.StringValue metricName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> metricNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       * @return Whether the metricName field is set.
       */
      public boolean hasMetricName() {
        return metricNameBuilder_ != null || metricName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       * @return The metricName.
       */
      public com.google.protobuf.StringValue getMetricName() {
        if (metricNameBuilder_ == null) {
          return metricName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricName_;
        } else {
          return metricNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      public Builder setMetricName(com.google.protobuf.StringValue value) {
        if (metricNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          metricName_ = value;
          onChanged();
        } else {
          metricNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      public Builder setMetricName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (metricNameBuilder_ == null) {
          metricName_ = builderForValue.build();
          onChanged();
        } else {
          metricNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      public Builder mergeMetricName(com.google.protobuf.StringValue value) {
        if (metricNameBuilder_ == null) {
          if (metricName_ != null) {
            metricName_ =
              com.google.protobuf.StringValue.newBuilder(metricName_).mergeFrom(value).buildPartial();
          } else {
            metricName_ = value;
          }
          onChanged();
        } else {
          metricNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      public Builder clearMetricName() {
        if (metricNameBuilder_ == null) {
          metricName_ = null;
          onChanged();
        } else {
          metricName_ = null;
          metricNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      public com.google.protobuf.StringValue.Builder getMetricNameBuilder() {
        
        onChanged();
        return getMetricNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getMetricNameOrBuilder() {
        if (metricNameBuilder_ != null) {
          return metricNameBuilder_.getMessageOrBuilder();
        } else {
          return metricName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : metricName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 1;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getMetricNameFieldBuilder() {
        if (metricNameBuilder_ == null) {
          metricNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getMetricName(),
                  getParentForChildren(),
                  isClean());
          metricName_ = null;
        }
        return metricNameBuilder_;
      }

      private int metricType_ = 0;
      /**
       * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
       * @return The enum numeric value on the wire for metricType.
       */
      @java.lang.Override public int getMetricTypeValue() {
        return metricType_;
      }
      /**
       * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
       * @param value The enum numeric value on the wire for metricType to set.
       * @return This builder for chaining.
       */
      public Builder setMetricTypeValue(int value) {
        
        metricType_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
       * @return The metricType.
       */
      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricTypeProto getMetricType() {
        @SuppressWarnings("deprecation")
        org.aiflow.client.proto.Message.MetricTypeProto result = org.aiflow.client.proto.Message.MetricTypeProto.valueOf(metricType_);
        return result == null ? org.aiflow.client.proto.Message.MetricTypeProto.UNRECOGNIZED : result;
      }
      /**
       * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
       * @param value The metricType to set.
       * @return This builder for chaining.
       */
      public Builder setMetricType(org.aiflow.client.proto.Message.MetricTypeProto value) {
        if (value == null) {
          throw new NullPointerException();
        }
        
        metricType_ = value.getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>.ai_flow.MetricTypeProto metric_type = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearMetricType() {
        
        metricType_ = 0;
        onChanged();
        return this;
      }

      private com.google.protobuf.StringValue metricDesc_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> metricDescBuilder_;
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       * @return Whether the metricDesc field is set.
       */
      public boolean hasMetricDesc() {
        return metricDescBuilder_ != null || metricDesc_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       * @return The metricDesc.
       */
      public com.google.protobuf.StringValue getMetricDesc() {
        if (metricDescBuilder_ == null) {
          return metricDesc_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricDesc_;
        } else {
          return metricDescBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      public Builder setMetricDesc(com.google.protobuf.StringValue value) {
        if (metricDescBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          metricDesc_ = value;
          onChanged();
        } else {
          metricDescBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      public Builder setMetricDesc(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (metricDescBuilder_ == null) {
          metricDesc_ = builderForValue.build();
          onChanged();
        } else {
          metricDescBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      public Builder mergeMetricDesc(com.google.protobuf.StringValue value) {
        if (metricDescBuilder_ == null) {
          if (metricDesc_ != null) {
            metricDesc_ =
              com.google.protobuf.StringValue.newBuilder(metricDesc_).mergeFrom(value).buildPartial();
          } else {
            metricDesc_ = value;
          }
          onChanged();
        } else {
          metricDescBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      public Builder clearMetricDesc() {
        if (metricDescBuilder_ == null) {
          metricDesc_ = null;
          onChanged();
        } else {
          metricDesc_ = null;
          metricDescBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      public com.google.protobuf.StringValue.Builder getMetricDescBuilder() {
        
        onChanged();
        return getMetricDescFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getMetricDescOrBuilder() {
        if (metricDescBuilder_ != null) {
          return metricDescBuilder_.getMessageOrBuilder();
        } else {
          return metricDesc_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : metricDesc_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_desc = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getMetricDescFieldBuilder() {
        if (metricDescBuilder_ == null) {
          metricDescBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getMetricDesc(),
                  getParentForChildren(),
                  isClean());
          metricDesc_ = null;
        }
        return metricDescBuilder_;
      }

      private com.google.protobuf.StringValue projectName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> projectNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       * @return Whether the projectName field is set.
       */
      public boolean hasProjectName() {
        return projectNameBuilder_ != null || projectName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       * @return The projectName.
       */
      public com.google.protobuf.StringValue getProjectName() {
        if (projectNameBuilder_ == null) {
          return projectName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : projectName_;
        } else {
          return projectNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      public Builder setProjectName(com.google.protobuf.StringValue value) {
        if (projectNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          projectName_ = value;
          onChanged();
        } else {
          projectNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      public Builder setProjectName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (projectNameBuilder_ == null) {
          projectName_ = builderForValue.build();
          onChanged();
        } else {
          projectNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      public Builder mergeProjectName(com.google.protobuf.StringValue value) {
        if (projectNameBuilder_ == null) {
          if (projectName_ != null) {
            projectName_ =
              com.google.protobuf.StringValue.newBuilder(projectName_).mergeFrom(value).buildPartial();
          } else {
            projectName_ = value;
          }
          onChanged();
        } else {
          projectNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      public Builder clearProjectName() {
        if (projectNameBuilder_ == null) {
          projectName_ = null;
          onChanged();
        } else {
          projectName_ = null;
          projectNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      public com.google.protobuf.StringValue.Builder getProjectNameBuilder() {
        
        onChanged();
        return getProjectNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getProjectNameOrBuilder() {
        if (projectNameBuilder_ != null) {
          return projectNameBuilder_.getMessageOrBuilder();
        } else {
          return projectName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : projectName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue project_name = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getProjectNameFieldBuilder() {
        if (projectNameBuilder_ == null) {
          projectNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getProjectName(),
                  getParentForChildren(),
                  isClean());
          projectName_ = null;
        }
        return projectNameBuilder_;
      }

      private com.google.protobuf.StringValue datasetName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> datasetNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       * @return Whether the datasetName field is set.
       */
      public boolean hasDatasetName() {
        return datasetNameBuilder_ != null || datasetName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       * @return The datasetName.
       */
      public com.google.protobuf.StringValue getDatasetName() {
        if (datasetNameBuilder_ == null) {
          return datasetName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : datasetName_;
        } else {
          return datasetNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      public Builder setDatasetName(com.google.protobuf.StringValue value) {
        if (datasetNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          datasetName_ = value;
          onChanged();
        } else {
          datasetNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      public Builder setDatasetName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (datasetNameBuilder_ == null) {
          datasetName_ = builderForValue.build();
          onChanged();
        } else {
          datasetNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      public Builder mergeDatasetName(com.google.protobuf.StringValue value) {
        if (datasetNameBuilder_ == null) {
          if (datasetName_ != null) {
            datasetName_ =
              com.google.protobuf.StringValue.newBuilder(datasetName_).mergeFrom(value).buildPartial();
          } else {
            datasetName_ = value;
          }
          onChanged();
        } else {
          datasetNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      public Builder clearDatasetName() {
        if (datasetNameBuilder_ == null) {
          datasetName_ = null;
          onChanged();
        } else {
          datasetName_ = null;
          datasetNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      public com.google.protobuf.StringValue.Builder getDatasetNameBuilder() {
        
        onChanged();
        return getDatasetNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getDatasetNameOrBuilder() {
        if (datasetNameBuilder_ != null) {
          return datasetNameBuilder_.getMessageOrBuilder();
        } else {
          return datasetName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : datasetName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue dataset_name = 5;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getDatasetNameFieldBuilder() {
        if (datasetNameBuilder_ == null) {
          datasetNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getDatasetName(),
                  getParentForChildren(),
                  isClean());
          datasetName_ = null;
        }
        return datasetNameBuilder_;
      }

      private com.google.protobuf.StringValue modelName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       * @return Whether the modelName field is set.
       */
      public boolean hasModelName() {
        return modelNameBuilder_ != null || modelName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       * @return The modelName.
       */
      public com.google.protobuf.StringValue getModelName() {
        if (modelNameBuilder_ == null) {
          return modelName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
        } else {
          return modelNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      public Builder setModelName(com.google.protobuf.StringValue value) {
        if (modelNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelName_ = value;
          onChanged();
        } else {
          modelNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      public Builder setModelName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelNameBuilder_ == null) {
          modelName_ = builderForValue.build();
          onChanged();
        } else {
          modelNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      public Builder mergeModelName(com.google.protobuf.StringValue value) {
        if (modelNameBuilder_ == null) {
          if (modelName_ != null) {
            modelName_ =
              com.google.protobuf.StringValue.newBuilder(modelName_).mergeFrom(value).buildPartial();
          } else {
            modelName_ = value;
          }
          onChanged();
        } else {
          modelNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      public Builder clearModelName() {
        if (modelNameBuilder_ == null) {
          modelName_ = null;
          onChanged();
        } else {
          modelName_ = null;
          modelNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelNameBuilder() {
        
        onChanged();
        return getModelNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelNameOrBuilder() {
        if (modelNameBuilder_ != null) {
          return modelNameBuilder_.getMessageOrBuilder();
        } else {
          return modelName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_name = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelNameFieldBuilder() {
        if (modelNameBuilder_ == null) {
          modelNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelName(),
                  getParentForChildren(),
                  isClean());
          modelName_ = null;
        }
        return modelNameBuilder_;
      }

      private com.google.protobuf.StringValue jobName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> jobNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       * @return Whether the jobName field is set.
       */
      public boolean hasJobName() {
        return jobNameBuilder_ != null || jobName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       * @return The jobName.
       */
      public com.google.protobuf.StringValue getJobName() {
        if (jobNameBuilder_ == null) {
          return jobName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : jobName_;
        } else {
          return jobNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      public Builder setJobName(com.google.protobuf.StringValue value) {
        if (jobNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          jobName_ = value;
          onChanged();
        } else {
          jobNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      public Builder setJobName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (jobNameBuilder_ == null) {
          jobName_ = builderForValue.build();
          onChanged();
        } else {
          jobNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      public Builder mergeJobName(com.google.protobuf.StringValue value) {
        if (jobNameBuilder_ == null) {
          if (jobName_ != null) {
            jobName_ =
              com.google.protobuf.StringValue.newBuilder(jobName_).mergeFrom(value).buildPartial();
          } else {
            jobName_ = value;
          }
          onChanged();
        } else {
          jobNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      public Builder clearJobName() {
        if (jobNameBuilder_ == null) {
          jobName_ = null;
          onChanged();
        } else {
          jobName_ = null;
          jobNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      public com.google.protobuf.StringValue.Builder getJobNameBuilder() {
        
        onChanged();
        return getJobNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getJobNameOrBuilder() {
        if (jobNameBuilder_ != null) {
          return jobNameBuilder_.getMessageOrBuilder();
        } else {
          return jobName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : jobName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue job_name = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getJobNameFieldBuilder() {
        if (jobNameBuilder_ == null) {
          jobNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getJobName(),
                  getParentForChildren(),
                  isClean());
          jobName_ = null;
        }
        return jobNameBuilder_;
      }

      private com.google.protobuf.Int64Value startTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> startTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       * @return Whether the startTime field is set.
       */
      public boolean hasStartTime() {
        return startTimeBuilder_ != null || startTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       * @return The startTime.
       */
      public com.google.protobuf.Int64Value getStartTime() {
        if (startTimeBuilder_ == null) {
          return startTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
        } else {
          return startTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      public Builder setStartTime(com.google.protobuf.Int64Value value) {
        if (startTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          startTime_ = value;
          onChanged();
        } else {
          startTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      public Builder setStartTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (startTimeBuilder_ == null) {
          startTime_ = builderForValue.build();
          onChanged();
        } else {
          startTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      public Builder mergeStartTime(com.google.protobuf.Int64Value value) {
        if (startTimeBuilder_ == null) {
          if (startTime_ != null) {
            startTime_ =
              com.google.protobuf.Int64Value.newBuilder(startTime_).mergeFrom(value).buildPartial();
          } else {
            startTime_ = value;
          }
          onChanged();
        } else {
          startTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      public Builder clearStartTime() {
        if (startTimeBuilder_ == null) {
          startTime_ = null;
          onChanged();
        } else {
          startTime_ = null;
          startTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      public com.google.protobuf.Int64Value.Builder getStartTimeBuilder() {
        
        onChanged();
        return getStartTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getStartTimeOrBuilder() {
        if (startTimeBuilder_ != null) {
          return startTimeBuilder_.getMessageOrBuilder();
        } else {
          return startTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : startTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value start_time = 8;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getStartTimeFieldBuilder() {
        if (startTimeBuilder_ == null) {
          startTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getStartTime(),
                  getParentForChildren(),
                  isClean());
          startTime_ = null;
        }
        return startTimeBuilder_;
      }

      private com.google.protobuf.Int64Value endTime_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> endTimeBuilder_;
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       * @return Whether the endTime field is set.
       */
      public boolean hasEndTime() {
        return endTimeBuilder_ != null || endTime_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       * @return The endTime.
       */
      public com.google.protobuf.Int64Value getEndTime() {
        if (endTimeBuilder_ == null) {
          return endTime_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
        } else {
          return endTimeBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      public Builder setEndTime(com.google.protobuf.Int64Value value) {
        if (endTimeBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          endTime_ = value;
          onChanged();
        } else {
          endTimeBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      public Builder setEndTime(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (endTimeBuilder_ == null) {
          endTime_ = builderForValue.build();
          onChanged();
        } else {
          endTimeBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      public Builder mergeEndTime(com.google.protobuf.Int64Value value) {
        if (endTimeBuilder_ == null) {
          if (endTime_ != null) {
            endTime_ =
              com.google.protobuf.Int64Value.newBuilder(endTime_).mergeFrom(value).buildPartial();
          } else {
            endTime_ = value;
          }
          onChanged();
        } else {
          endTimeBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      public Builder clearEndTime() {
        if (endTimeBuilder_ == null) {
          endTime_ = null;
          onChanged();
        } else {
          endTime_ = null;
          endTimeBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      public com.google.protobuf.Int64Value.Builder getEndTimeBuilder() {
        
        onChanged();
        return getEndTimeFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getEndTimeOrBuilder() {
        if (endTimeBuilder_ != null) {
          return endTimeBuilder_.getMessageOrBuilder();
        } else {
          return endTime_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : endTime_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value end_time = 9;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getEndTimeFieldBuilder() {
        if (endTimeBuilder_ == null) {
          endTimeBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getEndTime(),
                  getParentForChildren(),
                  isClean());
          endTime_ = null;
        }
        return endTimeBuilder_;
      }

      private com.google.protobuf.StringValue uri_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> uriBuilder_;
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       * @return Whether the uri field is set.
       */
      public boolean hasUri() {
        return uriBuilder_ != null || uri_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       * @return The uri.
       */
      public com.google.protobuf.StringValue getUri() {
        if (uriBuilder_ == null) {
          return uri_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        } else {
          return uriBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      public Builder setUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          uri_ = value;
          onChanged();
        } else {
          uriBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      public Builder setUri(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (uriBuilder_ == null) {
          uri_ = builderForValue.build();
          onChanged();
        } else {
          uriBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      public Builder mergeUri(com.google.protobuf.StringValue value) {
        if (uriBuilder_ == null) {
          if (uri_ != null) {
            uri_ =
              com.google.protobuf.StringValue.newBuilder(uri_).mergeFrom(value).buildPartial();
          } else {
            uri_ = value;
          }
          onChanged();
        } else {
          uriBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      public Builder clearUri() {
        if (uriBuilder_ == null) {
          uri_ = null;
          onChanged();
        } else {
          uri_ = null;
          uriBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      public com.google.protobuf.StringValue.Builder getUriBuilder() {
        
        onChanged();
        return getUriFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getUriOrBuilder() {
        if (uriBuilder_ != null) {
          return uriBuilder_.getMessageOrBuilder();
        } else {
          return uri_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : uri_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue uri = 10;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getUriFieldBuilder() {
        if (uriBuilder_ == null) {
          uriBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getUri(),
                  getParentForChildren(),
                  isClean());
          uri_ = null;
        }
        return uriBuilder_;
      }

      private com.google.protobuf.StringValue tags_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> tagsBuilder_;
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       * @return Whether the tags field is set.
       */
      public boolean hasTags() {
        return tagsBuilder_ != null || tags_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       * @return The tags.
       */
      public com.google.protobuf.StringValue getTags() {
        if (tagsBuilder_ == null) {
          return tags_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : tags_;
        } else {
          return tagsBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      public Builder setTags(com.google.protobuf.StringValue value) {
        if (tagsBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          tags_ = value;
          onChanged();
        } else {
          tagsBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      public Builder setTags(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (tagsBuilder_ == null) {
          tags_ = builderForValue.build();
          onChanged();
        } else {
          tagsBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      public Builder mergeTags(com.google.protobuf.StringValue value) {
        if (tagsBuilder_ == null) {
          if (tags_ != null) {
            tags_ =
              com.google.protobuf.StringValue.newBuilder(tags_).mergeFrom(value).buildPartial();
          } else {
            tags_ = value;
          }
          onChanged();
        } else {
          tagsBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      public Builder clearTags() {
        if (tagsBuilder_ == null) {
          tags_ = null;
          onChanged();
        } else {
          tags_ = null;
          tagsBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      public com.google.protobuf.StringValue.Builder getTagsBuilder() {
        
        onChanged();
        return getTagsFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getTagsOrBuilder() {
        if (tagsBuilder_ != null) {
          return tagsBuilder_.getMessageOrBuilder();
        } else {
          return tags_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : tags_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue tags = 11;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getTagsFieldBuilder() {
        if (tagsBuilder_ == null) {
          tagsBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getTags(),
                  getParentForChildren(),
                  isClean());
          tags_ = null;
        }
        return tagsBuilder_;
      }

      private com.google.protobuf.MapField<
          java.lang.String, java.lang.String> properties_;
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetProperties() {
        if (properties_ == null) {
          return com.google.protobuf.MapField.emptyMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        return properties_;
      }
      private com.google.protobuf.MapField<java.lang.String, java.lang.String>
      internalGetMutableProperties() {
        onChanged();;
        if (properties_ == null) {
          properties_ = com.google.protobuf.MapField.newMapField(
              PropertiesDefaultEntryHolder.defaultEntry);
        }
        if (!properties_.isMutable()) {
          properties_ = properties_.copy();
        }
        return properties_;
      }

      public int getPropertiesCount() {
        return internalGetProperties().getMap().size();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */

      @java.lang.Override
      public boolean containsProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        return internalGetProperties().getMap().containsKey(key);
      }
      /**
       * Use {@link #getPropertiesMap()} instead.
       */
      @java.lang.Override
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String> getProperties() {
        return getPropertiesMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */
      @java.lang.Override

      public java.util.Map<java.lang.String, java.lang.String> getPropertiesMap() {
        return internalGetProperties().getMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrDefault(
          java.lang.String key,
          java.lang.String defaultValue) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        return map.containsKey(key) ? map.get(key) : defaultValue;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */
      @java.lang.Override

      public java.lang.String getPropertiesOrThrow(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        java.util.Map<java.lang.String, java.lang.String> map =
            internalGetProperties().getMap();
        if (!map.containsKey(key)) {
          throw new java.lang.IllegalArgumentException();
        }
        return map.get(key);
      }

      public Builder clearProperties() {
        internalGetMutableProperties().getMutableMap()
            .clear();
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */

      public Builder removeProperties(
          java.lang.String key) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .remove(key);
        return this;
      }
      /**
       * Use alternate mutation accessors instead.
       */
      @java.lang.Deprecated
      public java.util.Map<java.lang.String, java.lang.String>
      getMutableProperties() {
        return internalGetMutableProperties().getMutableMap();
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */
      public Builder putProperties(
          java.lang.String key,
          java.lang.String value) {
        if (key == null) { throw new java.lang.NullPointerException(); }
        if (value == null) { throw new java.lang.NullPointerException(); }
        internalGetMutableProperties().getMutableMap()
            .put(key, value);
        return this;
      }
      /**
       * <code>map&lt;string, string&gt; properties = 12;</code>
       */

      public Builder putAllProperties(
          java.util.Map<java.lang.String, java.lang.String> values) {
        internalGetMutableProperties().getMutableMap()
            .putAll(values);
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.MetricMetaProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.MetricMetaProto)
    private static final org.aiflow.client.proto.Message.MetricMetaProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.MetricMetaProto();
    }

    public static org.aiflow.client.proto.Message.MetricMetaProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<MetricMetaProto>
        PARSER = new com.google.protobuf.AbstractParser<MetricMetaProto>() {
      @java.lang.Override
      public MetricMetaProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new MetricMetaProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<MetricMetaProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<MetricMetaProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.MetricMetaProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface MetricSummaryProtoOrBuilder extends
      // @@protoc_insertion_point(interface_extends:ai_flow.MetricSummaryProto)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    long getUuid();

    /**
     * <code>.google.protobuf.StringValue metric_name = 2;</code>
     * @return Whether the metricName field is set.
     */
    boolean hasMetricName();
    /**
     * <code>.google.protobuf.StringValue metric_name = 2;</code>
     * @return The metricName.
     */
    com.google.protobuf.StringValue getMetricName();
    /**
     * <code>.google.protobuf.StringValue metric_name = 2;</code>
     */
    com.google.protobuf.StringValueOrBuilder getMetricNameOrBuilder();

    /**
     * <code>.google.protobuf.StringValue metric_key = 3;</code>
     * @return Whether the metricKey field is set.
     */
    boolean hasMetricKey();
    /**
     * <code>.google.protobuf.StringValue metric_key = 3;</code>
     * @return The metricKey.
     */
    com.google.protobuf.StringValue getMetricKey();
    /**
     * <code>.google.protobuf.StringValue metric_key = 3;</code>
     */
    com.google.protobuf.StringValueOrBuilder getMetricKeyOrBuilder();

    /**
     * <code>.google.protobuf.StringValue metric_value = 4;</code>
     * @return Whether the metricValue field is set.
     */
    boolean hasMetricValue();
    /**
     * <code>.google.protobuf.StringValue metric_value = 4;</code>
     * @return The metricValue.
     */
    com.google.protobuf.StringValue getMetricValue();
    /**
     * <code>.google.protobuf.StringValue metric_value = 4;</code>
     */
    com.google.protobuf.StringValueOrBuilder getMetricValueOrBuilder();

    /**
     * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
     * @return Whether the metricTimestamp field is set.
     */
    boolean hasMetricTimestamp();
    /**
     * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
     * @return The metricTimestamp.
     */
    com.google.protobuf.Int64Value getMetricTimestamp();
    /**
     * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
     */
    com.google.protobuf.Int64ValueOrBuilder getMetricTimestampOrBuilder();

    /**
     * <code>.google.protobuf.StringValue model_version = 6;</code>
     * @return Whether the modelVersion field is set.
     */
    boolean hasModelVersion();
    /**
     * <code>.google.protobuf.StringValue model_version = 6;</code>
     * @return The modelVersion.
     */
    com.google.protobuf.StringValue getModelVersion();
    /**
     * <code>.google.protobuf.StringValue model_version = 6;</code>
     */
    com.google.protobuf.StringValueOrBuilder getModelVersionOrBuilder();

    /**
     * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
     * @return Whether the jobExecutionId field is set.
     */
    boolean hasJobExecutionId();
    /**
     * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
     * @return The jobExecutionId.
     */
    com.google.protobuf.StringValue getJobExecutionId();
    /**
     * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
     */
    com.google.protobuf.StringValueOrBuilder getJobExecutionIdOrBuilder();
  }
  /**
   * Protobuf type {@code ai_flow.MetricSummaryProto}
   */
  public static final class MetricSummaryProto extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:ai_flow.MetricSummaryProto)
      MetricSummaryProtoOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use MetricSummaryProto.newBuilder() to construct.
    private MetricSummaryProto(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private MetricSummaryProto() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new MetricSummaryProto();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private MetricSummaryProto(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              uuid_ = input.readInt64();
              break;
            }
            case 18: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (metricName_ != null) {
                subBuilder = metricName_.toBuilder();
              }
              metricName_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(metricName_);
                metricName_ = subBuilder.buildPartial();
              }

              break;
            }
            case 26: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (metricKey_ != null) {
                subBuilder = metricKey_.toBuilder();
              }
              metricKey_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(metricKey_);
                metricKey_ = subBuilder.buildPartial();
              }

              break;
            }
            case 34: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (metricValue_ != null) {
                subBuilder = metricValue_.toBuilder();
              }
              metricValue_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(metricValue_);
                metricValue_ = subBuilder.buildPartial();
              }

              break;
            }
            case 42: {
              com.google.protobuf.Int64Value.Builder subBuilder = null;
              if (metricTimestamp_ != null) {
                subBuilder = metricTimestamp_.toBuilder();
              }
              metricTimestamp_ = input.readMessage(com.google.protobuf.Int64Value.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(metricTimestamp_);
                metricTimestamp_ = subBuilder.buildPartial();
              }

              break;
            }
            case 50: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (modelVersion_ != null) {
                subBuilder = modelVersion_.toBuilder();
              }
              modelVersion_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(modelVersion_);
                modelVersion_ = subBuilder.buildPartial();
              }

              break;
            }
            case 58: {
              com.google.protobuf.StringValue.Builder subBuilder = null;
              if (jobExecutionId_ != null) {
                subBuilder = jobExecutionId_.toBuilder();
              }
              jobExecutionId_ = input.readMessage(com.google.protobuf.StringValue.parser(), extensionRegistry);
              if (subBuilder != null) {
                subBuilder.mergeFrom(jobExecutionId_);
                jobExecutionId_ = subBuilder.buildPartial();
              }

              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricSummaryProto_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricSummaryProto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              org.aiflow.client.proto.Message.MetricSummaryProto.class, org.aiflow.client.proto.Message.MetricSummaryProto.Builder.class);
    }

    public static final int UUID_FIELD_NUMBER = 1;
    private long uuid_;
    /**
     * <code>int64 uuid = 1;</code>
     * @return The uuid.
     */
    @java.lang.Override
    public long getUuid() {
      return uuid_;
    }

    public static final int METRIC_NAME_FIELD_NUMBER = 2;
    private com.google.protobuf.StringValue metricName_;
    /**
     * <code>.google.protobuf.StringValue metric_name = 2;</code>
     * @return Whether the metricName field is set.
     */
    @java.lang.Override
    public boolean hasMetricName() {
      return metricName_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue metric_name = 2;</code>
     * @return The metricName.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getMetricName() {
      return metricName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricName_;
    }
    /**
     * <code>.google.protobuf.StringValue metric_name = 2;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getMetricNameOrBuilder() {
      return getMetricName();
    }

    public static final int METRIC_KEY_FIELD_NUMBER = 3;
    private com.google.protobuf.StringValue metricKey_;
    /**
     * <code>.google.protobuf.StringValue metric_key = 3;</code>
     * @return Whether the metricKey field is set.
     */
    @java.lang.Override
    public boolean hasMetricKey() {
      return metricKey_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue metric_key = 3;</code>
     * @return The metricKey.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getMetricKey() {
      return metricKey_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricKey_;
    }
    /**
     * <code>.google.protobuf.StringValue metric_key = 3;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getMetricKeyOrBuilder() {
      return getMetricKey();
    }

    public static final int METRIC_VALUE_FIELD_NUMBER = 4;
    private com.google.protobuf.StringValue metricValue_;
    /**
     * <code>.google.protobuf.StringValue metric_value = 4;</code>
     * @return Whether the metricValue field is set.
     */
    @java.lang.Override
    public boolean hasMetricValue() {
      return metricValue_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue metric_value = 4;</code>
     * @return The metricValue.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getMetricValue() {
      return metricValue_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricValue_;
    }
    /**
     * <code>.google.protobuf.StringValue metric_value = 4;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getMetricValueOrBuilder() {
      return getMetricValue();
    }

    public static final int METRIC_TIMESTAMP_FIELD_NUMBER = 5;
    private com.google.protobuf.Int64Value metricTimestamp_;
    /**
     * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
     * @return Whether the metricTimestamp field is set.
     */
    @java.lang.Override
    public boolean hasMetricTimestamp() {
      return metricTimestamp_ != null;
    }
    /**
     * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
     * @return The metricTimestamp.
     */
    @java.lang.Override
    public com.google.protobuf.Int64Value getMetricTimestamp() {
      return metricTimestamp_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : metricTimestamp_;
    }
    /**
     * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
     */
    @java.lang.Override
    public com.google.protobuf.Int64ValueOrBuilder getMetricTimestampOrBuilder() {
      return getMetricTimestamp();
    }

    public static final int MODEL_VERSION_FIELD_NUMBER = 6;
    private com.google.protobuf.StringValue modelVersion_;
    /**
     * <code>.google.protobuf.StringValue model_version = 6;</code>
     * @return Whether the modelVersion field is set.
     */
    @java.lang.Override
    public boolean hasModelVersion() {
      return modelVersion_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue model_version = 6;</code>
     * @return The modelVersion.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getModelVersion() {
      return modelVersion_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelVersion_;
    }
    /**
     * <code>.google.protobuf.StringValue model_version = 6;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getModelVersionOrBuilder() {
      return getModelVersion();
    }

    public static final int JOB_EXECUTION_ID_FIELD_NUMBER = 7;
    private com.google.protobuf.StringValue jobExecutionId_;
    /**
     * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
     * @return Whether the jobExecutionId field is set.
     */
    @java.lang.Override
    public boolean hasJobExecutionId() {
      return jobExecutionId_ != null;
    }
    /**
     * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
     * @return The jobExecutionId.
     */
    @java.lang.Override
    public com.google.protobuf.StringValue getJobExecutionId() {
      return jobExecutionId_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : jobExecutionId_;
    }
    /**
     * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
     */
    @java.lang.Override
    public com.google.protobuf.StringValueOrBuilder getJobExecutionIdOrBuilder() {
      return getJobExecutionId();
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (uuid_ != 0L) {
        output.writeInt64(1, uuid_);
      }
      if (metricName_ != null) {
        output.writeMessage(2, getMetricName());
      }
      if (metricKey_ != null) {
        output.writeMessage(3, getMetricKey());
      }
      if (metricValue_ != null) {
        output.writeMessage(4, getMetricValue());
      }
      if (metricTimestamp_ != null) {
        output.writeMessage(5, getMetricTimestamp());
      }
      if (modelVersion_ != null) {
        output.writeMessage(6, getModelVersion());
      }
      if (jobExecutionId_ != null) {
        output.writeMessage(7, getJobExecutionId());
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (uuid_ != 0L) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, uuid_);
      }
      if (metricName_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(2, getMetricName());
      }
      if (metricKey_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(3, getMetricKey());
      }
      if (metricValue_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(4, getMetricValue());
      }
      if (metricTimestamp_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(5, getMetricTimestamp());
      }
      if (modelVersion_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(6, getModelVersion());
      }
      if (jobExecutionId_ != null) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(7, getJobExecutionId());
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof org.aiflow.client.proto.Message.MetricSummaryProto)) {
        return super.equals(obj);
      }
      org.aiflow.client.proto.Message.MetricSummaryProto other = (org.aiflow.client.proto.Message.MetricSummaryProto) obj;

      if (getUuid()
          != other.getUuid()) return false;
      if (hasMetricName() != other.hasMetricName()) return false;
      if (hasMetricName()) {
        if (!getMetricName()
            .equals(other.getMetricName())) return false;
      }
      if (hasMetricKey() != other.hasMetricKey()) return false;
      if (hasMetricKey()) {
        if (!getMetricKey()
            .equals(other.getMetricKey())) return false;
      }
      if (hasMetricValue() != other.hasMetricValue()) return false;
      if (hasMetricValue()) {
        if (!getMetricValue()
            .equals(other.getMetricValue())) return false;
      }
      if (hasMetricTimestamp() != other.hasMetricTimestamp()) return false;
      if (hasMetricTimestamp()) {
        if (!getMetricTimestamp()
            .equals(other.getMetricTimestamp())) return false;
      }
      if (hasModelVersion() != other.hasModelVersion()) return false;
      if (hasModelVersion()) {
        if (!getModelVersion()
            .equals(other.getModelVersion())) return false;
      }
      if (hasJobExecutionId() != other.hasJobExecutionId()) return false;
      if (hasJobExecutionId()) {
        if (!getJobExecutionId()
            .equals(other.getJobExecutionId())) return false;
      }
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + UUID_FIELD_NUMBER;
      hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
          getUuid());
      if (hasMetricName()) {
        hash = (37 * hash) + METRIC_NAME_FIELD_NUMBER;
        hash = (53 * hash) + getMetricName().hashCode();
      }
      if (hasMetricKey()) {
        hash = (37 * hash) + METRIC_KEY_FIELD_NUMBER;
        hash = (53 * hash) + getMetricKey().hashCode();
      }
      if (hasMetricValue()) {
        hash = (37 * hash) + METRIC_VALUE_FIELD_NUMBER;
        hash = (53 * hash) + getMetricValue().hashCode();
      }
      if (hasMetricTimestamp()) {
        hash = (37 * hash) + METRIC_TIMESTAMP_FIELD_NUMBER;
        hash = (53 * hash) + getMetricTimestamp().hashCode();
      }
      if (hasModelVersion()) {
        hash = (37 * hash) + MODEL_VERSION_FIELD_NUMBER;
        hash = (53 * hash) + getModelVersion().hashCode();
      }
      if (hasJobExecutionId()) {
        hash = (37 * hash) + JOB_EXECUTION_ID_FIELD_NUMBER;
        hash = (53 * hash) + getJobExecutionId().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static org.aiflow.client.proto.Message.MetricSummaryProto parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(org.aiflow.client.proto.Message.MetricSummaryProto prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code ai_flow.MetricSummaryProto}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:ai_flow.MetricSummaryProto)
        org.aiflow.client.proto.Message.MetricSummaryProtoOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricSummaryProto_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricSummaryProto_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                org.aiflow.client.proto.Message.MetricSummaryProto.class, org.aiflow.client.proto.Message.MetricSummaryProto.Builder.class);
      }

      // Construct using org.aiflow.client.proto.Message.MetricSummaryProto.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        uuid_ = 0L;

        if (metricNameBuilder_ == null) {
          metricName_ = null;
        } else {
          metricName_ = null;
          metricNameBuilder_ = null;
        }
        if (metricKeyBuilder_ == null) {
          metricKey_ = null;
        } else {
          metricKey_ = null;
          metricKeyBuilder_ = null;
        }
        if (metricValueBuilder_ == null) {
          metricValue_ = null;
        } else {
          metricValue_ = null;
          metricValueBuilder_ = null;
        }
        if (metricTimestampBuilder_ == null) {
          metricTimestamp_ = null;
        } else {
          metricTimestamp_ = null;
          metricTimestampBuilder_ = null;
        }
        if (modelVersionBuilder_ == null) {
          modelVersion_ = null;
        } else {
          modelVersion_ = null;
          modelVersionBuilder_ = null;
        }
        if (jobExecutionIdBuilder_ == null) {
          jobExecutionId_ = null;
        } else {
          jobExecutionId_ = null;
          jobExecutionIdBuilder_ = null;
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return org.aiflow.client.proto.Message.internal_static_ai_flow_MetricSummaryProto_descriptor;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricSummaryProto getDefaultInstanceForType() {
        return org.aiflow.client.proto.Message.MetricSummaryProto.getDefaultInstance();
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricSummaryProto build() {
        org.aiflow.client.proto.Message.MetricSummaryProto result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public org.aiflow.client.proto.Message.MetricSummaryProto buildPartial() {
        org.aiflow.client.proto.Message.MetricSummaryProto result = new org.aiflow.client.proto.Message.MetricSummaryProto(this);
        result.uuid_ = uuid_;
        if (metricNameBuilder_ == null) {
          result.metricName_ = metricName_;
        } else {
          result.metricName_ = metricNameBuilder_.build();
        }
        if (metricKeyBuilder_ == null) {
          result.metricKey_ = metricKey_;
        } else {
          result.metricKey_ = metricKeyBuilder_.build();
        }
        if (metricValueBuilder_ == null) {
          result.metricValue_ = metricValue_;
        } else {
          result.metricValue_ = metricValueBuilder_.build();
        }
        if (metricTimestampBuilder_ == null) {
          result.metricTimestamp_ = metricTimestamp_;
        } else {
          result.metricTimestamp_ = metricTimestampBuilder_.build();
        }
        if (modelVersionBuilder_ == null) {
          result.modelVersion_ = modelVersion_;
        } else {
          result.modelVersion_ = modelVersionBuilder_.build();
        }
        if (jobExecutionIdBuilder_ == null) {
          result.jobExecutionId_ = jobExecutionId_;
        } else {
          result.jobExecutionId_ = jobExecutionIdBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof org.aiflow.client.proto.Message.MetricSummaryProto) {
          return mergeFrom((org.aiflow.client.proto.Message.MetricSummaryProto)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(org.aiflow.client.proto.Message.MetricSummaryProto other) {
        if (other == org.aiflow.client.proto.Message.MetricSummaryProto.getDefaultInstance()) return this;
        if (other.getUuid() != 0L) {
          setUuid(other.getUuid());
        }
        if (other.hasMetricName()) {
          mergeMetricName(other.getMetricName());
        }
        if (other.hasMetricKey()) {
          mergeMetricKey(other.getMetricKey());
        }
        if (other.hasMetricValue()) {
          mergeMetricValue(other.getMetricValue());
        }
        if (other.hasMetricTimestamp()) {
          mergeMetricTimestamp(other.getMetricTimestamp());
        }
        if (other.hasModelVersion()) {
          mergeModelVersion(other.getModelVersion());
        }
        if (other.hasJobExecutionId()) {
          mergeJobExecutionId(other.getJobExecutionId());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        org.aiflow.client.proto.Message.MetricSummaryProto parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (org.aiflow.client.proto.Message.MetricSummaryProto) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private long uuid_ ;
      /**
       * <code>int64 uuid = 1;</code>
       * @return The uuid.
       */
      @java.lang.Override
      public long getUuid() {
        return uuid_;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @param value The uuid to set.
       * @return This builder for chaining.
       */
      public Builder setUuid(long value) {
        
        uuid_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int64 uuid = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearUuid() {
        
        uuid_ = 0L;
        onChanged();
        return this;
      }

      private com.google.protobuf.StringValue metricName_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> metricNameBuilder_;
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       * @return Whether the metricName field is set.
       */
      public boolean hasMetricName() {
        return metricNameBuilder_ != null || metricName_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       * @return The metricName.
       */
      public com.google.protobuf.StringValue getMetricName() {
        if (metricNameBuilder_ == null) {
          return metricName_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricName_;
        } else {
          return metricNameBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      public Builder setMetricName(com.google.protobuf.StringValue value) {
        if (metricNameBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          metricName_ = value;
          onChanged();
        } else {
          metricNameBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      public Builder setMetricName(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (metricNameBuilder_ == null) {
          metricName_ = builderForValue.build();
          onChanged();
        } else {
          metricNameBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      public Builder mergeMetricName(com.google.protobuf.StringValue value) {
        if (metricNameBuilder_ == null) {
          if (metricName_ != null) {
            metricName_ =
              com.google.protobuf.StringValue.newBuilder(metricName_).mergeFrom(value).buildPartial();
          } else {
            metricName_ = value;
          }
          onChanged();
        } else {
          metricNameBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      public Builder clearMetricName() {
        if (metricNameBuilder_ == null) {
          metricName_ = null;
          onChanged();
        } else {
          metricName_ = null;
          metricNameBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      public com.google.protobuf.StringValue.Builder getMetricNameBuilder() {
        
        onChanged();
        return getMetricNameFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getMetricNameOrBuilder() {
        if (metricNameBuilder_ != null) {
          return metricNameBuilder_.getMessageOrBuilder();
        } else {
          return metricName_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : metricName_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_name = 2;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getMetricNameFieldBuilder() {
        if (metricNameBuilder_ == null) {
          metricNameBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getMetricName(),
                  getParentForChildren(),
                  isClean());
          metricName_ = null;
        }
        return metricNameBuilder_;
      }

      private com.google.protobuf.StringValue metricKey_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> metricKeyBuilder_;
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       * @return Whether the metricKey field is set.
       */
      public boolean hasMetricKey() {
        return metricKeyBuilder_ != null || metricKey_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       * @return The metricKey.
       */
      public com.google.protobuf.StringValue getMetricKey() {
        if (metricKeyBuilder_ == null) {
          return metricKey_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricKey_;
        } else {
          return metricKeyBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      public Builder setMetricKey(com.google.protobuf.StringValue value) {
        if (metricKeyBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          metricKey_ = value;
          onChanged();
        } else {
          metricKeyBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      public Builder setMetricKey(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (metricKeyBuilder_ == null) {
          metricKey_ = builderForValue.build();
          onChanged();
        } else {
          metricKeyBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      public Builder mergeMetricKey(com.google.protobuf.StringValue value) {
        if (metricKeyBuilder_ == null) {
          if (metricKey_ != null) {
            metricKey_ =
              com.google.protobuf.StringValue.newBuilder(metricKey_).mergeFrom(value).buildPartial();
          } else {
            metricKey_ = value;
          }
          onChanged();
        } else {
          metricKeyBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      public Builder clearMetricKey() {
        if (metricKeyBuilder_ == null) {
          metricKey_ = null;
          onChanged();
        } else {
          metricKey_ = null;
          metricKeyBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      public com.google.protobuf.StringValue.Builder getMetricKeyBuilder() {
        
        onChanged();
        return getMetricKeyFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getMetricKeyOrBuilder() {
        if (metricKeyBuilder_ != null) {
          return metricKeyBuilder_.getMessageOrBuilder();
        } else {
          return metricKey_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : metricKey_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_key = 3;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getMetricKeyFieldBuilder() {
        if (metricKeyBuilder_ == null) {
          metricKeyBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getMetricKey(),
                  getParentForChildren(),
                  isClean());
          metricKey_ = null;
        }
        return metricKeyBuilder_;
      }

      private com.google.protobuf.StringValue metricValue_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> metricValueBuilder_;
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       * @return Whether the metricValue field is set.
       */
      public boolean hasMetricValue() {
        return metricValueBuilder_ != null || metricValue_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       * @return The metricValue.
       */
      public com.google.protobuf.StringValue getMetricValue() {
        if (metricValueBuilder_ == null) {
          return metricValue_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : metricValue_;
        } else {
          return metricValueBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      public Builder setMetricValue(com.google.protobuf.StringValue value) {
        if (metricValueBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          metricValue_ = value;
          onChanged();
        } else {
          metricValueBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      public Builder setMetricValue(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (metricValueBuilder_ == null) {
          metricValue_ = builderForValue.build();
          onChanged();
        } else {
          metricValueBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      public Builder mergeMetricValue(com.google.protobuf.StringValue value) {
        if (metricValueBuilder_ == null) {
          if (metricValue_ != null) {
            metricValue_ =
              com.google.protobuf.StringValue.newBuilder(metricValue_).mergeFrom(value).buildPartial();
          } else {
            metricValue_ = value;
          }
          onChanged();
        } else {
          metricValueBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      public Builder clearMetricValue() {
        if (metricValueBuilder_ == null) {
          metricValue_ = null;
          onChanged();
        } else {
          metricValue_ = null;
          metricValueBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      public com.google.protobuf.StringValue.Builder getMetricValueBuilder() {
        
        onChanged();
        return getMetricValueFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getMetricValueOrBuilder() {
        if (metricValueBuilder_ != null) {
          return metricValueBuilder_.getMessageOrBuilder();
        } else {
          return metricValue_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : metricValue_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue metric_value = 4;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getMetricValueFieldBuilder() {
        if (metricValueBuilder_ == null) {
          metricValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getMetricValue(),
                  getParentForChildren(),
                  isClean());
          metricValue_ = null;
        }
        return metricValueBuilder_;
      }

      private com.google.protobuf.Int64Value metricTimestamp_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> metricTimestampBuilder_;
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       * @return Whether the metricTimestamp field is set.
       */
      public boolean hasMetricTimestamp() {
        return metricTimestampBuilder_ != null || metricTimestamp_ != null;
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       * @return The metricTimestamp.
       */
      public com.google.protobuf.Int64Value getMetricTimestamp() {
        if (metricTimestampBuilder_ == null) {
          return metricTimestamp_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : metricTimestamp_;
        } else {
          return metricTimestampBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      public Builder setMetricTimestamp(com.google.protobuf.Int64Value value) {
        if (metricTimestampBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          metricTimestamp_ = value;
          onChanged();
        } else {
          metricTimestampBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      public Builder setMetricTimestamp(
          com.google.protobuf.Int64Value.Builder builderForValue) {
        if (metricTimestampBuilder_ == null) {
          metricTimestamp_ = builderForValue.build();
          onChanged();
        } else {
          metricTimestampBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      public Builder mergeMetricTimestamp(com.google.protobuf.Int64Value value) {
        if (metricTimestampBuilder_ == null) {
          if (metricTimestamp_ != null) {
            metricTimestamp_ =
              com.google.protobuf.Int64Value.newBuilder(metricTimestamp_).mergeFrom(value).buildPartial();
          } else {
            metricTimestamp_ = value;
          }
          onChanged();
        } else {
          metricTimestampBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      public Builder clearMetricTimestamp() {
        if (metricTimestampBuilder_ == null) {
          metricTimestamp_ = null;
          onChanged();
        } else {
          metricTimestamp_ = null;
          metricTimestampBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      public com.google.protobuf.Int64Value.Builder getMetricTimestampBuilder() {
        
        onChanged();
        return getMetricTimestampFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      public com.google.protobuf.Int64ValueOrBuilder getMetricTimestampOrBuilder() {
        if (metricTimestampBuilder_ != null) {
          return metricTimestampBuilder_.getMessageOrBuilder();
        } else {
          return metricTimestamp_ == null ?
              com.google.protobuf.Int64Value.getDefaultInstance() : metricTimestamp_;
        }
      }
      /**
       * <code>.google.protobuf.Int64Value metric_timestamp = 5;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
          getMetricTimestampFieldBuilder() {
        if (metricTimestampBuilder_ == null) {
          metricTimestampBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                  getMetricTimestamp(),
                  getParentForChildren(),
                  isClean());
          metricTimestamp_ = null;
        }
        return metricTimestampBuilder_;
      }

      private com.google.protobuf.StringValue modelVersion_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> modelVersionBuilder_;
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       * @return Whether the modelVersion field is set.
       */
      public boolean hasModelVersion() {
        return modelVersionBuilder_ != null || modelVersion_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       * @return The modelVersion.
       */
      public com.google.protobuf.StringValue getModelVersion() {
        if (modelVersionBuilder_ == null) {
          return modelVersion_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : modelVersion_;
        } else {
          return modelVersionBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      public Builder setModelVersion(com.google.protobuf.StringValue value) {
        if (modelVersionBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          modelVersion_ = value;
          onChanged();
        } else {
          modelVersionBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      public Builder setModelVersion(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (modelVersionBuilder_ == null) {
          modelVersion_ = builderForValue.build();
          onChanged();
        } else {
          modelVersionBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      public Builder mergeModelVersion(com.google.protobuf.StringValue value) {
        if (modelVersionBuilder_ == null) {
          if (modelVersion_ != null) {
            modelVersion_ =
              com.google.protobuf.StringValue.newBuilder(modelVersion_).mergeFrom(value).buildPartial();
          } else {
            modelVersion_ = value;
          }
          onChanged();
        } else {
          modelVersionBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      public Builder clearModelVersion() {
        if (modelVersionBuilder_ == null) {
          modelVersion_ = null;
          onChanged();
        } else {
          modelVersion_ = null;
          modelVersionBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      public com.google.protobuf.StringValue.Builder getModelVersionBuilder() {
        
        onChanged();
        return getModelVersionFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getModelVersionOrBuilder() {
        if (modelVersionBuilder_ != null) {
          return modelVersionBuilder_.getMessageOrBuilder();
        } else {
          return modelVersion_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : modelVersion_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue model_version = 6;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getModelVersionFieldBuilder() {
        if (modelVersionBuilder_ == null) {
          modelVersionBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getModelVersion(),
                  getParentForChildren(),
                  isClean());
          modelVersion_ = null;
        }
        return modelVersionBuilder_;
      }

      private com.google.protobuf.StringValue jobExecutionId_;
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> jobExecutionIdBuilder_;
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       * @return Whether the jobExecutionId field is set.
       */
      public boolean hasJobExecutionId() {
        return jobExecutionIdBuilder_ != null || jobExecutionId_ != null;
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       * @return The jobExecutionId.
       */
      public com.google.protobuf.StringValue getJobExecutionId() {
        if (jobExecutionIdBuilder_ == null) {
          return jobExecutionId_ == null ? com.google.protobuf.StringValue.getDefaultInstance() : jobExecutionId_;
        } else {
          return jobExecutionIdBuilder_.getMessage();
        }
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      public Builder setJobExecutionId(com.google.protobuf.StringValue value) {
        if (jobExecutionIdBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          jobExecutionId_ = value;
          onChanged();
        } else {
          jobExecutionIdBuilder_.setMessage(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      public Builder setJobExecutionId(
          com.google.protobuf.StringValue.Builder builderForValue) {
        if (jobExecutionIdBuilder_ == null) {
          jobExecutionId_ = builderForValue.build();
          onChanged();
        } else {
          jobExecutionIdBuilder_.setMessage(builderForValue.build());
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      public Builder mergeJobExecutionId(com.google.protobuf.StringValue value) {
        if (jobExecutionIdBuilder_ == null) {
          if (jobExecutionId_ != null) {
            jobExecutionId_ =
              com.google.protobuf.StringValue.newBuilder(jobExecutionId_).mergeFrom(value).buildPartial();
          } else {
            jobExecutionId_ = value;
          }
          onChanged();
        } else {
          jobExecutionIdBuilder_.mergeFrom(value);
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      public Builder clearJobExecutionId() {
        if (jobExecutionIdBuilder_ == null) {
          jobExecutionId_ = null;
          onChanged();
        } else {
          jobExecutionId_ = null;
          jobExecutionIdBuilder_ = null;
        }

        return this;
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      public com.google.protobuf.StringValue.Builder getJobExecutionIdBuilder() {
        
        onChanged();
        return getJobExecutionIdFieldBuilder().getBuilder();
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      public com.google.protobuf.StringValueOrBuilder getJobExecutionIdOrBuilder() {
        if (jobExecutionIdBuilder_ != null) {
          return jobExecutionIdBuilder_.getMessageOrBuilder();
        } else {
          return jobExecutionId_ == null ?
              com.google.protobuf.StringValue.getDefaultInstance() : jobExecutionId_;
        }
      }
      /**
       * <code>.google.protobuf.StringValue job_execution_id = 7;</code>
       */
      private com.google.protobuf.SingleFieldBuilderV3<
          com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder> 
          getJobExecutionIdFieldBuilder() {
        if (jobExecutionIdBuilder_ == null) {
          jobExecutionIdBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
              com.google.protobuf.StringValue, com.google.protobuf.StringValue.Builder, com.google.protobuf.StringValueOrBuilder>(
                  getJobExecutionId(),
                  getParentForChildren(),
                  isClean());
          jobExecutionId_ = null;
        }
        return jobExecutionIdBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:ai_flow.MetricSummaryProto)
    }

    // @@protoc_insertion_point(class_scope:ai_flow.MetricSummaryProto)
    private static final org.aiflow.client.proto.Message.MetricSummaryProto DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new org.aiflow.client.proto.Message.MetricSummaryProto();
    }

    public static org.aiflow.client.proto.Message.MetricSummaryProto getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<MetricSummaryProto>
        PARSER = new com.google.protobuf.AbstractParser<MetricSummaryProto>() {
      @java.lang.Override
      public MetricSummaryProto parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new MetricSummaryProto(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<MetricSummaryProto> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<MetricSummaryProto> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public org.aiflow.client.proto.Message.MetricSummaryProto getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_SchemaProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_SchemaProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_DatasetProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_DatasetProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_DatasetProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_DatasetProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelRelationProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelRelationProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelVersionRelationProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelVersionRelationProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelVersionProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelVersionProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_JobProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_JobProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_JobProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_JobProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_WorkflowProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_WorkflowProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_WorkflowProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_WorkflowProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_WorkflowExecutionProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_WorkflowExecutionProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_WorkflowExecutionProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_WorkflowExecutionProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ProjectProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ProjectProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ProjectProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ProjectProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_WorkflowMetaProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_WorkflowMetaProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_WorkflowMetaProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_WorkflowMetaProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ArtifactProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ArtifactProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ArtifactProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ArtifactProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_RegisteredModelParam_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_RegisteredModelParam_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelVersionParam_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelVersionParam_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelMetaParam_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelMetaParam_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_Response_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_Response_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_RegisteredModelMeta_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_RegisteredModelMeta_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ModelVersionMeta_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ModelVersionMeta_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_RegisteredModelDetail_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_RegisteredModelDetail_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_RegisteredModelMetas_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_RegisteredModelMetas_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_ResultProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_ResultProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_MetricMetaProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_MetricMetaProto_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_MetricMetaProto_PropertiesEntry_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_MetricMetaProto_PropertiesEntry_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_ai_flow_MetricSummaryProto_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_ai_flow_MetricSummaryProto_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\rmessage.proto\022\007ai_flow\032\036google/protobu" +
      "f/wrappers.proto\"K\n\013SchemaProto\022\021\n\tname_" +
      "list\030\001 \003(\t\022)\n\ttype_list\030\002 \003(\0162\026.ai_flow." +
      "DataTypeProto\"\306\005\n\014DatasetProto\022\014\n\004uuid\030\001" +
      " \001(\003\022\014\n\004name\030\002 \001(\t\0229\n\nproperties\030\003 \003(\0132%" +
      ".ai_flow.DatasetProto.PropertiesEntry\022$\n" +
      "\006schema\030\004 \001(\0132\024.ai_flow.SchemaProto\0221\n\013d" +
      "ata_format\030\005 \001(\0132\034.google.protobuf.Strin" +
      "gValue\022)\n\003uri\030\006 \001(\0132\034.google.protobuf.St" +
      "ringValue\0221\n\013description\030\007 \001(\0132\034.google." +
      "protobuf.StringValue\0220\n\013create_time\030\010 \001(" +
      "\0132\033.google.protobuf.Int64Value\0220\n\013update" +
      "_time\030\t \001(\0132\033.google.protobuf.Int64Value" +
      "\0222\n\014catalog_name\030\n \001(\0132\034.google.protobuf" +
      ".StringValue\0222\n\014catalog_type\030\013 \001(\0132\034.goo" +
      "gle.protobuf.StringValue\0226\n\020catalog_data" +
      "base\030\014 \001(\0132\034.google.protobuf.StringValue" +
      "\022<\n\026catalog_connection_uri\030\r \001(\0132\034.googl" +
      "e.protobuf.StringValue\0223\n\rcatalog_table\030" +
      "\016 \001(\0132\034.google.protobuf.StringValue\0321\n\017P" +
      "ropertiesEntry\022\013\n\003key\030\001 \001(\t\022\r\n\005value\030\002 \001" +
      "(\t:\0028\001\"a\n\022ModelRelationProto\022\014\n\004uuid\030\001 \001" +
      "(\003\022\014\n\004name\030\002 \001(\t\022/\n\nproject_id\030\003 \001(\0132\033.g" +
      "oogle.protobuf.Int64Value\"\213\001\n\nModelProto" +
      "\022\014\n\004uuid\030\001 \001(\003\022\014\n\004name\030\002 \001(\t\022/\n\nproject_" +
      "id\030\003 \001(\0132\033.google.protobuf.Int64Value\0220\n" +
      "\nmodel_desc\030\004 \001(\0132\034.google.protobuf.Stri" +
      "ngValue\"\263\001\n\031ModelVersionRelationProto\022-\n" +
      "\007version\030\001 \001(\0132\034.google.protobuf.StringV" +
      "alue\022-\n\010model_id\030\002 \001(\0132\033.google.protobuf" +
      ".Int64Value\0228\n\023project_snapshot_id\030\003 \001(\013" +
      "2\033.google.protobuf.Int64Value\"\366\002\n\021ModelV" +
      "ersionProto\022-\n\007version\030\001 \001(\0132\034.google.pr" +
      "otobuf.StringValue\022-\n\010model_id\030\002 \001(\0132\033.g" +
      "oogle.protobuf.Int64Value\0228\n\023project_sna" +
      "pshot_id\030\003 \001(\0132\033.google.protobuf.Int64Va" +
      "lue\0220\n\nmodel_path\030\004 \001(\0132\034.google.protobu" +
      "f.StringValue\0220\n\nmodel_type\030\006 \001(\0132\034.goog" +
      "le.protobuf.StringValue\0222\n\014version_desc\030" +
      "\007 \001(\0132\034.google.protobuf.StringValue\0221\n\rc" +
      "urrent_stage\030\010 \001(\0162\032.ai_flow.ModelVersio" +
      "nStage\"\326\004\n\010JobProto\022\014\n\004uuid\030\001 \001(\003\022\014\n\004nam" +
      "e\030\002 \001(\t\022:\n\025workflow_execution_id\030\003 \001(\0132\033" +
      ".google.protobuf.Int64Value\022&\n\tjob_state" +
      "\030\004 \001(\0162\023.ai_flow.StateProto\0225\n\npropertie" +
      "s\030\005 \003(\0132!.ai_flow.JobProto.PropertiesEnt" +
      "ry\022,\n\006job_id\030\006 \001(\0132\034.google.protobuf.Str" +
      "ingValue\022/\n\nstart_time\030\007 \001(\0132\033.google.pr" +
      "otobuf.Int64Value\022-\n\010end_time\030\010 \001(\0132\033.go" +
      "ogle.protobuf.Int64Value\022-\n\007log_uri\030\t \001(" +
      "\0132\034.google.protobuf.StringValue\022/\n\tsigna" +
      "ture\030\n \001(\0132\034.google.protobuf.StringValue" +
      "\022;\n\022workflow_execution\030\013 \001(\0132\037.ai_flow.W" +
      "orkflowExecutionProto\0225\n\017execution_label" +
      "\030\014 \001(\0132\034.google.protobuf.StringValue\0321\n\017" +
      "PropertiesEntry\022\013\n\003key\030\001 \001(\t\022\r\n\005value\030\002 " +
      "\001(\t:\0028\001\"\342\001\n\rWorkflowProto\022\014\n\004uuid\030\001 \001(\003\022" +
      "\014\n\004name\030\002 \001(\t\0223\n\rworkflow_json\030\003 \001(\0132\034.g" +
      "oogle.protobuf.StringValue\022:\n\nproperties" +
      "\030\004 \003(\0132&.ai_flow.WorkflowProto.Propertie" +
      "sEntry\022\021\n\tnamespace\030\005 \001(\t\0321\n\017PropertiesE" +
      "ntry\022\013\n\003key\030\001 \001(\t\022\r\n\005value\030\002 \001(\t:\0028\001\"\357\004\n" +
      "\026WorkflowExecutionProto\022\014\n\004uuid\030\001 \001(\003\022\014\n" +
      "\004name\030\002 \001(\t\022/\n\nproject_id\030\003 \001(\0132\033.google" +
      ".protobuf.Int64Value\022,\n\017execution_state\030" +
      "\004 \001(\0162\023.ai_flow.StateProto\022C\n\nproperties" +
      "\030\005 \003(\0132/.ai_flow.WorkflowExecutionProto." +
      "PropertiesEntry\022/\n\nstart_time\030\006 \001(\0132\033.go" +
      "ogle.protobuf.Int64Value\022-\n\010end_time\030\007 \001" +
      "(\0132\033.google.protobuf.Int64Value\022-\n\007log_u" +
      "ri\030\010 \001(\0132\034.google.protobuf.StringValue\0223" +
      "\n\rworkflow_json\030\t \001(\0132\034.google.protobuf." +
      "StringValue\022/\n\tsignature\030\n \001(\0132\034.google." +
      "protobuf.StringValue\022\024\n\014execution_id\030\013 \001" +
      "(\t\022(\n\010workflow\030\014 \001(\0132\026.ai_flow.WorkflowP" +
      "roto\022-\n\007context\030\r \001(\0132\034.google.protobuf." +
      "StringValue\0321\n\017PropertiesEntry\022\013\n\003key\030\001 " +
      "\001(\t\022\r\n\005value\030\002 \001(\t:\0028\001\"\303\001\n\014ProjectProto\022" +
      "\014\n\004uuid\030\001 \001(\003\022\014\n\004name\030\002 \001(\t\0229\n\npropertie" +
      "s\030\003 \003(\0132%.ai_flow.ProjectProto.Propertie" +
      "sEntry\022)\n\003uri\030\004 \001(\0132\034.google.protobuf.St" +
      "ringValue\0321\n\017PropertiesEntry\022\013\n\003key\030\001 \001(" +
      "\t\022\r\n\005value\030\002 \001(\t:\0028\001\"\210\003\n\021WorkflowMetaPro" +
      "to\022\014\n\004uuid\030\001 \001(\003\022\014\n\004name\030\002 \001(\t\022/\n\nprojec" +
      "t_id\030\003 \001(\0132\033.google.protobuf.Int64Value\022" +
      ">\n\nproperties\030\004 \003(\0132*.ai_flow.WorkflowMe" +
      "taProto.PropertiesEntry\0220\n\013create_time\030\005" +
      " \001(\0132\033.google.protobuf.Int64Value\0220\n\013upd" +
      "ate_time\030\006 \001(\0132\033.google.protobuf.Int64Va" +
      "lue\022\"\n\032context_extractor_in_bytes\030\007 \001(\014\022" +
      "+\n\005graph\030\010 \001(\0132\034.google.protobuf.StringV" +
      "alue\0321\n\017PropertiesEntry\022\013\n\003key\030\001 \001(\t\022\r\n\005" +
      "value\030\002 \001(\t:\0028\001\"\221\003\n\rArtifactProto\022\014\n\004uui" +
      "d\030\001 \001(\003\022\014\n\004name\030\002 \001(\t\022:\n\nproperties\030\003 \003(" +
      "\0132&.ai_flow.ArtifactProto.PropertiesEntr" +
      "y\0223\n\rartifact_type\030\004 \001(\0132\034.google.protob" +
      "uf.StringValue\022)\n\003uri\030\005 \001(\0132\034.google.pro" +
      "tobuf.StringValue\0221\n\013description\030\006 \001(\0132\034" +
      ".google.protobuf.StringValue\0220\n\013create_t" +
      "ime\030\007 \001(\0132\033.google.protobuf.Int64Value\0220" +
      "\n\013update_time\030\010 \001(\0132\033.google.protobuf.In" +
      "t64Value\0321\n\017PropertiesEntry\022\013\n\003key\030\001 \001(\t" +
      "\022\r\n\005value\030\002 \001(\t:\0028\001\"z\n\024RegisteredModelPa" +
      "ram\0220\n\nmodel_name\030\001 \001(\0132\034.google.protobu" +
      "f.StringValue\0220\n\nmodel_desc\030\002 \001(\0132\034.goog" +
      "le.protobuf.StringValue\"\336\001\n\021ModelVersion" +
      "Param\0220\n\nmodel_path\030\001 \001(\0132\034.google.proto" +
      "buf.StringValue\0220\n\nmodel_type\030\002 \001(\0132\034.go" +
      "ogle.protobuf.StringValue\0222\n\014version_des" +
      "c\030\003 \001(\0132\034.google.protobuf.StringValue\0221\n" +
      "\rcurrent_stage\030\004 \001(\0162\032.ai_flow.ModelVers" +
      "ionStage\"w\n\016ModelMetaParam\0220\n\nmodel_name" +
      "\030\001 \001(\0132\034.google.protobuf.StringValue\0223\n\r" +
      "model_version\030\002 \001(\0132\034.google.protobuf.St" +
      "ringValue\"A\n\010Response\022\023\n\013return_code\030\001 \001" +
      "(\t\022\022\n\nreturn_msg\030\002 \001(\t\022\014\n\004data\030\003 \001(\t\"[\n\023" +
      "RegisteredModelMeta\022\022\n\nmodel_name\030\001 \001(\t\022" +
      "0\n\nmodel_desc\030\002 \001(\0132\034.google.protobuf.St" +
      "ringValue\"\275\002\n\020ModelVersionMeta\022\022\n\nmodel_" +
      "name\030\001 \001(\t\022\025\n\rmodel_version\030\002 \001(\t\0220\n\nmod" +
      "el_path\030\003 \001(\0132\034.google.protobuf.StringVa" +
      "lue\0220\n\nmodel_type\030\005 \001(\0132\034.google.protobu" +
      "f.StringValue\0222\n\014version_desc\030\006 \001(\0132\034.go" +
      "ogle.protobuf.StringValue\0223\n\016version_sta" +
      "tus\030\007 \001(\0162\033.ai_flow.ModelVersionStatus\0221" +
      "\n\rcurrent_stage\030\010 \001(\0162\032.ai_flow.ModelVer" +
      "sionStage\"\210\001\n\025RegisteredModelDetail\0226\n\020r" +
      "egistered_model\030\001 \001(\0132\034.ai_flow.Register" +
      "edModelMeta\0227\n\024latest_model_version\030\002 \001(" +
      "\0132\031.ai_flow.ModelVersionMeta\"O\n\024Register" +
      "edModelMetas\0227\n\021registered_models\030\001 \003(\0132" +
      "\034.ai_flow.RegisteredModelMeta\"J\n\013ResultP" +
      "roto\022$\n\006status\030\001 \001(\0162\024.ai_flow.StatusPro" +
      "to\022\025\n\rerror_message\030\002 \001(\t\"\230\005\n\017MetricMeta" +
      "Proto\0221\n\013metric_name\030\001 \001(\0132\034.google.prot" +
      "obuf.StringValue\022-\n\013metric_type\030\002 \001(\0162\030." +
      "ai_flow.MetricTypeProto\0221\n\013metric_desc\030\003" +
      " \001(\0132\034.google.protobuf.StringValue\0222\n\014pr" +
      "oject_name\030\004 \001(\0132\034.google.protobuf.Strin" +
      "gValue\0222\n\014dataset_name\030\005 \001(\0132\034.google.pr" +
      "otobuf.StringValue\0220\n\nmodel_name\030\006 \001(\0132\034" +
      ".google.protobuf.StringValue\022.\n\010job_name" +
      "\030\007 \001(\0132\034.google.protobuf.StringValue\022/\n\n" +
      "start_time\030\010 \001(\0132\033.google.protobuf.Int64" +
      "Value\022-\n\010end_time\030\t \001(\0132\033.google.protobu" +
      "f.Int64Value\022)\n\003uri\030\n \001(\0132\034.google.proto" +
      "buf.StringValue\022*\n\004tags\030\013 \001(\0132\034.google.p" +
      "rotobuf.StringValue\022<\n\nproperties\030\014 \003(\0132" +
      "(.ai_flow.MetricMetaProto.PropertiesEntr" +
      "y\0321\n\017PropertiesEntry\022\013\n\003key\030\001 \001(\t\022\r\n\005val" +
      "ue\030\002 \001(\t:\0028\001\"\337\002\n\022MetricSummaryProto\022\014\n\004u" +
      "uid\030\001 \001(\003\0221\n\013metric_name\030\002 \001(\0132\034.google." +
      "protobuf.StringValue\0220\n\nmetric_key\030\003 \001(\013" +
      "2\034.google.protobuf.StringValue\0222\n\014metric" +
      "_value\030\004 \001(\0132\034.google.protobuf.StringVal" +
      "ue\0225\n\020metric_timestamp\030\005 \001(\0132\033.google.pr" +
      "otobuf.Int64Value\0223\n\rmodel_version\030\006 \001(\013" +
      "2\034.google.protobuf.StringValue\0226\n\020job_ex" +
      "ecution_id\030\007 \001(\0132\034.google.protobuf.Strin" +
      "gValue*\300\003\n\nReturnCode\022\013\n\007SUCCESS\020\000\022\022\n\016IN" +
      "TERNAL_ERROR\020\001\022\033\n\027TEMPORARILY_UNAVAILABL" +
      "E\020\002\022\014\n\010IO_ERROR\020\003\022\017\n\013BAD_REQUEST\020\004\022\034\n\027IN" +
      "VALID_PARAMETER_VALUE\020\350\007\022\027\n\022ENDPOINT_NOT" +
      "_FOUND\020\351\007\022\026\n\021MALFORMED_REQUEST\020\352\007\022\022\n\rINV" +
      "ALID_STATE\020\353\007\022\026\n\021PERMISSION_DENIED\020\354\007\022\025\n" +
      "\020FEATURE_DISABLED\020\355\007\022\032\n\025CUSTOMER_UNAUTHO" +
      "RIZED\020\356\007\022\033\n\026REQUEST_LIMIT_EXCEEDED\020\357\007\022\034\n" +
      "\027RESOURCE_ALREADY_EXISTS\020\321\017\022\034\n\027RESOURCE_" +
      "DOES_NOT_EXIST\020\322\017\022\023\n\016QUOTA_EXCEEDED\020\271\027\022\034" +
      "\n\027MAX_BLOCK_SIZE_EXCEEDED\020\272\027\022\033\n\026MAX_READ" +
      "_SIZE_EXCEEDED\020\273\027* \n\013StatusProto\022\006\n\002OK\020\000" +
      "\022\t\n\005ERROR\020\001*\326\001\n\rDataTypeProto\022\031\n\025DATA_TY" +
      "PE_UNSPECIFIED\020\000\022\t\n\005INT32\020\001\022\t\n\005INT64\020\002\022\013" +
      "\n\007FLOAT32\020\003\022\013\n\007FLOAT64\020\004\022\n\n\006STRING\020\005\022\016\n\n" +
      "INT32ARRAY\020\006\022\016\n\nINT64ARRAY\020\007\022\020\n\014FlOAT32A" +
      "RRAY\020\010\022\020\n\014FLOAT64ARRAY\020\t\022\017\n\013STRINGARRAY\020" +
      "\n\022\t\n\005BYTES\020\013\022\016\n\nBYTESARRAY\020\014*{\n\nStatePro" +
      "to\022\025\n\021STATE_UNSPECIFIED\020\000\022\010\n\004INIT\020\001\022\014\n\010S" +
      "TARTING\020\002\022\013\n\007RUNNING\020\003\022\014\n\010FINISHED\020\004\022\n\n\006" +
      "FAILED\020\005\022\013\n\007KILLING\020\006\022\n\n\006KILLED\020\007*F\n\rExe" +
      "cutionMode\022\036\n\032EXECUTION_MODE_UNSPECIFIED" +
      "\020\000\022\t\n\005BATCH\020\001\022\n\n\006STREAM\020\002*}\n\022ModelVersio" +
      "nStatus\022\030\n\024PENDING_REGISTRATION\020\000\022\027\n\023FAI" +
      "LED_REGISTRATION\020\001\022\t\n\005READY\020\003\022\024\n\020PENDING" +
      "_DELETION\020\004\022\023\n\017FAILED_DELETION\020\005*\\\n\021Mode" +
      "lVersionStage\022\r\n\tGENERATED\020\000\022\r\n\tVALIDATE" +
      "D\020\001\022\014\n\010DEPLOYED\020\002\022\016\n\nDEPRECATED\020\003\022\013\n\007DEL" +
      "ETED\020\004*)\n\017MetricTypeProto\022\013\n\007DATASET\020\000\022\t" +
      "\n\005MODEL\020\001B)\n\027org.aiflow.client.protoZ\010/a" +
      "i_flow\210\001\001\220\001\001b\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          com.google.protobuf.WrappersProto.getDescriptor(),
        });
    internal_static_ai_flow_SchemaProto_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_ai_flow_SchemaProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_SchemaProto_descriptor,
        new java.lang.String[] { "NameList", "TypeList", });
    internal_static_ai_flow_DatasetProto_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_ai_flow_DatasetProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_DatasetProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "Properties", "Schema", "DataFormat", "Uri", "Description", "CreateTime", "UpdateTime", "CatalogName", "CatalogType", "CatalogDatabase", "CatalogConnectionUri", "CatalogTable", });
    internal_static_ai_flow_DatasetProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_DatasetProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_DatasetProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_DatasetProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_ModelRelationProto_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_ai_flow_ModelRelationProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelRelationProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "ProjectId", });
    internal_static_ai_flow_ModelProto_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_ai_flow_ModelProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "ProjectId", "ModelDesc", });
    internal_static_ai_flow_ModelVersionRelationProto_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_ai_flow_ModelVersionRelationProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelVersionRelationProto_descriptor,
        new java.lang.String[] { "Version", "ModelId", "ProjectSnapshotId", });
    internal_static_ai_flow_ModelVersionProto_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_ai_flow_ModelVersionProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelVersionProto_descriptor,
        new java.lang.String[] { "Version", "ModelId", "ProjectSnapshotId", "ModelPath", "ModelType", "VersionDesc", "CurrentStage", });
    internal_static_ai_flow_JobProto_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_ai_flow_JobProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_JobProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "WorkflowExecutionId", "JobState", "Properties", "JobId", "StartTime", "EndTime", "LogUri", "Signature", "WorkflowExecution", "ExecutionLabel", });
    internal_static_ai_flow_JobProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_JobProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_JobProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_JobProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_WorkflowProto_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_ai_flow_WorkflowProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_WorkflowProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "WorkflowJson", "Properties", "Namespace", });
    internal_static_ai_flow_WorkflowProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_WorkflowProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_WorkflowProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_WorkflowProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_WorkflowExecutionProto_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_ai_flow_WorkflowExecutionProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_WorkflowExecutionProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "ProjectId", "ExecutionState", "Properties", "StartTime", "EndTime", "LogUri", "WorkflowJson", "Signature", "ExecutionId", "Workflow", "Context", });
    internal_static_ai_flow_WorkflowExecutionProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_WorkflowExecutionProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_WorkflowExecutionProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_WorkflowExecutionProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_ProjectProto_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_ai_flow_ProjectProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ProjectProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "Properties", "Uri", });
    internal_static_ai_flow_ProjectProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_ProjectProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_ProjectProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ProjectProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_WorkflowMetaProto_descriptor =
      getDescriptor().getMessageTypes().get(10);
    internal_static_ai_flow_WorkflowMetaProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_WorkflowMetaProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "ProjectId", "Properties", "CreateTime", "UpdateTime", "ContextExtractorInBytes", "Graph", });
    internal_static_ai_flow_WorkflowMetaProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_WorkflowMetaProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_WorkflowMetaProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_WorkflowMetaProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_ArtifactProto_descriptor =
      getDescriptor().getMessageTypes().get(11);
    internal_static_ai_flow_ArtifactProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ArtifactProto_descriptor,
        new java.lang.String[] { "Uuid", "Name", "Properties", "ArtifactType", "Uri", "Description", "CreateTime", "UpdateTime", });
    internal_static_ai_flow_ArtifactProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_ArtifactProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_ArtifactProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ArtifactProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_RegisteredModelParam_descriptor =
      getDescriptor().getMessageTypes().get(12);
    internal_static_ai_flow_RegisteredModelParam_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_RegisteredModelParam_descriptor,
        new java.lang.String[] { "ModelName", "ModelDesc", });
    internal_static_ai_flow_ModelVersionParam_descriptor =
      getDescriptor().getMessageTypes().get(13);
    internal_static_ai_flow_ModelVersionParam_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelVersionParam_descriptor,
        new java.lang.String[] { "ModelPath", "ModelType", "VersionDesc", "CurrentStage", });
    internal_static_ai_flow_ModelMetaParam_descriptor =
      getDescriptor().getMessageTypes().get(14);
    internal_static_ai_flow_ModelMetaParam_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelMetaParam_descriptor,
        new java.lang.String[] { "ModelName", "ModelVersion", });
    internal_static_ai_flow_Response_descriptor =
      getDescriptor().getMessageTypes().get(15);
    internal_static_ai_flow_Response_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_Response_descriptor,
        new java.lang.String[] { "ReturnCode", "ReturnMsg", "Data", });
    internal_static_ai_flow_RegisteredModelMeta_descriptor =
      getDescriptor().getMessageTypes().get(16);
    internal_static_ai_flow_RegisteredModelMeta_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_RegisteredModelMeta_descriptor,
        new java.lang.String[] { "ModelName", "ModelDesc", });
    internal_static_ai_flow_ModelVersionMeta_descriptor =
      getDescriptor().getMessageTypes().get(17);
    internal_static_ai_flow_ModelVersionMeta_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ModelVersionMeta_descriptor,
        new java.lang.String[] { "ModelName", "ModelVersion", "ModelPath", "ModelType", "VersionDesc", "VersionStatus", "CurrentStage", });
    internal_static_ai_flow_RegisteredModelDetail_descriptor =
      getDescriptor().getMessageTypes().get(18);
    internal_static_ai_flow_RegisteredModelDetail_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_RegisteredModelDetail_descriptor,
        new java.lang.String[] { "RegisteredModel", "LatestModelVersion", });
    internal_static_ai_flow_RegisteredModelMetas_descriptor =
      getDescriptor().getMessageTypes().get(19);
    internal_static_ai_flow_RegisteredModelMetas_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_RegisteredModelMetas_descriptor,
        new java.lang.String[] { "RegisteredModels", });
    internal_static_ai_flow_ResultProto_descriptor =
      getDescriptor().getMessageTypes().get(20);
    internal_static_ai_flow_ResultProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_ResultProto_descriptor,
        new java.lang.String[] { "Status", "ErrorMessage", });
    internal_static_ai_flow_MetricMetaProto_descriptor =
      getDescriptor().getMessageTypes().get(21);
    internal_static_ai_flow_MetricMetaProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_MetricMetaProto_descriptor,
        new java.lang.String[] { "MetricName", "MetricType", "MetricDesc", "ProjectName", "DatasetName", "ModelName", "JobName", "StartTime", "EndTime", "Uri", "Tags", "Properties", });
    internal_static_ai_flow_MetricMetaProto_PropertiesEntry_descriptor =
      internal_static_ai_flow_MetricMetaProto_descriptor.getNestedTypes().get(0);
    internal_static_ai_flow_MetricMetaProto_PropertiesEntry_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_MetricMetaProto_PropertiesEntry_descriptor,
        new java.lang.String[] { "Key", "Value", });
    internal_static_ai_flow_MetricSummaryProto_descriptor =
      getDescriptor().getMessageTypes().get(22);
    internal_static_ai_flow_MetricSummaryProto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_ai_flow_MetricSummaryProto_descriptor,
        new java.lang.String[] { "Uuid", "MetricName", "MetricKey", "MetricValue", "MetricTimestamp", "ModelVersion", "JobExecutionId", });
    com.google.protobuf.WrappersProto.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
